-- MySQL dump 10.18  Distrib 10.3.27-MariaDB, for Linux (x86_64)
--
-- Host: 127.0.0.1    Database: dice
-- ------------------------------------------------------
-- Server version	5.7.29-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `dice`
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `dice` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;

--
-- Table structure for table `ai_environment`
--

DROP TABLE IF EXISTS `ai_environment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ai_environment` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                  `name` varchar(255) DEFAULT NULL,
                                  `description` varchar(255) DEFAULT NULL,
                                  `owner_name` varchar(255) DEFAULT NULL,
                                  `owner_id` bigint(20) unsigned DEFAULT NULL,
                                  `organization_id` bigint(20) unsigned DEFAULT NULL,
                                  `organization_name` varchar(255) DEFAULT NULL,
                                  `workspace` varchar(255) DEFAULT NULL,
                                  `created_at` datetime DEFAULT NULL,
                                  `updated_at` datetime DEFAULT NULL,
                                  `requires` varchar(255) DEFAULT NULL,
                                  `labels` varchar(255) DEFAULT NULL,
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AI 依赖集合配置信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ai_environment`
--

LOCK TABLES `ai_environment` WRITE;
/*!40000 ALTER TABLE `ai_environment` DISABLE KEYS */;
/*!40000 ALTER TABLE `ai_environment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ai_mod`
--

DROP TABLE IF EXISTS `ai_mod`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ai_mod` (
                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                          `type` varchar(255) DEFAULT NULL,
                          `name` varchar(255) DEFAULT NULL,
                          `version` varchar(255) DEFAULT NULL,
                          PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COMMENT='AI 依赖配置信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ai_mod`
--

LOCK TABLES `ai_mod` WRITE;
/*!40000 ALTER TABLE `ai_mod` DISABLE KEYS */;
INSERT INTO `ai_mod` VALUES (1,'PyPI','Flask','1.0.0,1.1.2'),(2,'R','ggplot2','3.3.1,3.3.2'),(3,'PyPI','virtualenv','20.0.31'),(4,'Conda','Flask','1.1.2'),(5,'PyPI','pandas','1.1.2,1.0.5,0.25.3,0.24.2,0.23.4'),(6,'PyPI','numpy','1.19.2,1.18.5,1.17.5,1.16.6,1.15.4'),(7,'PyPI','scipy','1.5.2,1.4.1,1.3.3,1.2.3,1.1.0,1.0.1'),(8,'PyPI','seaborn','0.11.0,0.10.1,0.9.1,0.8.1,0.7.1'),(9,'PyPI','scikit-learn','0.23.2,0.22.2,0.21.3,0.20.4,0.19.2,0.18.2');
/*!40000 ALTER TABLE `ai_mod` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ai_notebook`
--

DROP TABLE IF EXISTS `ai_notebook`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ai_notebook` (
                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                               `name` varchar(255) DEFAULT NULL,
                               `description` varchar(255) DEFAULT NULL,
                               `owner_name` varchar(255) DEFAULT NULL,
                               `owner_id` bigint(20) unsigned DEFAULT NULL,
                               `organization_id` bigint(20) unsigned DEFAULT NULL,
                               `organization_name` varchar(255) DEFAULT NULL,
                               `workspace` varchar(255) DEFAULT NULL,
                               `created_at` datetime DEFAULT NULL,
                               `updated_at` datetime DEFAULT NULL,
                               `cluster_name` varchar(255) DEFAULT NULL,
                               `project_name` varchar(255) DEFAULT NULL,
                               `application_name` varchar(255) DEFAULT NULL,
                               `envs` text,
                               `image` varchar(255) DEFAULT NULL,
                               `requirement_env_id` bigint(20) unsigned DEFAULT NULL,
                               `data_source_id` bigint(20) unsigned DEFAULT NULL,
                               `generic_domain` varchar(255) DEFAULT NULL,
                               `cluster_domain` varchar(255) DEFAULT NULL,
                               `resource_cpu` double DEFAULT NULL,
                               `resource_memory` int(11) DEFAULT NULL,
                               `status_started_at` datetime DEFAULT NULL,
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AI Jupyter IDE 配置信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ai_notebook`
--

LOCK TABLES `ai_notebook` WRITE;
/*!40000 ALTER TABLE `ai_notebook` DISABLE KEYS */;
/*!40000 ALTER TABLE `ai_notebook` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `chart_meta`
--

DROP TABLE IF EXISTS `chart_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `chart_meta` (
                              `id` int(10) NOT NULL AUTO_INCREMENT COMMENT '主键',
                              `name` varchar(64) NOT NULL,
                              `title` varchar(64) NOT NULL,
                              `metricsName` varchar(127) NOT NULL,
                              `fields` varchar(4096) NOT NULL,
                              `parameters` varchar(4096) NOT NULL,
                              `type` varchar(64) NOT NULL,
                              `order` int(11) NOT NULL,
                              `unit` varchar(16) NOT NULL,
                              PRIMARY KEY (`id`),
                              UNIQUE KEY `name_unique` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=308 DEFAULT CHARSET=utf8mb4;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `chart_meta`
--

LOCK TABLES `chart_meta` WRITE;
/*!40000 ALTER TABLE `chart_meta` DISABLE KEYS */;
INSERT INTO `chart_meta` VALUES (1,'ta_timing','','ta_timing','','','0',0,'ms'),(2,'ta_req','','ta_req','','','0',0,'ms'),(3,'ta_performance','性能区间','ta_timing','{\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }, \n\"avg.tcp\": { \"label\":\"请求排队\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rlt\": { \"label\":\"资源加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(4,'ta_apdex','用户体验','ta_timing','','','0',0,'ms'),(5,'ta_plt_grade','整页加载完成','ta_timing','','','0',0,'ms'),(6,'ta_wst_grade','白屏时间','ta_timing','','','0',0,'ms'),(7,'ta_fst_grade','首屏时间','ta_timing','','','0',0,'ms'),(8,'ta_rct_grade','资源加载完成','ta_timing','','','0',0,'ms'),(9,'ta_pct_grade','网页加载完成','ta_timing','','','0',0,'ms'),(10,'ta_values_grade','对比分析','ta_timing','{\"count.plt\": { \"label\":\"整页加载完成\", \"unit\": \"\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(11,'ta_page_timing','页面性能趋势','ta_timing','{ \"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(12,'ta_ajax_timing','Ajax性能趋势','ta_req','{ \"count.tt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.tt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(13,'ta_map','地图','ta_timing','','','0',0,'ms'),(14,'ta_top_avg_time','平均时间','ta_timing','{\"avg.pct\": { \"label\":\"网页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.fst\": { \"label\":\"首屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rct\": { \"label\":\"资源加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(15,'ta_top_percent_time','时间百分比','ta_timing','{\"sumPercent.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.plt\": { \"label\":\"整页加载\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(16,'ta_top_cpm','时间吞吐量','ta_timing','{\"cpm.pct\": { \"label\":\"网页加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.plt\": { \"label\":\"整页加载\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.wst\": { \"label\":\"白屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.fst\": { \"label\":\"首屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.rct\": { \"label\":\"资源加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(17,'ta_req_top_avg_time','平均时间','ta_req','{\"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(18,'ta_req_top_percent_time','时间百分比','ta_req','{\"sumPercent.tt\": { \"label\":\"请求耗时\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(19,'ta_req_top_cpm','时间吞吐量','ta_req','{\"cpm.tt\": { \"label\":\"请求耗时\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(20,'ta_avg_time','平均时间','ta_timing','{ \"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(21,'ta_cpm','吞吐量','ta_timing','{ \"cpm.plt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(22,'ta_percent_os','操作系统','ta_timing','','','0',0,'ms'),(23,'ta_percent_device','设备','ta_timing','','','0',0,'ms'),(24,'ta_percent_browser','浏览器','ta_timing','','','0',0,'ms'),(25,'ta_percent_host','域名','ta_timing','','','0',0,'ms'),(26,'ta_percent_page','页面','ta_timing','','','0',0,'ms'),(27,'ta_req_avg_time','平均时间','ta_req','{ \"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(28,'ta_req_cpm','吞吐量','ta_req','{ \"cpm.tt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(29,'ta_req_send','发送数据','ta_req','{ \"sum.res\": { \"label\":\"发送数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(30,'ta_req_recv','接收数据','ta_req','{ \"sum.req\": { \"label\":\"接收数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(31,'ta_req_status','HTTP状态码','ta_req','{ \"count.req\": { \"label\":\"HTTP状态码\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(32,'ta_summary_info','摘要详情','ta_timing','{\"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }, \n\"sum.rdc\": { \"label\":\"DNS解析次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"最终用户体验时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.dit\": { \"label\":\"HTML完成构建\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.drt\": { \"label\":\"阻塞资源加载耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏幕时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.put\": { \"label\":\"页面卸载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rrt\": { \"label\":\"页面跳转\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.act\": { \"label\":\"查询缓存\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.dns\": { \"label\":\"查询DNS\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.tcp\": { \"label\":\"建立tcp连接\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rpt\": { \"label\":\"页面下载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.clt\": { \"label\":\"load事件\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.set\": { \"label\":\"脚本执行\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(33,'status_page','','status_page','','','0',0,''),(39,'machine_cpu','CPU使用率','host_summary','{\"avg.cpu_usage_active\":{\"label\": \"CPU使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','','machine',1,''),(40,'machine_mem','内存使用率','host_summary','{\"avg.mem_used_percent\":{\"label\": \"内存使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','','machine',2,''),(41,'machine_disk_rootfs','磁盘使用率','disk','{\"avg.used_percent\":{\"label\": \"磁盘使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"device\"}','machine',7,''),(42,'machine_load','系统load值','host_summary','{\"avg.load1\":{\"label\": \"机器load1\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.load5\":{\"label\": \"机器load5\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.load15\":{\"label\": \"机器load15\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','','machine',3,''),(44,'machine_disk_io_read','磁盘读','diskio','{\"max.read_rate\":{\"label\": \"读IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"name\"}','machine',5,''),(45,'machine_disk_io_write','磁盘写','diskio','{\"max.write_rate\":{\"label\": \"写IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"name\"}','machine',6,''),(46,'container_mem','内存','docker_container_mem','{\"avg.usage\":{\"label\": \"使用量(含cache)\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}, \"avg.usage_percent\":{\"label\": \"使用量百分比\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 1}, \"avg.limit\":{\"label\": \"内存限制\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"limit\", \"axis_index\": 0}}','','container',1,''),(47,'container_cpu','CPU','docker_container_cpu','{\"avg.usage_percent\":{\"label\": \"CPU使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','','container',2,''),(48,'container_disk_io','磁盘','docker_container_blkio','{\"diffps.io_service_bytes_recursive_read\":{\"label\": \"读取\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}, \"diffps.io_service_bytes_recursive_write\":{\"label\": \"写入\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 1}}','','container',3,''),(49,'container_net_io','网络','docker_container_net','{\"diffps.rx_bytes\":{\"label\": \"接收\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}, \"diffps.tx_bytes\":{\"label\": \"发送\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 1}}','','container',4,''),(50,'ta_script_error','脚本错误','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(51,'ta_top_script_error','错误信息','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(52,'ta_top_page_script_error','错误页面','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(53,'ta_top_js_script_error','JavaScript报错次数','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(54,'ta_top_browser_script_error','浏览器报错次数','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(55,'zookeeper_avg_latency','平均延迟','zookeeper','{\"avg.avg_latency\":{\"label\": \"\", \"unit\": \"MS\", \"unit_type\": \"TIME\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',9,''),(56,'zookeeper_max_latency','最大延迟','zookeeper','{\"max.max_latency\":{\"label\": \"\", \"unit\": \"MS\", \"unit_type\": \"TIME\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',10,''),(57,'zookeeper_min_latency','最小延迟','zookeeper','{\"min.min_latency\":{\"label\": \"\", \"unit\": \"MS\", \"unit_type\": \"TIME\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',11,''),(58,'zookeeper_num_alive_connections','活跃的连接个数','zookeeper','{\"max.num_alive_connections\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',8,''),(59,'zookeeper_outstanding_requests','正在处理的请求个数','zookeeper','{\"max.outstanding_requests\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',12,''),(60,'zookeeper_znode_count','Znode个数','zookeeper','{\"max.znode_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',1,''),(61,'zookeeper_watch_count','Watch个数','zookeeper','{\"max.watch_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',3,''),(62,'zookeeper_ephemerals_count','Ephemerals个数','zookeeper','{\"max.ephemerals_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',2,''),(63,'zookeeper_approximate_data_size','数据量','zookeeper','{\"avg.approximate_data_size\":{\"label\": \"\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',0,''),(64,'zookeeper_open_file_descriptor_count','打开的文件个数','zookeeper','{\"max.open_file_descriptor_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',6,''),(65,'zookeeper_max_file_descriptor_count','历史最大打开文件个数','zookeeper','{\"max.max_file_descriptor_count\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',7,''),(66,'zookeeper_packets_received','收到数据包数量','zookeeper','{\"diffps.packets_received\":{\"label\": \"\", \"unit\": \"个/s\", \"unit_type\": \"CPS\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',4,''),(67,'zookeeper_packets_sent','发送数据包数量','zookeeper','{\"diffps.packets_sent\":{\"label\": \"\", \"unit\": \"个/s\", \"unit_type\": \"CPS\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','zookeeper_remove',5,''),(68,'elasticsearch_number_of_nodes','Node个数','es_cluster_health','{\"avg.number_of_nodes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','elasticsearch_remove',1,''),(69,'elasticsearch_number_of_data_nodes','DataNode个数','es_cluster_health','{\"avg.number_of_data_nodes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','elasticsearch_remove',2,''),(70,'elasticsearch_active_primary_shards','主分片个数','es_cluster_health','{\"avg.active_primary_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','elasticsearch_remove',3,''),(71,'elasticsearch_active_shards','分片个数','es_cluster_health','{\"avg.active_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','elasticsearch_remove',4,''),(72,'elasticsearch_initializing_shards','初始化中的分片个数','es_cluster_health','{\"avg.initializing_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','elasticsearch_remove',5,''),(73,'elasticsearch_relocating_shards','搬迁中的分片个数','es_cluster_health','{\"avg.relocating_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','elasticsearch_remove',6,''),(74,'elasticsearch_unassigned_shards','未分配的分片个数','es_cluster_health','{\"avg.unassigned_shards\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','elasticsearch_remove',7,''),(75,'redis_clients','客户端连接数','redis','{\"max.clients\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',1,''),(76,'redis_pubsub_channels','发布/订阅频道个数','redis','{\"max.pubsub_channels\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',3,''),(77,'redis_pubsub_patterns','发布/订阅模式个数','redis','{\"max.pubsub_patterns\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',4,''),(78,'redis_expired_keys','过期的键的个数','redis','{\"diff.expired_keys\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',4,''),(79,'redis_evicted_keys','驱逐的键的个数','redis','{\"diff.evicted_keys\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',5,''),(80,'redis_mem_fragmentation_ratio','内存碎片率','redis','{\"max.mem_fragmentation_ratio\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',8,''),(81,'redis_instantaneous_ops_per_sec','命令运行频率','redis','{\"max.instantaneous_ops_per_sec\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',2,''),(82,'redis_total_connections_received','连接的个数/秒','redis','{\"avg.total_connections_received\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',8,''),(83,'redis_keyspace_hits','命中键的次数','redis','{\"diff.keyspace_hits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',9,''),(84,'redis_keyspace_misses','未命中键的次数','redis','{\"diff.keyspace_misses\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',10,''),(85,'redis_used_cpu_sys','系统态CPU使用率','redis','{\"max.used_cpu_sys\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',13,''),(86,'redis_used_cpu_user','用户态CPU使用率','redis','{\"max.used_cpu_user\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',14,''),(87,'redis_used_cpu_sys_children','后台进程系统态CPU使用率','redis','{\"max.used_cpu_sys_children\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',15,''),(88,'redis_used_cpu_user_children','后台进程用户态CPU使用率','redis','{\"max.used_cpu_user_children\":{\"label\": \"\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',16,''),(89,'redis_used_memory','Redis管理的内存','redis','{\"max.used_memory\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',9,''),(90,'redis_used_memory_rss','常驻内存','redis','{\"max.used_memory_rss\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',11,''),(91,'redis_used_memory_peak','内存峰值','redis','{\"max.used_memory_peak\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',10,''),(92,'redis_used_memory_lua','lua引擎内存使用量','redis','{\"max.used_memory_lua\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',12,''),(93,'redis_connected_slaves','从库连接数','redis','{\"max.connected_slaves\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',5,''),(94,'redis_latest_fork_usec','上次的fork操作使用的时间（单位ms）','redis','{\"avg.latest_fork_usec\":{\"label\": \"\",\"unit\":\"MS\",\"unit_type\":\"TIME\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',20,''),(95,'redis_rdb_changes_since_last_save','自上次dump后rdb的改动次数','redis','{\"avg.rdb_changes_since_last_save\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',21,''),(96,'redis_repl_backlog_histlen','积压空间中写入的新数据的大小','redis','{\"avg.repl_backlog_histlen\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',22,''),(97,'redis_master_repl_offset','全局的数据同步偏移量','redis','{\"avg.master_repl_offset\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','redis_remove',23,''),(98,'mysql_slow_queries','慢查询频率','mysql','{\"diffps.slow_queries\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',2,''),(99,'mysql_threads_connected','当前打开的连接数','mysql','{\"max.threads_connected\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',1,''),(100,'mysql_threads_running','当前线程数','mysql','{\"max.threads_running\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',9,''),(101,'mysql_queries','查询频率','mysql','{\"diffps.queries\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',3,''),(102,'mysql_questions','服务器执行的来自客户端的语句个数','mysql','{\"diff.questions\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',5,''),(103,'mysql_qcache_hits','查询缓存命中个数','mysql','{\"diff.qcache_hits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',6,''),(104,'mysql_qcache_inserts','查询缓存插入个数','mysql','{\"diff.qcache_inserts\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',7,''),(105,'mysql_qcache_lowmem_prunes','因内存不足从查询缓存中删除的查询个数','mysql','{\"diff.qcache_lowmem_prunes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',8,''),(106,'mysql_created_tmp_disk_tables','创建在磁盘上的临时表的个数','mysql','{\"diff.created_tmp_disk_tables\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',9,''),(107,'mysql_created_tmp_files','创建的临时文件的个数','mysql','{\"diff.created_tmp_files\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',10,''),(108,'mysql_created_tmp_tables','创建的临时表的个数','mysql','{\"diff.created_tmp_tables\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',11,''),(109,'mysql_table_locks_waited','需要等待获取表锁的次数','mysql','{\"diffps.table_locks_waited\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',16,''),(110,'mysql_innodb_buffer_pool_pages_dirty','InnoDB缓冲池中脏页面的个数','mysql','{\"avg.innodb_buffer_pool_pages_dirty\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',13,''),(111,'mysql_innodb_buffer_pool_pages_free','InnoDB缓冲池可用页面的个数','mysql','{\"avg.innodb_buffer_pool_pages_free\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',14,''),(112,'mysql_innodb_buffer_pool_pages_total','InnoDB缓冲池的页面总数','mysql','{\"avg.innodb_buffer_pool_pages_total\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',15,''),(113,'mysql_innodb_row_lock_current_waits','当前Innodb表上被等待的行锁数量','mysql','{\"diff.innodb_row_lock_current_waits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',16,''),(114,'mysql_innodb_buffer_pool_read_requests','InnoDB缓冲池逻辑读的次数','mysql','{\"diff.innodb_buffer_pool_read_requests\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',17,''),(115,'mysql_innodb_buffer_pool_reads','InnoDB缓冲池读从磁盘读页面的次数','mysql','{\"diff.innodb_buffer_pool_reads\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',18,''),(116,'mysql_innodb_row_lock_time','INNODB花费在等待行锁上的毫秒个数','mysql','{\"diff.innodb_row_lock_time\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',19,''),(117,'mysql_innodb_row_lock_waits','INNODB等待行锁的次数','mysql','{\"diff.innodb_row_lock_waits\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',20,''),(118,'mysql_innodb_os_log_fsyncs','INNODB的fsync日志文件的次数','mysql','{\"diff.innodb_os_log_fsyncs\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',21,''),(119,'mysql_innodb_data_reads','INNODB读数据的次数','mysql','{\"diff.innodb_data_reads\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',22,''),(120,'mysql_innodb_data_writes','INNODB写数据的次数','mysql','{\"diff.innodb_data_writes\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',23,''),(121,'mysql_commands_delete','删除语句的个数','mysql','{\"diff.commands_delete\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',24,''),(122,'mysql_commands_delete_multi','多表删除语句的个数','mysql','{\"diff.commands_delete_multi\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',25,''),(123,'mysql_commands_insert','插入语句的个数','mysql','{\"diff.commands_insert\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',26,''),(124,'mysql_commands_insert_select','选择插入语句的个数','mysql','{\"diff.commands_insert_select\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',27,''),(125,'mysql_commands_load','加载语句的个数','mysql','{\"diff.commands_load\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',28,''),(126,'mysql_commands_replace','替代语句的个数','mysql','{\"diff.commands_replace\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',29,''),(127,'mysql_commands_replace_select','选择替代语句的个数','mysql','{\"diff.commands_replace_select\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',30,''),(128,'mysql_commands_select','选择语句的个数','mysql','{\"diff.commands_select\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',31,''),(129,'mysql_commands_update','更新语句的个数','mysql','{\"diff.commands_update\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',32,''),(130,'mysql_commands_update_multi','多表更新语句的个数','mysql','{\"diff.commands_update_multi\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','','mysql_remove',33,''),(131,'mysql_open_tables','打开的表的个数','mysql','{\"max.open_tables\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',8,''),(132,'mysql_bytes_received','网络接收数据量','mysql','{\"diffps.bytes_received\":{\"label\": \"接收速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','mysql',6,''),(133,'mysql_bytes_sent','网络发送数据量','mysql','{\"diffps.bytes_sent\":{\"label\": \"发送速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','mysql',7,''),(134,'ai_web_top10','web事务 Top10','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(135,'ai_web_avg_time','web事务','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(136,'ai_web_cpm','吞吐量','application_http','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(137,'ai_web_top_time','平均响应时间','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(138,'ai_web_top_cpm','吞吐量','application_http','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(139,'ai_web_avg_time_top5','响应时间Top5','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(140,'ai_web_cpm_top5','吞吐量Top5','application_http','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(141,'ai_db_top_avg_time','平均响应时间','application_db','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(142,'ai_db_top_cpm','吞吐量','application_db','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(143,'ai_db_avg_time','响应时间Top5','application_db','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(144,'ai_db_cpm','吞吐量Top5','application_db','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(145,'ai_cache_top_avg_time','平均响应时间','application_cache','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(146,'ai_cache_top_cpm','吞吐量','application_cache','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(147,'ai_cache_avg_time','响应时间Top5','application_cache','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(148,'ai_cache_cpm','吞吐量Top5','application_cache','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(149,'ai_jvm_mem_heap','Heap memory usage','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(150,'ai_jvm_mem_non_heap','Non Heap memory usage','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(151,'ai_jvm_mem_eden_space','PS-Eden-Space','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(152,'ai_jvm_mem_old_gen','PS-Old-Gen','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"bytes\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"bytes\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"bytes\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(153,'ai_jvm_mem_survivor_space','PS-Survivor-Space','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(154,'ai_gc_mark_sweep','GC 次数','jvm_gc','{\"avg.time\": { \"label\":\"平均时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"sum.count\": { \"label\":\"总次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(155,'ai_gc_scavenge','GC 平均时间','jvm_gc','{\"avg.time\": { \"label\":\"平均时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"sum.count\": { \"label\":\"总次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,'ms'),(156,'ai_class_count','Class count','jvm_class_loader','{\"avg.loaded\": { \"label\":\"loaded\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.unloaded\": { \"label\":\"unloaded\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','',0,''),(157,'ai_thread','Thread','jvm_thread','{\"avg.state\": { \"label\":\"线程数量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(158,'ai_nodejs_men_heap','Heap memory usage','nodejs_memory','{\"avg.heap_used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.heap_total\": { \"label\":\"total\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(159,'ai_nodejs_men_non_heap','Non Heap memory usage','nodejs_memory','{\"avg.external\": { \"label\":\"external\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rss\": { \"label\":\"rss\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(160,'ai_nodejs_cluster_count','Cluster count','nodejs_cluster','{\"max.count\": { \"label\":\"count\", \"unit\": \"B\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(161,'ai_nodejs_async_res','Async Resources','nodejs_async_resource','{\"sum.count\": { \"label\":\"count\", \"unit\": \"B\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(162,'ta_overview','页面性能(1小时内)','ta_req','{\"avg.tt\": { \"label\":\"Ajax 响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.tt\": { \"label\":\"Ajax 吞吐量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(163,'ai_overview','应用性能(1小时内)','application_http','{\"avg.elapsed_mean\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,''),(164,'ta_overview_days','访问量(7天内)','ta_timing','{\"count.plt\": { \"label\":\"请求数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"bar\", \"axis_index\": 0 }}','','',0,'ms'),(165,'ta_top_count','访问次数-Top20','ta_timing','{\"count.plt\": { \"label\":\"访问次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.net\": { \"label\":\"网络耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.prt\": { \"label\":\"页面渲染\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(166,'ai_top_slow_http','慢事务追踪 Top10','application_http_slow','{\"max.elapsed_max\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"max.elapsed_min\": { \"label\":\"最小耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.elapsed_count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,''),(167,'ai_top_slow_db','慢数据库追踪 Top10','application_db_slow','{\"max.elapsed_max\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"max.elapsed_min\": { \"label\":\"最小耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.elapsed_count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,''),(170,'container_cpu_usage_percent','','docker_container_cpu','{\"last.usage_percent\":{\"label\": \"Usage\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','','',0,''),(171,'container_mem_usage','','docker_container_mem','{\"last.usage\":{\"label\": \"Usage\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','','',0,''),(172,'ta_timing_slow','慢加载追踪','ta_timing_slow','{\"p95.plt\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(173,'error_count','错误次数','error_count','{\"sum.count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(174,'ai_rpc_top_time','平均响应时间','application_rpc','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(175,'ai_rpc_top_cpm','吞吐量','application_rpc','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(176,'ai_rpc_avg_time_top5','响应时间Top5','application_rpc','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(177,'ai_rpc_cpm_top5','吞吐量Top5','application_rpc','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(178,'ai_web_error_req','错误请求','application_http','{ \"sum.elapsed_count\": { \"label\":\"错误请求\", \"unit\": \"次\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(179,'ta_m_timing','','ta_timing_mobile','','','0',0,'ms'),(180,'ta_m_req','','ta_req_mobile','','','0',0,'ms'),(181,'ta_m_performance','性能区间','ta_timing_mobile','{\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }, \n\"avg.tcp\": { \"label\":\"请求排队\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rlt\": { \"label\":\"资源加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(182,'ta_m_apdex','用户体验','ta_timing_mobile','','','0',0,'ms'),(183,'ta_m_plt_grade','整页加载完成','ta_timing_mobile','','','0',0,'ms'),(184,'ta_m_values_grade','对比分析','ta_timing_mobile','{\"count.plt\": { \"label\":\"整页加载完成\", \"unit\": \"\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(185,'ta_m_page_timing','页面性能趋势','ta_timing_mobile','{ \"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(186,'ta_m_req_timing','请求性能趋势','ta_req_mobile','{ \"count.tt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.tt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(187,'ta_m_map','地图','ta_timing_mobile','','','0',0,'ms'),(188,'ta_m_top_avg_time','平均时间','ta_timing_mobile','{\"avg.pct\": { \"label\":\"网页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.fst\": { \"label\":\"首屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rct\": { \"label\":\"资源加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(189,'ta_m_top_percent_time','时间百分比','ta_timing_mobile','{\"sumPercent.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.plt\": { \"label\":\"整页加载\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(190,'ta_m_top_cpm','时间吞吐量','ta_timing_mobile','{\"cpm.pct\": { \"label\":\"网页加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.plt\": { \"label\":\"整页加载\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.wst\": { \"label\":\"白屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.fst\": { \"label\":\"首屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.rct\": { \"label\":\"资源加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(191,'ta_m_req_top_avg_time','平均时间','ta_req_mobile','{\"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(192,'ta_m_req_top_percent_time','时间百分比','ta_req_mobile','{\"sumPercent.tt\": { \"label\":\"请求耗时\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(193,'ta_m_req_top_cpm','时间吞吐量','ta_req_mobile','{\"cpm.tt\": { \"label\":\"请求耗时\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(194,'ta_m_avg_time','平均时间','ta_timing_mobile','{ \"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(195,'ta_m_cpm','吞吐量','ta_timing_mobile','{ \"cpm.plt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(196,'ta_m_percent_os','操作系统','ta_timing_mobile','','','0',0,'ms'),(197,'ta_m_percent_device','设备','ta_timing_mobile','','','0',0,'ms'),(198,'ta_m_percent_browser','浏览器','ta_timing_mobile','','','0',0,'ms'),(199,'ta_m_percent_av','App版本','ta_timing_mobile','','','0',0,'ms'),(200,'ta_m_percent_host','域名','ta_timing_mobile','','','0',0,'ms'),(201,'ta_m_percent_page','页面','ta_timing_mobile','','','0',0,'ms'),(202,'ta_m_req_avg_time','平均时间','ta_req_mobile','{ \"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(203,'ta_m_req_cpm','吞吐量','ta_req_mobile','{ \"cpm.tt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(204,'ta_m_req_send','发送数据','ta_req_mobile','{ \"sum.res\": { \"label\":\"发送数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(205,'ta_m_req_recv','接收数据','ta_req_mobile','{ \"sum.req\": { \"label\":\"接收数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(206,'ta_m_req_status','HTTP状态码','ta_req_mobile','{ \"count.req\": { \"label\":\"HTTP状态码\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(207,'ta_m_top_error','错误信息','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(208,'ta_m_top_page_error','错误页面','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(209,'ta_m_top_error_count','报错次数','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(210,'ta_m_top_os_error','系统报错次数','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(211,'ta_m_timing_slow','慢加载追踪','ta_timing_mobile_slow','{\"p95.plt\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(212,'ta_m_page_error','页面错误','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(213,'redis_blocked_clients','被阻塞的客户端数','redis','{\"max.blocked_clients\":{\"label\": \"\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','redis',6,''),(214,'redis_aof_current_size','AOF文件大小','redis','{\"max.aof_current_size\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','redis',7,''),(215,'mysql_qps','QPS','mysql','{\"diffps.(com_delete+com_insert+com_select+com_update)\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',4,''),(216,'mysql_tps','TPS','mysql','{\"diffps.(com_commit+com_rollback)\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',5,''),(217,'mysql_innodb_rows_deleted','INNODB删除行数量','mysql','{\"diffps.innodb_rows_deleted\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',10,''),(218,'mysql_innodb_rows_inserted','INNODB插入行数量','mysql','{\"diffps.innodb_rows_inserted\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',11,''),(219,'mysql_innodb_rows_updated','INNODB更新行数量','mysql','{\"diffps.innodb_rows_updated\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',12,''),(220,'mysql_innodb_rows_read','INNODB读取行数量','mysql','{\"diffps.innodb_rows_read\":{\"label\": \"\",\"unit\":\"行/s\",\"unit_type\":\"RPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"server\"}','mysql',13,''),(221,'mysql_innodb_data_read','INNODB读速度','mysql','{\"diffps.innodb_data_read\":{\"label\": \"读速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','mysql',14,''),(222,'mysql_innodb_data_written','INNODB写速度','mysql','{\"diffps.innodb_data_written\":{\"label\": \"写速度\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"server\"}','mysql',15,''),(223,'elasticsearch_store_size','索引存储量','elasticsearch_indices','{\"max.store_size_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',1,''),(224,'elasticsearch_docs_count','文档数量','elasticsearch_indices','{\"max.docs_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',2,''),(225,'elasticsearch_segments_count','Segment数量','elasticsearch_indices','{\"max.segments_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',3,''),(226,'elasticsearch_http_server_open','Http连接数','elasticsearch_http','{\"max.current_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',4,''),(227,'elasticsearch_transport_server_open','Transport连接数','elasticsearch_transport','{\"max.server_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',5,''),(228,'elasticsearch_jvm_mem_heap_used','JVM堆内存','elasticsearch_jvm','{\"max.mem_heap_used_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',6,''),(229,'elasticsearch_gc_old_count','老年代GC次数','elasticsearch_jvm','{\"diffps.gc_collectors_old_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',7,''),(230,'elasticsearch_gc_young_count','年轻代GC次数','elasticsearch_jvm','{\"diffps.gc_collectors_young_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',8,''),(231,'elasticsearch_search_query_total','Search次数','elasticsearch_indices','{\"diffps.search_query_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',9,''),(232,'elasticsearch_indexing_index_total','Index次数','elasticsearch_indices','{\"diffps.indexing_index_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',10,''),(233,'elasticsearch_merges_total','Merges次数','elasticsearch_indices','{\"diffps.merges_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',11,''),(234,'elasticsearch_refresh_total','Refresh次数','elasticsearch_indices','{\"diffps.refresh_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','terminus-elasticsearch',12,''),(235,'machine_procs','进程统计','processes','{\"max.blocked\":{\"label\": \"blocked\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"max.sleeping\":{\"label\": \"sleeping\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"max.running\":{\"label\": \"running\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"max.zombies\":{\"label\": \"zombies\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','','machine_remove',4,''),(236,'machine_net_io_send','网络发送','net','{\"max.send_rate\":{\"label\": \"读IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"interface\"}','machine',9,''),(237,'machine_net_io_recv','网络接收','net','{\"max.recv_rate\":{\"label\": \"读IO\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"interface\"}','machine',10,''),(238,'addon_container_mem_usage','内存使用量','docker_container_summary','{\"avg.mem_usage\":{\"label\": \"使用量(含cache)\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',1,''),(239,'addon_container_mem_percent','内存使用百分比','docker_container_summary','{\"avg.mem_usage_percent\":{\"label\": \"使用量百分比\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',2,''),(240,'addon_container_mem_limit','最大内存限制','docker_container_summary','{\"avg.mem_limit\":{\"label\": \"内存限制\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"limit\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',3,''),(241,'addon_container_cpu','CPU','docker_container_summary','{\"avg.cpu_usage_percent\":{\"label\": \"CPU使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',4,''),(242,'addon_container_diskio_read','磁盘读速度','docker_container_blkio','{\"diffps.io_service_bytes_recursive_read\":{\"label\": \"读取\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',5,''),(243,'addon_container_diskio_write','磁盘写速度','docker_container_blkio','{\"diffps.io_service_bytes_recursive_write\":{\"label\": \"写入\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',6,''),(244,'addon_container_netio_recv','网络接收','docker_container_net','{\"diffps.rx_bytes\":{\"label\": \"接收\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',7,''),(245,'addon_container_netio_send','网络发送','docker_container_net','{\"diffps.tx_bytes\":{\"label\": \"发送\", \"unit\": \"B/s\", \"unit_type\": \"TRAFFIC\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"container_id\"}','addon_container',8,''),(246,'kong_req_latency','请求延时','agg_kong','{\"avg.reql_mean\":{\"label\":\"耗时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,'s'),(247,'kong_upstream_latency','后端延时','agg_kong','{\"avg.upl_mean\":{\"label\":\"耗时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,'s'),(248,'kong_qps','QPS','agg_kong','{\"sumCps.cnt_count\":{\"label\":\"qps\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(249,'kong_pv','PV','agg_kong','{\"sum.cnt_count\":{\"label\":\"pv\",\"unit\":\"次\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(250,'kong_connection','连接状态','agg_kong','{\"avg.crd_mean\":{\"label\":\"读活跃连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.cac_mean\":{\"label\":\"总连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.cwr_mean\":{\"label\":\"写活跃连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.cwa_mean\":{\"label\":\"非活跃连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(251,'kong_req_length','请求大小','agg_kong','{\"avg.reqt_mean\":{\"label\":\"字节数\",\"unit\":\"KB\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,'b'),(252,'kong_resp_length','应答大小','agg_kong','{\"avg.bst_mean\":{\"label\":\"字节数\",\"unit\":\"KB\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,'b'),(253,'machine_disk_rootfs_used','磁盘使用量','disk','{\"avg.used\":{\"label\": \"使用量\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"device\"}','machine',8,''),(260,'container_cpu_allocation','CPU分配量','summary_docker_container_cpu','{\"avg.component_allocation\":{\"label\": \"component\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.service_allocation\":{\"label\": \"service\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.job_allocation\":{\"label\": \"job\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.addon_allocation\":{\"label\": \"addon\", \"unit\": \"\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','','',0,''),(261,'container_mem_allocation','内存分配量','summary_docker_container_mem','{\"avg.component_allocation\":{\"label\": \"component\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.service_allocation\":{\"label\": \"service\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.job_allocation\":{\"label\": \"job\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0},\"avg.addon_allocation\":{\"label\": \"addon\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','','',0,''),(262,'alert_trend','告警趋势','analyzer-alert','{\"count.count\": { \"label\":\"告警次数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(263,'alert_statistics','告警统计','analyzer-alert','','','',0,'%'),(264,'alert_type_percent','单个集群告警类型占比','analyzer-alert','','','',0,'%'),(265,'disk','磁盘使用率','disk','{\"max.used_percent\":{\"label\": \"磁盘使用率\", \"unit\": \"%\", \"unit_type\": \"PERCENT\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"device\"}','',0,'%'),(266,'kong_success','成功调用统计','agg_kong','{\"sum.succ_sum\":{\"label\":\"累计调用\",\"unit\":\"次\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(267,'kong_traffic','实时流量统计','agg_kong','{\"sumCps.cnt_sum\":{\"label\":\"整体QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.succ_sum\":{\"label\":\"成功QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.err_sum\":{\"label\":\"错误QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.lim_sum\":{\"label\":\"限流QPS\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(268,'kong_error','调用错误统计','agg_kong','{\"sum.err_sum\":{\"label\":\"总错误量\",\"unit\":\"次\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(269,'kong_error_type','错误类型分析','agg_kong','{\"avg.(err_mean*100)\":{\"label\":\"总错误率\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.(cerr_mean*100)\":{\"label\":\"调用方错误率\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.(serr_mean*100)\":{\"label\":\"服务端错误率\",\"unit\":\"%\",\"unit_type\":\"PERCENT\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(270,'machine_tcp','TCP链接数','netstat','{\"sum.tcp_close\":{\"label\": \"tcp_close\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_close_wait\":{\"label\": \"tcp_close_wait\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_closing\":{\"label\": \"tcp_closing\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_established\":{\"label\": \"tcp_established\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_fin_wait1\":{\"label\": \"tcp_fin_wait1\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_fin_wait2\":{\"label\": \"tcp_fin_wait2\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_last_ack\":{\"label\": \"tcp_last_ack\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_none\":{\"label\": \"tcp_none\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_syn_recv\":{\"label\": \"tcp_syn_recv\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.tcp_syn_sent\":{\"label\": \"tcp_syn_sent\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0},\"sum.udp_socket\":{\"label\": \"udp_socket\", \"unit\": \"个\", \"unit_type\": \"NUMBER\", \"chart_type\": \"line\", \"axis_index\": 0}}','','machine_remove',11,''),(271,'gateway_latency','请求延时','application_http','{\"avg.latency_mean\":{\"label\":\"平均延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0},\"max.latency_max\":{\"label\":\"峰值延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.upstream_latency_mean\":{\"label\":\"平均延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0},\"max.upstream_latency_max\":{\"label\":\"峰值延时\",\"unit\":\"ms\",\"unit_type\":\"time\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,'s'),(272,'gateway_qps','访问量','application_http','{\"sumCps.cnt_sum\":{\"label\":\"QPS\",\"unit\":\"\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(273,'gateway_traffic','流量','application_http','{\"sumCps.out_bytes_sum\":{\"label\":\"应答流量\",\"unit\":\"B/s\",\"unit_type\":\"TRAFFIC\",\"chart_type\":\"line\",\"axis_index\":0},\"sumCps.in_bytes_sum\":{\"label\":\"请求流量\",\"unit\":\"B/s\",\"unit_type\":\"TRAFFIC\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(274,'gateway_connection','连接数','application_http','{\"avg.active_conns_mean\":{\"label\":\"平均连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.idle_conns_mean\":{\"label\":\"平均连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"avg.total_conns_mean\":{\"label\":\"平均连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"max.active_conns_max\":{\"label\":\"峰值连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"max.idle_conns_max\":{\"label\":\"峰值连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0},\"max.total_conns_max\":{\"label\":\"峰值连接数\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\":0}}','','',0,''),(275,'system_elasticsearch_store_size','索引存储量','elasticsearch_indices','{\"max.store_size_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',1,''),(276,'system_elasticsearch_docs_count','文档数量','elasticsearch_indices','{\"max.docs_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',2,''),(277,'system_elasticsearch_segments_count','Segment数量','elasticsearch_indices','{\"max.segments_count\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',3,''),(278,'system_elasticsearch_http_server_open','Http连接数','elasticsearch_http','{\"max.current_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',4,''),(279,'system_elasticsearch_transport_server_open','Transport连接数','elasticsearch_transport','{\"max.server_open\":{\"label\": \"\",\"unit\":\"\",\"unit_type\":\"NUMBER\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',5,''),(280,'system_elasticsearch_jvm_mem_heap_used','JVM堆内存','elasticsearch_jvm','{\"max.mem_heap_used_in_bytes\":{\"label\": \"\",\"unit\":\"B\",\"unit_type\":\"CAPACITY\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',6,''),(281,'system_elasticsearch_gc_old_count','老年代GC次数','elasticsearch_jvm','{\"diffps.gc_collectors_old_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',7,''),(282,'system_elasticsearch_gc_young_count','年轻代GC次数','elasticsearch_jvm','{\"diffps.gc_collectors_young_collection_count\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',8,''),(283,'system_elasticsearch_search_query_total','Search次数','elasticsearch_indices','{\"diffps.search_query_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',9,''),(284,'system_elasticsearch_indexing_index_total','Index次数','elasticsearch_indices','{\"diffps.indexing_index_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',10,''),(285,'system_elasticsearch_merges_total','Merges次数','elasticsearch_indices','{\"diffps.merges_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',11,''),(286,'system_elasticasearch_refresh_total','Refresh次数','elasticsearch_indices','{\"diffps.refresh_total\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"node_name\"}','elasticsearch',12,''),(287,'system_addon_kafka_heap_used','堆内存使用','addon_java_memory','{\"avg.HeapMemoryUsage_used\":{\"label\": \"堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"jolokia_host\"}','kafka',1,''),(288,'system_addon_kafka_non_heap_used','非堆内存使用','addon_java_memory','{\"avg.NonHeapMemoryUsage_used\":{\"label\": \"非堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"jolokia_host\"}','kafka',2,''),(289,'system_addon_kafka_gc','老年代GC次数','addon_java_garbagecollector','{\"diffps.CollectionCount\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}','kafka',3,''),(290,'system_addon_kafka_old_gc_time','老年代GC累计耗时','addon_java_garbagecollector','{\"max.CollectionTime\":{ \"label\":\"GC累计耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}','kafka',4,'ms'),(291,'system_addon_kafka_lag','Topic消费堆积','kafka_consumer','{\"avg.topic\":{ \"label\":\"消息堆积数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','{\"group\":\"((doc%5B\"tags.topic\"%5D.value%20%2B\"%2F\"%2Bdoc%5B\"tags.group\"%5D.value))\"}','kafka',5,''),(292,'system_addon_kafka_produce_rate','Topic生产速度','kafka_consumer','{\"avg.produce_rate_per_sec\":{ \"label\":\"生产速度\", \"unit\": \"/s\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','{\"group\":\"topic\"}','kafka',6,''),(293,'system_addon_kafka_consume_rate','Topic消费速度','kafka_consumer','{\"avg.consume_rate_per_sec\":{ \"label\":\"消费速度\", \"unit\": \"/s\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','{\"group\":\"((doc%5B\"tags.topic\"%5D.value%20%2B\"%2F\"%2Bdoc%5B\"tags.group\"%5D.value))\"}','kafka',7,''),(294,'system_addon_cassandra_heap_used','堆内存使用','addon_java_memory','{\"avg.HeapMemoryUsage_used\":{\"label\": \"堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"jolokia_host\"}','cassandra',1,''),(295,'system_addon_cassandra_non_heap_used','非堆内存使用','addon_java_memory','{\"avg.NonHeapMemoryUsage_used\":{\"label\": \"非堆内存使用\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"jolokia_host\"}','cassandra',2,''),(296,'system_addon_cassandra_gc','老年代GC次数','addon_java_garbagecollector','{\"diffps.CollectionCount\":{\"label\": \"\",\"unit\":\"次/s\",\"unit_type\":\"NPS\",\"chart_type\":\"line\",\"axis_index\": 0}}','{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}','cassandra',3,''),(297,'system_addon_cassandra_old_gc_time','老年代GC累计耗时','addon_java_garbagecollector','{\"max.CollectionTime\":{ \"label\":\"GC累计耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','{\"group\":\"jolokia_host\", \"match_name\": \"*Old*\"}','cassandra',4,'ms'),(298,'system_etcd_resident_memory','常驻内存','etcd','{\"avg.process_resident_memory_bytes\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"url_host\"}','etcd',1,''),(299,'system_etcd_virtual_memory','虚拟内存','etcd','{\"avg.process_virtual_memory_bytes\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"url_host\"}','etcd',2,''),(300,'system_etcd_process_open_fds','打开的文件数','etcd','{\"max.process_open_fds\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"url_host\"}','etcd',3,''),(301,'system_etcd_http_request_size_total','HTTP QPS','etcd','{\"uprate.count\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"url_host\",\"filter_prom_metric\":\"http_request_size_bytes\",\"filter_prom_metric_type\":\"summary\"}','etcd',4,''),(302,'system_etcd_http_request_size','HTTP累计请求大小','etcd','{\"max.sum\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"url_host\",\"filter_prom_metric\":\"http_request_size_bytes\",\"filter_prom_metric_type\":\"summary\"}','etcd',5,''),(303,'system_etcd_response_size','HTTP累计响应大小','etcd','{\"max.sum\":{\"label\": \"\",\"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"url_host\",\"filter_prom_metric\":\"http_response_size_bytes\",\"filter_prom_metric_type\":\"summary\"}','etcd',6,''),(304,'system_etcd_grpc_server_started_total','GRPC接收请求数','etcd','{\"max.grpc_server_started_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}','etcd',7,''),(305,'system_etcd_grpc_server_handled_total','GRPC完成请求数','etcd','{\"max.grpc_server_handled_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}','etcd',8,''),(306,'system_etcd_grpc_server_msg_received_total','GRPC接收消息数','etcd','{\"max.grpc_server_msg_received_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}','etcd',10,''),(307,'system_etcd_grpc_server_msg_sent_total','GRPC发送消息数','etcd','{\"max.grpc_server_msg_sent_total\":{\"label\": \"\",\"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0}}','{\"group\":\"(doc[\'tags.url_host\'].value + \'/\' + doc[\'tags.grpc_method\'].value)\"}','etcd',11,'');
/*!40000 ALTER TABLE `chart_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_v3_build_artifacts`
--

DROP TABLE IF EXISTS `ci_v3_build_artifacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ci_v3_build_artifacts` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                         `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                         `sha_256` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '构建产物的 SHA256',
                                         `identity_text` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '构建产物用于计算 SHA256 的唯一标识内容',
                                         `type` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '构建产物类型',
                                         `content` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '构建产物的内容',
                                         `cluster_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '集群名',
                                         `pipeline_id` bigint(20) NOT NULL COMMENT '关联的流水线 ID',
                                         PRIMARY KEY (`id`),
                                         UNIQUE KEY `sha_256` (`sha_256`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='buildpack action 使用的构建产物表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_v3_build_artifacts`
--

LOCK TABLES `ci_v3_build_artifacts` WRITE;
/*!40000 ALTER TABLE `ci_v3_build_artifacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `ci_v3_build_artifacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ci_v3_build_caches`
--

DROP TABLE IF EXISTS `ci_v3_build_caches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ci_v3_build_caches` (
                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                      `name` varchar(200) DEFAULT NULL COMMENT '缓存名',
                                      `cluster_name` varchar(200) DEFAULT NULL COMMENT '集群名',
                                      `last_pull_at` datetime DEFAULT NULL COMMENT '缓存最近一次被拉取的时间',
                                      `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                      `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                      `deleted_at` datetime DEFAULT NULL COMMENT '删除时间',
                                      PRIMARY KEY (`id`),
                                      KEY `idx_name` (`name`),
                                      KEY `idx_cluster_name` (`cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='buildpack action 使用的构建缓存';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ci_v3_build_caches`
--

LOCK TABLES `ci_v3_build_caches` WRITE;
/*!40000 ALTER TABLE `ci_v3_build_caches` DISABLE KEYS */;
/*!40000 ALTER TABLE `ci_v3_build_caches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cloud_resource_routing`
--

DROP TABLE IF EXISTS `cloud_resource_routing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cloud_resource_routing` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                          `created_at` timestamp NULL DEFAULT NULL,
                                          `updated_at` timestamp NULL DEFAULT NULL,
                                          `resource_id` varchar(128) DEFAULT NULL COMMENT '云资源id',
                                          `resource_name` varchar(64) DEFAULT NULL COMMENT '云资源名称',
                                          `resource_type` varchar(32) DEFAULT NULL COMMENT '云资源类型',
                                          `vendor` varchar(32) DEFAULT NULL COMMENT '云服务提供商',
                                          `org_id` varchar(64) DEFAULT NULL COMMENT 'org id',
                                          `cluster_name` varchar(64) DEFAULT NULL COMMENT '集群名',
                                          `project_id` varchar(64) DEFAULT NULL COMMENT '引用云资源的项目id',
                                          `addon_id` varchar(64) DEFAULT NULL COMMENT '引用云资源的addon_id',
                                          `status` varchar(16) DEFAULT NULL COMMENT '引用状态',
                                          `record_id` bigint(20) unsigned DEFAULT NULL,
                                          `detail` text,
                                          PRIMARY KEY (`id`),
                                          KEY `idx_cloud_resource_routing_resource_id` (`resource_id`),
                                          KEY `idx_cloud_resource_routing_project_id` (`project_id`),
                                          KEY `idx_cloud_resource_routing_record_id` (`record_id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COMMENT='云addon关联的云资源信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cloud_resource_routing`
--

LOCK TABLES `cloud_resource_routing` WRITE;
/*!40000 ALTER TABLE `cloud_resource_routing` DISABLE KEYS */;
/*!40000 ALTER TABLE `cloud_resource_routing` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cm_containers`
--

DROP TABLE IF EXISTS `cm_containers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cm_containers` (
                                 `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                 `created_at` timestamp NULL DEFAULT NULL,
                                 `updated_at` timestamp NULL DEFAULT NULL,
                                 `container_id` varchar(64) DEFAULT NULL,
                                 `deleted` tinyint(1) DEFAULT NULL,
                                 `started_at` varchar(255) DEFAULT NULL,
                                 `finished_at` varchar(255) DEFAULT NULL,
                                 `exit_code` int(11) DEFAULT NULL,
                                 `privileged` tinyint(1) DEFAULT NULL,
                                 `cluster` varchar(255) DEFAULT NULL,
                                 `host_private_ip_addr` varchar(255) DEFAULT NULL,
                                 `ip_address` varchar(255) DEFAULT NULL,
                                 `image` varchar(255) DEFAULT NULL,
                                 `cpu` double DEFAULT NULL,
                                 `memory` bigint(20) DEFAULT NULL,
                                 `disk` bigint(20) DEFAULT NULL,
                                 `dice_org` varchar(255) DEFAULT NULL,
                                 `dice_project` varchar(40) DEFAULT NULL,
                                 `dice_application` varchar(255) DEFAULT NULL,
                                 `dice_runtime` varchar(40) DEFAULT NULL,
                                 `dice_service` varchar(255) DEFAULT NULL,
                                 `edas_app_id` varchar(64) DEFAULT NULL,
                                 `edas_app_name` varchar(128) DEFAULT NULL,
                                 `edas_group_id` varchar(64) DEFAULT NULL,
                                 `dice_project_name` varchar(255) DEFAULT NULL,
                                 `dice_application_name` varchar(255) DEFAULT NULL,
                                 `dice_runtime_name` varchar(255) DEFAULT NULL,
                                 `dice_component` varchar(255) DEFAULT NULL,
                                 `dice_addon` varchar(255) DEFAULT NULL,
                                 `dice_addon_name` varchar(255) DEFAULT NULL,
                                 `dice_workspace` varchar(255) DEFAULT NULL,
                                 `dice_shared_level` varchar(255) DEFAULT NULL,
                                 `status` varchar(255) DEFAULT NULL,
                                 `time_stamp` bigint(20) DEFAULT NULL,
                                 `task_id` varchar(180) DEFAULT NULL,
                                 PRIMARY KEY (`id`),
                                 KEY `idx_project_id` (`dice_project`),
                                 KEY `idx_runtime_id` (`dice_runtime`),
                                 KEY `idx_edas_app_id` (`edas_app_id`),
                                 KEY `task_id` (`task_id`),
                                 KEY `container_id` (`container_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='容器实例元数据';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cm_containers`
--

LOCK TABLES `cm_containers` WRITE;
/*!40000 ALTER TABLE `cm_containers` DISABLE KEYS */;
/*!40000 ALTER TABLE `cm_containers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cm_deployments`
--

DROP TABLE IF EXISTS `cm_deployments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cm_deployments` (
                                  `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                  `created_at` timestamp NULL DEFAULT NULL,
                                  `updated_at` timestamp NULL DEFAULT NULL,
                                  `org_id` bigint(20) unsigned DEFAULT NULL,
                                  `project_id` bigint(20) unsigned DEFAULT NULL,
                                  `application_id` bigint(20) unsigned DEFAULT NULL,
                                  `pipeline_id` bigint(20) unsigned DEFAULT NULL,
                                  `task_id` bigint(20) unsigned DEFAULT NULL,
                                  `queue_time_sec` bigint(20) DEFAULT NULL,
                                  `cost_time_sec` bigint(20) DEFAULT NULL,
                                  `project_name` varchar(255) DEFAULT NULL,
                                  `application_name` varchar(255) DEFAULT NULL,
                                  `task_name` varchar(255) DEFAULT NULL,
                                  `status` varchar(255) DEFAULT NULL,
                                  `env` varchar(255) DEFAULT NULL,
                                  `cluster_name` varchar(255) DEFAULT NULL,
                                  `user_id` varchar(255) DEFAULT NULL,
                                  `runtime_id` varchar(255) DEFAULT NULL,
                                  `release_id` varchar(255) DEFAULT NULL,
                                  PRIMARY KEY (`id`),
                                  KEY `org_id` (`org_id`),
                                  KEY `idx_task_id` (`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='部署的服务信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cm_deployments`
--

LOCK TABLES `cm_deployments` WRITE;
/*!40000 ALTER TABLE `cm_deployments` DISABLE KEYS */;
/*!40000 ALTER TABLE `cm_deployments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cm_hosts`
--

DROP TABLE IF EXISTS `cm_hosts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cm_hosts` (
                            `id` bigint(20) NOT NULL AUTO_INCREMENT,
                            `created_at` timestamp NULL DEFAULT NULL,
                            `updated_at` timestamp NULL DEFAULT NULL,
                            `name` varchar(255) DEFAULT NULL,
                            `org_name` varchar(100) DEFAULT NULL,
                            `cluster` varchar(100) DEFAULT NULL,
                            `private_addr` varchar(255) DEFAULT NULL,
                            `cpus` double DEFAULT NULL,
                            `cpu_usage` double DEFAULT NULL,
                            `memory` bigint(20) DEFAULT NULL,
                            `memory_usage` bigint(20) DEFAULT NULL,
                            `disk` bigint(20) DEFAULT NULL,
                            `disk_usage` bigint(20) DEFAULT NULL,
                            `load5` double DEFAULT NULL,
                            `labels` varchar(255) DEFAULT NULL,
                            `os` varchar(255) DEFAULT NULL,
                            `kernel_version` varchar(255) DEFAULT NULL,
                            `system_time` varchar(255) DEFAULT NULL,
                            `birthday` bigint(20) DEFAULT NULL,
                            `time_stamp` bigint(20) DEFAULT NULL,
                            `deleted` tinyint(1) DEFAULT NULL,
                            PRIMARY KEY (`id`),
                            KEY `org_name` (`org_name`),
                            KEY `cluster` (`cluster`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='主机元数据';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cm_hosts`
--

LOCK TABLES `cm_hosts` WRITE;
/*!40000 ALTER TABLE `cm_hosts` DISABLE KEYS */;
/*!40000 ALTER TABLE `cm_hosts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cm_jobs`
--

DROP TABLE IF EXISTS `cm_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cm_jobs` (
                           `id` bigint(20) NOT NULL AUTO_INCREMENT,
                           `created_at` timestamp NULL DEFAULT NULL,
                           `updated_at` timestamp NULL DEFAULT NULL,
                           `org_id` bigint(20) unsigned DEFAULT NULL,
                           `project_id` bigint(20) unsigned DEFAULT NULL,
                           `application_id` bigint(20) unsigned DEFAULT NULL,
                           `pipeline_id` bigint(20) unsigned DEFAULT NULL,
                           `task_id` bigint(20) unsigned DEFAULT NULL,
                           `queue_time_sec` bigint(20) DEFAULT NULL,
                           `cost_time_sec` bigint(20) DEFAULT NULL,
                           `project_name` varchar(255) DEFAULT NULL,
                           `application_name` varchar(255) DEFAULT NULL,
                           `task_name` varchar(255) DEFAULT NULL,
                           `status` varchar(255) DEFAULT NULL,
                           `env` varchar(255) DEFAULT NULL,
                           `cluster_name` varchar(255) DEFAULT NULL,
                           `task_type` varchar(255) DEFAULT NULL,
                           `user_id` varchar(255) DEFAULT NULL,
                           PRIMARY KEY (`id`),
                           KEY `org_id` (`org_id`),
                           KEY `idx_task_id` (`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='运行的job信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cm_jobs`
--

LOCK TABLES `cm_jobs` WRITE;
/*!40000 ALTER TABLE `cm_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `cm_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `co_clusters`
--

DROP TABLE IF EXISTS `co_clusters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `co_clusters` (
                               `id` int(11) NOT NULL AUTO_INCREMENT,
                               `org_id` int(11) NOT NULL,
                               `name` varchar(41) NOT NULL,
                               `display_name` varchar(255) NOT NULL DEFAULT '',
                               `type` enum('dcos','edas','k8s','localdocker','swarm') NOT NULL,
                               `cloud_vendor` varchar(255) NOT NULL DEFAULT '',
                               `logo` text NOT NULL,
                               `description` text NOT NULL,
                               `wildcard_domain` varchar(255) NOT NULL DEFAULT '',
                               `config` text,
                               `urls` text,
                               `settings` text,
                               `scheduler` text,
                               `opsconfig` text COMMENT 'OPS配置',
                               `resource` text,
                               `sys` text,
                               `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
                               `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                               PRIMARY KEY (`id`),
                               UNIQUE KEY `co_clusters_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='集群详细配置信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `co_clusters`
--

LOCK TABLES `co_clusters` WRITE;
/*!40000 ALTER TABLE `co_clusters` DISABLE KEYS */;
/*!40000 ALTER TABLE `co_clusters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_access`
--

DROP TABLE IF EXISTS `dice_api_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_access` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                   `asset_id` varchar(191) DEFAULT NULL COMMENT 'asset id',
                                   `asset_name` varchar(191) DEFAULT NULL COMMENT 'asset name',
                                   `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                   `swagger_version` varchar(16) DEFAULT NULL COMMENT 'swagger version',
                                   `major` int(11) DEFAULT NULL COMMENT 'version major number',
                                   `minor` int(11) DEFAULT NULL COMMENT 'version minor number',
                                   `project_id` bigint(20) DEFAULT NULL COMMENT 'project id',
                                   `app_id` bigint(20) DEFAULT NULL COMMENT 'application id',
                                   `workspace` varchar(32) DEFAULT NULL COMMENT 'DEV, TEST, STAGING, PROD',
                                   `endpoint_id` varchar(32) DEFAULT NULL COMMENT 'gateway endpoint id',
                                   `authentication` varchar(32) DEFAULT NULL COMMENT 'api-key, parameter-sign, auth2',
                                   `authorization` varchar(32) DEFAULT NULL COMMENT 'auto, manual',
                                   `addon_instance_id` varchar(128) DEFAULT NULL COMMENT 'addon instance id',
                                   `bind_domain` varchar(256) DEFAULT NULL COMMENT 'bind domains',
                                   `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator user id',
                                   `updater_id` varchar(191) DEFAULT NULL COMMENT 'updater user id',
                                   `created_at` datetime DEFAULT NULL COMMENT 'created datetime',
                                   `updated_at` datetime DEFAULT NULL COMMENT 'last updated datetime',
                                   `project_name` varchar(191) DEFAULT NULL COMMENT 'project name',
                                   `app_name` varchar(191) DEFAULT NULL COMMENT 'app name',
                                   `default_sla_id` bigint(20) DEFAULT NULL COMMENT 'default SLA id',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市资源访问管理表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_access`
--

LOCK TABLES `dice_api_access` WRITE;
/*!40000 ALTER TABLE `dice_api_access` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_access` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_asset_version_instances`
--

DROP TABLE IF EXISTS `dice_api_asset_version_instances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_asset_version_instances` (
                                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                                    `name` varchar(191) DEFAULT NULL COMMENT '实例名',
                                                    `asset_id` varchar(191) DEFAULT NULL COMMENT 'API 集市资源 id',
                                                    `version_id` bigint(20) DEFAULT NULL COMMENT 'dice_api_asset_versions primary key',
                                                    `type` varchar(32) DEFAULT NULL COMMENT '实例类型',
                                                    `runtime_id` bigint(20) DEFAULT NULL COMMENT 'runtime id',
                                                    `service_name` varchar(191) DEFAULT NULL COMMENT '服务名称',
                                                    `endpoint_id` varchar(191) DEFAULT NULL COMMENT '流量入口 endpoint id',
                                                    `url` varchar(1024) DEFAULT NULL COMMENT '实例 url',
                                                    `creator_id` varchar(191) DEFAULT NULL COMMENT '创建者 user id',
                                                    `updater_id` varchar(191) DEFAULT NULL COMMENT '更新者 user id',
                                                    `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                    `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                    `swagger_version` varchar(16) DEFAULT NULL COMMENT 'swagger version',
                                                    `major` int(11) DEFAULT NULL COMMENT 'major',
                                                    `minor` int(11) DEFAULT NULL COMMENT 'minor',
                                                    `project_id` bigint(20) DEFAULT NULL COMMENT 'project id',
                                                    `app_id` bigint(20) DEFAULT NULL COMMENT 'application id',
                                                    `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                                    `workspace` varchar(16) DEFAULT NULL COMMENT 'env',
                                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='特定版本的 API 集市资源绑定的实例表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_asset_version_instances`
--

LOCK TABLES `dice_api_asset_version_instances` WRITE;
/*!40000 ALTER TABLE `dice_api_asset_version_instances` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_asset_version_instances` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_asset_version_specs`
--

DROP TABLE IF EXISTS `dice_api_asset_version_specs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_asset_version_specs` (
                                                `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                                `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                                `asset_id` varchar(191) DEFAULT NULL COMMENT 'API 集市资源 id',
                                                `version_id` bigint(20) DEFAULT NULL COMMENT 'dice_api_asset_versions primary key',
                                                `spec_protocol` varchar(32) DEFAULT NULL COMMENT 'swagger protocol',
                                                `spec` longtext COMMENT 'swagger text',
                                                `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator user id',
                                                `updater_id` varchar(191) DEFAULT NULL COMMENT 'updater user id',
                                                `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                `asset_name` varchar(191) DEFAULT NULL COMMENT 'asset name',
                                                PRIMARY KEY (`id`),
                                                FULLTEXT KEY `ft_specs` (`spec`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='特定版本的 API 集市资源的 swagger specification 内容';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_asset_version_specs`
--

LOCK TABLES `dice_api_asset_version_specs` WRITE;
/*!40000 ALTER TABLE `dice_api_asset_version_specs` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_asset_version_specs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_asset_versions`
--

DROP TABLE IF EXISTS `dice_api_asset_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_asset_versions` (
                                           `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                           `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                           `asset_id` varchar(191) DEFAULT NULL COMMENT 'API 集市资源 id',
                                           `major` int(11) DEFAULT NULL COMMENT 'version major number',
                                           `minor` int(11) DEFAULT NULL COMMENT 'version minor number',
                                           `patch` int(11) DEFAULT NULL COMMENT 'version patch number',
                                           `desc` varchar(1024) DEFAULT NULL COMMENT 'description',
                                           `spec_protocol` varchar(32) DEFAULT NULL COMMENT 'swagger protocol',
                                           `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator user id',
                                           `updater_id` varchar(191) DEFAULT NULL COMMENT 'updater user id',
                                           `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                           `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                           `swagger_version` varchar(16) DEFAULT NULL COMMENT '用户自定义的版本号, 相当于一个 tag',
                                           `asset_name` varchar(191) DEFAULT NULL COMMENT 'asset name',
                                           `deprecated` tinyint(1) DEFAULT '0' COMMENT 'is the asset version deprecated',
                                           `source` varchar(16) NOT NULL COMMENT '该版本文档来源',
                                           `app_id` bigint(20) NOT NULL COMMENT '应用 id',
                                           `branch` varchar(191) NOT NULL COMMENT '分支名',
                                           `service_name` varchar(191) NOT NULL COMMENT '服务名',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市资源的版本列表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_asset_versions`
--

LOCK TABLES `dice_api_asset_versions` WRITE;
/*!40000 ALTER TABLE `dice_api_asset_versions` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_asset_versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_assets`
--

DROP TABLE IF EXISTS `dice_api_assets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_assets` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                   `asset_id` varchar(191) DEFAULT NULL COMMENT 'API 集市资源 id',
                                   `asset_name` varchar(191) DEFAULT NULL COMMENT '集市名称',
                                   `desc` varchar(1024) DEFAULT NULL COMMENT '描述信息',
                                   `logo` varchar(1024) DEFAULT NULL COMMENT 'logo 地址',
                                   `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                   `project_id` bigint(20) DEFAULT NULL COMMENT '项目 id',
                                   `app_id` bigint(20) DEFAULT NULL COMMENT '应用 id',
                                   `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator user id',
                                   `updater_id` varchar(191) DEFAULT NULL COMMENT 'updater user id',
                                   `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                   `public` tinyint(1) DEFAULT '0' COMMENT 'public',
                                   `cur_version_id` bigint(20) DEFAULT NULL COMMENT 'latest version id',
                                   `cur_major` int(11) DEFAULT NULL COMMENT 'latest version major',
                                   `cur_minor` int(11) DEFAULT NULL COMMENT 'latest version minor',
                                   `cur_patch` int(11) DEFAULT NULL COMMENT 'latest version patch',
                                   `project_name` varchar(191) DEFAULT NULL COMMENT 'project name',
                                   `app_name` varchar(191) DEFAULT NULL COMMENT 'app name',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市资源表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_assets`
--

LOCK TABLES `dice_api_assets` WRITE;
/*!40000 ALTER TABLE `dice_api_assets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_assets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_clients`
--

DROP TABLE IF EXISTS `dice_api_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_clients` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                    `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                    `name` varchar(64) DEFAULT NULL COMMENT 'client name',
                                    `desc` varchar(1024) DEFAULT NULL COMMENT 'describe',
                                    `client_id` varchar(32) DEFAULT NULL COMMENT 'client id',
                                    `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator user id',
                                    `updater_id` varchar(191) DEFAULT NULL COMMENT 'updater user id',
                                    `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                    `alias_name` varchar(64) DEFAULT NULL COMMENT 'alias name',
                                    `display_name` varchar(191) DEFAULT NULL COMMENT 'client display name',
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市资源访问管理表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_clients`
--

LOCK TABLES `dice_api_clients` WRITE;
/*!40000 ALTER TABLE `dice_api_clients` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_contract_records`
--

DROP TABLE IF EXISTS `dice_api_contract_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_contract_records` (
                                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                             `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                             `contract_id` bigint(20) DEFAULT NULL COMMENT 'dice_api_contracts primary key',
                                             `action` varchar(64) DEFAULT NULL COMMENT 'operation describe',
                                             `creator_id` varchar(191) DEFAULT NULL COMMENT 'operation user id',
                                             `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                             `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市资源访问管理合约操作记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_contract_records`
--

LOCK TABLES `dice_api_contract_records` WRITE;
/*!40000 ALTER TABLE `dice_api_contract_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_contract_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_contracts`
--

DROP TABLE IF EXISTS `dice_api_contracts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_contracts` (
                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                      `asset_id` varchar(191) DEFAULT NULL COMMENT 'asset id',
                                      `asset_name` varchar(191) DEFAULT NULL COMMENT 'asset name',
                                      `org_id` bigint(20) DEFAULT NULL COMMENT 'organization id',
                                      `swagger_version` varchar(16) DEFAULT NULL COMMENT 'swagger version',
                                      `client_id` bigint(20) DEFAULT NULL COMMENT 'primary key of table dice_api_client',
                                      `status` varchar(16) DEFAULT NULL COMMENT 'proved:已授权, proving:待审批, disproved:已撤销',
                                      `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator user id',
                                      `updater_id` varchar(191) DEFAULT NULL COMMENT 'updater user id',
                                      `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                      `cur_sla_id` bigint(20) DEFAULT NULL COMMENT 'contract current SLA id',
                                      `request_sla_id` bigint(20) DEFAULT NULL COMMENT 'contract request SLA',
                                      `sla_committed_at` datetime DEFAULT NULL COMMENT 'current SLA committed time',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市资源访问管理合约表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_contracts`
--

LOCK TABLES `dice_api_contracts` WRITE;
/*!40000 ALTER TABLE `dice_api_contracts` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_contracts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_doc_lock`
--

DROP TABLE IF EXISTS `dice_api_doc_lock`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_doc_lock` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                     `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                     `session_id` char(36) NOT NULL COMMENT '会话标识',
                                     `is_locked` tinyint(1) NOT NULL DEFAULT '0' COMMENT '会话所有者是否持有文档锁',
                                     `expired_at` datetime NOT NULL COMMENT '会话过期时间',
                                     `application_id` bigint(20) NOT NULL COMMENT '应用 id',
                                     `branch_name` varchar(191) NOT NULL COMMENT '分支名',
                                     `doc_name` varchar(191) NOT NULL COMMENT '文档名, 也即服务名',
                                     `creator_id` varchar(191) NOT NULL COMMENT '创建者 id',
                                     `updater_id` varchar(191) NOT NULL COMMENT '更新者 id',
                                     PRIMARY KEY (`id`),
                                     UNIQUE KEY `uk_doc` (`application_id`,`branch_name`,`doc_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 设计中心文档锁表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_doc_lock`
--

LOCK TABLES `dice_api_doc_lock` WRITE;
/*!40000 ALTER TABLE `dice_api_doc_lock` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_doc_lock` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_doc_tmp_content`
--

DROP TABLE IF EXISTS `dice_api_doc_tmp_content`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_doc_tmp_content` (
                                            `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                            `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'created time',
                                            `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'updated time',
                                            `application_id` bigint(20) NOT NULL COMMENT '应用 id',
                                            `branch_name` varchar(191) NOT NULL COMMENT '分支名',
                                            `doc_name` varchar(64) NOT NULL COMMENT '文档名',
                                            `content` longtext NOT NULL COMMENT 'API doc text',
                                            `creator_id` varchar(191) NOT NULL COMMENT 'creator id',
                                            `updater_id` varchar(191) NOT NULL COMMENT 'updater id',
                                            PRIMARY KEY (`id`),
                                            UNIQUE KEY `uk_inode` (`application_id`,`branch_name`,`doc_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 设计中心文档临时存储表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_doc_tmp_content`
--

LOCK TABLES `dice_api_doc_tmp_content` WRITE;
/*!40000 ALTER TABLE `dice_api_doc_tmp_content` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_doc_tmp_content` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_oas3_fragment`
--

DROP TABLE IF EXISTS `dice_api_oas3_fragment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_oas3_fragment` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                          `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'created time',
                                          `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'updated time',
                                          `index_id` bigint(20) NOT NULL COMMENT 'dice_api_oas3_index primary key',
                                          `version_id` bigint(20) NOT NULL COMMENT 'asset version primary key',
                                          `operation` text NOT NULL COMMENT '.paths.{path}.{method}.parameters, 序列化了的 parameters JSON 片段',
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市 oas3 片段表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_oas3_fragment`
--

LOCK TABLES `dice_api_oas3_fragment` WRITE;
/*!40000 ALTER TABLE `dice_api_oas3_fragment` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_oas3_fragment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_oas3_index`
--

DROP TABLE IF EXISTS `dice_api_oas3_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_oas3_index` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                       `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'created time',
                                       `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'updated time',
                                       `asset_id` varchar(191) NOT NULL COMMENT 'asset id',
                                       `asset_name` varchar(191) NOT NULL COMMENT 'asset name',
                                       `info_version` varchar(191) NOT NULL COMMENT '.info.version value, 也即 swaggerVersion',
                                       `version_id` bigint(20) NOT NULL COMMENT 'asset version primary key',
                                       `path` varchar(191) NOT NULL COMMENT '.paths.{path}',
                                       `method` varchar(16) NOT NULL COMMENT '.paths.{path}.{method}',
                                       `operation_id` varchar(191) NOT NULL COMMENT '.paths.{path}.{method}.operationId',
                                       `description` text NOT NULL COMMENT '.path.{path}.{method}.description',
                                       PRIMARY KEY (`id`),
                                       UNIQUE KEY `uk_path_method` (`version_id`,`path`,`method`) COMMENT '同一文档下, path + method 确定一个接口'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市 operation 搜索索引表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_oas3_index`
--

LOCK TABLES `dice_api_oas3_index` WRITE;
/*!40000 ALTER TABLE `dice_api_oas3_index` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_oas3_index` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_sla_limits`
--

DROP TABLE IF EXISTS `dice_api_sla_limits`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_sla_limits` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                       `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                       `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator id',
                                       `updater_id` varchar(191) DEFAULT NULL COMMENT 'creator id',
                                       `sla_id` bigint(20) DEFAULT NULL COMMENT 'SLA model id',
                                       `limit` bigint(20) DEFAULT NULL COMMENT 'request limit',
                                       `unit` varchar(16) DEFAULT NULL COMMENT 's: second, m: minute, h: hour, d: day',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市访问管理 SLA 限制条件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_sla_limits`
--

LOCK TABLES `dice_api_sla_limits` WRITE;
/*!40000 ALTER TABLE `dice_api_sla_limits` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_sla_limits` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_slas`
--

DROP TABLE IF EXISTS `dice_api_slas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_slas` (
                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                                 `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                 `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                 `creator_id` varchar(191) DEFAULT NULL COMMENT 'creator id',
                                 `updater_id` varchar(191) DEFAULT NULL COMMENT 'creator id',
                                 `name` varchar(191) DEFAULT NULL COMMENT 'SLA name',
                                 `desc` varchar(1024) DEFAULT NULL COMMENT 'description',
                                 `approval` varchar(16) DEFAULT NULL COMMENT 'auto, manual',
                                 `access_id` bigint(20) DEFAULT NULL COMMENT 'access id',
                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='API 集市访问管理 Service Level Agreements 表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_slas`
--

LOCK TABLES `dice_api_slas` WRITE;
/*!40000 ALTER TABLE `dice_api_slas` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_slas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_test`
--

DROP TABLE IF EXISTS `dice_api_test`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_test` (
                                 `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                 `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                 `usecase_id` int(11) DEFAULT NULL COMMENT '所属用例 ID',
                                 `usecase_order` int(11) DEFAULT NULL COMMENT '接口顺序',
                                 `status` varchar(16) DEFAULT NULL COMMENT '接口执行状态',
                                 `api_info` text COMMENT 'API 信息',
                                 `api_request` longtext COMMENT 'API 请求体',
                                 `api_response` longtext COMMENT 'API 响应',
                                 `assert_result` text COMMENT '断言接口',
                                 `project_id` int(11) DEFAULT NULL COMMENT '项目 ID',
                                 `pipeline_id` int(11) DEFAULT NULL COMMENT '关联的流水线 ID',
                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='手动测试-接口信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_test`
--

LOCK TABLES `dice_api_test` WRITE;
/*!40000 ALTER TABLE `dice_api_test` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_test` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_api_test_env`
--

DROP TABLE IF EXISTS `dice_api_test_env`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_api_test_env` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                     `created_at` timestamp NULL DEFAULT NULL COMMENT '创建时间',
                                     `updated_at` timestamp NULL DEFAULT NULL COMMENT '更新时间',
                                     `env_id` int(11) NOT NULL COMMENT '环境 ID',
                                     `env_type` varchar(64) DEFAULT NULL COMMENT '环境类型，分为项目级和用例级',
                                     `name` varchar(255) DEFAULT NULL COMMENT '配置名',
                                     `domain` varchar(255) DEFAULT NULL COMMENT '域名',
                                     `header` text COMMENT '公共请求头',
                                     `global` text COMMENT '全局变量配置',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='手动测试-接口测试-环境配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_api_test_env`
--

LOCK TABLES `dice_api_test_env` WRITE;
/*!40000 ALTER TABLE `dice_api_test_env` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_api_test_env` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_app`
--

DROP TABLE IF EXISTS `dice_app`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_app` (
                            `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键 ID',
                            `name` varchar(50) NOT NULL DEFAULT '' COMMENT '名称',
                            `logo` varchar(512) DEFAULT NULL COMMENT '图标',
                            `desc` varchar(2048) DEFAULT NULL COMMENT '描述',
                            `public` tinyint(1) DEFAULT NULL COMMENT '是否公开',
                            `org_id` bigint(20) NOT NULL COMMENT '所属组织',
                            `solution_id` bigint(20) DEFAULT NULL COMMENT '解决方案id',
                            `solution_name` varchar(100) DEFAULT NULL COMMENT '解决方案 名称',
                            `capacity_plan_id` bigint(20) DEFAULT NULL COMMENT '解决方案 对应容量方案 id',
                            `source_group` varchar(200) DEFAULT NULL COMMENT '代码工程所在的 git group,  方案中应用都会在这个group下。',
                            `creator` varchar(255) DEFAULT NULL COMMENT '创建者',
                            `created_at` datetime NOT NULL COMMENT '创建时间',
                            `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                            `git_repo` varchar(200) DEFAULT NULL COMMENT 'git repo 地址',
                            `git_repo_abbrev` varchar(200) DEFAULT NULL COMMENT 'git repo 精简地址',
                            `cluster_id` bigint(20) DEFAULT NULL COMMENT '废弃字段',
                            `quota` varchar(255) DEFAULT NULL COMMENT '废弃字段',
                            `version` varchar(128) DEFAULT NULL COMMENT 'schema 版本',
                            `project_id` bigint(20) DEFAULT NULL COMMENT 'the real projectId',
                            `config` varchar(2048) DEFAULT NULL COMMENT '应用配置',
                            `mode` varchar(125) DEFAULT NULL COMMENT 'application mode',
                            `extra` varchar(4096) DEFAULT NULL COMMENT '扩展字段',
                            `project_name` varchar(128) DEFAULT NULL COMMENT '项目名称',
                            `display_name` varchar(64) DEFAULT NULL COMMENT '应用展示名称',
                            `is_external_repo` tinyint(1) DEFAULT '0',
                            `repo_config` text,
                            `unblock_start` timestamp NULL DEFAULT NULL COMMENT '解封开始时间',
                            `unblock_end` timestamp NULL DEFAULT NULL COMMENT '解封结束时间',
                            PRIMARY KEY (`id`),
                            KEY `idx_project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='应用信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_app`
--

LOCK TABLES `dice_app` WRITE;
/*!40000 ALTER TABLE `dice_app` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_app_certificates`
--

DROP TABLE IF EXISTS `dice_app_certificates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_app_certificates` (
                                         `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `app_id` bigint(20) NOT NULL COMMENT '所属应用',
                                         `certificate_id` bigint(20) NOT NULL COMMENT '证书',
                                         `status` varchar(45) NOT NULL DEFAULT '' COMMENT '证书审批状态',
                                         `operator` varchar(255) DEFAULT NULL COMMENT '操作者',
                                         `push_config` text COMMENT '证书推送信息',
                                         `created_at` datetime NOT NULL COMMENT '创建时间',
                                         `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                         `approval_id` bigint(20) NOT NULL COMMENT '审批ID',
                                         PRIMARY KEY (`id`),
                                         KEY `certificate_id` (`certificate_id`),
                                         KEY `app_id` (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='应用证书信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_app_certificates`
--

LOCK TABLES `dice_app_certificates` WRITE;
/*!40000 ALTER TABLE `dice_app_certificates` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_app_certificates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_app_publish_item_relation`
--

DROP TABLE IF EXISTS `dice_app_publish_item_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_app_publish_item_relation` (
                                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                  `app_id` bigint(20) NOT NULL COMMENT '应用ID',
                                                  `publish_item_id` bigint(20) NOT NULL COMMENT '发布内容ID',
                                                  `env` varchar(100) NOT NULL DEFAULT '' COMMENT '环境',
                                                  `creator` varchar(255) NOT NULL DEFAULT '' COMMENT '创建用户',
                                                  `created_at` datetime NOT NULL COMMENT '创建时间',
                                                  `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                                  `ak` varchar(64) DEFAULT NULL COMMENT '监控AK',
                                                  `ai` varchar(50) DEFAULT NULL COMMENT '监控AI,一般是应用名',
                                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='应用发布关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_app_publish_item_relation`
--

LOCK TABLES `dice_app_publish_item_relation` WRITE;
/*!40000 ALTER TABLE `dice_app_publish_item_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_app_publish_item_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_approves`
--

DROP TABLE IF EXISTS `dice_approves`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_approves` (
                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `org_id` bigint(20) NOT NULL COMMENT '所属企业',
                                 `title` varchar(255) NOT NULL DEFAULT '' COMMENT '审批标题',
                                 `target_id` bigint(20) NOT NULL COMMENT '审批对象',
                                 `entity_id` bigint(20) NOT NULL COMMENT '审批实体',
                                 `target_name` varchar(255) NOT NULL DEFAULT '' COMMENT '审批对象名字',
                                 `extra` text COMMENT '其它字段',
                                 `status` varchar(45) NOT NULL DEFAULT '' COMMENT '审批状态',
                                 `priority` varchar(45) NOT NULL DEFAULT '' COMMENT '审批优先级',
                                 `type` varchar(64) NOT NULL DEFAULT '' COMMENT '审批类型',
                                 `desc` varchar(2048) DEFAULT NULL COMMENT '审批描述',
                                 `approval_time` datetime NOT NULL COMMENT '审批时间',
                                 `approver` varchar(64) DEFAULT NULL COMMENT '审批人',
                                 `submitter` varchar(64) DEFAULT NULL COMMENT '提交人',
                                 `created_at` datetime NOT NULL COMMENT '创建时间',
                                 `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='审批信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_approves`
--

LOCK TABLES `dice_approves` WRITE;
/*!40000 ALTER TABLE `dice_approves` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_approves` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_audit`
--

DROP TABLE IF EXISTS `dice_audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_audit` (
                              `id` bigint(20) NOT NULL AUTO_INCREMENT,
                              `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                              `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                              `start_time` datetime NOT NULL COMMENT '事件发生的时间',
                              `end_time` datetime NOT NULL COMMENT '事件结束的时间',
                              `user_id` varchar(40) NOT NULL COMMENT '事件的操作人',
                              `scope_type` varchar(40) NOT NULL COMMENT '事件发生的scope类型',
                              `scope_id` varchar(40) NOT NULL COMMENT '事件发生的scope类型',
                              `app_id` bigint(20) DEFAULT NULL COMMENT '事件发生的上下文信息，appId，用于前端渲染',
                              `project_id` bigint(20) DEFAULT NULL COMMENT '事件发生的上下文信息，projectId，用于前端渲染',
                              `org_id` bigint(20) DEFAULT NULL COMMENT '事件发生的上下文信息，orgId',
                              `context` text COMMENT '事件发生的自定义上下文信息，用于前端渲染',
                              `template_name` varchar(40) NOT NULL COMMENT '前端渲染事件模版的key',
                              `audit_level` varchar(40) DEFAULT NULL COMMENT '事件的等级',
                              `result` varchar(40) DEFAULT NULL COMMENT '事件的结果',
                              `error_msg` text COMMENT '事件的结果为失败时的错误信息',
                              `client_ip` varchar(40) DEFAULT NULL COMMENT '事件的客户端地址',
                              `user_agent` text COMMENT '事件的客户端类型',
                              `deleted` varchar(40) DEFAULT '0' COMMENT '事件进入归档表前的软删除标记',
                              PRIMARY KEY (`id`),
                              KEY `start_time` (`start_time`),
                              KEY `end_time` (`end_time`),
                              KEY `org_id` (`org_id`),
                              KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='审计事件';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_audit`
--

LOCK TABLES `dice_audit` WRITE;
/*!40000 ALTER TABLE `dice_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_audit_history`
--

DROP TABLE IF EXISTS `dice_audit_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_audit_history` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                      `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                      `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                      `start_time` datetime NOT NULL COMMENT '事件发生的时间',
                                      `end_time` datetime NOT NULL COMMENT '事件结束的时间',
                                      `user_id` varchar(40) NOT NULL COMMENT '事件的操作人',
                                      `scope_type` varchar(40) NOT NULL COMMENT '事件发生的scope类型',
                                      `scope_id` varchar(40) NOT NULL COMMENT '事件发生的scope类型',
                                      `app_id` bigint(20) DEFAULT NULL COMMENT '事件发生的上下文信息，appId，用于前端渲染',
                                      `project_id` bigint(20) DEFAULT NULL COMMENT '事件发生的上下文信息，projectId，用于前端渲染',
                                      `org_id` bigint(20) DEFAULT NULL COMMENT '事件发生的上下文信息，orgId',
                                      `context` text COMMENT '事件发生的自定义上下文信息，用于前端渲染',
                                      `template_name` varchar(40) NOT NULL COMMENT '前端渲染事件模版的key',
                                      `audit_level` varchar(40) DEFAULT NULL COMMENT '事件的等级',
                                      `result` varchar(40) DEFAULT NULL COMMENT '事件的结果',
                                      `error_msg` text COMMENT '事件的结果为失败时的错误信息',
                                      `client_ip` varchar(40) DEFAULT NULL COMMENT '事件的客户端地址',
                                      `user_agent` tinytext COMMENT '事件的客户端类型',
                                      `deleted` varchar(40) DEFAULT '0' COMMENT '事件进入归档表前的软删除标记',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='审计事件历史';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_audit_history`
--

LOCK TABLES `dice_audit_history` WRITE;
/*!40000 ALTER TABLE `dice_audit_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_audit_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_filetree_nodes`
--

DROP TABLE IF EXISTS `dice_autotest_filetree_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_filetree_nodes` (
                                                `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                `type` varchar(1) NOT NULL COMMENT '节点类型, f: 文件, d: 目录',
                                                `scope` varchar(191) NOT NULL COMMENT 'scope，例如 project-autotest, project-autotest-testplan',
                                                `scope_id` varchar(191) NOT NULL COMMENT 'scope 的具体 ID，例如 项目 ID，测试计划 ID',
                                                `pinode` bigint(20) NOT NULL COMMENT '父节点 inode',
                                                `inode` bigint(20) NOT NULL COMMENT 'inode',
                                                `name` varchar(191) NOT NULL COMMENT '节点名',
                                                `desc` varchar(512) DEFAULT NULL COMMENT '描述',
                                                `creator_id` varchar(191) DEFAULT NULL COMMENT '创建人',
                                                `updater_id` varchar(191) DEFAULT NULL COMMENT '更新人',
                                                `created_at` datetime NOT NULL COMMENT '创建时间',
                                                `updated_at` datetime NOT NULL COMMENT '更新时间',
                                                PRIMARY KEY (`id`),
                                                KEY `idx_inode` (`inode`),
                                                KEY `idx_pinode` (`pinode`),
                                                KEY `idx_type_scope_pinode_inode` (`type`,`scope`,`scope_id`,`pinode`,`inode`),
                                                KEY `idx_scope_pinode_inode` (`scope`,`scope_id`,`pinode`,`inode`),
                                                KEY `idx_pinode_inode` (`pinode`,`inode`),
                                                KEY `idx_pinode_name` (`pinode`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动化测试目录树节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_filetree_nodes`
--

LOCK TABLES `dice_autotest_filetree_nodes` WRITE;
/*!40000 ALTER TABLE `dice_autotest_filetree_nodes` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_filetree_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_filetree_nodes_histories`
--

DROP TABLE IF EXISTS `dice_autotest_filetree_nodes_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_filetree_nodes_histories` (
                                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                                          `inode` bigint(20) NOT NULL COMMENT '节点的node id',
                                                          `pinode` bigint(20) NOT NULL COMMENT '父节点的 node id',
                                                          `pipeline_yml` mediumtext NOT NULL COMMENT '节点的yml标识',
                                                          `snippet_action` mediumtext NOT NULL COMMENT 'snippet config 配置',
                                                          `name` varchar(191) NOT NULL COMMENT '名称',
                                                          `desc` varchar(512) NOT NULL COMMENT '描述',
                                                          `creator_id` varchar(191) NOT NULL COMMENT '创建人',
                                                          `updater_id` varchar(191) NOT NULL COMMENT '更新人',
                                                          `extra` mediumtext NOT NULL COMMENT '其他信息',
                                                          `created_at` datetime NOT NULL COMMENT '创建时间',
                                                          `updated_at` datetime NOT NULL COMMENT '更新时间',
                                                          PRIMARY KEY (`id`),
                                                          KEY `idx_inode` (`inode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动化测试目录树节点历史表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_filetree_nodes_histories`
--

LOCK TABLES `dice_autotest_filetree_nodes_histories` WRITE;
/*!40000 ALTER TABLE `dice_autotest_filetree_nodes_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_filetree_nodes_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_filetree_nodes_meta`
--

DROP TABLE IF EXISTS `dice_autotest_filetree_nodes_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_filetree_nodes_meta` (
                                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                                     `inode` bigint(20) NOT NULL,
                                                     `pipeline_yml` mediumtext,
                                                     `snippet_action` mediumtext,
                                                     `extra` mediumtext,
                                                     `created_at` datetime NOT NULL,
                                                     `updated_at` datetime NOT NULL,
                                                     PRIMARY KEY (`id`),
                                                     KEY `idx_inode` (`inode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动化测试目录树节点元信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_filetree_nodes_meta`
--

LOCK TABLES `dice_autotest_filetree_nodes_meta` WRITE;
/*!40000 ALTER TABLE `dice_autotest_filetree_nodes_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_filetree_nodes_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_plan`
--

DROP TABLE IF EXISTS `dice_autotest_plan`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_plan` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                      `created_at` timestamp NULL DEFAULT NULL COMMENT '创建时间',
                                      `updated_at` timestamp NULL DEFAULT NULL COMMENT '更新时间',
                                      `name` varchar(191) DEFAULT NULL COMMENT '测试计划名称',
                                      `desc` varchar(512) DEFAULT NULL COMMENT '测试计划描述',
                                      `creator_id` varchar(191) DEFAULT NULL COMMENT '创建人',
                                      `updater_id` varchar(191) DEFAULT NULL COMMENT '更新人',
                                      `space_id` bigint(20) NOT NULL COMMENT '测试空间id',
                                      `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                      PRIMARY KEY (`id`),
                                      KEY `idx_name` (`name`),
                                      KEY `idx_project` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测试计划表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_plan`
--

LOCK TABLES `dice_autotest_plan` WRITE;
/*!40000 ALTER TABLE `dice_autotest_plan` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_plan` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_plan_members`
--

DROP TABLE IF EXISTS `dice_autotest_plan_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_plan_members` (
                                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                              `test_plan_id` bigint(20) DEFAULT NULL COMMENT '测试计划id',
                                              `role` varchar(32) DEFAULT NULL COMMENT '角色',
                                              `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
                                              `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                              `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动测试-测试计划成员表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_plan_members`
--

LOCK TABLES `dice_autotest_plan_members` WRITE;
/*!40000 ALTER TABLE `dice_autotest_plan_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_plan_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_plan_step`
--

DROP TABLE IF EXISTS `dice_autotest_plan_step`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_plan_step` (
                                           `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                           `created_at` timestamp NULL DEFAULT NULL COMMENT '创建时间',
                                           `updated_at` timestamp NULL DEFAULT NULL COMMENT '更新时间',
                                           `plan_id` bigint(20) NOT NULL COMMENT '测试计划id',
                                           `scene_set_id` bigint(20) NOT NULL COMMENT '场景集id',
                                           `pre_id` bigint(20) NOT NULL COMMENT '前节点',
                                           PRIMARY KEY (`id`),
                                           KEY `idx_plan_id` (`plan_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测试计划步骤表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_plan_step`
--

LOCK TABLES `dice_autotest_plan_step` WRITE;
/*!40000 ALTER TABLE `dice_autotest_plan_step` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_plan_step` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_scene`
--

DROP TABLE IF EXISTS `dice_autotest_scene`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_scene` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                       `created_at` datetime NOT NULL COMMENT '创建时间',
                                       `updated_at` datetime NOT NULL COMMENT '更新时间',
                                       `name` varchar(191) NOT NULL COMMENT '名称',
                                       `description` text NOT NULL COMMENT '描述',
                                       `space_id` bigint(20) NOT NULL COMMENT '测试空间id',
                                       `set_id` bigint(20) NOT NULL COMMENT '场景集id',
                                       `pre_id` bigint(20) NOT NULL COMMENT '前节点',
                                       `creator_id` varchar(255) NOT NULL COMMENT '创建人',
                                       `updater_id` varchar(255) NOT NULL COMMENT '更新人',
                                       `status` varchar(255) DEFAULT NULL COMMENT '执行状态',
                                       `ref_set_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '引用场景集的id',
                                       PRIMARY KEY (`id`),
                                       KEY `idx_set_id` (`set_id`),
                                       KEY `idx_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动化测试场景表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_scene`
--

LOCK TABLES `dice_autotest_scene` WRITE;
/*!40000 ALTER TABLE `dice_autotest_scene` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_scene` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_scene_input`
--

DROP TABLE IF EXISTS `dice_autotest_scene_input`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_scene_input` (
                                             `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                             `created_at` datetime NOT NULL COMMENT '创建时间',
                                             `updated_at` datetime NOT NULL COMMENT '更新时间',
                                             `name` varchar(255) NOT NULL COMMENT '名称',
                                             `value` text NOT NULL COMMENT '默认值',
                                             `temp` text NOT NULL COMMENT '当前值',
                                             `description` text NOT NULL COMMENT '描述',
                                             `scene_id` bigint(20) NOT NULL COMMENT '场景id',
                                             `space_id` bigint(20) NOT NULL COMMENT '空间id',
                                             `creator_id` varchar(255) NOT NULL COMMENT '创建人',
                                             `updater_id` varchar(255) NOT NULL COMMENT '更新人',
                                             PRIMARY KEY (`id`),
                                             KEY `idx_scene_id` (`scene_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动化测试场景入参表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_scene_input`
--

LOCK TABLES `dice_autotest_scene_input` WRITE;
/*!40000 ALTER TABLE `dice_autotest_scene_input` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_scene_input` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_scene_output`
--

DROP TABLE IF EXISTS `dice_autotest_scene_output`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_scene_output` (
                                              `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                              `created_at` datetime NOT NULL COMMENT '创建时间',
                                              `updated_at` datetime NOT NULL COMMENT '更新时间',
                                              `name` varchar(255) NOT NULL COMMENT '名称',
                                              `value` text NOT NULL COMMENT '值表达式',
                                              `description` text NOT NULL COMMENT '描述',
                                              `scene_id` bigint(20) NOT NULL COMMENT '场景id',
                                              `space_id` bigint(20) NOT NULL COMMENT '空间id',
                                              `creator_id` varchar(255) NOT NULL COMMENT '创建人',
                                              `updater_id` varchar(255) NOT NULL COMMENT '更新人',
                                              PRIMARY KEY (`id`),
                                              KEY `idx_scene_id` (`scene_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动化测试场景出参表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_scene_output`
--

LOCK TABLES `dice_autotest_scene_output` WRITE;
/*!40000 ALTER TABLE `dice_autotest_scene_output` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_scene_output` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_scene_set`
--

DROP TABLE IF EXISTS `dice_autotest_scene_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_scene_set` (
                                           `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                           `name` varchar(191) DEFAULT NULL,
                                           `description` varchar(255) DEFAULT NULL COMMENT '场景集描述',
                                           `space_id` bigint(20) unsigned NOT NULL COMMENT '测试空间id',
                                           `pre_id` bigint(20) unsigned DEFAULT NULL COMMENT '上一个节点id',
                                           `creator_id` varchar(255) NOT NULL COMMENT '创建人',
                                           `updater_id` varchar(255) NOT NULL COMMENT '更新人',
                                           `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                           `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='场景集表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_scene_set`
--

LOCK TABLES `dice_autotest_scene_set` WRITE;
/*!40000 ALTER TABLE `dice_autotest_scene_set` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_scene_set` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_scene_step`
--

DROP TABLE IF EXISTS `dice_autotest_scene_step`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_scene_step` (
                                            `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                            `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                            `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
                                            `type` varchar(255) NOT NULL COMMENT '类型',
                                            `value` mediumtext,
                                            `name` varchar(255) NOT NULL COMMENT '名称',
                                            `pre_id` bigint(20) NOT NULL COMMENT '前节点',
                                            `scene_id` bigint(20) NOT NULL COMMENT '场景id',
                                            `space_id` bigint(20) NOT NULL COMMENT '空间id',
                                            `creator_id` varchar(255) NOT NULL COMMENT '创建人',
                                            `updater_id` varchar(255) NOT NULL COMMENT '更新人',
                                            `pre_type` varchar(255) NOT NULL COMMENT '排序类型',
                                            `api_spec_id` varchar(50) DEFAULT NULL COMMENT 'api集市id',
                                            PRIMARY KEY (`id`),
                                            KEY `idx_scene_id` (`scene_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自动化测试场景步骤表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_scene_step`
--

LOCK TABLES `dice_autotest_scene_step` WRITE;
/*!40000 ALTER TABLE `dice_autotest_scene_step` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_scene_step` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_autotest_space`
--

DROP TABLE IF EXISTS `dice_autotest_space`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_autotest_space` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                       `name` varchar(255) NOT NULL COMMENT '测试空间名称',
                                       `project_id` bigint(20) NOT NULL COMMENT '项目id',
                                       `description` varchar(1024) DEFAULT NULL,
                                       `creator_id` varchar(255) NOT NULL COMMENT '创建人',
                                       `created_at` datetime NOT NULL COMMENT '创建时间',
                                       `updated_at` datetime NOT NULL COMMENT '更新时间',
                                       `deleted_at` datetime DEFAULT NULL COMMENT '删除时间',
                                       `source_space_id` bigint(20) DEFAULT NULL COMMENT '被复制的源测试空间',
                                       `status` varchar(255) NOT NULL COMMENT '测试空间状态',
                                       `updater_id` varchar(255) NOT NULL COMMENT '更新人',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测试空间表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_autotest_space`
--

LOCK TABLES `dice_autotest_space` WRITE;
/*!40000 ALTER TABLE `dice_autotest_space` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_autotest_space` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_branch_rules`
--

DROP TABLE IF EXISTS `dice_branch_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_branch_rules` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                     `created_at` timestamp NULL DEFAULT NULL,
                                     `updated_at` timestamp NULL DEFAULT NULL,
                                     `rule` varchar(150) DEFAULT NULL,
                                     `desc` varchar(150) DEFAULT NULL,
                                     `workspace` varchar(150) DEFAULT NULL,
                                     `artifact_workspace` varchar(150) DEFAULT NULL,
                                     `is_protect` tinyint(1) DEFAULT NULL,
                                     `is_trigger_pipeline` tinyint(1) DEFAULT NULL,
                                     `need_approval` tinyint(1) DEFAULT NULL,
                                     `scope_type` varchar(50) DEFAULT NULL,
                                     `scope_id` bigint(20) DEFAULT NULL,
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分支规则';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_branch_rules`
--

LOCK TABLES `dice_branch_rules` WRITE;
/*!40000 ALTER TABLE `dice_branch_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_branch_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_certificates`
--

DROP TABLE IF EXISTS `dice_certificates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_certificates` (
                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                     `org_id` bigint(20) NOT NULL COMMENT '所属企业',
                                     `name` varchar(255) NOT NULL DEFAULT '' COMMENT '证书自定义名称',
                                     `message` text,
                                     `ios` text,
                                     `android` text,
                                     `status` varchar(45) NOT NULL DEFAULT '' COMMENT '企业审批状态',
                                     `type` varchar(64) NOT NULL DEFAULT '' COMMENT '企业类型',
                                     `desc` varchar(2048) DEFAULT NULL COMMENT 'publisher描述',
                                     `creator` varchar(255) NOT NULL DEFAULT '' COMMENT '创建用户',
                                     `operator` varchar(255) DEFAULT NULL COMMENT '操作者',
                                     `created_at` datetime NOT NULL COMMENT '创建时间',
                                     `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='证书信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_certificates`
--

LOCK TABLES `dice_certificates` WRITE;
/*!40000 ALTER TABLE `dice_certificates` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_certificates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_cloud_accounts`
--

DROP TABLE IF EXISTS `dice_cloud_accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_cloud_accounts` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                       `created_at` timestamp NULL DEFAULT NULL,
                                       `updated_at` timestamp NULL DEFAULT NULL,
                                       `cloud_provider` varchar(255) DEFAULT NULL,
                                       `name` varchar(255) DEFAULT NULL,
                                       `access_key_id` varchar(255) DEFAULT NULL,
                                       `access_key_secret` varchar(255) DEFAULT NULL,
                                       `org_id` bigint(20) DEFAULT NULL,
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='云账号信息，老表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_cloud_accounts`
--

LOCK TABLES `dice_cloud_accounts` WRITE;
/*!40000 ALTER TABLE `dice_cloud_accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_cloud_accounts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_config_item`
--

DROP TABLE IF EXISTS `dice_config_item`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_config_item` (
                                    `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '配置项ID',
                                    `namespace_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '配置命名空间ID',
                                    `item_key` varchar(128) NOT NULL DEFAULT 'default' COMMENT '配置项Key',
                                    `item_value` longtext NOT NULL COMMENT '配置项值',
                                    `item_comment` varchar(1024) DEFAULT '' COMMENT '注释',
                                    `is_sync` tinyint(1) DEFAULT '0' COMMENT '是否同步到配置中心',
                                    `delete_remote` tinyint(1) DEFAULT '0' COMMENT '是否删除远程配置',
                                    `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                    `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                    `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                    `status` varchar(32) DEFAULT 'PUBLISHED' COMMENT '配置状态',
                                    `source` varchar(32) DEFAULT 'DEPLOY_WEB' COMMENT '配置来源',
                                    `dynamic` tinyint(1) DEFAULT '1' COMMENT '是否为动态配置',
                                    `encrypt` tinyint(1) DEFAULT '0' COMMENT '配置项是否加密',
                                    `item_type` varchar(32) DEFAULT 'ENV' COMMENT '配置类型',
                                    PRIMARY KEY (`id`),
                                    KEY `idx_namespaceid` (`namespace_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='配置项';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_config_item`
--

LOCK TABLES `dice_config_item` WRITE;
/*!40000 ALTER TABLE `dice_config_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_config_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_config_namespace`
--

DROP TABLE IF EXISTS `dice_config_namespace`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_config_namespace` (
                                         `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增主键',
                                         `name` varchar(255) NOT NULL COMMENT '配置命名空间名称',
                                         `dynamic` tinyint(1) DEFAULT '1' COMMENT '存储配置是否为动态配置',
                                         `is_default` tinyint(1) DEFAULT '0' COMMENT '是否为默认命名空间',
                                         `project_id` varchar(45) NOT NULL COMMENT '项目ID',
                                         `env` varchar(45) DEFAULT NULL COMMENT '所属部署环境',
                                         `application_id` varchar(45) DEFAULT NULL COMMENT '应用ID',
                                         `runtime_id` varchar(45) DEFAULT NULL COMMENT 'runtime ID',
                                         `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                         `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                         `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                         PRIMARY KEY (`id`),
                                         KEY `idx_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='配置项namespace';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_config_namespace`
--

LOCK TABLES `dice_config_namespace` WRITE;
/*!40000 ALTER TABLE `dice_config_namespace` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_config_namespace` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_config_namespace_relation`
--

DROP TABLE IF EXISTS `dice_config_namespace_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_config_namespace_relation` (
                                                  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增主键',
                                                  `namespace` varchar(255) NOT NULL COMMENT '配置命名空间名称',
                                                  `default_namespace` varchar(255) NOT NULL COMMENT '默认配置命名空间名称',
                                                  `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                                  `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                                  `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                                  PRIMARY KEY (`id`),
                                                  UNIQUE KEY `namespace` (`namespace`),
                                                  KEY `idx_default_namespace` (`default_namespace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='配置项namespace关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_config_namespace_relation`
--

LOCK TABLES `dice_config_namespace_relation` WRITE;
/*!40000 ALTER TABLE `dice_config_namespace_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_config_namespace_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_db_migration_log`
--

DROP TABLE IF EXISTS `dice_db_migration_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_db_migration_log` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                                         `project_id` bigint(20) NOT NULL COMMENT '项目id',
                                         `application_id` bigint(20) NOT NULL COMMENT '应用id',
                                         `runtime_id` bigint(20) NOT NULL COMMENT 'runtime id',
                                         `deployment_id` bigint(20) NOT NULL COMMENT 'deployment id',
                                         `release_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'release id',
                                         `operator_id` bigint(20) NOT NULL COMMENT '执行人',
                                         `status` varchar(128) NOT NULL COMMENT '执行结果状态',
                                         `addon_instance_id` varchar(64) NOT NULL COMMENT '所要执行migration的addon实例Id',
                                         `addon_instance_config` varchar(4096) DEFAULT NULL COMMENT '需要使用的config',
                                         `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                         `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='migration执行日志记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_db_migration_log`
--

LOCK TABLES `dice_db_migration_log` WRITE;
/*!40000 ALTER TABLE `dice_db_migration_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_db_migration_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_error_box`
--

DROP TABLE IF EXISTS `dice_error_box`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_error_box` (
                                  `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                  `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                  `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                  `resource_type` varchar(40) NOT NULL COMMENT '资源类型',
                                  `resource_id` varchar(40) NOT NULL COMMENT '资源id',
                                  `occurrence_time` datetime NOT NULL COMMENT '日志发生时间',
                                  `human_log` text COMMENT '处理过的日志和提示',
                                  `primeval_log` text NOT NULL COMMENT '原生错误',
                                  `dedup_id` varchar(190) NOT NULL COMMENT '去重id',
                                  `level` varchar(50) DEFAULT 'error' COMMENT '日志级别',
                                  PRIMARY KEY (`id`),
                                  UNIQUE KEY `idx_rtype_rid_did` (`resource_type`,`resource_id`,`dedup_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='错误信息透出记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_error_box`
--

LOCK TABLES `dice_error_box` WRITE;
/*!40000 ALTER TABLE `dice_error_box` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_error_box` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_extension`
--

DROP TABLE IF EXISTS `dice_extension`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_extension` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                  `created_at` timestamp NULL DEFAULT NULL,
                                  `updated_at` timestamp NULL DEFAULT NULL,
                                  `type` varchar(128) DEFAULT NULL,
                                  `name` varchar(255) DEFAULT NULL,
                                  `category` varchar(255) DEFAULT NULL,
                                  `display_name` varchar(255) DEFAULT NULL,
                                  `logo_url` varchar(255) DEFAULT NULL,
                                  `desc` varchar(255) DEFAULT NULL,
                                  `public` tinyint(1) DEFAULT NULL,
                                  `labels` varchar(200) DEFAULT NULL,
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='action,addon扩展信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_extension`
--

LOCK TABLES `dice_extension` WRITE;
/*!40000 ALTER TABLE `dice_extension` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_extension` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_extension_version`
--

DROP TABLE IF EXISTS `dice_extension_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_extension_version` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                          `created_at` timestamp NULL DEFAULT NULL,
                                          `updated_at` timestamp NULL DEFAULT NULL,
                                          `extension_id` bigint(20) unsigned DEFAULT NULL,
                                          `name` varchar(128) DEFAULT NULL,
                                          `version` varchar(128) DEFAULT NULL,
                                          `spec` text,
                                          `dice` text,
                                          `swagger` longtext,
                                          `readme` longtext,
                                          `public` tinyint(1) DEFAULT NULL,
                                          `is_default` tinyint(1) DEFAULT NULL,
                                          PRIMARY KEY (`id`),
                                          KEY `idx_name` (`name`),
                                          KEY `idx_version` (`version`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='action,addon扩展版本信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_extension_version`
--

LOCK TABLES `dice_extension_version` WRITE;
/*!40000 ALTER TABLE `dice_extension_version` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_extension_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_files`
--

DROP TABLE IF EXISTS `dice_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_files` (
                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                              `uuid` varchar(32) NOT NULL DEFAULT '',
                              `display_name` varchar(1024) NOT NULL DEFAULT '',
                              `ext` varchar(32) DEFAULT '',
                              `byte_size` bigint(20) NOT NULL,
                              `storage_type` varchar(32) NOT NULL DEFAULT '',
                              `full_relative_path` varchar(2048) NOT NULL DEFAULT '',
                              `from` varchar(64) DEFAULT NULL,
                              `creator` varchar(255) DEFAULT NULL,
                              `extra` varchar(2048) DEFAULT NULL,
                              `created_at` datetime DEFAULT NULL,
                              `updated_at` datetime DEFAULT NULL,
                              `expired_at` datetime DEFAULT NULL,
                              PRIMARY KEY (`id`),
                              KEY `idx_uuid` (`uuid`),
                              KEY `idx_storageType` (`storage_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Dice 文件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_files`
--

LOCK TABLES `dice_files` WRITE;
/*!40000 ALTER TABLE `dice_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_init_sql_version`
--

DROP TABLE IF EXISTS `dice_init_sql_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_init_sql_version` (
                                         `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
                                         `version` varchar(64) DEFAULT NULL,
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='DICE init sql 初始化版本';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_init_sql_version`
--

LOCK TABLES `dice_init_sql_version` WRITE;
/*!40000 ALTER TABLE `dice_init_sql_version` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_init_sql_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_app_relations`
--

DROP TABLE IF EXISTS `dice_issue_app_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_app_relations` (
                                            `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                            `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                            `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                            `issue_id` bigint(20) NOT NULL COMMENT '关联关系源id eg:issue_id',
                                            `comment_id` bigint(20) NOT NULL COMMENT 'MR评论 id',
                                            `app_id` bigint(20) NOT NULL COMMENT '应用 id',
                                            `mr_id` bigint(20) NOT NULL COMMENT '关联关系目标id eg:mr_id',
                                            PRIMARY KEY (`id`),
                                            KEY `idx_app` (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='事件应用关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_app_relations`
--

LOCK TABLES `dice_issue_app_relations` WRITE;
/*!40000 ALTER TABLE `dice_issue_app_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_app_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_panel`
--

DROP TABLE IF EXISTS `dice_issue_panel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_panel` (
                                    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                    `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                    `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                    `project_id` bigint(20) DEFAULT NULL,
                                    `panel_name` varchar(255) DEFAULT NULL,
                                    `issue_id` bigint(20) DEFAULT NULL,
                                    `relation` bigint(20) DEFAULT NULL,
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='事件看板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_panel`
--

LOCK TABLES `dice_issue_panel` WRITE;
/*!40000 ALTER TABLE `dice_issue_panel` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_panel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_property`
--

DROP TABLE IF EXISTS `dice_issue_property`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_property` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                       `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                       `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                       `scope_type` varchar(255) DEFAULT NULL,
                                       `scope_id` bigint(20) DEFAULT NULL,
                                       `org_id` bigint(20) DEFAULT NULL,
                                       `required` tinyint(1) DEFAULT NULL,
                                       `property_type` varchar(255) DEFAULT NULL,
                                       `property_name` varchar(255) DEFAULT NULL,
                                       `display_name` varchar(255) DEFAULT NULL,
                                       `property_issue_type` varchar(255) DEFAULT NULL,
                                       `relation` bigint(20) DEFAULT NULL,
                                       `index` bigint(20) DEFAULT NULL,
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=127 DEFAULT CHARSET=utf8mb4 COMMENT='事件属性表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_property`
--

LOCK TABLES `dice_issue_property` WRITE;
/*!40000 ALTER TABLE `dice_issue_property` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_property` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_property_relation`
--

DROP TABLE IF EXISTS `dice_issue_property_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_property_relation` (
                                                `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                                `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                                `org_id` bigint(20) DEFAULT NULL,
                                                `project_id` bigint(20) DEFAULT NULL,
                                                `issue_id` bigint(20) DEFAULT NULL,
                                                `property_id` bigint(20) DEFAULT NULL,
                                                `property_value_id` bigint(20) DEFAULT NULL,
                                                `arbitrary_value` varchar(255) DEFAULT NULL,
                                                PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=155 DEFAULT CHARSET=utf8mb4 COMMENT='事件属性关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_property_relation`
--

LOCK TABLES `dice_issue_property_relation` WRITE;
/*!40000 ALTER TABLE `dice_issue_property_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_property_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_property_value`
--

DROP TABLE IF EXISTS `dice_issue_property_value`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_property_value` (
                                             `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                             `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                             `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                             `property_id` bigint(20) DEFAULT NULL,
                                             `value` varchar(255) DEFAULT NULL,
                                             `name` varchar(255) DEFAULT NULL,
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8mb4 COMMENT='事件属性值表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_property_value`
--

LOCK TABLES `dice_issue_property_value` WRITE;
/*!40000 ALTER TABLE `dice_issue_property_value` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_property_value` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_relation`
--

DROP TABLE IF EXISTS `dice_issue_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_relation` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                       `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                       `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                       `issue_id` bigint(20) NOT NULL COMMENT '事件id',
                                       `related_issue` bigint(20) NOT NULL COMMENT '关联事件id',
                                       `comment` text COMMENT '关联描述',
                                       PRIMARY KEY (`id`),
                                       UNIQUE KEY `issue_related` (`issue_id`,`related_issue`),
                                       KEY `idx_issue_id` (`issue_id`),
                                       KEY `idx_related_issue` (`related_issue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='事件关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_relation`
--

LOCK TABLES `dice_issue_relation` WRITE;
/*!40000 ALTER TABLE `dice_issue_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_stage`
--

DROP TABLE IF EXISTS `dice_issue_stage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_stage` (
                                    `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                    `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                    `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                    `org_id` bigint(20) DEFAULT NULL,
                                    `name` varchar(255) DEFAULT NULL,
                                    `value` varchar(255) DEFAULT NULL,
                                    `issue_type` varchar(255) DEFAULT NULL,
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COMMENT='事件任务阶段+引入源';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_stage`
--

LOCK TABLES `dice_issue_stage` WRITE;
/*!40000 ALTER TABLE `dice_issue_stage` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_stage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_state`
--

DROP TABLE IF EXISTS `dice_issue_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_state` (
                                    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                    `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                    `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                    `project_id` bigint(20) DEFAULT NULL,
                                    `issue_type` varchar(255) DEFAULT NULL,
                                    `name` varchar(255) DEFAULT NULL,
                                    `belong` varchar(255) DEFAULT NULL,
                                    `index` bigint(20) DEFAULT NULL,
                                    `role` varchar(255) DEFAULT NULL,
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=303 DEFAULT CHARSET=utf8mb4 COMMENT='事件状态表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_state`
--

LOCK TABLES `dice_issue_state` WRITE;
/*!40000 ALTER TABLE `dice_issue_state` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_state_relations`
--

DROP TABLE IF EXISTS `dice_issue_state_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_state_relations` (
                                              `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                              `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                              `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                              `start_state_id` bigint(20) DEFAULT NULL,
                                              `end_state_id` bigint(20) DEFAULT NULL,
                                              `project_id` bigint(20) DEFAULT NULL,
                                              `issue_type` varchar(255) DEFAULT NULL,
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=674 DEFAULT CHARSET=utf8mb4 COMMENT='事件状态关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_state_relations`
--

LOCK TABLES `dice_issue_state_relations` WRITE;
/*!40000 ALTER TABLE `dice_issue_state_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_state_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_streams`
--

DROP TABLE IF EXISTS `dice_issue_streams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_streams` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                      `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                      `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                      `issue_id` bigint(20) NOT NULL COMMENT '所属 issue ID',
                                      `operator` varchar(255) DEFAULT NULL COMMENT '操作者',
                                      `stream_type` varchar(255) DEFAULT NULL COMMENT '操作记录类型',
                                      `stream_params` text COMMENT '操作记录参数',
                                      PRIMARY KEY (`id`),
                                      KEY `issue_id_index` (`issue_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='事件活动记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_streams`
--

LOCK TABLES `dice_issue_streams` WRITE;
/*!40000 ALTER TABLE `dice_issue_streams` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_streams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issue_testcase_relations`
--

DROP TABLE IF EXISTS `dice_issue_testcase_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issue_testcase_relations` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                                 `issue_id` bigint(20) DEFAULT NULL,
                                                 `test_plan_id` bigint(20) DEFAULT NULL,
                                                 `test_plan_case_rel_id` bigint(20) DEFAULT NULL,
                                                 `test_case_id` bigint(20) DEFAULT NULL,
                                                 `creator_id` varchar(191) DEFAULT NULL,
                                                 `created_at` datetime DEFAULT NULL,
                                                 `updated_at` datetime DEFAULT NULL,
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='事件测试用例关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issue_testcase_relations`
--

LOCK TABLES `dice_issue_testcase_relations` WRITE;
/*!40000 ALTER TABLE `dice_issue_testcase_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issue_testcase_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_issues`
--

DROP TABLE IF EXISTS `dice_issues`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_issues` (
                               `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                               `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                               `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                               `plan_started_at` datetime DEFAULT NULL COMMENT '计划开始时间',
                               `plan_finished_at` datetime DEFAULT NULL COMMENT '计划结束时间',
                               `project_id` bigint(20) NOT NULL COMMENT '所属项目 ID',
                               `iteration_id` bigint(20) NOT NULL COMMENT '所属迭代 ID',
                               `app_id` bigint(20) DEFAULT NULL COMMENT '所属应用 ID',
                               `requirement_id` bigint(20) DEFAULT NULL COMMENT '所属需求 ID',
                               `type` varchar(32) DEFAULT NULL COMMENT 'issue 类型',
                               `title` varchar(255) DEFAULT NULL COMMENT '标题',
                               `content` text COMMENT '内容',
                               `state` varchar(32) NOT NULL DEFAULT '' COMMENT '状态',
                               `priority` varchar(32) DEFAULT NULL COMMENT '优先级',
                               `complexity` varchar(32) DEFAULT NULL COMMENT '复杂度',
                               `bug_type` varchar(32) DEFAULT NULL COMMENT '缺陷类型',
                               `creator` varchar(255) DEFAULT NULL COMMENT '创建人',
                               `assignee` varchar(255) NOT NULL DEFAULT '' COMMENT '处理人',
                               `deleted` tinyint(4) DEFAULT '0',
                               `man_hour` text COMMENT '事件工时信息',
                               `source` varchar(32) DEFAULT 'user' COMMENT '事件来源',
                               `severity` varchar(32) DEFAULT NULL COMMENT '事件严重程度',
                               `external` tinyint(1) DEFAULT '1' COMMENT '是否是外部创建的issue',
                               `stage` varchar(80) DEFAULT NULL COMMENT 'bug所属阶段和任务类型',
                               `owner` varchar(255) DEFAULT NULL COMMENT 'bug责任人',
                               `finish_time` datetime DEFAULT NULL,
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='事件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_issues`
--

LOCK TABLES `dice_issues` WRITE;
/*!40000 ALTER TABLE `dice_issues` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_issues` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_iterations`
--

DROP TABLE IF EXISTS `dice_iterations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_iterations` (
                                   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                   `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                   `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                   `started_at` datetime DEFAULT NULL COMMENT '迭代开始时间',
                                   `finished_at` datetime DEFAULT NULL COMMENT '迭代结束时间',
                                   `project_id` bigint(20) DEFAULT NULL COMMENT '所属项目 ID',
                                   `title` varchar(255) DEFAULT NULL COMMENT '标题',
                                   `content` text COMMENT '内容',
                                   `creator` varchar(255) DEFAULT NULL COMMENT '创建人',
                                   `state` varchar(255) NOT NULL DEFAULT 'UNFILED',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='迭代表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_iterations`
--

LOCK TABLES `dice_iterations` WRITE;
/*!40000 ALTER TABLE `dice_iterations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_iterations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_label_relations`
--

DROP TABLE IF EXISTS `dice_label_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_label_relations` (
                                        `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                        `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                        `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                        `label_id` bigint(20) NOT NULL,
                                        `ref_type` varchar(40) NOT NULL COMMENT '标签作用类型, 与 dice_labels type 相同, eg: issue',
                                        `ref_id` bigint(20) NOT NULL COMMENT '标签关联目标 id, eg: issue_id',
                                        PRIMARY KEY (`id`),
                                        KEY `idx_label_id` (`label_id`),
                                        KEY `idx_ref_id` (`ref_type`,`ref_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='标签关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_label_relations`
--

LOCK TABLES `dice_label_relations` WRITE;
/*!40000 ALTER TABLE `dice_label_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_label_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_labels`
--

DROP TABLE IF EXISTS `dice_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_labels` (
                               `id` bigint(20) NOT NULL AUTO_INCREMENT,
                               `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                               `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                               `name` varchar(50) NOT NULL COMMENT '标签名称',
                               `type` varchar(40) NOT NULL COMMENT '标签作用类型, eg: issue',
                               `color` varchar(40) NOT NULL COMMENT '标签颜色',
                               `project_id` bigint(20) NOT NULL COMMENT '标签所属项目',
                               `creator` varchar(255) DEFAULT NULL COMMENT '创建人',
                               PRIMARY KEY (`id`),
                               UNIQUE KEY `idx_project_name` (`project_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='标签表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_labels`
--

LOCK TABLES `dice_labels` WRITE;
/*!40000 ALTER TABLE `dice_labels` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_library_references`
--

DROP TABLE IF EXISTS `dice_library_references`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_library_references` (
                                           `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                           `app_id` bigint(20) NOT NULL COMMENT '应用 id',
                                           `lib_id` bigint(20) NOT NULL COMMENT '库 id',
                                           `lib_name` varchar(255) NOT NULL COMMENT '库名称',
                                           `lib_desc` text COMMENT '库描述',
                                           `approval_id` bigint(20) NOT NULL COMMENT '审批流 id',
                                           `approval_status` varchar(100) NOT NULL COMMENT '状态: 待审核/已通过/已拒绝',
                                           `creator` varchar(255) NOT NULL COMMENT '创建者',
                                           `created_at` datetime NOT NULL COMMENT '创建时间',
                                           `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                           PRIMARY KEY (`id`),
                                           KEY `idx_app_id` (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='库引用信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_library_references`
--

LOCK TABLES `dice_library_references` WRITE;
/*!40000 ALTER TABLE `dice_library_references` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_library_references` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_manual_review`
--

DROP TABLE IF EXISTS `dice_manual_review`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_manual_review` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '审核Id',
                                      `build_id` bigint(20) NOT NULL COMMENT '流水线Id',
                                      `project_id` bigint(20) NOT NULL COMMENT '项目Id',
                                      `application_id` bigint(20) NOT NULL COMMENT '应用Id',
                                      `sponsor_id` bigint(20) NOT NULL COMMENT '发起人Id',
                                      `commit_id` varchar(50) NOT NULL COMMENT '提交Id',
                                      `org_id` bigint(20) NOT NULL COMMENT '企业Id',
                                      `task_id` bigint(20) NOT NULL COMMENT 'taskId 为action的唯一标示',
                                      `project_name` varchar(50) NOT NULL COMMENT '项目名字',
                                      `application_name` varchar(50) NOT NULL COMMENT '应用名字',
                                      `branch_name` varchar(50) NOT NULL COMMENT '代码分支',
                                      `approval_status` varchar(50) NOT NULL COMMENT '审查是否通过 初值为null,no是失败,yes是成功',
                                      `commit_message` varchar(50) DEFAULT NULL COMMENT '评论',
                                      `created_at` datetime NOT NULL COMMENT '创建时间',
                                      `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                      `approval_reason` varchar(250) DEFAULT NULL COMMENT '拒绝原因',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='审批列表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_manual_review`
--

LOCK TABLES `dice_manual_review` WRITE;
/*!40000 ALTER TABLE `dice_manual_review` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_manual_review` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_manual_review_user`
--

DROP TABLE IF EXISTS `dice_manual_review_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_manual_review_user` (
                                           `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增Id',
                                           `org_id` bigint(20) NOT NULL COMMENT '企业Id',
                                           `operator` bigint(20) NOT NULL COMMENT '用户id',
                                           `task_id` bigint(20) NOT NULL COMMENT 'taskId 为action的唯一标示',
                                           `created_at` datetime NOT NULL COMMENT '创建时间',
                                           `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='审批用户列表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_manual_review_user`
--

LOCK TABLES `dice_manual_review_user` WRITE;
/*!40000 ALTER TABLE `dice_manual_review_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_manual_review_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_mboxs`
--

DROP TABLE IF EXISTS `dice_mboxs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_mboxs` (
                              `id` bigint(20) NOT NULL AUTO_INCREMENT,
                              `user_id` varchar(100) DEFAULT NULL COMMENT '用户id',
                              `title` text COMMENT '站内信标题',
                              `content` text COMMENT '站内信内容',
                              `label` varchar(200) DEFAULT NULL COMMENT '站内信所属模块',
                              `status` varchar(50) DEFAULT NULL COMMENT '状态 readed:已读 unread:未读',
                              `org_id` bigint(20) DEFAULT NULL,
                              `read_at` datetime DEFAULT NULL,
                              `created_at` timestamp NULL DEFAULT NULL,
                              `updated_at` timestamp NULL DEFAULT NULL,
                              PRIMARY KEY (`id`),
                              KEY `idx_user_id` (`user_id`),
                              KEY `idx_org_id` (`org_id`),
                              KEY `idx_status` (`status`),
                              KEY `idx_created_at` (`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='站内信';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_mboxs`
--

LOCK TABLES `dice_mboxs` WRITE;
/*!40000 ALTER TABLE `dice_mboxs` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_mboxs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_member`
--

DROP TABLE IF EXISTS `dice_member`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_member` (
                               `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                               `scope_type` varchar(10) NOT NULL DEFAULT '' COMMENT 'scope可选值: sys/org/project/app',
                               `scope_id` bigint(20) DEFAULT NULL COMMENT 'scope id',
                               `scope_name` varchar(200) DEFAULT NULL COMMENT '企业/项目/应用名称',
                               `parent_id` bigint(20) DEFAULT NULL,
                               `org_id` bigint(20) DEFAULT NULL COMMENT '企业Id',
                               `project_id` bigint(20) DEFAULT NULL COMMENT '项目Id',
                               `project_name` varchar(64) DEFAULT NULL COMMENT '项目名称',
                               `application_id` bigint(20) DEFAULT NULL COMMENT '应用Id',
                               `application_name` varchar(64) DEFAULT NULL COMMENT '应用名称',
                               `role` varchar(20) NOT NULL DEFAULT '' COMMENT '角色: Manager/Developer/Tester/Guest',
                               `user_id` varchar(255) NOT NULL DEFAULT '' COMMENT '用户Id',
                               `email` varchar(255) DEFAULT NULL COMMENT '用户邮箱',
                               `mobile` varchar(40) DEFAULT NULL,
                               `nick` varchar(128) DEFAULT NULL COMMENT '用户昵称',
                               `avatar` varchar(1024) DEFAULT NULL COMMENT '用户头像链接',
                               `user_sync_at` datetime DEFAULT NULL COMMENT '用户信息同步时间',
                               `created_at` datetime NOT NULL COMMENT '创建时间',
                               `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                               `name` varchar(255) DEFAULT NULL COMMENT '用户名 (唯一)',
                               `token` varchar(100) DEFAULT NULL,
                               PRIMARY KEY (`id`),
                               UNIQUE KEY `idx_unique_scope_type_id_user_id` (`scope_type`,`scope_id`,`user_id`),
                               KEY `idx_user_id_org_id` (`user_id`,`org_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='成员信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_member`
--

LOCK TABLES `dice_member` WRITE;
/*!40000 ALTER TABLE `dice_member` DISABLE KEYS */;
INSERT INTO `dice_member` VALUES (1,'sys',0,'',0,0,0,'',0,'','Owner','1','admin@dice.terminus.io',NULL,'admin','','2019-08-16 14:55:15','2019-08-16 14:55:15','2019-08-16 14:55:15','admin',NULL);
/*!40000 ALTER TABLE `dice_member` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_member_extra`
--

DROP TABLE IF EXISTS `dice_member_extra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_member_extra` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                     `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                     `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                     `user_id` varchar(40) NOT NULL COMMENT '成员的用户id',
                                     `parent_id` varchar(40) DEFAULT '0' COMMENT '成员的父scope id',
                                     `scope_id` varchar(40) NOT NULL COMMENT '成员所属scope id',
                                     `scope_type` varchar(40) NOT NULL COMMENT '成员所属scope类型',
                                     `resource_key` varchar(40) NOT NULL COMMENT '成员关联资源的键',
                                     `resource_value` varchar(40) NOT NULL COMMENT '成员关联资源的值',
                                     PRIMARY KEY (`id`),
                                     KEY `idx_user_id_scope_id_scope_type` (`user_id`,`scope_id`,`scope_type`),
                                     KEY `idx_resource_key` (`resource_key`),
                                     KEY `idx_resource_value` (`resource_value`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='用户额外信息kv表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_member_extra`
--

LOCK TABLES `dice_member_extra` WRITE;
/*!40000 ALTER TABLE `dice_member_extra` DISABLE KEYS */;
INSERT INTO `dice_member_extra` VALUES (1,'2019-08-16 14:55:15','2019-08-16 14:55:15','1','0','0','sys','role','Owner');
/*!40000 ALTER TABLE `dice_member_extra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_nexus_repositories`
--

DROP TABLE IF EXISTS `dice_nexus_repositories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_nexus_repositories` (
                                           `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                           `org_id` bigint(20) DEFAULT NULL,
                                           `publisher_id` bigint(20) DEFAULT NULL,
                                           `cluster_name` varchar(128) DEFAULT NULL,
                                           `name` varchar(128) DEFAULT NULL,
                                           `format` varchar(32) DEFAULT NULL,
                                           `type` varchar(32) DEFAULT NULL,
                                           `config` text,
                                           `created_at` datetime NOT NULL,
                                           `updated_at` datetime NOT NULL,
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Nexus 仓库表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_nexus_repositories`
--

LOCK TABLES `dice_nexus_repositories` WRITE;
/*!40000 ALTER TABLE `dice_nexus_repositories` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_nexus_repositories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_nexus_users`
--

DROP TABLE IF EXISTS `dice_nexus_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_nexus_users` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                    `repo_id` bigint(20) DEFAULT NULL,
                                    `org_id` bigint(20) DEFAULT NULL,
                                    `publisher_id` bigint(20) DEFAULT NULL,
                                    `cluster_name` varchar(128) DEFAULT NULL,
                                    `name` varchar(128) NOT NULL DEFAULT '',
                                    `password` varchar(4096) NOT NULL DEFAULT '',
                                    `config` text,
                                    `created_at` datetime NOT NULL,
                                    `updated_at` datetime NOT NULL,
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Nexus 仓库用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_nexus_users`
--

LOCK TABLES `dice_nexus_users` WRITE;
/*!40000 ALTER TABLE `dice_nexus_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_nexus_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_notices`
--

DROP TABLE IF EXISTS `dice_notices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_notices` (
                                `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                `org_id` bigint(20) NOT NULL COMMENT '企业 id',
                                `content` text NOT NULL COMMENT '公告内容',
                                `status` varchar(50) NOT NULL COMMENT '状态: 待发布/已发布/已停用',
                                `creator` varchar(255) NOT NULL COMMENT '创建者',
                                `created_at` datetime NOT NULL COMMENT '创建时间',
                                `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                PRIMARY KEY (`id`),
                                KEY `idx_org_id` (`org_id`),
                                KEY `idx_status` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='平台公告';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_notices`
--

LOCK TABLES `dice_notices` WRITE;
/*!40000 ALTER TABLE `dice_notices` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_notices` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_notifies`
--

DROP TABLE IF EXISTS `dice_notifies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_notifies` (
                                 `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                 `created_at` timestamp NULL DEFAULT NULL,
                                 `updated_at` timestamp NULL DEFAULT NULL,
                                 `name` varchar(150) DEFAULT NULL,
                                 `scope_type` varchar(150) DEFAULT NULL,
                                 `scope_id` varchar(150) DEFAULT NULL,
                                 `label` varchar(150) DEFAULT NULL,
                                 `channels` text,
                                 `notify_group_id` bigint(20) DEFAULT NULL,
                                 `org_id` bigint(20) DEFAULT NULL,
                                 `creator` varchar(255) DEFAULT NULL,
                                 `enabled` tinyint(1) DEFAULT NULL,
                                 `data` text,
                                 `cluster_name` varchar(150) DEFAULT NULL,
                                 PRIMARY KEY (`id`),
                                 KEY `idx_scope_type` (`scope_type`),
                                 KEY `idx_scope_id` (`scope_id`),
                                 KEY `idx_notify_group_id` (`notify_group_id`),
                                 KEY `idx_org_id` (`org_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通知';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_notifies`
--

LOCK TABLES `dice_notifies` WRITE;
/*!40000 ALTER TABLE `dice_notifies` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_notifies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_notify_groups`
--

DROP TABLE IF EXISTS `dice_notify_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_notify_groups` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                      `created_at` timestamp NULL DEFAULT NULL,
                                      `updated_at` timestamp NULL DEFAULT NULL,
                                      `name` varchar(150) DEFAULT NULL,
                                      `scope_type` varchar(150) DEFAULT NULL,
                                      `scope_id` varchar(150) DEFAULT NULL,
                                      `org_id` bigint(20) DEFAULT NULL,
                                      `target_data` text,
                                      `label` varchar(200) DEFAULT NULL,
                                      `auto_create` tinyint(1) DEFAULT NULL,
                                      `creator` varchar(150) DEFAULT NULL,
                                      `cluster_name` varchar(150) DEFAULT NULL,
                                      PRIMARY KEY (`id`),
                                      KEY `idx_scope_type` (`scope_type`),
                                      KEY `idx_scope_id` (`scope_id`),
                                      KEY `idx_org_id` (`org_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通知组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_notify_groups`
--

LOCK TABLES `dice_notify_groups` WRITE;
/*!40000 ALTER TABLE `dice_notify_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_notify_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_notify_histories`
--

DROP TABLE IF EXISTS `dice_notify_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_notify_histories` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                         `created_at` timestamp NULL DEFAULT NULL,
                                         `updated_at` timestamp NULL DEFAULT NULL,
                                         `notify_name` varchar(150) DEFAULT NULL,
                                         `notify_item_display_name` varchar(150) DEFAULT NULL,
                                         `channel` varchar(150) DEFAULT NULL,
                                         `target_data` text,
                                         `source_data` text,
                                         `status` varchar(150) DEFAULT NULL,
                                         `error_msg` text,
                                         `org_id` bigint(20) DEFAULT NULL,
                                         `label` varchar(150) DEFAULT NULL,
                                         `source_type` varchar(150) DEFAULT NULL,
                                         `source_id` varchar(150) DEFAULT NULL,
                                         `cluster_name` varchar(150) DEFAULT NULL,
                                         PRIMARY KEY (`id`),
                                         KEY `idx_notify_name` (`notify_name`),
                                         KEY `idx_org_id` (`org_id`),
                                         KEY `idx_source_type` (`source_type`),
                                         KEY `idx_source_id` (`source_id`),
                                         KEY `idx_module` (`label`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通知历史';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_notify_histories`
--

LOCK TABLES `dice_notify_histories` WRITE;
/*!40000 ALTER TABLE `dice_notify_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_notify_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_notify_item_relation`
--

DROP TABLE IF EXISTS `dice_notify_item_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_notify_item_relation` (
                                             `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                             `created_at` timestamp NULL DEFAULT NULL,
                                             `updated_at` timestamp NULL DEFAULT NULL,
                                             `notify_id` bigint(20) DEFAULT NULL,
                                             `notify_item_id` bigint(20) DEFAULT NULL,
                                             PRIMARY KEY (`id`),
                                             KEY `idx_notify_id` (`notify_id`),
                                             KEY `idx_notify_item_id` (`notify_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通知项通知关联关系';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_notify_item_relation`
--

LOCK TABLES `dice_notify_item_relation` WRITE;
/*!40000 ALTER TABLE `dice_notify_item_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_notify_item_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_notify_items`
--

DROP TABLE IF EXISTS `dice_notify_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_notify_items` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                     `created_at` timestamp NULL DEFAULT NULL,
                                     `updated_at` timestamp NULL DEFAULT NULL,
                                     `name` varchar(150) DEFAULT NULL,
                                     `display_name` varchar(150) DEFAULT NULL,
                                     `category` varchar(150) DEFAULT NULL,
                                     `mobile_template` text,
                                     `mbox_template` text,
                                     `email_template` text,
                                     `dingding_template` text,
                                     `scope_type` varchar(150) DEFAULT NULL,
                                     `label` varchar(150) DEFAULT NULL,
                                     `params` text,
                                     `vms_template` text COMMENT '语音通知模版',
                                     `called_show_number` text COMMENT '语音通知被叫显号',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COMMENT='通知项';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_notify_items`
--

LOCK TABLES `dice_notify_items` WRITE;
/*!40000 ALTER TABLE `dice_notify_items` DISABLE KEYS */;
INSERT INTO `dice_notify_items` VALUES (1,'2021-04-02 08:09:12','2021-04-02 08:09:12','git_push','代码推送','git',NULL,'### {{projectName}}/{{appName}} 代码推送\n- 推送前commit：{{beforeID}}\n- 推送后commit：{{afterID}}\n- 推送引用：{{ref}}\n- 提交人：{{pusherName}}','<p>{{projectName}}/{{appName}} 代码推送 </p>\n<p>推送前commit： {{beforeID}}</p>\n<p>推送后commit： {{afterID}}</p>\n<p>推送引用 ：{{ref}}</p>\n<p>提交人：{{pusherName}}</p>','### {{projectName}}/{{appName}} 代码推送\n- 推送前commit：{{beforeID}}\n- 推送后commit：{{afterID}}\n- 推送引用：{{ref}}\n- 提交人：{{pusherName}}','app','workbench','projectName,appName,beforeID,afterID,ref,pusherName',NULL,NULL),(2,'2021-04-02 08:09:12','2021-04-02 08:09:12','Failed','工作流运行失败','workflow',NULL,NULL,'<p>工作流名:{{workflowName}}</p>\n<p>工作流ID: {{workflowID}}</p>\n<p>pipelineID:{{pipelineID}}</p>\n<p>事件名:{{notifyItemName}}</p>\n{{failedDetail}}',NULL,'org','cdp','workflowName,workflowID,pipelineID,notifyItemName,failedDetail',NULL,NULL),(3,'2021-04-02 08:09:12','2021-04-02 08:09:12','Running','工作流开始运行','workflow',NULL,NULL,'<p>工作流名:{{workflowName}}</p>\n<p>工作流ID: {{workflowID}}</p>\n<p>pipelineID:{{pipelineID}}</p>\n<p>事件名:{{notifyItemName}}</p>',NULL,'org','cdp','workflowName,workflowID,pipelineID,notifyItemName',NULL,NULL),(4,'2021-04-02 08:09:12','2021-04-02 08:09:12','Success','工作流运行成功','workflow',NULL,NULL,'<p>工作流名:{{workflowName}}</p>\n<p>工作流ID: {{workflowID}}</p>\n<p>pipelineID:{{pipelineID}}</p>\n<p>事件名:{{notifyItemName}}</p>',NULL,'org','cdp','workflowName,workflowID,pipelineID,notifyItemName',NULL,NULL),(5,'2021-04-02 08:09:56',NULL,'pipeline_running',NULL,'pipeline',NULL,NULL,NULL,NULL,'app','workbench',NULL,NULL,NULL),(6,'2021-04-02 08:09:56',NULL,'pipeline_success',NULL,'pipeline',NULL,NULL,NULL,NULL,'app','workbench',NULL,NULL,NULL),(7,'2021-04-02 08:09:56',NULL,'pipeline_failed',NULL,'pipeline',NULL,NULL,NULL,NULL,'app','workbench',NULL,NULL,NULL),(8,'2021-04-02 08:09:56',NULL,'issue_create',NULL,'issue',NULL,NULL,NULL,NULL,'project','workbench',NULL,NULL,NULL),(9,'2021-04-02 08:09:56',NULL,'issue_update',NULL,'issue',NULL,NULL,NULL,NULL,'project','workbench',NULL,NULL,NULL),(10,'2021-04-02 08:09:56',NULL,'git_create_mr',NULL,'git',NULL,NULL,NULL,NULL,'app','workbench',NULL,NULL,NULL),(11,NULL,NULL,'git_merge_mr',NULL,'git',NULL,NULL,NULL,NULL,'app','workbench',NULL,NULL,NULL),(12,NULL,NULL,'git_close_mr',NULL,'git',NULL,NULL,NULL,NULL,'app','workbench',NULL,NULL,NULL),(13,NULL,NULL,'git_comment_mr',NULL,'git',NULL,NULL,NULL,NULL,'app','workbench',NULL,NULL,NULL),(14,NULL,NULL,'git_delete_branch',NULL,'git',NULL,NULL,NULL,NULL,'app','workbanch',NULL,NULL,NULL),(15,NULL,NULL,'git_delete_tag',NULL,'git',NULL,NULL,NULL,NULL,'app','workbanch',NULL,NULL,NULL);
/*!40000 ALTER TABLE `dice_notify_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_notify_sources`
--

DROP TABLE IF EXISTS `dice_notify_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_notify_sources` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                       `created_at` timestamp NULL DEFAULT NULL,
                                       `updated_at` timestamp NULL DEFAULT NULL,
                                       `name` varchar(150) DEFAULT NULL,
                                       `notify_id` bigint(20) DEFAULT NULL,
                                       `source_type` varchar(255) DEFAULT NULL,
                                       `source_id` varchar(255) DEFAULT NULL,
                                       `org_id` bigint(20) DEFAULT NULL,
                                       PRIMARY KEY (`id`),
                                       KEY `idx_notify_id` (`notify_id`),
                                       KEY `idx_org_id` (`org_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='通知（dice_notifies）扩展表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_notify_sources`
--

LOCK TABLES `dice_notify_sources` WRITE;
/*!40000 ALTER TABLE `dice_notify_sources` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_notify_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_org`
--

DROP TABLE IF EXISTS `dice_org`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_org` (
                            `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                            `name` varchar(50) NOT NULL DEFAULT '' COMMENT '企业名称',
                            `logo` varchar(512) DEFAULT NULL COMMENT '企业logo',
                            `config` text,
                            `locale` varchar(50) DEFAULT 'zh_CN',
                            `desc` varchar(2048) DEFAULT NULL COMMENT '企业描述',
                            `type` varchar(45) NOT NULL DEFAULT '' COMMENT '企业类型',
                            `creator` varchar(255) NOT NULL DEFAULT '' COMMENT '创建用户',
                            `operation` varchar(255) DEFAULT NULL COMMENT '操作者',
                            `status` varchar(45) NOT NULL DEFAULT '' COMMENT '企业状态',
                            `open_fdp` tinyint(1) DEFAULT '0' COMMENT '是否打开fdp服务，默认为false',
                            `created_at` datetime NOT NULL COMMENT '创建时间',
                            `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                            `version` varchar(128) DEFAULT NULL COMMENT '版本',
                            `display_name` varchar(64) DEFAULT NULL COMMENT '企业展示名称',
                            `blockout_config` text COMMENT '封网配置',
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='企业信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_org`
--

LOCK TABLES `dice_org` WRITE;
/*!40000 ALTER TABLE `dice_org` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_org` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_org_cluster_relation`
--

DROP TABLE IF EXISTS `dice_org_cluster_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_org_cluster_relation` (
                                             `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                             `created_at` timestamp NULL DEFAULT NULL,
                                             `updated_at` timestamp NULL DEFAULT NULL,
                                             `org_id` bigint(20) unsigned DEFAULT NULL,
                                             `org_name` varchar(255) DEFAULT NULL,
                                             `cluster_id` bigint(20) unsigned DEFAULT NULL,
                                             `cluster_name` varchar(255) DEFAULT NULL,
                                             `creator` varchar(255) DEFAULT NULL,
                                             PRIMARY KEY (`id`),
                                             UNIQUE KEY `idx_org_cluster_id` (`org_id`,`cluster_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='企业集群关联关系';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_org_cluster_relation`
--

LOCK TABLES `dice_org_cluster_relation` WRITE;
/*!40000 ALTER TABLE `dice_org_cluster_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_org_cluster_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_pipeline_cms_configs`
--

DROP TABLE IF EXISTS `dice_pipeline_cms_configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_pipeline_cms_configs` (
                                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                             `ns_id` bigint(20) NOT NULL,
                                             `key` varchar(191) NOT NULL DEFAULT '',
                                             `value` text,
                                             `encrypt` tinyint(1) NOT NULL,
                                             `type` varchar(32) DEFAULT NULL,
                                             `extra` text,
                                             `time_created` datetime NOT NULL,
                                             `time_updated` datetime NOT NULL,
                                             PRIMARY KEY (`id`),
                                             KEY `idx_ns_key` (`ns_id`,`key`),
                                             KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流水线配置项表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_pipeline_cms_configs`
--

LOCK TABLES `dice_pipeline_cms_configs` WRITE;
/*!40000 ALTER TABLE `dice_pipeline_cms_configs` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_pipeline_cms_configs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_pipeline_cms_ns`
--

DROP TABLE IF EXISTS `dice_pipeline_cms_ns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_pipeline_cms_ns` (
                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                        `pipeline_source` varchar(191) NOT NULL DEFAULT '',
                                        `ns` varchar(191) NOT NULL DEFAULT '',
                                        `time_created` datetime NOT NULL,
                                        `time_updated` datetime NOT NULL,
                                        PRIMARY KEY (`id`),
                                        KEY `idx_source_ns` (`pipeline_source`,`ns`),
                                        KEY `idx_source` (`pipeline_source`),
                                        KEY `idx_ns` (`ns`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流水线配置命名空间表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_pipeline_cms_ns`
--

LOCK TABLES `dice_pipeline_cms_ns` WRITE;
/*!40000 ALTER TABLE `dice_pipeline_cms_ns` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_pipeline_cms_ns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_pipeline_reports`
--

DROP TABLE IF EXISTS `dice_pipeline_reports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_pipeline_reports` (
                                         `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `pipeline_id` bigint(20) NOT NULL COMMENT '关联的流水线 ID',
                                         `type` varchar(32) NOT NULL DEFAULT '' COMMENT '报告类型',
                                         `meta` text NOT NULL COMMENT '报告元数据',
                                         `creator_id` varchar(191) DEFAULT '' COMMENT '创建人',
                                         `updater_id` varchar(191) DEFAULT NULL COMMENT '更新人',
                                         `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                         `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                         PRIMARY KEY (`id`),
                                         KEY `idx_pipelineid_type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流水线报告表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_pipeline_reports`
--

LOCK TABLES `dice_pipeline_reports` WRITE;
/*!40000 ALTER TABLE `dice_pipeline_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_pipeline_reports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_pipeline_snippet_clients`
--

DROP TABLE IF EXISTS `dice_pipeline_snippet_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_pipeline_snippet_clients` (
                                                 `id` bigint(20) NOT NULL,
                                                 `name` varchar(255) NOT NULL,
                                                 `host` varchar(255) NOT NULL,
                                                 `extra` text NOT NULL,
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流水线 snippet 客户端表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_pipeline_snippet_clients`
--

LOCK TABLES `dice_pipeline_snippet_clients` WRITE;
/*!40000 ALTER TABLE `dice_pipeline_snippet_clients` DISABLE KEYS */;
INSERT INTO `dice_pipeline_snippet_clients` VALUES (1,'local','gittar-adaptor.default.svc.cluster.local:1086','{\n \"urlPathPrefix\": \"/api/pipeline-snippets\"\n}'),(2,'autotest','qa.default.svc.cluster.local:3033','{\n \"urlPathPrefix\": \"/api/autotests/pipeline-snippets\"\n}');
/*!40000 ALTER TABLE `dice_pipeline_snippet_clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_pipeline_template_versions`
--

DROP TABLE IF EXISTS `dice_pipeline_template_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_pipeline_template_versions` (
                                                   `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                                   `template_id` bigint(20) NOT NULL,
                                                   `name` varchar(255) NOT NULL,
                                                   `version` varchar(255) NOT NULL,
                                                   `spec` text NOT NULL,
                                                   `readme` text NOT NULL,
                                                   `created_at` datetime NOT NULL,
                                                   `updated_at` datetime NOT NULL,
                                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COMMENT='流水线模板版本表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_pipeline_template_versions`
--

LOCK TABLES `dice_pipeline_template_versions` WRITE;
/*!40000 ALTER TABLE `dice_pipeline_template_versions` DISABLE KEYS */;
INSERT INTO `dice_pipeline_template_versions` VALUES (8,8,'custom','1.0','name: custom\nversion: \"1.0\"\ndesc: 自定义模板\n\ntemplate: |\n  version: 1.1\n  stages:','','2020-10-14 10:05:17','2020-10-14 10:05:17'),(9,9,'java-boot-gradle-dice','1.0','name: java-boot-gradle-dice\nversion: \"1.0\"\ndesc: springboot gradle 打包构建部署到 dice 的模板\n\ntemplate: |\n\n  version: 1.1\n  stages:\n    - stage:\n        - git-checkout:\n            params:\n              depth: 1\n    - stage:\n        - java-build:\n            version: \"1.0\"\n            params:\n              build_cmd:\n                - ./gradlew bootJar\n              jdk_version: 8\n              workdir: ${git-checkout}\n    - stage:\n        - release:\n            params:\n              dice_yml: ${git-checkout}/dice.yml\n              services:\n                dice.yml中的服务名:\n                  image: registry.cn-hangzhou.aliyuncs.com/terminus/terminus-openjdk:v11.0.6\n                  copys:\n                    - ${java-build:OUTPUT:buildPath}/build/jar包的路径/jar包的名称:/target/jar包的名称\n                  cmd: java -jar /target/jar包的名称\n\n    - stage:\n        - dice:\n            params:\n              release_id: ${release:OUTPUT:releaseID}\n\n\nparams:\n\n  - name: pipeline_version\n    desc: 生成的pipeline的版本\n    default: \"1.1\"\n    required: false\n\n  - name: pipeline_cron\n    desc: 定时任务的cron表达式\n    required: false\n\n  - name: pipeline_scheduling\n    desc: 流水线调度策略\n    required: false\n','','2020-10-14 10:05:49','2020-10-14 13:35:57'),(10,10,'java-boot-maven-dice','1.0','name: java-boot-maven-dice\nversion: \"1.0\"\ndesc: springboot maven 打包构建部署到 dice 的模板\n\ntemplate: |\n\n  version: 1.1\n  stages:\n    - stage:\n        - git-checkout:\n            params:\n              depth: 1\n\n    - stage:\n        - java-build:\n            version: \"1.0\"\n            params:\n              build_cmd:\n                - mvn package\n              jdk_version: 8\n              workdir: ${git-checkout}\n\n    - stage:\n        - release:\n            params:\n              dice_yml: ${git-checkout}/dice.yml\n              services:\n                dice.yml中的服务名:\n                  image: registry.cn-hangzhou.aliyuncs.com/terminus/terminus-openjdk:v11.0.6\n                  copys:\n                    - ${java-build:OUTPUT:buildPath}/target/jar包的名称:/target/jar包的名称\n                  cmd: java -jar /target/jar包的名称\n\n    - stage:\n        - dice:\n            params:\n              release_id: ${release:OUTPUT:releaseID}\n\n\nparams:\n\n  - name: pipeline_version\n    desc: 生成的pipeline的版本\n    default: \"1.1\"\n    required: false\n\n  - name: pipeline_cron\n    desc: 定时任务的cron表达式\n    required: false\n\n  - name: pipeline_scheduling\n    desc: 流水线调度策略\n    required: false\n','','2020-10-14 10:06:16','2020-10-14 13:36:28'),(11,11,'java-tomcat-maven-dice','1.0','name: java-tomcat-maven-dice\nversion: \"1.0\"\ndesc: java maven 打包构建放入 tomcat 部署到 dice 的模板\n\ntemplate: |\n\n  version: \"1.1\"\n  stages:\n    - stage:\n        - git-checkout:\n            params:\n              depth: 1\n\n    - stage:\n        - java-build:\n            version: \"1.0\"\n            params:\n              build_cmd:\n                - mvn clean package\n              jdk_version: 8\n              workdir: ${git-checkout}\n\n    - stage:\n        - release:\n            params:\n              dice_yml: ${git-checkout}/dice.yml\n              services:\n                dice_yaml中的服务名称:\n                  image: tomcat:jdk8-openjdk-slim\n                  copys:\n                    - ${java-build:OUTPUT:buildPath}/target/war包的名称.war:/usr/local/tomcat/webapps\n                  cmd: mv /usr/local/tomcat/webapps/war包的名称.war /usr/local/tomcat/webapps/ROOT.war && /usr/local/tomcat/bin/catalina.sh run\n\n    - stage:\n        - dice:\n            params:\n              release_id: ${release:OUTPUT:releaseID}\n\n','','2020-10-14 10:06:45','2020-10-14 10:46:26'),(12,12,'js-herd-release-dice','1.0','name: js-herd-release-dice\nversion: \"1.0\"\ndesc: js 直接运行并部署到 dice 的模板\n\ntemplate: |\n\n  version: \"1.1\"\n  stages:\n    - stage:\n        - git-checkout:\n            alias: git-checkout\n            version: \"1.0\"\n    - stage:\n        - js-build:\n            alias: js-build\n            version: \"1.0\"\n            params:\n              build_cmd:\n                - cnpm i\n              workdir: ${git-checkout}\n\n    - stage:\n        - release:\n            alias: release\n            params:\n              dice_yml: ${git-checkout}/dice.yml\n              services:\n                dice.yml中的服务名:\n                  cmd: cd /root/js-build && ls && npm run dev\n                  copys:\n                    - ${js-build}:/root/\n                  image: registry.cn-hangzhou.aliyuncs.com/terminus/terminus-herd:1.1.8-node12\n    - stage:\n        - dice:\n            alias: dice\n            params:\n              release_id: ${release:OUTPUT:releaseID}\n\n','','2020-10-14 10:07:11','2020-10-14 10:07:11'),(13,13,'js-spa-release-dice','1.0','name: js-spa-release-dice\nversion: \"1.0\"\ndesc: js 进行打包构建到 nginx 并部署到 dice 的模板\n\ntemplate: |\n\n  version: \"1.1\"\n  stages:\n    - stage:\n        - git-checkout:\n            alias: git-checkout\n            version: \"1.0\"\n    - stage:\n        - js-build:\n            alias: js-build\n            version: \"1.0\"\n            params:\n              build_cmd:\n                - cnpm i\n                - cnpm run build\n              workdir: ${git-checkout}\n\n    - stage:\n        - release:\n            alias: release\n            params:\n              dice_yml: ${git-checkout}/dice.yml\n              services:\n                dice.yml中的服务名:\n                  cmd: sed -i \"s^server_name .*^^g\" /etc/nginx/conf.d/nginx.conf.template && envsubst \"`printf \'$%s\' $(bash -c \"compgen -e\")`\" < /etc/nginx/conf.d/nginx.conf.template > /etc/nginx/conf.d/default.conf && /usr/local/openresty/bin/openresty -g \'daemon off;\'\n\n                  copys:\n                    - ${js-build}/(build 产出的目录):/usr/share/nginx/html/\n                    - ${js-build}/nginx.conf.template:/etc/nginx/conf.d/\n                  image: registry.cn-hangzhou.aliyuncs.com/dice-third-party/terminus-nginx:0.2\n    - stage:\n        - dice:\n            alias: dice\n            params:\n              release_id: ${release:OUTPUT:releaseID}\n\n','','2020-10-14 10:07:38','2020-10-14 10:07:38');
/*!40000 ALTER TABLE `dice_pipeline_template_versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_pipeline_templates`
--

DROP TABLE IF EXISTS `dice_pipeline_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_pipeline_templates` (
                                           `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                           `name` varchar(255) NOT NULL,
                                           `logo_url` varchar(255) NOT NULL,
                                           `desc` varchar(255) NOT NULL,
                                           `scope_type` varchar(10) NOT NULL,
                                           `scope_id` varchar(255) NOT NULL,
                                           `default_version` varchar(255) NOT NULL,
                                           `created_at` datetime NOT NULL,
                                           `updated_at` datetime NOT NULL,
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COMMENT='流水线模板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_pipeline_templates`
--

LOCK TABLES `dice_pipeline_templates` WRITE;
/*!40000 ALTER TABLE `dice_pipeline_templates` DISABLE KEYS */;
INSERT INTO `dice_pipeline_templates` VALUES (8,'custom','','自定义模板','dice','0','1.0','2020-10-14 10:05:17','2020-10-14 10:05:17'),(9,'java-boot-gradle-dice','','springboot gradle 打包构建部署到 dice 的模板','dice','0','1.0','2020-10-14 10:05:49','2020-10-14 13:35:57'),(10,'java-boot-maven-dice','','springboot maven 打包构建部署到 dice 的模板','dice','0','1.0','2020-10-14 10:06:16','2020-10-14 13:36:28'),(11,'java-tomcat-maven-dice','','java maven 打包构建放入 tomcat 部署到 dice 的模板','dice','0','1.0','2020-10-14 10:06:45','2020-10-14 10:46:26'),(12,'js-herd-release-dice','','js 直接运行并部署到 dice 的模板','dice','0','1.0','2020-10-14 10:07:11','2020-10-14 10:07:11'),(13,'js-spa-release-dice','','js 进行打包构建到 nginx 并部署到 dice 的模板','dice','0','1.0','2020-10-14 10:07:38','2020-10-14 10:07:38');
/*!40000 ALTER TABLE `dice_pipeline_templates` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_publish_item_h5_targets`
--

DROP TABLE IF EXISTS `dice_publish_item_h5_targets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_publish_item_h5_targets` (
                                                `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                                `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                                `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                                `h5_version_id` bigint(20) NOT NULL COMMENT 'h5包版本的id',
                                                `target_version` varchar(40) DEFAULT NULL COMMENT 'h5的目标版本',
                                                `target_build_id` varchar(100) NOT NULL DEFAULT '' COMMENT 'h5目标版本的build id',
                                                `target_mobile_type` varchar(40) DEFAULT NULL COMMENT '目标app类型',
                                                PRIMARY KEY (`id`),
                                                KEY `idx_h5_version_id` (`h5_version_id`),
                                                KEY `idx_target` (`target_version`,`target_build_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='h5包适配的移动应用版本信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_publish_item_h5_targets`
--

LOCK TABLES `dice_publish_item_h5_targets` WRITE;
/*!40000 ALTER TABLE `dice_publish_item_h5_targets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_publish_item_h5_targets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_publish_item_versions`
--

DROP TABLE IF EXISTS `dice_publish_item_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_publish_item_versions` (
                                              `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                              `version` varchar(50) NOT NULL DEFAULT '' COMMENT '版本号',
                                              `meta` text COMMENT '元信息',
                                              `resources` text,
                                              `swagger` longtext,
                                              `spec` longtext,
                                              `readme` longtext,
                                              `logo` varchar(512) DEFAULT NULL COMMENT '版本logo',
                                              `desc` varchar(2048) DEFAULT NULL COMMENT '描述信息',
                                              `creator` varchar(255) DEFAULT NULL COMMENT '创建者',
                                              `org_id` bigint(20) DEFAULT NULL COMMENT '所属企业',
                                              `publish_item_id` bigint(20) NOT NULL COMMENT '所属发布仓库',
                                              `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                              `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                              `public` tinyint(1) DEFAULT NULL,
                                              `is_default` tinyint(1) DEFAULT NULL,
                                              `version_states` varchar(20) DEFAULT NULL COMMENT '版本状态release or beta',
                                              `gray_level_percent` int(11) DEFAULT NULL COMMENT '灰度百分比',
                                              `mobile_type` varchar(40) DEFAULT NULL COMMENT '移动应用的类型',
                                              `build_id` varchar(255) DEFAULT '1' COMMENT '移动应用的构建id',
                                              `package_name` varchar(255) DEFAULT NULL COMMENT '包名',
                                              PRIMARY KEY (`id`),
                                              KEY `idx_org_id` (`org_id`),
                                              KEY `publish_item_id` (`publish_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='发布版本';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_publish_item_versions`
--

LOCK TABLES `dice_publish_item_versions` WRITE;
/*!40000 ALTER TABLE `dice_publish_item_versions` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_publish_item_versions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_publish_items`
--

DROP TABLE IF EXISTS `dice_publish_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_publish_items` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                      `name` varchar(100) NOT NULL DEFAULT '' COMMENT '发布名',
                                      `display_name` varchar(100) DEFAULT NULL,
                                      `type` varchar(50) NOT NULL DEFAULT '' COMMENT '发布内容类型 ANDROID|IOS',
                                      `logo` varchar(512) DEFAULT NULL COMMENT 'logo',
                                      `desc` varchar(2048) DEFAULT NULL COMMENT '描述信息',
                                      `creator` varchar(255) DEFAULT NULL COMMENT '创建者',
                                      `org_id` bigint(20) NOT NULL COMMENT '所属企业',
                                      `publisher_id` bigint(20) NOT NULL COMMENT '所属发布仓库',
                                      `public` tinyint(1) NOT NULL DEFAULT '0',
                                      `ak` varchar(64) DEFAULT NULL COMMENT '离线包的监控AK',
                                      `created_at` datetime NOT NULL COMMENT '创建时间',
                                      `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                      `no_jailbreak` tinyint(1) DEFAULT '0' COMMENT '是否禁止越狱配置',
                                      `geofence_lon` double DEFAULT NULL COMMENT '地理围栏，坐标经度',
                                      `geofence_lat` double DEFAULT NULL COMMENT '地理围栏，坐标纬度',
                                      `geofence_radius` int(20) DEFAULT NULL COMMENT '地理围栏，合理半径',
                                      `gray_level_percent` int(11) NOT NULL DEFAULT '0' COMMENT '灰度百分比，0-100',
                                      `is_migration` tinyint(4) DEFAULT '1' COMMENT '该item灰度逻辑是否已迁移',
                                      `preview_images` text COMMENT '预览图',
                                      `background_image` text COMMENT '背景图',
                                      `ai` varchar(50) DEFAULT NULL COMMENT '离线包的监控AI,一般是发布内容的名字',
                                      PRIMARY KEY (`id`),
                                      KEY `idx_org_id` (`org_id`),
                                      KEY `idx_publisher_id` (`publisher_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='发布内容';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_publish_items`
--

LOCK TABLES `dice_publish_items` WRITE;
/*!40000 ALTER TABLE `dice_publish_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_publish_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_publish_items_blacklist`
--

DROP TABLE IF EXISTS `dice_publish_items_blacklist`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_publish_items_blacklist` (
                                                `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                                                `user_id` varchar(256) NOT NULL COMMENT '用户id',
                                                `publish_item_id` bigint(20) NOT NULL COMMENT '发布内容id',
                                                `publish_item_key` varchar(64) DEFAULT NULL COMMENT '监控收集数据需要',
                                                `user_name` varchar(256) DEFAULT NULL COMMENT '用户名称',
                                                `device_no` varchar(512) NOT NULL DEFAULT '' COMMENT '设备号',
                                                `operator` varchar(255) NOT NULL COMMENT '操作人',
                                                `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                PRIMARY KEY (`id`),
                                                KEY `idx_publish_item_id` (`publish_item_id`),
                                                KEY `idx_publish_item_key` (`publish_item_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='发布内容黑名单';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_publish_items_blacklist`
--

LOCK TABLES `dice_publish_items_blacklist` WRITE;
/*!40000 ALTER TABLE `dice_publish_items_blacklist` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_publish_items_blacklist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_publish_items_erase`
--

DROP TABLE IF EXISTS `dice_publish_items_erase`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_publish_items_erase` (
                                            `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                                            `publish_item_id` bigint(20) NOT NULL COMMENT '发布内容id',
                                            `publish_item_key` varchar(64) DEFAULT NULL COMMENT '监控收集数据需要',
                                            `device_no` varchar(512) NOT NULL DEFAULT '' COMMENT '设备号',
                                            `erase_status` varchar(32) NOT NULL DEFAULT '' COMMENT '擦除状态',
                                            `operator` varchar(255) NOT NULL COMMENT '操作人',
                                            `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                            `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                            PRIMARY KEY (`id`),
                                            KEY `idx_publish_item_id` (`publish_item_id`),
                                            KEY `idx_publish_item_key` (`publish_item_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='发布内容数据擦除列表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_publish_items_erase`
--

LOCK TABLES `dice_publish_items_erase` WRITE;
/*!40000 ALTER TABLE `dice_publish_items_erase` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_publish_items_erase` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_publishers`
--

DROP TABLE IF EXISTS `dice_publishers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_publishers` (
                                   `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                   `name` varchar(50) NOT NULL DEFAULT '' COMMENT 'publisher名称',
                                   `publisher_type` varchar(50) NOT NULL DEFAULT '' COMMENT 'publisher类型',
                                   `logo` varchar(512) DEFAULT NULL COMMENT 'publisher Logo',
                                   `desc` varchar(2048) DEFAULT NULL COMMENT 'publisher描述',
                                   `creator` varchar(255) NOT NULL COMMENT '创建者',
                                   `org_id` bigint(20) NOT NULL COMMENT '所属企业',
                                   `created_at` datetime NOT NULL COMMENT '创建时间',
                                   `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                   `publisher_key` varchar(64) NOT NULL DEFAULT '' COMMENT 'publisher key',
                                   PRIMARY KEY (`id`),
                                   KEY `idx_org_id` (`org_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='publisher信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_publishers`
--

LOCK TABLES `dice_publishers` WRITE;
/*!40000 ALTER TABLE `dice_publishers` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_publishers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_release`
--

DROP TABLE IF EXISTS `dice_release`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_release` (
                                `release_id` varchar(64) NOT NULL DEFAULT '',
                                `release_name` varchar(255) NOT NULL,
                                `desc` text,
                                `dice` text,
                                `addon` text,
                                `labels` varchar(1000) DEFAULT NULL,
                                `version` varchar(100) DEFAULT NULL,
                                `org_id` bigint(20) DEFAULT NULL,
                                `project_id` bigint(20) DEFAULT NULL,
                                `application_id` bigint(20) DEFAULT NULL,
                                `project_name` varchar(80) DEFAULT NULL,
                                `application_name` varchar(80) DEFAULT NULL,
                                `user_id` varchar(50) DEFAULT NULL,
                                `cluster_name` varchar(80) DEFAULT NULL,
                                `cross_cluster` tinyint(4) NOT NULL DEFAULT '0',
                                `resources` text,
                                `reference` bigint(20) DEFAULT NULL,
                                `created_at` timestamp NULL DEFAULT NULL,
                                `updated_at` timestamp NULL DEFAULT NULL,
                                PRIMARY KEY (`release_id`),
                                KEY `idx_release_name` (`release_name`),
                                KEY `idx_org_id` (`org_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Dice 版本表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_release`
--

LOCK TABLES `dice_release` WRITE;
/*!40000 ALTER TABLE `dice_release` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_release` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repo_caches`
--

DROP TABLE IF EXISTS `dice_repo_caches`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repo_caches` (
                                    `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                    `type_name` varchar(150) DEFAULT NULL,
                                    `key_name` varchar(150) DEFAULT NULL,
                                    `value` text,
                                    `created_at` timestamp NULL DEFAULT NULL,
                                    `updated_at` timestamp NULL DEFAULT NULL,
                                    PRIMARY KEY (`id`),
                                    KEY `type_name` (`type_name`),
                                    KEY `key_name` (`key_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gittar 仓库缓存表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repo_caches`
--

LOCK TABLES `dice_repo_caches` WRITE;
/*!40000 ALTER TABLE `dice_repo_caches` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repo_caches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repo_check_runs`
--

DROP TABLE IF EXISTS `dice_repo_check_runs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repo_check_runs` (
                                        `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                        `repo_id` bigint(20) DEFAULT NULL,
                                        `name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
                                        `type` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
                                        `external_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
                                        `commit` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
                                        `status` varchar(50) COLLATE utf8mb4_bin DEFAULT '',
                                        `output` text COLLATE utf8mb4_bin,
                                        `result` varchar(100) COLLATE utf8mb4_bin DEFAULT '',
                                        `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                                        `completed_at` timestamp NULL DEFAULT NULL,
                                        `mr_id` int(11) NOT NULL DEFAULT '0',
                                        `pipeline_id` int(11) NOT NULL DEFAULT '0',
                                        PRIMARY KEY (`id`),
                                        KEY `idx_repo_id` (`repo_id`),
                                        KEY `idx_name` (`name`),
                                        KEY `idx_type` (`type`),
                                        KEY `idx_external_id` (`external_id`),
                                        KEY `idx_commit` (`commit`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='Gittar check-run 表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repo_check_runs`
--

LOCK TABLES `dice_repo_check_runs` WRITE;
/*!40000 ALTER TABLE `dice_repo_check_runs` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repo_check_runs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repo_files`
--

DROP TABLE IF EXISTS `dice_repo_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repo_files` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                   `repo_id` bigint(20) DEFAULT NULL,
                                   `commit_id` varchar(64) DEFAULT NULL,
                                   `remark` text,
                                   `uuid` varchar(32) DEFAULT NULL,
                                   `deleted_at` datetime DEFAULT NULL,
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8mb4 COMMENT='Gittar 文件表(目前只有备份)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repo_files`
--

LOCK TABLES `dice_repo_files` WRITE;
/*!40000 ALTER TABLE `dice_repo_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repo_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repo_merge_requests`
--

DROP TABLE IF EXISTS `dice_repo_merge_requests`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repo_merge_requests` (
                                            `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                            `repo_id` bigint(20) DEFAULT NULL,
                                            `title` varchar(255) DEFAULT NULL,
                                            `description` text,
                                            `state` varchar(150) DEFAULT NULL,
                                            `author_id` varchar(150) DEFAULT NULL,
                                            `assignee_id` varchar(150) DEFAULT NULL,
                                            `merge_user_id` varchar(255) DEFAULT NULL,
                                            `close_user_id` varchar(255) DEFAULT NULL,
                                            `merge_commit_sha` varchar(255) DEFAULT NULL,
                                            `repo_merge_id` int(11) DEFAULT NULL,
                                            `source_branch` varchar(255) DEFAULT NULL,
                                            `source_sha` varchar(255) DEFAULT NULL,
                                            `target_branch` varchar(255) DEFAULT NULL,
                                            `target_sha` varchar(255) DEFAULT NULL,
                                            `remove_source_branch` tinyint(1) DEFAULT NULL,
                                            `created_at` timestamp NULL DEFAULT NULL,
                                            `updated_at` timestamp NULL DEFAULT NULL,
                                            `merge_at` timestamp NULL DEFAULT NULL,
                                            `close_at` timestamp NULL DEFAULT NULL,
                                            `score` int(11) NOT NULL DEFAULT '0',
                                            `score_num` int(11) NOT NULL DEFAULT '0',
                                            PRIMARY KEY (`id`),
                                            UNIQUE KEY `idx_unique_merge_id` (`repo_id`,`repo_merge_id`),
                                            KEY `idx_author_id` (`author_id`),
                                            KEY `idx_assignee_id` (`assignee_id`),
                                            KEY `idx_repo_id` (`repo_id`),
                                            KEY `idx_state` (`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gittar 合并请求';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repo_merge_requests`
--

LOCK TABLES `dice_repo_merge_requests` WRITE;
/*!40000 ALTER TABLE `dice_repo_merge_requests` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repo_merge_requests` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repo_notes`
--

DROP TABLE IF EXISTS `dice_repo_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repo_notes` (
                                   `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                   `repo_id` bigint(20) DEFAULT NULL,
                                   `type` varchar(150) DEFAULT NULL,
                                   `discussion_id` varchar(255) DEFAULT NULL,
                                   `old_commit_id` varchar(255) DEFAULT NULL,
                                   `new_commit_id` varchar(255) DEFAULT NULL,
                                   `merge_id` bigint(20) DEFAULT NULL,
                                   `note` text,
                                   `data` text,
                                   `author_id` varchar(255) DEFAULT NULL,
                                   `created_at` timestamp NULL DEFAULT NULL,
                                   `updated_at` timestamp NULL DEFAULT NULL,
                                   `score` int(11) NOT NULL DEFAULT '0',
                                   PRIMARY KEY (`id`),
                                   KEY `idx_type` (`type`),
                                   KEY `idx_merge_id` (`merge_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gittar 评论表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repo_notes`
--

LOCK TABLES `dice_repo_notes` WRITE;
/*!40000 ALTER TABLE `dice_repo_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repo_notes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repo_web_hook_tasks`
--

DROP TABLE IF EXISTS `dice_repo_web_hook_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repo_web_hook_tasks` (
                                            `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                            `created_at` timestamp NULL DEFAULT NULL,
                                            `updated_at` timestamp NULL DEFAULT NULL,
                                            `deleted_at` timestamp NULL DEFAULT NULL,
                                            `hook_id` bigint(20) DEFAULT NULL,
                                            `url` varchar(255) DEFAULT NULL,
                                            `event` varchar(255) DEFAULT NULL,
                                            `is_delivered` tinyint(1) DEFAULT NULL,
                                            `is_succeed` tinyint(1) DEFAULT NULL,
                                            `request_content` text,
                                            `response_content` text,
                                            `response_status` varchar(255) DEFAULT NULL,
                                            PRIMARY KEY (`id`),
                                            KEY `idx_gittar_web_hook_tasks_deleted_at` (`deleted_at`),
                                            KEY `idx_hook_id` (`hook_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gittar webhook 任务表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repo_web_hook_tasks`
--

LOCK TABLES `dice_repo_web_hook_tasks` WRITE;
/*!40000 ALTER TABLE `dice_repo_web_hook_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repo_web_hook_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repo_web_hooks`
--

DROP TABLE IF EXISTS `dice_repo_web_hooks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repo_web_hooks` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                       `created_at` timestamp NULL DEFAULT NULL,
                                       `updated_at` timestamp NULL DEFAULT NULL,
                                       `deleted_at` timestamp NULL DEFAULT NULL,
                                       `hook_type` varchar(150) DEFAULT NULL,
                                       `name` varchar(150) DEFAULT NULL,
                                       `repo_id` bigint(20) DEFAULT NULL,
                                       `token` varchar(255) DEFAULT NULL,
                                       `url` varchar(255) DEFAULT NULL,
                                       `is_active` tinyint(1) DEFAULT NULL,
                                       `push_events` tinyint(1) DEFAULT NULL,
                                       PRIMARY KEY (`id`),
                                       KEY `idx_repo_id` (`repo_id`),
                                       KEY `idx_gittar_web_hooks_deleted_at` (`deleted_at`),
                                       KEY `idx_hook_type` (`hook_type`),
                                       KEY `idx_hook_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gittar webhoob 表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repo_web_hooks`
--

LOCK TABLES `dice_repo_web_hooks` WRITE;
/*!40000 ALTER TABLE `dice_repo_web_hooks` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repo_web_hooks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_repos`
--

DROP TABLE IF EXISTS `dice_repos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_repos` (
                              `id` bigint(20) NOT NULL AUTO_INCREMENT,
                              `org_id` bigint(20) DEFAULT NULL,
                              `project_id` bigint(20) DEFAULT NULL,
                              `app_id` bigint(20) DEFAULT NULL,
                              `org_name` varchar(150) DEFAULT NULL,
                              `project_name` varchar(150) DEFAULT NULL,
                              `app_name` varchar(150) DEFAULT NULL,
                              `path` varchar(150) DEFAULT NULL,
                              `size` bigint(20) DEFAULT NULL,
                              `config` text,
                              `is_external` tinyint(1) DEFAULT '0',
                              `is_locked` tinyint(1) NOT NULL DEFAULT '0',
                              PRIMARY KEY (`id`),
                              KEY `idx_org_name` (`org_name`),
                              KEY `idx_project_name` (`project_name`),
                              KEY `idx_app_name` (`app_name`),
                              KEY `idx_path` (`path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Gittar 仓库表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_repos`
--

LOCK TABLES `dice_repos` WRITE;
/*!40000 ALTER TABLE `dice_repos` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_repos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_role_permission`
--

DROP TABLE IF EXISTS `dice_role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_role_permission` (
                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                        `created_at` timestamp NULL DEFAULT NULL,
                                        `updated_at` timestamp NULL DEFAULT NULL,
                                        `role` varchar(30) DEFAULT NULL,
                                        `resource` varchar(40) DEFAULT NULL,
                                        `action` varchar(30) DEFAULT NULL,
                                        `creator` varchar(255) DEFAULT NULL,
                                        `resource_role` varchar(30) DEFAULT NULL COMMENT '角色: Creator/Assignee',
                                        `scope` varchar(30) DEFAULT NULL COMMENT '角色所属的scope',
                                        PRIMARY KEY (`id`),
                                        UNIQUE KEY `idx_resource_action` (`role`,`resource`,`action`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='角色权限表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_role_permission`
--

LOCK TABLES `dice_role_permission` WRITE;
/*!40000 ALTER TABLE `dice_role_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_role_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_runner_tasks`
--

DROP TABLE IF EXISTS `dice_runner_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_runner_tasks` (
                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                     `job_id` varchar(150) DEFAULT NULL,
                                     `status` varchar(150) DEFAULT NULL,
                                     `open_api_token` text,
                                     `context_data_url` varchar(255) DEFAULT NULL,
                                     `result_data_url` varchar(255) DEFAULT NULL,
                                     `commands` text,
                                     `targets` text,
                                     `work_dir` varchar(255) DEFAULT NULL,
                                     `created_at` datetime DEFAULT NULL,
                                     `updated_at` datetime DEFAULT NULL,
                                     PRIMARY KEY (`id`),
                                     KEY `idx_status` (`status`),
                                     KEY `idx_job_id` (`job_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='action runner 任务执行信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_runner_tasks`
--

LOCK TABLES `dice_runner_tasks` WRITE;
/*!40000 ALTER TABLE `dice_runner_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_runner_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_test_cases`
--

DROP TABLE IF EXISTS `dice_test_cases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_test_cases` (
                                   `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
                                   `name` varchar(191) DEFAULT NULL,
                                   `project_id` bigint(20) DEFAULT NULL,
                                   `test_set_id` bigint(20) DEFAULT NULL,
                                   `priority` varchar(191) DEFAULT NULL,
                                   `pre_condition` text,
                                   `step_and_results` text,
                                   `desc` varchar(1024) DEFAULT NULL,
                                   `recycled` tinyint(1) DEFAULT NULL,
                                   `from` varchar(191) DEFAULT NULL,
                                   `creator_id` varchar(191) DEFAULT NULL,
                                   `updater_id` varchar(191) DEFAULT NULL,
                                   `created_at` datetime DEFAULT NULL,
                                   `updated_at` datetime DEFAULT NULL,
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='手动测试-测试用例表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_test_cases`
--

LOCK TABLES `dice_test_cases` WRITE;
/*!40000 ALTER TABLE `dice_test_cases` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_test_cases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_test_plan_case_relations`
--

DROP TABLE IF EXISTS `dice_test_plan_case_relations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_test_plan_case_relations` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                                 `test_plan_id` bigint(20) DEFAULT NULL,
                                                 `test_set_id` bigint(20) DEFAULT NULL,
                                                 `test_case_id` bigint(20) DEFAULT NULL,
                                                 `exec_status` varchar(191) DEFAULT NULL,
                                                 `creator_id` varchar(191) DEFAULT NULL,
                                                 `updater_id` varchar(191) DEFAULT NULL,
                                                 `executor_id` varchar(191) DEFAULT NULL,
                                                 `created_at` datetime DEFAULT NULL,
                                                 `updated_at` datetime DEFAULT NULL,
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='手动测试-测试计划用例关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_test_plan_case_relations`
--

LOCK TABLES `dice_test_plan_case_relations` WRITE;
/*!40000 ALTER TABLE `dice_test_plan_case_relations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_test_plan_case_relations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_test_plan_members`
--

DROP TABLE IF EXISTS `dice_test_plan_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_test_plan_members` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                          `test_plan_id` bigint(20) DEFAULT NULL,
                                          `role` varchar(32) DEFAULT NULL,
                                          `user_id` bigint(20) DEFAULT NULL,
                                          `created_at` datetime DEFAULT NULL,
                                          `updated_at` datetime DEFAULT NULL,
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='手动测试-测试计划成员表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_test_plan_members`
--

LOCK TABLES `dice_test_plan_members` WRITE;
/*!40000 ALTER TABLE `dice_test_plan_members` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_test_plan_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_test_plans`
--

DROP TABLE IF EXISTS `dice_test_plans`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_test_plans` (
                                   `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
                                   `name` varchar(191) DEFAULT NULL,
                                   `status` varchar(191) DEFAULT NULL,
                                   `project_id` bigint(20) DEFAULT NULL,
                                   `summary` text,
                                   `creator_id` varchar(191) DEFAULT NULL,
                                   `updater_id` varchar(191) DEFAULT NULL,
                                   `started_at` datetime DEFAULT NULL,
                                   `ended_at` datetime DEFAULT NULL,
                                   `type` varchar(1) DEFAULT 'm',
                                   `inode` varchar(20) DEFAULT NULL,
                                   `created_at` datetime DEFAULT NULL,
                                   `updated_at` datetime DEFAULT NULL,
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='手动测试-测试计划表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_test_plans`
--

LOCK TABLES `dice_test_plans` WRITE;
/*!40000 ALTER TABLE `dice_test_plans` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_test_plans` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_test_sets`
--

DROP TABLE IF EXISTS `dice_test_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_test_sets` (
                                  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增ID',
                                  `name` varchar(256) NOT NULL COMMENT '测试集的中文名,可重名',
                                  `parent_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '上一级的所属测试集id,顶级时为0',
                                  `recycled` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已进入回收站，默认0为否，1为是。在回收站的顶层显示',
                                  `directory` text NOT NULL COMMENT '当前节点+所有父级节点的name集合（参考值：新建测试集1/新建测试集2/测试集名称3），这里冗余是为了方便界面展示。',
                                  `project_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '项目id，当前测试集所属的真正项目id',
                                  `order_num` int(4) NOT NULL DEFAULT '0' COMMENT '用例集展示的顺序',
                                  `creator_id` varchar(191) NOT NULL DEFAULT '' COMMENT '创建人',
                                  `updater_id` varchar(191) DEFAULT NULL COMMENT '修改人',
                                  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                  `updated_at` datetime DEFAULT NULL COMMENT '创建时间',
                                  PRIMARY KEY (`id`),
                                  KEY `idx_test_project_id` (`project_id`,`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='手动测试-测试集表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_test_sets`
--

LOCK TABLES `dice_test_sets` WRITE;
/*!40000 ALTER TABLE `dice_test_sets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_test_sets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dice_ucevent_sync_record`
--

DROP TABLE IF EXISTS `dice_ucevent_sync_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dice_ucevent_sync_record` (
                                            `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                            `created_at` datetime DEFAULT NULL COMMENT '表记录创建时间',
                                            `updated_at` datetime DEFAULT NULL COMMENT '表记录更新时间',
                                            `uc_id` bigint(20) NOT NULL COMMENT 'uc事件id',
                                            `uc_eventtime` datetime NOT NULL COMMENT 'uc事件时间',
                                            `un_receiver` varchar(40) DEFAULT NULL COMMENT 'uc事件同步失败的接收者',
                                            PRIMARY KEY (`id`),
                                            KEY `idx_uc_id` (`uc_id`),
                                            KEY `idx_uc_eventtime` (`uc_eventtime`),
                                            KEY `idx_un_receiver` (`un_receiver`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='dice拉取uc事件的记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dice_ucevent_sync_record`
--

LOCK TABLES `dice_ucevent_sync_record` WRITE;
/*!40000 ALTER TABLE `dice_ucevent_sync_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `dice_ucevent_sync_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `favorited_resources`
--

DROP TABLE IF EXISTS `favorited_resources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `favorited_resources` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                       `created_at` timestamp NULL DEFAULT NULL,
                                       `updated_at` timestamp NULL DEFAULT NULL,
                                       `target` varchar(255) DEFAULT NULL,
                                       `target_id` bigint(20) unsigned DEFAULT NULL,
                                       `user_id` varchar(255) DEFAULT NULL,
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='最喜欢的资源表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `favorited_resources`
--

LOCK TABLES `favorited_resources` WRITE;
/*!40000 ALTER TABLE `favorited_resources` DISABLE KEYS */;
/*!40000 ALTER TABLE `favorited_resources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_ad_hoc_cache_data`
--

DROP TABLE IF EXISTS `fdp_agent_ad_hoc_cache_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_ad_hoc_cache_data` (
                                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                               `result` longtext COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '即席查询结果',
                                               `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                               `updater_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '修改人 ID',
                                               `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                               `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                               `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                               PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='即席查询缓存记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_ad_hoc_cache_data`
--

LOCK TABLES `fdp_agent_ad_hoc_cache_data` WRITE;
/*!40000 ALTER TABLE `fdp_agent_ad_hoc_cache_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_ad_hoc_cache_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_algorithm_model_manage`
--

DROP TABLE IF EXISTS `fdp_agent_algorithm_model_manage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_algorithm_model_manage` (
                                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                    `model_name` varchar(128) NOT NULL COMMENT '模型名称',
                                                    `algorithm_name` varchar(256) DEFAULT NULL COMMENT '算法名称',
                                                    `feature_list` varchar(1024) DEFAULT NULL COMMENT '特征列',
                                                    `target_list` varchar(1024) DEFAULT NULL COMMENT '目标列',
                                                    `params` varchar(1024) DEFAULT NULL COMMENT '参数',
                                                    `model_file_name` varchar(256) DEFAULT NULL COMMENT '模型文件名称',
                                                    `model_file_url` varchar(1024) DEFAULT NULL COMMENT '模型文件地址',
                                                    `model_version` varchar(45) NOT NULL DEFAULT '0' COMMENT '模型版本',
                                                    `model_status` varchar(32) DEFAULT NULL COMMENT '发布状态',
                                                    `api_url` varchar(1024) DEFAULT NULL COMMENT '调用api',
                                                    `package_id` varchar(128) DEFAULT NULL COMMENT '流量入口ID',
                                                    `consumer_id` varchar(128) DEFAULT NULL COMMENT '调用方ID',
                                                    `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                                    `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                                    `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                    `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                    `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                    PRIMARY KEY (`id`),
                                                    KEY `key_model_name` (`model_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模型管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_algorithm_model_manage`
--

LOCK TABLES `fdp_agent_algorithm_model_manage` WRITE;
/*!40000 ALTER TABLE `fdp_agent_algorithm_model_manage` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_algorithm_model_manage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_audit`
--

DROP TABLE IF EXISTS `fdp_agent_data_audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_audit` (
                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                        `data_model_id` bigint(20) NOT NULL COMMENT '数据模型ID',
                                        `apply_name` varchar(128) DEFAULT '' COMMENT '申请名称',
                                        `apply_reason` varchar(256) DEFAULT '' COMMENT '申请原因',
                                        `apply_type` varchar(256) DEFAULT '' COMMENT '申请类型',
                                        `apply_result` varchar(256) DEFAULT '' COMMENT '申请结果',
                                        `flow_id` varchar(256) DEFAULT NULL COMMENT '流程ID',
                                        `audit_user_name` varchar(256) DEFAULT NULL COMMENT '审批人',
                                        `creator_id` varchar(255) NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                        `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                        `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                        `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='创建审批记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_audit`
--

LOCK TABLES `fdp_agent_data_audit` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_auth`
--

DROP TABLE IF EXISTS `fdp_agent_data_auth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_auth` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                       `data_model_id` bigint(20) NOT NULL COMMENT '数据模型ID',
                                       `apply_name` varchar(128) DEFAULT '' COMMENT '申请名称',
                                       `apply_user_id` varchar(128) DEFAULT '' COMMENT '申请人ID',
                                       `apply_user_name` varchar(256) DEFAULT '' COMMENT '申请人姓名',
                                       `apply_type` varchar(64) DEFAULT '' COMMENT '申请类型',
                                       `apply_time` datetime NOT NULL COMMENT '申请时间',
                                       `audit_status` varchar(128) NOT NULL DEFAULT '' COMMENT '审批状态',
                                       `last_audit_time` datetime DEFAULT NULL COMMENT '最后审批时间',
                                       `remark` text COMMENT '拒绝理由',
                                       `creator_id` varchar(255) NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                       `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                       `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                       `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='审批授权表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_auth`
--

LOCK TABLES `fdp_agent_data_auth` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_auth` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_auth` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_catalog`
--

DROP TABLE IF EXISTS `fdp_agent_data_catalog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_catalog` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '目录名',
                                          `name_pinyin` varchar(128) CHARACTER SET latin1 NOT NULL DEFAULT '' COMMENT '目录拼音',
                                          `parent_id` bigint(20) NOT NULL COMMENT '上级目录id',
                                          `creator_id` varchar(256) CHARACTER SET latin1 NOT NULL DEFAULT '' COMMENT '创建人',
                                          `updater_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '修改人',
                                          `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                          `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                          PRIMARY KEY (`id`),
                                          UNIQUE KEY `idx_parent_id_name` (`name`,`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据目录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_catalog`
--

LOCK TABLES `fdp_agent_data_catalog` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_catalog` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_catalog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_catalog_dependence`
--

DROP TABLE IF EXISTS `fdp_agent_data_catalog_dependence`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_catalog_dependence` (
                                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                     `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '平台来源：DL/CDP',
                                                     `type_in_cdp` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型在 CDP 下的类型：ods, dim, dwd, dws, ads',
                                                     `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型名称，在一个 source 下 name 需要唯一',
                                                     `description` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型描述',
                                                     `data_source_id` bigint(20) NOT NULL COMMENT '数据源 ID',
                                                     `data_source_category` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源分类: INTERNAL, EXTERNAL',
                                                     `model_type` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '模型类型：BATCH/STREAMING',
                                                     `file_source_id` bigint(20) DEFAULT NULL COMMENT '文件名规则 ID',
                                                     `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                                     `features` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '额外信息',
                                                     `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                     `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                     `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                     `data_catalog_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '数据目录ID',
                                                     `label0` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label1` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label2` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label3` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label4` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label5` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label6` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label7` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label8` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     `label9` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                                     PRIMARY KEY (`id`),
                                                     UNIQUE KEY `idx_model_name_under_source` (`data_source_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据目录依赖表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_catalog_dependence`
--

LOCK TABLES `fdp_agent_data_catalog_dependence` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_catalog_dependence` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_catalog_dependence` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_model_metadata`
--

DROP TABLE IF EXISTS `fdp_agent_data_model_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_model_metadata` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                 `data_model_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '关联的数据模型 ID',
                                                 `seq_in_model` int(11) NOT NULL COMMENT '字段在模型中的顺序',
                                                 `column_name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字段名',
                                                 `column_type` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字段类型',
                                                 `column_length` int(11) NOT NULL DEFAULT '-1' COMMENT '字段长度',
                                                 `column_comment` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字段说明',
                                                 `is_primary_key` tinyint(1) NOT NULL DEFAULT '0' COMMENT '字段是否是主键',
                                                 `allow_nullable` tinyint(1) NOT NULL DEFAULT '0' COMMENT '字段是否允许为空',
                                                 `is_partition_key` tinyint(1) NOT NULL DEFAULT '0' COMMENT '字段是否是分区键',
                                                 `creator_id` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建者 ID',
                                                 `updater_id` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '更新者 ID',
                                                 `quality_rules_ids` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '数据质量规则ID',
                                                 `created_at` datetime NOT NULL COMMENT '创建时间',
                                                 `updated_at` datetime NOT NULL COMMENT '更新时间',
                                                 `is_encrypted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否加密 0否 1是',
                                                 `sensitive_rule_id` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '脱敏规>则id',
                                                 `is_pii` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否为pii数据 0否 1是',
                                                 PRIMARY KEY (`id`),
                                                 UNIQUE KEY `uk_model_column_name` (`data_model_id`,`column_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型元数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_model_metadata`
--

LOCK TABLES `fdp_agent_data_model_metadata` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_model_metadata` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_model_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_model_metadata_rel_quality`
--

DROP TABLE IF EXISTS `fdp_agent_data_model_metadata_rel_quality`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_model_metadata_rel_quality` (
                                                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                             `metadata_id` bigint(20) NOT NULL COMMENT '字段ID',
                                                             `model_id` bigint(20) NOT NULL COMMENT '数据模型 id',
                                                             `quality_id` bigint(20) NOT NULL COMMENT '数据质量ID',
                                                             `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                             `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型元数据质量关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_model_metadata_rel_quality`
--

LOCK TABLES `fdp_agent_data_model_metadata_rel_quality` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_model_metadata_rel_quality` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_model_metadata_rel_quality` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_models`
--

DROP TABLE IF EXISTS `fdp_agent_data_models`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_models` (
                                         `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                         `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '平台来源：DL/CDP',
                                         `type_in_cdp` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型在 CDP 下的类型：ods, dim, dwd, dws, ads',
                                         `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型名称，在一个 source 下 name 需要唯一',
                                         `description` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型描述',
                                         `data_source_id` bigint(20) NOT NULL COMMENT '数据源 ID',
                                         `data_source_category` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源分类: INTERNAL, EXTERNAL',
                                         `model_type` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '模型类型：BATCH/STREAMING',
                                         `file_source_id` bigint(20) DEFAULT NULL COMMENT '文件名规则 ID',
                                         `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                         `features` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '额外信息',
                                         `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                         `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                         `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                         `label0` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label1` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label2` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label3` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label4` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label5` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label6` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label7` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label8` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `label9` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                         `data_catalog_id` bigint(20) DEFAULT '0' COMMENT '数据目录id',
                                         PRIMARY KEY (`id`),
                                         UNIQUE KEY `idx_model_name_under_source` (`data_source_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_models`
--

LOCK TABLES `fdp_agent_data_models` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_models` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_models` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_service_generate_api_config`
--

DROP TABLE IF EXISTS `fdp_agent_data_service_generate_api_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_service_generate_api_config` (
                                                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                              `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                                              `api_name` varchar(64) NOT NULL COMMENT 'api 名称',
                                                              `api_path` varchar(128) NOT NULL COMMENT 'api 路径',
                                                              `request_type` varchar(32) NOT NULL COMMENT '请求方式：GET/POST/PUT/DELETE',
                                                              `response_type` varchar(32) NOT NULL COMMENT '返回类型: 目前只支持JSON',
                                                              `description` varchar(1024) DEFAULT NULL COMMENT '描述',
                                                              `data_source_type` varchar(32) NOT NULL COMMENT '数据源类型: MYSQL/CASSANDRA',
                                                              `data_source_name` varchar(128) NOT NULL COMMENT '数据源名称',
                                                              `data_model_name` varchar(128) DEFAULT NULL COMMENT '数据表名称',
                                                              `user_define_sql` text COMMENT '用户自定义sql',
                                                              `request_params` text COMMENT '生成API 请求参数',
                                                              `response_params` text COMMENT '生成API 返回参数',
                                                              `is_paging` tinyint(1) DEFAULT '0' COMMENT '是否分页',
                                                              `compute_engine` varchar(32) DEFAULT NULL COMMENT '计算引擎',
                                                              `publish_status` varchar(32) DEFAULT NULL COMMENT '发布状态',
                                                              `package_id` varchar(256) DEFAULT '' COMMENT '流量包id',
                                                              `bind_domain` varchar(256) DEFAULT '' COMMENT '绑定域名',
                                                              `api_call_times` bigint(20) DEFAULT NULL COMMENT 'api调用次数',
                                                              `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                              `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                                              `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                                              `created_at` datetime NOT NULL COMMENT '创建时间',
                                                              `updated_at` datetime NOT NULL COMMENT '更新时间',
                                                              PRIMARY KEY (`id`),
                                                              UNIQUE KEY `idx_api_path` (`api_path`,`delete_yn`),
                                                              UNIQUE KEY `idx_api_name` (`api_name`,`delete_yn`),
                                                              KEY `key_api_path` (`api_path`),
                                                              KEY `key_api_name` (`api_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Api配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_service_generate_api_config`
--

LOCK TABLES `fdp_agent_data_service_generate_api_config` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_service_generate_api_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_data_service_generate_api_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_data_sources`
--

DROP TABLE IF EXISTS `fdp_agent_data_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_data_sources` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `org_id` bigint(20) DEFAULT NULL COMMENT '组织 ID',
                                          `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源名称',
                                          `description` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源描述',
                                          `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源来源: DL, CDP',
                                          `category` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源分类: INTERNAL, EXTERNAL',
                                          `type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源类型: MYSQL, FILE, SFTP, API',
                                          `host` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源连接地址',
                                          `port` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '连接端口',
                                          `db` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据库',
                                          `user` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户名',
                                          `pass` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '密码',
                                          `endpoint` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'API 连接终端地址',
                                          `app_key` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'API key',
                                          `app_secret` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'API secret',
                                          `public_key` text COLLATE utf8mb4_unicode_ci COMMENT '公钥',
                                          `private_key` text COLLATE utf8mb4_unicode_ci COMMENT '私钥',
                                          `file_source_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '文件来源 ID',
                                          `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                          `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                          `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                          `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                          `label0` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label1` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label2` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label3` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label4` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label5` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label6` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label7` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label8` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          `label9` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                          PRIMARY KEY (`id`),
                                          UNIQUE KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据源表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_data_sources`
--

LOCK TABLES `fdp_agent_data_sources` WRITE;
/*!40000 ALTER TABLE `fdp_agent_data_sources` DISABLE KEYS */;
INSERT INTO `fdp_agent_data_sources` VALUES (1,NULL,'cassandra','','CDP','','CASSANDRA','addon-cassandra-dc1-rack1-0.addon-cassandra.default.svc.cluster.local','9042','cdp','hive','hive','','','',NULL,NULL,0,'',0,'2021-04-02 16:09:53','2021-04-02 16:09:53',0,0,0,0,0,0,0,0,0,0),(2,NULL,'spark','','CDP','','SPARK','spark-thrift-server-test.default.svc.cluster.local','10000','cdp','hive','hive','','','',NULL,NULL,0,'',0,'2021-04-02 16:09:53','2021-04-02 16:09:53',0,0,0,0,0,0,0,0,0,0);
/*!40000 ALTER TABLE `fdp_agent_data_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_application`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_application`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_application` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                 `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '平台来源：DL/CDP',
                                                 `apply_name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '申请名称',
                                                 `apply_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '申请类型:DELETE/UPDATE/EXPORT',
                                                 `apply_sql` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '相关sql',
                                                 `data_source_id` bigint(20) NOT NULL COMMENT '数据源 ID',
                                                 `expect_affected_lines` bigint(20) NOT NULL COMMENT '预计影响行数',
                                                 `apply_reason` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '申请原因',
                                                 `apply_result` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '申请结果: BE_AUDITED/PASSED/REJECTED',
                                                 `execute_status` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '执行状态 WAIT_START/RUNNING/SUCCESS/FAILED',
                                                 `execute_result` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '执行结果',
                                                 `flow_id` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '审批流程ID',
                                                 `attachments` text COLLATE utf8mb4_unicode_ci COMMENT '附件信息',
                                                 `creator_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                                 `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                 `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据应用申请表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_application`
--

LOCK TABLES `fdp_agent_dl_data_application` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_application` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_data_application` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_model_indexes`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_model_indexes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_model_indexes` (
                                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `data_model_id` bigint(20) NOT NULL COMMENT '关联的数据模型 ID',
                                                   `index_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '索引名',
                                                   `index_column` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '索引字段名',
                                                   `is_unique` tinyint(1) NOT NULL COMMENT '是否是唯一索引',
                                                   `seq_in_index` int(11) NOT NULL COMMENT '字段在联合索引中的顺序',
                                                   `creator_id` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建者 ID',
                                                   `updater_id` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '更新者 ID',
                                                   `created_at` datetime NOT NULL COMMENT '创建时间',
                                                   `updated_at` datetime NOT NULL COMMENT '更新时间',
                                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型索引表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_model_indexes`
--

LOCK TABLES `fdp_agent_dl_data_model_indexes` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_model_indexes` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_data_model_indexes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_model_metadata`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_model_metadata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_model_metadata` (
                                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                    `data_model_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '关联的数据模型 ID',
                                                    `seq_in_model` int(11) NOT NULL DEFAULT '0' COMMENT '字段在模型中的顺序',
                                                    `column_name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字段名',
                                                    `column_type` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字段类型',
                                                    `column_length` int(11) NOT NULL DEFAULT '-1' COMMENT '字段长度',
                                                    `column_comment` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '字段说明',
                                                    `is_primary_key` tinyint(1) NOT NULL DEFAULT '0' COMMENT '字段是否是主键',
                                                    `allow_nullable` tinyint(1) NOT NULL DEFAULT '0' COMMENT '字段是否允许为空',
                                                    `is_partition_key` tinyint(1) NOT NULL DEFAULT '0' COMMENT '字段是否是分区键',
                                                    `column_default` varchar(1024) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字段默认值',
                                                    `column_extra` varchar(1024) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '字段额外信息',
                                                    `creator_id` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建者 ID',
                                                    `updater_id` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '更新者 ID',
                                                    `created_at` datetime NOT NULL COMMENT '创建时间',
                                                    `updated_at` datetime NOT NULL COMMENT '更新时间',
                                                    `is_encrypted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否加密 0否 1是',
                                                    `sensitive_rule_id` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0' COMMENT '脱敏规则id',
                                                    `is_pii` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否为pii数据 0否 1是',
                                                    PRIMARY KEY (`id`),
                                                    UNIQUE KEY `uk_model_column_name` (`data_model_id`,`column_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型元数据表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_model_metadata`
--

LOCK TABLES `fdp_agent_dl_data_model_metadata` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_model_metadata` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_data_model_metadata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_model_sensitive_rule`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_model_sensitive_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_model_sensitive_rule` (
                                                          `id` bigint(20) NOT NULL COMMENT '主键id',
                                                          `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '脱敏名称',
                                                          `describe` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '描述',
                                                          `seq` int(11) NOT NULL COMMENT '序号',
                                                          `regex` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '正则匹配',
                                                          `replacement` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '替换规则',
                                                          `tenant_id` bigint(20) DEFAULT NULL COMMENT '商户id',
                                                          `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '删除标记 0:未删除 1:已删除',
                                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='脱敏规则表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_model_sensitive_rule`
--

LOCK TABLES `fdp_agent_dl_data_model_sensitive_rule` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_model_sensitive_rule` DISABLE KEYS */;
INSERT INTO `fdp_agent_dl_data_model_sensitive_rule` VALUES (0,'不脱敏','不脱敏',0,NULL,NULL,NULL,0),(1,'中文姓名','保留首尾两个汉字，其他用星号代替。如果只有两个汉字，则最后一位用星号代替',1,'(\\S)(\\S)(\\S{0,10})','$1*$3',NULL,0),(2,'身份证号','显示最后四位，其他隐藏。共计18位或者15位，比如：*************1234',2,'(.*)(.{4})','**************$2',NULL,0),(3,'电话','前三位，后四位，其他隐藏，比如：135****6810',3,'(.{3})(.*)(.{4})','$1********$2',NULL,0),(4,'家庭住址','只显示到地区，不显示详细地址，比如：上海徐汇区漕河泾开发区***',4,'(\\S+)(\\u533a|\\u53bf|\\u9547|\\u4e61)(\\S+)','$1$2******',NULL,0),(5,'银行卡号','前六位，后四位，其他用星号隐藏每位1个星号，比如：622260**********1234',5,'(.{6})(.*)(.{4})','$1********$3',NULL,0),(6,'密码','密码的全部字符都用*代替，比如：******',6,'\\S+','********',NULL,0),(7,'邮箱','邮箱前缀仅显示第一个字母，前缀其他隐藏，用星号代替，@及后面的地址显示',7,'(\\w)(\\w+)@(\\w+)','$1***@$3',NULL,0),(8,'通用规则','仅保留第一个与最后一个字符，其余全部***',8,'(.{1})(.*)(.{1})','$1********$3',NULL,0);
/*!40000 ALTER TABLE `fdp_agent_dl_data_model_sensitive_rule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_models`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_models`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_models` (
                                            `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                            `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '平台来源：DL/CDP',
                                            `type_in_cdp` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型在 CDP 下的类型：ods, dim, dwd, dws, ads',
                                            `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型名称，在一个 source 下 name 需要唯一',
                                            `description` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据模型描述',
                                            `data_source_id` bigint(20) NOT NULL COMMENT '数据源 ID',
                                            `data_source_category` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源分类: INTERNAL, EXTERNAL',
                                            `file_source_id` bigint(20) DEFAULT NULL COMMENT '文件名规则 ID',
                                            `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                            `features` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '额外信息',
                                            `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                            `delete_duration` bigint(20) DEFAULT NULL COMMENT '删除时长',
                                            `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                            `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                            `label0` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label1` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label2` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label3` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label4` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label5` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label6` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label7` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label8` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            `label9` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                            PRIMARY KEY (`id`),
                                            UNIQUE KEY `idx_model_name_under_source` (`data_source_id`,`name`,`delete_yn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_models`
--

LOCK TABLES `fdp_agent_dl_data_models` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_models` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_data_models` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_models_config`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_models_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_models_config` (
                                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `data_model_id` bigint(20) NOT NULL COMMENT '关联的数据模型 ID',
                                                   `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                   `creator_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                                   `updater_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '修改人 ID',
                                                   `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                   `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                   PRIMARY KEY (`id`),
                                                   KEY `indexs` (`data_model_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_models_config`
--

LOCK TABLES `fdp_agent_dl_data_models_config` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_models_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_data_models_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_models_statistics`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_models_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_models_statistics` (
                                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                       `data_model_id` bigint(20) NOT NULL COMMENT '数据模型 ID',
                                                       `statistical_date` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '统计日期',
                                                       `data_model_volume` bigint(20) NOT NULL COMMENT '数据模型统计量',
                                                       `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                       `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                       `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                       PRIMARY KEY (`id`),
                                                       UNIQUE KEY `uk_model_id_date` (`data_model_id`,`statistical_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据模型统计表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_models_statistics`
--

LOCK TABLES `fdp_agent_dl_data_models_statistics` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_models_statistics` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_data_models_statistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_data_sources`
--

DROP TABLE IF EXISTS `fdp_agent_dl_data_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_data_sources` (
                                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                             `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源名称',
                                             `description` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源描述',
                                             `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源来源: DL, CDP',
                                             `category` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源分类: INTERNAL, EXTERNAL',
                                             `type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源类型: MYSQL, FILE, SFTP, API',
                                             `host` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据源连接地址',
                                             `port` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '连接端口',
                                             `db` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '数据库',
                                             `user` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户名',
                                             `pass` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '密码',
                                             `endpoint` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'API 连接终端地址',
                                             `app_key` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'API key',
                                             `app_secret` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'API secret',
                                             `public_key` text COLLATE utf8mb4_unicode_ci COMMENT '公钥',
                                             `private_key` text COLLATE utf8mb4_unicode_ci COMMENT '私钥',
                                             `server_id` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '服务器ID',
                                             `server_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '服务器名称',
                                             `file_source_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '文件来源 ID',
                                             `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                             `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                             `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                             `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                             `label0` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label1` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label2` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label3` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label4` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label5` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label6` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label7` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label8` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `label9` bigint(20) NOT NULL DEFAULT '0' COMMENT '标签 ID',
                                             `custom` varchar(1024) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '额外配置',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='数据源表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_data_sources`
--

LOCK TABLES `fdp_agent_dl_data_sources` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_data_sources` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_data_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_disks`
--

DROP TABLE IF EXISTS `fdp_agent_dl_disks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_disks` (
                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                      `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '磁盘名',
                                      `name_pinyin` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '磁盘名拼音',
                                      `type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '磁盘类型: SYSTEM, NORMAL',
                                      `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                      `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                      `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                      `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                      PRIMARY KEY (`id`),
                                      UNIQUE KEY `idx_name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='磁盘表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_disks`
--

LOCK TABLES `fdp_agent_dl_disks` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_disks` DISABLE KEYS */;
INSERT INTO `fdp_agent_dl_disks` VALUES (1,'System Files','System Files','SYSTEM','',0,'2019-09-19 11:44:56','2019-09-19 11:44:56'),(2,'Files','Files','NORMAL','',0,'2019-09-19 11:44:56','2019-09-19 11:44:56');
/*!40000 ALTER TABLE `fdp_agent_dl_disks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_file_sources`
--

DROP TABLE IF EXISTS `fdp_agent_dl_file_sources`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_file_sources` (
                                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                             `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '文件来源名',
                                             `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                             `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                             `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                             `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文件来源表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_file_sources`
--

LOCK TABLES `fdp_agent_dl_file_sources` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_file_sources` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_file_sources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_file_upload_rules`
--

DROP TABLE IF EXISTS `fdp_agent_dl_file_upload_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_file_upload_rules` (
                                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                  `type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '文件上传规则类型',
                                                  `value` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '规则内容',
                                                  `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                                  `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                  `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                  `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文件上传规则表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_file_upload_rules`
--

LOCK TABLES `fdp_agent_dl_file_upload_rules` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_file_upload_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_file_upload_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_files`
--

DROP TABLE IF EXISTS `fdp_agent_dl_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_files` (
                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                      `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '文件名',
                                      `name_pinyin` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '文件名拼音',
                                      `disk_id` bigint(20) NOT NULL COMMENT '磁盘 ID',
                                      `type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '磁盘类型: SYSTEM, NORMAL',
                                      `folder_id` bigint(20) NOT NULL COMMENT '目录 ID',
                                      `url` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '文件下载链接',
                                      `size` bigint(20) NOT NULL COMMENT '文件大小',
                                      `suffix` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '文件后缀',
                                      `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                      `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                      `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                      `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                      PRIMARY KEY (`id`),
                                      KEY `idx_disk_id_folder_id_name` (`disk_id`,`folder_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='文件表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_files`
--

LOCK TABLES `fdp_agent_dl_files` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_files` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_labels`
--

DROP TABLE IF EXISTS `fdp_agent_dl_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_labels` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                       `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签名',
                                       `color` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签颜色',
                                       `module` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签所属模块: DATA_SOURCE, DATA_MODEL',
                                       `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                       `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                       `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                       `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='标签表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_labels`
--

LOCK TABLES `fdp_agent_dl_labels` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_labels` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_quality_rules`
--

DROP TABLE IF EXISTS `fdp_agent_dl_quality_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_quality_rules` (
                                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                              `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '规则名称',
                                              `rule_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '规则类型',
                                              `rule_desc` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '规则描述',
                                              `rule_content` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '规则内容',
                                              `creator_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                              `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                              `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                              `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                              PRIMARY KEY (`id`),
                                              UNIQUE KEY `idx_name_rule_type` (`name`,`rule_type`,`rule_content`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='质量规则表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_quality_rules`
--

LOCK TABLES `fdp_agent_dl_quality_rules` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_quality_rules` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_quality_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_sql_histories`
--

DROP TABLE IF EXISTS `fdp_agent_dl_sql_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_sql_histories` (
                                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                              `data_model_id` bigint(20) NOT NULL COMMENT '数据模型 ID',
                                              `name` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '执行记录名称',
                                              `sql` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '执行的 SQL',
                                              `result` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'SQL 执行结果',
                                              `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                              `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                              `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='sql历史表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_sql_histories`
--

LOCK TABLES `fdp_agent_dl_sql_histories` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_sql_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_sql_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_task_categories`
--

DROP TABLE IF EXISTS `fdp_agent_dl_task_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_task_categories` (
                                                `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '平台来源：DL/CDP',
                                                `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '目录名',
                                                `name_pinyin` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '目录名拼音',
                                                `parent_id` bigint(20) NOT NULL COMMENT '上级目录 ID',
                                                `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                                `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                PRIMARY KEY (`id`),
                                                UNIQUE KEY `idx_parent_id_name` (`parent_id`,`source`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='任务目录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_task_categories`
--

LOCK TABLES `fdp_agent_dl_task_categories` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_task_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_task_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_task_runs`
--

DROP TABLE IF EXISTS `fdp_agent_dl_task_runs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_task_runs` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `task_def_id` bigint(20) NOT NULL COMMENT '任务定义 ID',
                                          `instance_id` bigint(20) NOT NULL COMMENT '任务实例 ID',
                                          `name` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务名',
                                          `name_pinyin` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务名拼音',
                                          `type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '类型: 数据集成 Ingestion',
                                          `sync_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '同步类型: API 同步、文件同步',
                                          `run_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '运行类型: ONCE、CRON',
                                          `cron` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务周期',
                                          `from_data_model_id` bigint(20) NOT NULL COMMENT '模型同步来源：数据模型 ID',
                                          `to_data_model_id` bigint(20) NOT NULL COMMENT '模型同步目标：数据模型 ID',
                                          `status` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务执行状态',
                                          `success_count` int(11) NOT NULL DEFAULT '0' COMMENT '成功数',
                                          `failure_count` int(11) NOT NULL DEFAULT '0' COMMENT '失败数',
                                          `total_count` int(11) NOT NULL DEFAULT '0' COMMENT '总数',
                                          `link` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '错误内容文本(TXT/JSON)的地址',
                                          `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建者 ID',
                                          `features` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '额外信息',
                                          `started_at` datetime DEFAULT NULL COMMENT '任务实例开始时间',
                                          `ended_at` datetime DEFAULT NULL COMMENT '任务实例结束时间',
                                          `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                          `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                          PRIMARY KEY (`id`),
                                          UNIQUE KEY `uk_task_def_id_instance_id` (`task_def_id`,`instance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='任务运行记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_task_runs`
--

LOCK TABLES `fdp_agent_dl_task_runs` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_task_runs` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_task_runs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_dl_tasks`
--

DROP TABLE IF EXISTS `fdp_agent_dl_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_dl_tasks` (
                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                      `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务名',
                                      `name_pinyin` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务名拼音',
                                      `description` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务描述',
                                      `category_id` bigint(20) NOT NULL COMMENT '任务目录 ID',
                                      `type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '类型: 数据集成 Ingestion',
                                      `sync_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '同步类型: API 同步、文件同步',
                                      `run_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '运行类型: ONCE、CRON',
                                      `cron` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '任务周期',
                                      `from_data_model_id` bigint(20) NOT NULL COMMENT '模型同步来源：数据模型 ID',
                                      `to_data_model_id` bigint(20) NOT NULL COMMENT '模型同步目标：数据模型 ID',
                                      `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建者 ID',
                                      `updater_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '修改者 ID',
                                      `features` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '额外信息',
                                      `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                      `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                      `update_field` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT '' COMMENT '时间更新字段',
                                      PRIMARY KEY (`id`),
                                      UNIQUE KEY `uk_category_id_name` (`category_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='任务表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_dl_tasks`
--

LOCK TABLES `fdp_agent_dl_tasks` WRITE;
/*!40000 ALTER TABLE `fdp_agent_dl_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_dl_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_indicators`
--

DROP TABLE IF EXISTS `fdp_agent_indicators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_indicators` (
                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                        `workflow_id` bigint(20) NOT NULL COMMENT '工作流Id',
                                        `workflow_name` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '工作流名称',
                                        `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '指标名称',
                                        `table_id` bigint(20) DEFAULT NULL COMMENT '模型Id',
                                        `table_name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表名称',
                                        `field_name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表字段名称',
                                        `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                        `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                        PRIMARY KEY (`id`),
                                        UNIQUE KEY `idx_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='指标表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_indicators`
--

LOCK TABLES `fdp_agent_indicators` WRITE;
/*!40000 ALTER TABLE `fdp_agent_indicators` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_indicators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_label_work_relation`
--

DROP TABLE IF EXISTS `fdp_agent_label_work_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_label_work_relation` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                 `label_id` bigint(20) NOT NULL COMMENT '标签名',
                                                 `workflow_id` bigint(20) NOT NULL COMMENT '标签颜色',
                                                 `module` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签所属模块: DATA_SOURCE, DATA_MODEL',
                                                 `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                                 `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                 `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                 `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=226 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='标签工作流关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_label_work_relation`
--

LOCK TABLES `fdp_agent_label_work_relation` WRITE;
/*!40000 ALTER TABLE `fdp_agent_label_work_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_label_work_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_labels`
--

DROP TABLE IF EXISTS `fdp_agent_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_labels` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                    `name` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签名',
                                    `color` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签颜色',
                                    `module` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签所属模块: DATA_SOURCE, DATA_MODEL',
                                    `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                    `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                    `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                    `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='标签表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_labels`
--

LOCK TABLES `fdp_agent_labels` WRITE;
/*!40000 ALTER TABLE `fdp_agent_labels` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_model_record_detail`
--

DROP TABLE IF EXISTS `fdp_agent_model_record_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_model_record_detail` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                 `model_id` bigint(20) NOT NULL COMMENT '模型id',
                                                 `model_name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '模型名称',
                                                 `record_type` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '明细类型:表容量等',
                                                 `record_value` double NOT NULL COMMENT '类型值明细值,容量kb',
                                                 `day_value` bigint(20) NOT NULL COMMENT '日期',
                                                 `day_type` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '日期类型',
                                                 `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                 `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='模型记录明细表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_model_record_detail`
--

LOCK TABLES `fdp_agent_model_record_detail` WRITE;
/*!40000 ALTER TABLE `fdp_agent_model_record_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_model_record_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_onedata_atomic_metrics`
--

DROP TABLE IF EXISTS `fdp_agent_onedata_atomic_metrics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_onedata_atomic_metrics` (
                                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                    `metrics_type` varchar(64) NOT NULL DEFAULT '' COMMENT '指标类型',
                                                    `metrics_name` varchar(64) NOT NULL DEFAULT '' COMMENT '指标名称',
                                                    `metrics_label` varchar(64) NOT NULL DEFAULT '' COMMENT '指标命名',
                                                    `data_type` varchar(64) NOT NULL DEFAULT '' COMMENT '数据类型',
                                                    `updated_by` bigint(20) NOT NULL COMMENT '最近修改人',
                                                    `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                                    `created_by` bigint(20) NOT NULL COMMENT '创建人',
                                                    `created_at` datetime NOT NULL COMMENT '创建时间',
                                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='onedata原子指标表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_onedata_atomic_metrics`
--

LOCK TABLES `fdp_agent_onedata_atomic_metrics` WRITE;
/*!40000 ALTER TABLE `fdp_agent_onedata_atomic_metrics` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_onedata_atomic_metrics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_onedata_derived_metrics`
--

DROP TABLE IF EXISTS `fdp_agent_onedata_derived_metrics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_onedata_derived_metrics` (
                                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                     `metrics_name` varchar(64) NOT NULL DEFAULT '' COMMENT '指标名称',
                                                     `metrics_label` varchar(64) NOT NULL DEFAULT '' COMMENT '指标命名',
                                                     `metrics_desc` varchar(64) NOT NULL DEFAULT '' COMMENT '指标描述',
                                                     `data_type` varchar(64) NOT NULL DEFAULT '' COMMENT '数据类型',
                                                     `updated_by` bigint(20) NOT NULL COMMENT '最近修改人',
                                                     `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                                     `created_by` bigint(20) NOT NULL COMMENT '创建人',
                                                     `created_at` datetime NOT NULL COMMENT '创建时间',
                                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='onedata派生指标表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_onedata_derived_metrics`
--

LOCK TABLES `fdp_agent_onedata_derived_metrics` WRITE;
/*!40000 ALTER TABLE `fdp_agent_onedata_derived_metrics` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_onedata_derived_metrics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_onedata_frequency`
--

DROP TABLE IF EXISTS `fdp_agent_onedata_frequency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_onedata_frequency` (
                                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                               `frequency_name` varchar(64) NOT NULL DEFAULT '' COMMENT '频率名称',
                                               `frequency_label` varchar(64) NOT NULL DEFAULT '' COMMENT '频率标识',
                                               `frequency_desc` varchar(64) NOT NULL DEFAULT '' COMMENT '频率描述',
                                               `updated_by` bigint(20) NOT NULL COMMENT '最近修改人',
                                               `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                               `created_by` bigint(20) NOT NULL COMMENT '创建人',
                                               `created_at` datetime NOT NULL COMMENT '创建时间',
                                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='onedata频率表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_onedata_frequency`
--

LOCK TABLES `fdp_agent_onedata_frequency` WRITE;
/*!40000 ALTER TABLE `fdp_agent_onedata_frequency` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_onedata_frequency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_onedata_increment`
--

DROP TABLE IF EXISTS `fdp_agent_onedata_increment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_onedata_increment` (
                                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                               `increment_name` varchar(64) NOT NULL DEFAULT '' COMMENT '增量名称',
                                               `increment_label` varchar(64) NOT NULL DEFAULT '' COMMENT '增量标识',
                                               `increment_desc` varchar(64) NOT NULL DEFAULT '' COMMENT '增量描述',
                                               `updated_by` bigint(20) NOT NULL COMMENT '最近修改人',
                                               `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                               `created_by` bigint(20) NOT NULL COMMENT '创建人',
                                               `created_at` datetime NOT NULL COMMENT '创建时间',
                                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='onedata增量表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_onedata_increment`
--

LOCK TABLES `fdp_agent_onedata_increment` WRITE;
/*!40000 ALTER TABLE `fdp_agent_onedata_increment` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_onedata_increment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_onedata_model_level`
--

DROP TABLE IF EXISTS `fdp_agent_onedata_model_level`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_onedata_model_level` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                 `level_code` bigint(20) NOT NULL DEFAULT '0' COMMENT '层级编号',
                                                 `level_name` varchar(64) NOT NULL DEFAULT '' COMMENT '层级名称',
                                                 `level_desc` varchar(64) NOT NULL DEFAULT '' COMMENT '层级说明',
                                                 `level_prefix` varchar(64) NOT NULL DEFAULT '' COMMENT '层级前缀',
                                                 `level_lifycycle` bigint(20) DEFAULT '365' COMMENT '层级生命周期',
                                                 `is_marked_depend` tinyint(4) DEFAULT '0' COMMENT '是否记入层级依赖',
                                                 `updated_by` bigint(20) NOT NULL COMMENT '最近修改人',
                                                 `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                                 `created_by` bigint(20) NOT NULL COMMENT '创建人',
                                                 `created_at` datetime NOT NULL COMMENT '创建时间',
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='onedata层级表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_onedata_model_level`
--

LOCK TABLES `fdp_agent_onedata_model_level` WRITE;
/*!40000 ALTER TABLE `fdp_agent_onedata_model_level` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_onedata_model_level` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_onedata_subject`
--

DROP TABLE IF EXISTS `fdp_agent_onedata_subject`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_onedata_subject` (
                                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                             `subject_name` varchar(64) NOT NULL DEFAULT '' COMMENT '主题域名称',
                                             `subject_desc` varchar(64) NOT NULL DEFAULT '' COMMENT '主题域说明',
                                             `subject_prefix` varchar(64) NOT NULL DEFAULT '' COMMENT '主题域前缀',
                                             `updated_by` bigint(20) NOT NULL COMMENT '最近修改人',
                                             `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                             `created_by` bigint(20) NOT NULL COMMENT '创建人',
                                             `created_at` datetime NOT NULL COMMENT '创建时间',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='onedata主题域表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_onedata_subject`
--

LOCK TABLES `fdp_agent_onedata_subject` WRITE;
/*!40000 ALTER TABLE `fdp_agent_onedata_subject` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_onedata_subject` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_quality_alarm_summary`
--

DROP TABLE IF EXISTS `fdp_agent_quality_alarm_summary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_quality_alarm_summary` (
                                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `today_cnt` bigint(20) NOT NULL DEFAULT '0' COMMENT '今日告警数',
                                                   `last_sevenday_cnt` bigint(20) NOT NULL DEFAULT '0' COMMENT '最近7天',
                                                   `last_thirtyday_cnt` bigint(20) NOT NULL DEFAULT '0' COMMENT '最近30天',
                                                   `updater_id` bigint(20) NOT NULL COMMENT '最近修改人',
                                                   `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                                   `creator_id` bigint(20) NOT NULL COMMENT '创建人',
                                                   `created_at` datetime NOT NULL COMMENT '创建时间',
                                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='质量告警表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_quality_alarm_summary`
--

LOCK TABLES `fdp_agent_quality_alarm_summary` WRITE;
/*!40000 ALTER TABLE `fdp_agent_quality_alarm_summary` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_quality_alarm_summary` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_quality_score_detail`
--

DROP TABLE IF EXISTS `fdp_agent_quality_score_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_quality_score_detail` (
                                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                  `model_id` bigint(20) NOT NULL DEFAULT '0' COMMENT '模型id',
                                                  `model_name` varchar(256) NOT NULL DEFAULT '0' COMMENT '模型名称',
                                                  `model_type` varchar(256) NOT NULL DEFAULT '0' COMMENT '模型类型',
                                                  `score` double(10,2) NOT NULL DEFAULT '0.00' COMMENT '全局得分',
                                                  `updater_id` bigint(20) NOT NULL COMMENT '最近修改人',
                                                  `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                                  `creator_id` bigint(20) NOT NULL COMMENT '创建人',
                                                  `created_at` datetime NOT NULL COMMENT '创建时间',
                                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='质量得分详细表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_quality_score_detail`
--

LOCK TABLES `fdp_agent_quality_score_detail` WRITE;
/*!40000 ALTER TABLE `fdp_agent_quality_score_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_quality_score_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_quality_score_trend`
--

DROP TABLE IF EXISTS `fdp_agent_quality_score_trend`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_quality_score_trend` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                 `score` double(10,2) NOT NULL DEFAULT '0.00' COMMENT '全局得分',
                                                 `updater_id` bigint(20) NOT NULL COMMENT '最近修改人',
                                                 `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                                 `creator_id` bigint(20) NOT NULL COMMENT '创建人',
                                                 `created_at` datetime NOT NULL COMMENT '创建时间',
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='质量得分趋势表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_quality_score_trend`
--

LOCK TABLES `fdp_agent_quality_score_trend` WRITE;
/*!40000 ALTER TABLE `fdp_agent_quality_score_trend` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_quality_score_trend` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_quality_utility`
--

DROP TABLE IF EXISTS `fdp_agent_quality_utility`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_quality_utility` (
                                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                             `model_cnt` bigint(20) NOT NULL DEFAULT '0' COMMENT '模型数',
                                             `rule_cnt` bigint(20) NOT NULL DEFAULT '0' COMMENT '规则数',
                                             `new_model_cnt` bigint(20) NOT NULL DEFAULT '0' COMMENT '新增模型数',
                                             `new_rule_cnt` bigint(20) NOT NULL DEFAULT '0' COMMENT '规则数',
                                             `updater_id` bigint(20) NOT NULL COMMENT '最近修改人',
                                             `updated_at` datetime NOT NULL COMMENT '最近修改时间',
                                             `creator_id` bigint(20) NOT NULL COMMENT '创建人',
                                             `created_at` datetime NOT NULL COMMENT '创建时间',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='质量得分效用表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_quality_utility`
--

LOCK TABLES `fdp_agent_quality_utility` WRITE;
/*!40000 ALTER TABLE `fdp_agent_quality_utility` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_quality_utility` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_service_consumers`
--

DROP TABLE IF EXISTS `fdp_agent_service_consumers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_service_consumers` (
                                               `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                               `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                               `name` varchar(128) NOT NULL COMMENT '调用方名称',
                                               `description` varchar(1024) DEFAULT NULL COMMENT '描述',
                                               `dice_consumer_id` varchar(128) NOT NULL COMMENT 'dice API网关返回调用方id',
                                               `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                               `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                               `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                               `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                               `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                               PRIMARY KEY (`id`),
                                               UNIQUE KEY `idx_name` (`name`,`delete_yn`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='调用方列表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_service_consumers`
--

LOCK TABLES `fdp_agent_service_consumers` WRITE;
/*!40000 ALTER TABLE `fdp_agent_service_consumers` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_service_consumers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_service_consumers_rel_ak`
--

DROP TABLE IF EXISTS `fdp_agent_service_consumers_rel_ak`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_service_consumers_rel_ak` (
                                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                      `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                                      `consumer_id` bigint(20) NOT NULL COMMENT '调用方ID',
                                                      `access_key` varchar(256) NOT NULL COMMENT 'access key',
                                                      `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                      `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                      PRIMARY KEY (`id`),
                                                      KEY `idx_access_key` (`access_key`(255))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='调用方与ak关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_service_consumers_rel_ak`
--

LOCK TABLES `fdp_agent_service_consumers_rel_ak` WRITE;
/*!40000 ALTER TABLE `fdp_agent_service_consumers_rel_ak` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_service_consumers_rel_ak` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_service_consumers_rel_data_api`
--

DROP TABLE IF EXISTS `fdp_agent_service_consumers_rel_data_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_service_consumers_rel_data_api` (
                                                            `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                            `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                                            `consumer_id` bigint(20) NOT NULL COMMENT '调用方ID',
                                                            `data_api_id` bigint(20) NOT NULL COMMENT 'api id',
                                                            `grant_auth_status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否被授权',
                                                            `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                                            `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                                            `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                            `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                            PRIMARY KEY (`id`),
                                                            KEY `idx_consumer_scenario_id` (`consumer_id`,`data_api_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='调用方与api表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_service_consumers_rel_data_api`
--

LOCK TABLES `fdp_agent_service_consumers_rel_data_api` WRITE;
/*!40000 ALTER TABLE `fdp_agent_service_consumers_rel_data_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_service_consumers_rel_data_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_sql_histories`
--

DROP TABLE IF EXISTS `fdp_agent_sql_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_sql_histories` (
                                           `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                           `data_model_id` bigint(20) NOT NULL COMMENT '数据模型 ID',
                                           `name` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '执行记录名称',
                                           `sql` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '执行的 SQL',
                                           `result` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'SQL 执行结果',
                                           `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                           `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                           `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='sql执行历史表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_sql_histories`
--

LOCK TABLES `fdp_agent_sql_histories` WRITE;
/*!40000 ALTER TABLE `fdp_agent_sql_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_sql_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_sql_history`
--

DROP TABLE IF EXISTS `fdp_agent_sql_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_sql_history` (
                                         `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                         `cache_data_id` bigint(20) unsigned NOT NULL COMMENT '数据缓存id',
                                         `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '执行记录名称',
                                         `query_status` varchar(128) NOT NULL COMMENT '查询响应状态',
                                         `query_time` bigint(20) NOT NULL COMMENT '查询耗时',
                                         `sql` text NOT NULL COMMENT '查询sql',
                                         `data_model_name` varchar(255) NOT NULL COMMENT '数据模型 名称',
                                         `data_source_id` bigint(20) NOT NULL COMMENT '数据源 ID',
                                         `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                         `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                         `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                         `created_at` datetime NOT NULL COMMENT '创建时间',
                                         `updated_at` datetime NOT NULL COMMENT '更新时间',
                                         `code` varchar(255) DEFAULT NULL COMMENT '数据模型 名称',
                                         `error` text COMMENT '数据模型 名称',
                                         `sourceStack` text COMMENT '数据模型 名称',
                                         `columns` text COMMENT '数据模型 名称',
                                         `logs` text COMMENT '数据模型 名称',
                                         PRIMARY KEY (`id`),
                                         KEY `abc` (`cache_data_id`),
                                         CONSTRAINT `abc` FOREIGN KEY (`cache_data_id`) REFERENCES `fdp_agent_ad_hoc_cache_data` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='sql执行历史表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_sql_history`
--

LOCK TABLES `fdp_agent_sql_history` WRITE;
/*!40000 ALTER TABLE `fdp_agent_sql_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_sql_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_tag_sync_logs`
--

DROP TABLE IF EXISTS `fdp_agent_tag_sync_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_tag_sync_logs` (
                                           `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                           `tag_id` bigint(20) NOT NULL COMMENT '标签 Id',
                                           `tag_name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签名称',
                                           `pipeline_ids` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'pipeline ids',
                                           `status` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '标签同步状态',
                                           `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                           `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='标签同步日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_tag_sync_logs`
--

LOCK TABLES `fdp_agent_tag_sync_logs` WRITE;
/*!40000 ALTER TABLE `fdp_agent_tag_sync_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_tag_sync_logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_tag_values`
--

DROP TABLE IF EXISTS `fdp_agent_tag_values`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_tag_values` (
                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                        `tag_id` bigint(20) NOT NULL COMMENT '标签 Id',
                                        `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签值名称',
                                        `description` text COLLATE utf8mb4_unicode_ci COMMENT '描述',
                                        `logic_type` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '标签值关联关系',
                                        `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                        `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='标签值表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_tag_values`
--

LOCK TABLES `fdp_agent_tag_values` WRITE;
/*!40000 ALTER TABLE `fdp_agent_tag_values` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_tag_values` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_tags`
--

DROP TABLE IF EXISTS `fdp_agent_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_tags` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                  `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签名称',
                                  `description` text COLLATE utf8mb4_unicode_ci COMMENT '描述',
                                  `code` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '标签码',
                                  `type` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '标签类型',
                                  `value_type` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '标签值类型',
                                  `status` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '标签同步状态',
                                  `disabled` tinyint(1) DEFAULT NULL COMMENT '停用',
                                  `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                  `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='标签表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_tags`
--

LOCK TABLES `fdp_agent_tags` WRITE;
/*!40000 ALTER TABLE `fdp_agent_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_user_action_log_detail`
--

DROP TABLE IF EXISTS `fdp_agent_user_action_log_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_user_action_log_detail` (
                                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                    `user_id` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '用户id',
                                                    `action_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '动作类型：搜索/查看/引用',
                                                    `action_content` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '动作内容:搜索条件/查看条件/引用条件',
                                                    `result_model_name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '涉及结果模型表名称',
                                                    `result_model_id` bigint(20) NOT NULL COMMENT '涉及结果模型表id',
                                                    `action_result` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '动作结果：搜索结果/查看结果/引用结果',
                                                    `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                    `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='用户动作日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_user_action_log_detail`
--

LOCK TABLES `fdp_agent_user_action_log_detail` WRITE;
/*!40000 ALTER TABLE `fdp_agent_user_action_log_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_user_action_log_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_value_indicators`
--

DROP TABLE IF EXISTS `fdp_agent_value_indicators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_value_indicators` (
                                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                              `tag_id` bigint(20) NOT NULL COMMENT '标签 Id',
                                              `value_id` bigint(20) NOT NULL COMMENT '标签值 Id',
                                              `indicator_id` bigint(20) NOT NULL COMMENT '指标 Id',
                                              `tag_compute_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '标签计算类型',
                                              `min_range` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '最小值',
                                              `max_range` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '最大值',
                                              `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                              `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='指标值表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_value_indicators`
--

LOCK TABLES `fdp_agent_value_indicators` WRITE;
/*!40000 ALTER TABLE `fdp_agent_value_indicators` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_value_indicators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_workflow_indicators`
--

DROP TABLE IF EXISTS `fdp_agent_workflow_indicators`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_workflow_indicators` (
                                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                 `execute_time_top_daily_result` text COMMENT '执行时长排行top10',
                                                 `failed_time_top_30_days_result` text COMMENT '最近30天执行top10',
                                                 `statistical_date` varchar(128) DEFAULT NULL COMMENT '统计日期',
                                                 `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                 `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                 PRIMARY KEY (`id`),
                                                 KEY `idx_statistical_date` (`statistical_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='工作流指标值表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_workflow_indicators`
--

LOCK TABLES `fdp_agent_workflow_indicators` WRITE;
/*!40000 ALTER TABLE `fdp_agent_workflow_indicators` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_workflow_indicators` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_agent_workflow_period_statistics`
--

DROP TABLE IF EXISTS `fdp_agent_workflow_period_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_agent_workflow_period_statistics` (
                                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                        `statistics` varchar(1024) DEFAULT NULL COMMENT '每日完成数量',
                                                        `statistical_date` varchar(128) DEFAULT NULL COMMENT '统计日期',
                                                        `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                        `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                        PRIMARY KEY (`id`),
                                                        KEY `idx_statistical_date` (`statistical_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='工作流日期统计表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_agent_workflow_period_statistics`
--

LOCK TABLES `fdp_agent_workflow_period_statistics` WRITE;
/*!40000 ALTER TABLE `fdp_agent_workflow_period_statistics` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_agent_workflow_period_statistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_gittar_repo`
--

DROP TABLE IF EXISTS `fdp_master_gittar_repo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_gittar_repo` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `gittar_project_id` bigint(20) DEFAULT NULL COMMENT 'gittar project id',
                                          `gittar_project_name` varchar(128) DEFAULT NULL COMMENT 'gittar project 名字',
                                          `gittar_app_id` bigint(20) DEFAULT NULL COMMENT 'gittar应用 id',
                                          `gittar_app_name` varchar(128) DEFAULT NULL COMMENT 'gittar应用名',
                                          `repo_url` varchar(256) DEFAULT NULL COMMENT '仓库地址',
                                          `repo_abbrev` varchar(128) DEFAULT NULL COMMENT '相对地址',
                                          `token` varchar(128) DEFAULT NULL COMMENT '仓库token',
                                          `org_name` varchar(128) DEFAULT NULL COMMENT '企业id名字',
                                          `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                          `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                          `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                          `created_at` datetime NOT NULL COMMENT '创建时间',
                                          `updated_at` datetime NOT NULL COMMENT '更新时间',
                                          `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                          `project_id` bigint(20) DEFAULT NULL COMMENT '项目 id',
                                          `application_id` bigint(20) DEFAULT NULL COMMENT '应用 id',
                                          `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群 id',
                                          `cluster_name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='gittar仓库表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_gittar_repo`
--

LOCK TABLES `fdp_master_gittar_repo` WRITE;
/*!40000 ALTER TABLE `fdp_master_gittar_repo` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_gittar_repo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_model_workflows`
--

DROP TABLE IF EXISTS `fdp_master_model_workflows`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_model_workflows` (
                                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                              `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                              `model_manage_id` bigint(20) NOT NULL COMMENT '模型管理ID',
                                              `process_type` varchar(128) NOT NULL COMMENT '处理类型',
                                              `name` varchar(128) NOT NULL DEFAULT '' COMMENT '工作流名',
                                              `name_pinyin` varchar(128) NOT NULL DEFAULT '' COMMENT '工作流拼音',
                                              `description` varchar(1024) NOT NULL DEFAULT '' COMMENT '工作流描述',
                                              `source` varchar(32) DEFAULT '' COMMENT 'workflow 来源: dl/cdp',
                                              `run_type` varchar(64) NOT NULL DEFAULT '' COMMENT '运行类型: ATONCE、SCHEDULE',
                                              `cron` varchar(128) DEFAULT '' COMMENT '任务周期',
                                              `cron_start_from` datetime DEFAULT NULL COMMENT '延时执行时间',
                                              `pipeline_name` varchar(128) DEFAULT '' COMMENT 'pipeline 名称',
                                              `pipeline` mediumtext NOT NULL COMMENT 'pipeline 内容',
                                              `pipeline_id` bigint(20) DEFAULT NULL COMMENT 'pipeline id',
                                              `node_params` text COMMENT '工作流节点参数',
                                              `locations` varchar(1024) DEFAULT NULL,
                                              `creator_id` varchar(128) DEFAULT NULL COMMENT '创建者 ID',
                                              `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                              `extra` mediumtext COMMENT '扩展信息',
                                              `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                              `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                              `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                              `cluster_name` varchar(256) DEFAULT NULL COMMENT '集群名',
                                              `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                              `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                              `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模型管理工作流表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_model_workflows`
--

LOCK TABLES `fdp_master_model_workflows` WRITE;
/*!40000 ALTER TABLE `fdp_master_model_workflows` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_model_workflows` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_oneid_rules`
--

DROP TABLE IF EXISTS `fdp_master_oneid_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_oneid_rules` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `rule_code` varchar(64) DEFAULT NULL,
                                          `rule_desc` varchar(64) NOT NULL COMMENT '规则描述',
                                          `is_unique` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否唯一',
                                          `weight` int(11) NOT NULL COMMENT '权重',
                                          `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                          `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                          `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                          `created_at` datetime NOT NULL COMMENT '创建时间',
                                          `updated_at` datetime NOT NULL COMMENT '更新时间',
                                          `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                          `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                          `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                          `cluster_name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                          `org_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                          PRIMARY KEY (`id`),
                                          UNIQUE KEY `rule_code` (`rule_code`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='oneid规则表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_oneid_rules`
--

LOCK TABLES `fdp_master_oneid_rules` WRITE;
/*!40000 ALTER TABLE `fdp_master_oneid_rules` DISABLE KEYS */;
INSERT INTO `fdp_master_oneid_rules` VALUES (1,'phone','手机号',1,2,0,'1','1','2020-04-29 12:00:00','2020-05-14 17:03:39',NULL,NULL,NULL,'terminus-test',NULL),(2,'app ID&open ID','app ID&open ID',1,4,0,'1','1','2020-04-29 12:00:00','2020-05-14 17:03:39',NULL,NULL,NULL,'terminus-test',NULL),(3,'memberid','会员ID',1,1,0,'1','1','2020-04-29 12:00:00','2020-05-14 17:03:39',NULL,NULL,NULL,'terminus-test',NULL),(4,'email','邮箱',1,3,0,'1','1','2020-04-29 12:00:00','2020-05-14 17:03:39',NULL,NULL,NULL,'terminus-test',NULL);
/*!40000 ALTER TABLE `fdp_master_oneid_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_reco_scenario_workflows`
--

DROP TABLE IF EXISTS `fdp_master_reco_scenario_workflows`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_reco_scenario_workflows` (
                                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                      `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                                      `scenario_name` varchar(128) NOT NULL DEFAULT '',
                                                      `scenario_code` varchar(128) NOT NULL DEFAULT '',
                                                      `process_type` varchar(128) NOT NULL COMMENT '处理类型',
                                                      `name` varchar(128) NOT NULL DEFAULT '' COMMENT '工作流名',
                                                      `name_pinyin` varchar(128) NOT NULL DEFAULT '' COMMENT '工作流拼音',
                                                      `description` varchar(1024) NOT NULL DEFAULT '' COMMENT '工作流描述',
                                                      `source` varchar(32) DEFAULT '' COMMENT 'workflow 来源: dl/cdp',
                                                      `run_type` varchar(64) NOT NULL DEFAULT '' COMMENT '运行类型: ATONCE、SCHEDULE',
                                                      `cron` varchar(128) DEFAULT '' COMMENT '任务周期',
                                                      `cron_start_from` datetime DEFAULT NULL COMMENT '延时执行时间',
                                                      `category_id` bigint(20) NOT NULL COMMENT '工作流目录 ID',
                                                      `pipeline_name` varchar(128) DEFAULT '' COMMENT 'pipeline 名称',
                                                      `pipeline` mediumtext NOT NULL COMMENT 'pipeline 内容',
                                                      `pipeline_id` bigint(20) DEFAULT NULL COMMENT 'pipeline id',
                                                      `node_params` text COMMENT '工作流节点参数',
                                                      `locations` varchar(1024) DEFAULT NULL,
                                                      `creator_id` varchar(128) CHARACTER SET utf8mb4 DEFAULT '' COMMENT '创建者 ID',
                                                      `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                                      `extra` mediumtext COMMENT '扩展信息',
                                                      `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                                      `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                                      `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                                      PRIMARY KEY (`id`),
                                                      KEY `idx_category_id_name` (`scenario_code`,`process_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='场景工作流表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_reco_scenario_workflows`
--

LOCK TABLES `fdp_master_reco_scenario_workflows` WRITE;
/*!40000 ALTER TABLE `fdp_master_reco_scenario_workflows` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_reco_scenario_workflows` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_sql_history`
--

DROP TABLE IF EXISTS `fdp_master_sql_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_sql_history` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                          `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                          `project_id` bigint(20) DEFAULT NULL COMMENT '项目 id',
                                          `application_id` bigint(20) DEFAULT NULL COMMENT '应用 id',
                                          `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群 id',
                                          `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '执行记录名称',
                                          `query_status` varchar(128) NOT NULL COMMENT '查询响应状态',
                                          `query_time` bigint(20) NOT NULL COMMENT '查询耗时',
                                          `sql` text NOT NULL COMMENT '查询sql',
                                          `data_model_name` varchar(255) NOT NULL COMMENT '数据模型 名称',
                                          `data_source_id` bigint(20) NOT NULL COMMENT '数据源 ID',
                                          `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                          `creator_id` varchar(128) DEFAULT NULL COMMENT '创建人 ID',
                                          `updater_id` varchar(128) DEFAULT NULL COMMENT '更新者ID',
                                          `created_at` datetime NOT NULL COMMENT '创建时间',
                                          `updated_at` datetime NOT NULL COMMENT '更新时间',
                                          `cluster_name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='sql执行历史表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_sql_history`
--

LOCK TABLES `fdp_master_sql_history` WRITE;
/*!40000 ALTER TABLE `fdp_master_sql_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_sql_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_categories`
--

DROP TABLE IF EXISTS `fdp_master_workflow_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_categories` (
                                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                  `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                                  `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '平台来源：DL/CDP',
                                                  `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '目录名',
                                                  `name_pinyin` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '目录名拼音',
                                                  `parent_id` bigint(20) NOT NULL COMMENT '上级目录 ID',
                                                  `creator_id` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建人 ID',
                                                  `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                  `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                  `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                  `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                  `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                  `cluster_name` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
                                                  PRIMARY KEY (`id`),
                                                  UNIQUE KEY `idx_parent_id_name` (`parent_id`,`source`,`name`,`cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流目录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_categories`
--

LOCK TABLES `fdp_master_workflow_categories` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_dependencies`
--

DROP TABLE IF EXISTS `fdp_master_workflow_dependencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_dependencies` (
                                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                    `workflow_id` bigint(20) NOT NULL COMMENT '工作流 ID',
                                                    `depend_workflow_id` bigint(20) NOT NULL COMMENT '依赖的工作流 ID',
                                                    `creator_id` varchar(128) NOT NULL DEFAULT '' COMMENT '创建者 ID',
                                                    `updater_id` varchar(128) NOT NULL DEFAULT '' COMMENT '更新着 ID',
                                                    `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                    `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                    `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                    `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                    `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                    `cluster_name` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                    `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                                    PRIMARY KEY (`id`),
                                                    UNIQUE KEY `idx_dependWorkflowId_under_workflowId` (`workflow_id`,`depend_workflow_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='工作流依赖表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_dependencies`
--

LOCK TABLES `fdp_master_workflow_dependencies` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_dependencies` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_dependencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_cleaning`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_cleaning`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_cleaning` (
                                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                     `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                     `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                     `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                     `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                     `clean_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '清洗类型: 维度表(dimension)/事实表(fact)',
                                                     `tb_en_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '表英文名称',
                                                     `tb_cn_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '表中文名称',
                                                     `tb_desc` text COLLATE utf8mb4_unicode_ci COMMENT '表描述',
                                                     `load_strategy` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '加载策略: increment/total',
                                                     `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                     `main_model_id` bigint(20) DEFAULT NULL COMMENT '主模型 id',
                                                     `main_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '主模型别名',
                                                     `main_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '主模型过滤条件',
                                                     `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标模型 id',
                                                     `target_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标模型别名',
                                                     `target_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '目标模型过滤条件',
                                                     `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                     `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                     `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                     `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                     `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                     `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                     `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                     `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流清洗节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_cleaning`
--

LOCK TABLES `fdp_master_workflow_node_cleaning` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_cleaning` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_cleaning` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_cleaning_rt`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_cleaning_rt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_cleaning_rt` (
                                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                        `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                        `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                        `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                        `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                        `clean_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '清洗类型: 维度表(dimension)/事实表(fact)',
                                                        `tb_en_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表英文名称',
                                                        `tb_cn_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表中文名称',
                                                        `tb_desc` text COLLATE utf8mb4_unicode_ci COMMENT '表描述',
                                                        `load_strategy` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '加载策略: increment/total',
                                                        `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                        `main_model_id` bigint(20) DEFAULT NULL COMMENT '主模型 id',
                                                        `main_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '主模型别名',
                                                        `main_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '主模型过滤条件',
                                                        `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标模型 id',
                                                        `target_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标模型别名',
                                                        `target_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '目标模型过滤条件',
                                                        `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                        `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                        `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                        `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                        `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                        `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                        `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                        `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流实时清洗节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_cleaning_rt`
--

LOCK TABLES `fdp_master_workflow_node_cleaning_rt` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_cleaning_rt` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_cleaning_rt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_data_cancel`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_data_cancel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_data_cancel` (
                                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                        `workflow_id` bigint(20) NOT NULL COMMENT 'workflow id',
                                                        `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                        `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                        `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                        `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                        `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                        `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                        `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                        `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流取消节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_data_cancel`
--

LOCK TABLES `fdp_master_workflow_node_data_cancel` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_data_cancel` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_data_cancel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_export`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_export`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_export` (
                                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                   `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                   `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                   `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                   `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                   `src_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '源数据源类型: DL',
                                                   `src_ds_id` bigint(20) DEFAULT NULL COMMENT '源数据源 id',
                                                   `src_model_id` bigint(20) DEFAULT NULL COMMENT '源数据模型 id',
                                                   `load_strategy` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '加载策略: increment/total',
                                                   `load_interval` bigint(20) DEFAULT NULL COMMENT '增量加载时间间隔',
                                                   `load_interval_unit` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '增量加载时间间隔单位: MINUTE/HOUR/DAY',
                                                   `target_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标数据源类型: CDP',
                                                   `target_ds_id` bigint(20) DEFAULT NULL COMMENT '目标数据源 id',
                                                   `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标数据模型 id',
                                                   `preconditions` text COLLATE utf8mb4_unicode_ci COMMENT '前置条件',
                                                   `filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '过滤条件',
                                                   `write_mode` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '写入模式',
                                                   `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                   `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                   `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                   `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                   `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                   `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                   `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                   `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流导出节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_export`
--

LOCK TABLES `fdp_master_workflow_node_export` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_export` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_export` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_export_rt`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_export_rt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_export_rt` (
                                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                      `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                      `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                      `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                      `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                      `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                      `src_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '源数据源类型: DL',
                                                      `src_ds_id` bigint(20) DEFAULT NULL COMMENT '源数据源 id',
                                                      `src_model_id` bigint(20) DEFAULT NULL COMMENT '源数据模型 id',
                                                      `target_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标数据源类型: CDP',
                                                      `target_ds_id` bigint(20) DEFAULT NULL COMMENT '目标数据源 id',
                                                      `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标数据模型 id',
                                                      `preconditions` text COLLATE utf8mb4_unicode_ci COMMENT '前置条件',
                                                      `filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '过滤条件',
                                                      `write_mode` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '写入模式',
                                                      `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                      `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                      `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                      `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                      `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                      `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                      `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                      `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流实时导出节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_export_rt`
--

LOCK TABLES `fdp_master_workflow_node_export_rt` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_export_rt` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_export_rt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_extracting`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_extracting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_extracting` (
                                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                       `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                       `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                       `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                       `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                       `extract_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '萃取类型: 汇总表(summary)/应用数据表(application)',
                                                       `tb_en_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '表英文名称',
                                                       `tb_cn_name` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '表中文名称',
                                                       `tb_desc` text COLLATE utf8mb4_unicode_ci COMMENT '表描述',
                                                       `load_strategy` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '加载策略: increment/total',
                                                       `exported` tinyint(1) DEFAULT NULL COMMENT '是否导出',
                                                       `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                       `main_model_id` bigint(20) DEFAULT NULL COMMENT '主模型 id',
                                                       `main_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '主模型别名',
                                                       `main_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '主模型过滤条件',
                                                       `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标模型 id',
                                                       `target_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标模型别名',
                                                       `target_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '目标模型过滤条件',
                                                       `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                       `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                       `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                       `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                       `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                       `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                       `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                       `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流萃取节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_extracting`
--

LOCK TABLES `fdp_master_workflow_node_extracting` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_extracting` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_extracting` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_extracting_rt`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_extracting_rt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_extracting_rt` (
                                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                          `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                          `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                          `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                          `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                          `extract_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '萃取类型: 汇总表(summary)/应用数据表(application)',
                                                          `tb_en_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表英文名称',
                                                          `tb_cn_name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '表中文名称',
                                                          `tb_desc` text COLLATE utf8mb4_unicode_ci COMMENT '表描述',
                                                          `load_strategy` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '加载策略: increment/total',
                                                          `exported` tinyint(1) DEFAULT NULL COMMENT '是否导出',
                                                          `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                          `main_model_id` bigint(20) DEFAULT NULL COMMENT '主模型 id',
                                                          `main_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '主模型别名',
                                                          `main_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '主模型过滤条件',
                                                          `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标模型 id',
                                                          `target_model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标模型别名',
                                                          `target_model_filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '目标模型过滤条件',
                                                          `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                          `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                          `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                          `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                          `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                          `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                          `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                          `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流实时萃取节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_extracting_rt`
--

LOCK TABLES `fdp_master_workflow_node_extracting_rt` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_extracting_rt` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_extracting_rt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_git_checkout`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_git_checkout`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_git_checkout` (
                                                         `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                         `workflow_id` bigint(20) NOT NULL COMMENT 'workflow id',
                                                         `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'git checkout',
                                                         `git_app_id` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT ' git app id',
                                                         `git_url` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'git地址',
                                                         `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                         `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                         `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                         `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                         `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                         `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                         `org_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流git切换节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_git_checkout`
--

LOCK TABLES `fdp_master_workflow_node_git_checkout` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_git_checkout` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_git_checkout` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_integration`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_integration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_integration` (
                                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                        `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                        `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                        `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                        `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                        `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                        `src_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '源数据源类型: DL',
                                                        `src_ds_id` bigint(20) DEFAULT NULL COMMENT '源数据源 id',
                                                        `src_model_id` bigint(20) DEFAULT NULL COMMENT '源数据模型 id',
                                                        `src_column_ids` text COLLATE utf8mb4_unicode_ci COMMENT '源数据列 ids',
                                                        `load_strategy` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '加载策略: increment/total',
                                                        `load_interval` bigint(20) DEFAULT NULL COMMENT '增量加载时间间隔',
                                                        `load_interval_unit` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '增量加载时间间隔单位: MINUTE/HOUR/DAY',
                                                        `filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '源数据模型过滤条件',
                                                        `target_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标数据源类型: CDP',
                                                        `target_ds_id` bigint(20) DEFAULT NULL COMMENT '目标数据源 id',
                                                        `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标数据模型 id',
                                                        `target_distinct` tinyint(4) NOT NULL DEFAULT '0' COMMENT '目标表去重',
                                                        `column_default` text COLLATE utf8mb4_unicode_ci COMMENT '模型列默认值，map结构',
                                                        `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                        `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                        `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                        `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                        `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                        `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                        `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                        `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流集成节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_integration`
--

LOCK TABLES `fdp_master_workflow_node_integration` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_integration` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_integration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_integration_rt`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_integration_rt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_integration_rt` (
                                                           `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                           `workflow_id` bigint(20) NOT NULL COMMENT ' workflow id',
                                                           `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点名称',
                                                           `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                           `description` text COLLATE utf8mb4_unicode_ci COMMENT '节点描述',
                                                           `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                           `src_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '源数据源类型: DL',
                                                           `src_ds_id` bigint(20) DEFAULT NULL COMMENT '源数据源 id',
                                                           `src_model_id` bigint(20) DEFAULT NULL COMMENT '源数据模型 id',
                                                           `src_column_ids` text COLLATE utf8mb4_unicode_ci COMMENT '源列ids',
                                                           `file_path` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '文件路径',
                                                           `file_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '文件类型：JSON/XML/CSV/REGULAR',
                                                           `file_splitter` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '文件分隔符',
                                                           `filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '源数据模型过滤条件',
                                                           `target_ds_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '目标数据源类型: CDP',
                                                           `target_ds_id` bigint(20) DEFAULT NULL COMMENT '目标数据源 id',
                                                           `target_model_id` bigint(20) DEFAULT NULL COMMENT '目标数据模型 id',
                                                           `target_distinct` tinyint(4) NOT NULL DEFAULT '0' COMMENT '目标表去重',
                                                           `column_default` text COLLATE utf8mb4_unicode_ci COMMENT '模型列默认值，map结构',
                                                           `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                           `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                           `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                           `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                           `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                           `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                           `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                           `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流实时集成节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_integration_rt`
--

LOCK TABLES `fdp_master_workflow_node_integration_rt` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_integration_rt` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_integration_rt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_labelcomputing`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_labelcomputing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_labelcomputing` (
                                                           `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                           `workflow_id` bigint(20) NOT NULL COMMENT 'workflow id',
                                                           `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                           `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                           `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                           `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                           `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                           `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                           `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流标签计算节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_labelcomputing`
--

LOCK TABLES `fdp_master_workflow_node_labelcomputing` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_labelcomputing` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_labelcomputing` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_labelcomputing_rt`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_labelcomputing_rt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_labelcomputing_rt` (
                                                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                              `workflow_id` bigint(20) NOT NULL COMMENT 'workflow id',
                                                              `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                              `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                              `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                              `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                              `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                              `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                              `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流实时标签计算节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_labelcomputing_rt`
--

LOCK TABLES `fdp_master_workflow_node_labelcomputing_rt` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_labelcomputing_rt` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_labelcomputing_rt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_model_mapping`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_model_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_model_mapping` (
                                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                          `node_id` bigint(20) NOT NULL COMMENT '节点 id',
                                                          `node_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点类型: cleaning/extraction',
                                                          `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '配置方式: ui/sql',
                                                          `model_id` bigint(20) NOT NULL COMMENT '目标模型 id',
                                                          `model_field` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '目标模型字段名称',
                                                          `rel_model_id` bigint(20) DEFAULT NULL COMMENT '关联模型 id',
                                                          `rel_model_field` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '关联模型字段名称',
                                                          `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                          `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                          `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                          `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                          `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                          `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                          `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                          `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流模型节点映射表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_model_mapping`
--

LOCK TABLES `fdp_master_workflow_node_model_mapping` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_model_mapping` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_model_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_one_id`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_one_id`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_one_id` (
                                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `workflow_id` bigint(20) NOT NULL COMMENT 'workflow id',
                                                   `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'oneID 节点名称',
                                                   `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                   `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                   `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                   `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                   `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                   `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                   `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                   `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流oneid节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_one_id`
--

LOCK TABLES `fdp_master_workflow_node_one_id` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_one_id` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_one_id` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_one_id_rel_model_field`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_one_id_rel_model_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_one_id_rel_model_field` (
                                                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                                   `node_id` bigint(20) NOT NULL COMMENT '节点 id',
                                                                   `model_id` bigint(20) NOT NULL COMMENT '数据模型 id',
                                                                   `model_field` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '数据模型字段名称',
                                                                   `note` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '业务说明, 可选值: phone/appID/openID/memberID',
                                                                   `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                                   `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                                   `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                                   `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                                   `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                                   `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                                   `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流oneid节点模型关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_one_id_rel_model_field`
--

LOCK TABLES `fdp_master_workflow_node_one_id_rel_model_field` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_one_id_rel_model_field` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_one_id_rel_model_field` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_python`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_python`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_python` (
                                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                   `workflow_id` bigint(20) NOT NULL COMMENT 'workflow id',
                                                   `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'python任务名',
                                                   `description` text COLLATE utf8mb4_unicode_ci COMMENT 'python描述',
                                                   `version` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'python版本',
                                                   `content_git_path` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'content存在路径',
                                                   `package_git_path` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '安装包存放路径',
                                                   `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                   `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                   `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                   `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                   `git_app_id` bigint(20) DEFAULT NULL COMMENT '存放的git应用id',
                                                   `relation_git_node_id` bigint(20) DEFAULT NULL COMMENT '关联的gitnodeid',
                                                   `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                   `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                   `org_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                   `persist_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '存储方式',
                                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流python节点表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_python`
--

LOCK TABLES `fdp_master_workflow_node_python` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_python` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_python` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_rel_model`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_rel_model`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_rel_model` (
                                                      `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                      `workflow_id` bigint(20) NOT NULL COMMENT '工作流ID',
                                                      `node_id` bigint(20) NOT NULL COMMENT '节点 id',
                                                      `node_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点类型: cleaning/extraction',
                                                      `model_id` bigint(20) NOT NULL COMMENT '关联模型 id',
                                                      `model_alias` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '关联模型别名',
                                                      `join_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'join类型, LEFT/RIGHT/INNER/FULL',
                                                      `filter_cond` text COLLATE utf8mb4_unicode_ci COMMENT '关联模型过滤条件',
                                                      `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                      `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                      `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                      `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                      `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                      `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                      `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流节点模型关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_rel_model`
--

LOCK TABLES `fdp_master_workflow_node_rel_model` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_rel_model` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_rel_model` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflow_node_rel_model_field`
--

DROP TABLE IF EXISTS `fdp_master_workflow_node_rel_model_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflow_node_rel_model_field` (
                                                            `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                                            `node_id` bigint(20) NOT NULL COMMENT '节点 id',
                                                            `node_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点类型: cleaning/extraction',
                                                            `mode` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '节点添加模式: ui/sql',
                                                            `model_id` bigint(20) NOT NULL COMMENT '关联模型 id',
                                                            `model_field` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '关联模型字段名称',
                                                            `rel_model_id` bigint(20) NOT NULL COMMENT '被关联模型 id',
                                                            `rel_model_field` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '被关联模型字段名称',
                                                            `custom_content` text COLLATE utf8mb4_unicode_ci COMMENT '自定义编辑内容',
                                                            `created_at` datetime NOT NULL COMMENT '表记录创建时间',
                                                            `updated_at` datetime NOT NULL COMMENT '表记录更新时间',
                                                            `org_id` bigint(20) DEFAULT NULL COMMENT '企业id',
                                                            `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                                            `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                                            `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                                            `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流节点模型字段关联表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflow_node_rel_model_field`
--

LOCK TABLES `fdp_master_workflow_node_rel_model_field` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflow_node_rel_model_field` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflow_node_rel_model_field` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fdp_master_workflows`
--

DROP TABLE IF EXISTS `fdp_master_workflows`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `fdp_master_workflows` (
                                        `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                        `org_id` bigint(20) DEFAULT NULL COMMENT '企业 id',
                                        `source` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '平台来源：DL/CDP',
                                        `name` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '工作流名',
                                        `name_pinyin` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '工作流拼音',
                                        `description` varchar(1024) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '工作流描述',
                                        `run_type` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '运行类型: ATONCE、SCHEDULE',
                                        `cron` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT '任务周期',
                                        `cron_start_from` datetime DEFAULT NULL COMMENT '延时执行时间',
                                        `category_id` bigint(20) NOT NULL COMMENT '工作流目录 ID',
                                        `pipeline_name` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT '' COMMENT 'pipeline 名称',
                                        `pipeline` mediumtext COLLATE utf8mb4_unicode_ci COMMENT 'pipeline 内容, 最大16MB',
                                        `locations` text COLLATE utf8mb4_unicode_ci COMMENT '工作流节点坐标二维数组',
                                        `node_params` text COLLATE utf8mb4_unicode_ci COMMENT '工作流节点参数',
                                        `creator_id` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '创建者 ID',
                                        `updater_id` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '创建者 ID',
                                        `extra` mediumtext COLLATE utf8mb4_unicode_ci COMMENT '扩展信息',
                                        `delete_yn` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除标记',
                                        `created_at` datetime NOT NULL COMMENT '创建时间',
                                        `updated_at` datetime NOT NULL COMMENT '更新时间',
                                        `cluster_id` bigint(20) DEFAULT NULL COMMENT '集群id',
                                        `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                        `application_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                        `cluster_name` varchar(256) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '集群名',
                                        `pipeline_status` varchar(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'pipeline最近一次执行状态',
                                        `pipeline_begin_time` datetime DEFAULT NULL COMMENT 'pipeline最近一次执行时间',
                                        PRIMARY KEY (`id`),
                                        KEY `idx_category_id_name` (`category_id`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='工作流表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `fdp_master_workflows`
--

LOCK TABLES `fdp_master_workflows` WRITE;
/*!40000 ALTER TABLE `fdp_master_workflows` DISABLE KEYS */;
/*!40000 ALTER TABLE `fdp_master_workflows` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migration_records`
--

DROP TABLE IF EXISTS `migration_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migration_records` (
                                     `version` varchar(10) NOT NULL COMMENT '服务版本号',
                                     `module` varchar(50) NOT NULL COMMENT '服务名',
                                     `version_b` varchar(10) NOT NULL COMMENT '服务 B 版本号',
                                     `done` varchar(1) NOT NULL DEFAULT '0',
                                     `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     PRIMARY KEY (`version`,`module`,`version_b`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Dice各模块 db migration 执行记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migration_records`
--

LOCK TABLES `migration_records` WRITE;
/*!40000 ALTER TABLE `migration_records` DISABLE KEYS */;
INSERT INTO `migration_records` VALUES ('3.10','cmdb','v001','1','2021-04-02 16:09:48'),('3.10','cmdb','v002','1','2021-04-02 16:09:48'),('3.10','cmdb','v003','1','2021-04-02 16:09:48'),('3.10','cmdb','v004','1','2021-04-02 16:09:48'),('3.10','dashboard','v001','1','2021-04-02 16:09:48'),('3.10','dashboard','v002','1','2021-04-02 16:09:48'),('3.10','dashboard','v003','1','2021-04-02 16:09:48'),('3.10','dicehub','v001','1','2021-04-02 16:09:48'),('3.10','fdp','v001','1','2021-04-02 16:09:48'),('3.10','fdp','v002','1','2021-04-02 16:09:48'),('3.10','gittar','v001','1','2021-04-02 16:09:48'),('3.10','ops','v001','1','2021-04-02 16:09:48'),('3.10','pipeline','v001','1','2021-04-02 16:09:49'),('3.10','uc','v001','1','2021-04-02 16:09:48'),('3.10','uc','v002','1','2021-04-02 16:09:48'),('3.11','cmdb','v001','1','2021-04-02 16:09:50'),('3.11','fdp','v001','1','2021-04-02 16:09:49'),('3.11','hepa','v001','1','2021-04-02 16:09:49'),('3.11','hepa','v002','1','2021-04-02 16:09:49'),('3.11','monitor','v001','1','2021-04-02 16:09:49'),('3.11','monitor','v002','1','2021-04-02 16:09:49'),('3.11','monitor','v003','1','2021-04-02 16:09:49'),('3.11','monitor','v004','1','2021-04-02 16:09:50'),('3.11','pipeline','v001','1','2021-04-02 16:09:50'),('3.11','pipeline','v002','1','2021-04-02 16:09:50'),('3.11','tmc','v001','1','2021-04-02 16:09:50'),('3.12','cmdb','v001','1','2021-04-02 16:09:50'),('3.12','cmdb','v002','1','2021-04-02 16:09:50'),('3.12','cmdb','v003','1','2021-04-02 16:09:50'),('3.12','cmdb','v004','1','2021-04-02 16:09:50'),('3.12','cmdb','v005','1','2021-04-02 16:09:50'),('3.12','fdp','v001','1','2021-04-02 16:09:51'),('3.12','fdp','v002','1','2021-04-02 16:09:51'),('3.12','fdp','v003','1','2021-04-02 16:09:51'),('3.12','gittar','v001','1','2021-04-02 16:09:51'),('3.12','hepa','v001','1','2021-04-02 16:09:51'),('3.12','monitor','v001','1','2021-04-02 16:09:51'),('3.12','orchestrator','v001','1','2021-04-02 16:09:50'),('3.12','orchestrator','v002','1','2021-04-02 16:09:50'),('3.12','orchestrator','v003','1','2021-04-02 16:09:50'),('3.12','pipeline','v001','1','2021-04-02 16:09:51'),('3.12','pipeline','v002','1','2021-04-02 16:09:51'),('3.12','tmc','v001','1','2021-04-02 16:09:50'),('3.12','uc','v001','1','2021-04-02 16:09:50'),('3.13','cmdb','v001','1','2021-04-02 16:09:52'),('3.13','cmdb','v002','1','2021-04-02 16:09:52'),('3.13','cmdb','v003','1','2021-04-02 16:09:53'),('3.13','dicehub','v001','1','2021-04-02 16:09:53'),('3.13','fdp','v001','1','2021-04-02 16:09:53'),('3.13','fdp','v002','1','2021-04-02 16:09:53'),('3.13','fdp','v003','1','2021-04-02 16:09:53'),('3.13','fdp','v004','1','2021-04-02 16:09:53'),('3.13','gittar','v001','1','2021-04-02 16:09:51'),('3.13','hepa','v001','1','2021-04-02 16:09:53'),('3.13','hepa','v002','1','2021-04-02 16:09:53'),('3.13','monitor','v001','1','2021-04-02 16:09:52'),('3.13','monitor','v002','1','2021-04-02 16:09:52'),('3.13','monitor','v003','1','2021-04-02 16:09:52'),('3.13','openapi','v001','1','2021-04-02 16:09:51'),('3.13','openapi','v002','1','2021-04-02 16:09:52'),('3.13','ops','v001','1','2021-04-02 16:09:52'),('3.13','orchestrator','v001','1','2021-04-02 16:09:52'),('3.13','orchestrator','v002','1','2021-04-02 16:09:52'),('3.13','orchestrator','v003','1','2021-04-02 16:09:52'),('3.13','pipeline','v001','1','2021-04-02 16:09:52'),('3.13','pipeline','v002','1','2021-04-02 16:09:52'),('3.13','pipeline','v003','1','2021-04-02 16:09:52'),('3.13','tmc','v001','1','2021-04-02 16:09:52'),('3.13','tmc','v002','1','2021-04-02 16:09:52'),('3.13','uc','v001','1','2021-04-02 16:09:51'),('3.14','cmdb','v001','1','2021-04-02 16:09:53'),('3.14','cmdb','v002','1','2021-04-02 16:09:54'),('3.14','cmdb','v003','1','2021-04-02 16:09:54'),('3.14','dicehub','v001','1','2021-04-02 16:09:54'),('3.14','dicehub','v002','1','2021-04-02 16:09:54'),('3.14','fdp','v001','1','2021-04-02 16:09:54'),('3.14','fdp','v002','1','2021-04-02 16:09:54'),('3.14','fdp','v003','1','2021-04-02 16:09:54'),('3.14','fdp','v004','1','2021-04-02 16:09:54'),('3.14','fdp','v005','1','2021-04-02 16:09:54'),('3.14','fdp','v006','1','2021-04-02 16:09:54'),('3.14','fdp','v007','1','2021-04-02 16:09:54'),('3.14','fdp','v008','1','2021-04-02 16:09:54'),('3.14','fdp','v009','1','2021-04-02 16:09:55'),('3.14','hepa','v001','1','2021-04-02 16:09:55'),('3.14','monitor','v001','1','2021-04-02 16:09:55'),('3.14','monitor','v002','1','2021-04-02 16:09:55'),('3.14','monitor','v003','1','2021-04-02 16:09:55'),('3.14','monitor','v004','1','2021-04-02 16:09:55'),('3.14','monitor','v005','1','2021-04-02 16:09:55'),('3.14','monitor','v006','1','2021-04-02 16:09:55'),('3.14','monitor','v007','1','2021-04-02 16:09:55'),('3.14','monitor','v008','1','2021-04-02 16:09:55'),('3.14','pipeline','v001','1','2021-04-02 16:09:53'),('3.14','pipeline','v002','1','2021-04-02 16:09:53'),('3.14','uc','v001','1','2021-04-02 16:09:53'),('3.15','cmdb','v001','1','2021-04-02 16:09:56'),('3.15','cmdb','v002','1','2021-04-02 16:09:56'),('3.15','cmdb','v003','1','2021-04-02 16:09:56'),('3.15','cmdb','v004','1','2021-04-02 16:09:56'),('3.15','cmdb','v005','1','2021-04-02 16:09:56'),('3.15','fdp','v001','1','2021-04-02 16:09:59'),('3.15','fdp','v002','1','2021-04-02 16:09:59'),('3.15','fdp','v003','1','2021-04-02 16:09:59'),('3.15','fdp-agent','v001','1','2021-04-02 16:09:55'),('3.15','fdp-agent','v002','1','2021-04-02 16:09:55'),('3.15','hepa','v001','1','2021-04-02 16:09:59'),('3.15','monitor','v001','1','2021-04-02 16:09:59'),('3.15','monitor','v002','1','2021-04-02 16:09:59'),('3.15','monitor','v003','1','2021-04-02 16:09:59'),('3.15','monitor','v004','1','2021-04-02 16:09:59'),('3.15','monitor','v005','1','2021-04-02 16:09:59'),('3.15','openapi','v001','1','2021-04-02 16:09:59'),('3.15','ops','v001','1','2021-04-02 16:09:55'),('3.15','orchestrator','v001','1','2021-04-02 16:09:56'),('3.15','orchestrator','v002','1','2021-04-02 16:09:56'),('3.15','runner-scheduler','v001','1','2021-04-02 16:10:00'),('3.15','runner-scheduler','v002','1','2021-04-02 16:10:00'),('3.15','runner-scheduler','v003','1','2021-04-02 16:10:00'),('3.15','tmc','v001','1','2021-04-02 16:09:56'),('3.15','uc','v001','1','2021-04-02 16:09:56'),('3.16','cmdb','v001','1','2021-04-02 16:10:00'),('3.16','cmdb','v002','1','2021-04-02 16:10:00'),('3.16','cmdb','v003','1','2021-04-02 16:10:00'),('3.16','cmdb','v004','1','2021-04-02 16:10:00'),('3.16','dicehub','v001','1','2021-04-02 16:10:00'),('3.16','fdp','v001','1','2021-04-02 16:10:01'),('3.16','fdp','v002','1','2021-04-02 16:10:01'),('3.16','fdp-agent','v001','1','2021-04-02 16:10:00'),('3.16','fdp-agent','v002','1','2021-04-02 16:10:00'),('3.16','fdp-agent','v003','1','2021-04-02 16:10:01'),('3.16','gittar','v001','1','2021-04-02 16:10:01'),('3.16','hepa','v001','1','2021-04-02 16:10:00'),('3.16','hepa','v002','1','2021-04-02 16:10:00'),('3.16','hepa','v003','1','2021-04-02 16:10:00'),('3.16','hepa','v004','1','2021-04-02 16:10:00'),('3.16','monitor','v001','1','2021-04-02 16:10:00'),('3.16','monitor','v002','1','2021-04-02 16:10:00'),('3.16','monitor','v003','1','2021-04-02 16:10:00'),('3.16','monitor','v004','1','2021-04-02 16:10:00'),('3.16','orchestrator','v001','1','2021-04-02 16:10:00'),('3.16','tmc','v001','1','2021-04-02 16:10:01'),('3.16','tmc','v002','1','2021-04-02 16:10:01'),('3.16','tmc','v003','1','2021-04-02 16:10:01'),('3.17','cmdb','v001','1','2021-04-02 16:10:01'),('3.17','fdp','v001','1','2021-04-02 16:10:01'),('3.17','fdp','v002','1','2021-04-02 16:10:01'),('3.17','fdp','v003','1','2021-04-02 16:10:01'),('3.17','fdp','v004','1','2021-04-02 16:10:01'),('3.17','monitor','v001','1','2021-04-02 16:10:01'),('3.17','monitor','v002','1','2021-04-02 16:10:02'),('3.17','monitor','v003','1','2021-04-02 16:10:02'),('3.17','monitor','v004','1','2021-04-02 16:10:02'),('3.17','ops','v001','1','2021-04-02 16:10:02'),('3.17','orchestrator','v001','1','2021-04-02 16:10:02'),('3.18','apim','v001','1','2021-04-02 16:10:03'),('3.18','apim','v002','1','2021-04-02 16:10:03'),('3.18','cmdb','v001','1','2021-04-02 16:10:03'),('3.18','cmdb','v002','1','2021-04-02 16:10:03'),('3.18','gittar','v001','1','2021-04-02 16:10:03'),('3.18','monitor','v001','1','2021-04-02 16:10:03'),('3.18','monitor','v002','1','2021-04-02 16:10:03'),('3.18','monitor','v003','1','2021-04-02 16:10:03'),('3.18','monitor','v004','1','2021-04-02 16:10:03'),('3.18','monitor','v005','1','2021-04-02 16:10:03'),('3.18','monitor','v006','1','2021-04-02 16:10:03'),('3.18','openapi','v001','1','2021-04-02 16:10:02'),('3.18','pipeline','v001','1','2021-04-02 16:10:03'),('3.18','qa','v001','1','2021-04-02 16:10:02'),('3.18','qa','v002','1','2021-04-02 16:10:02'),('3.18','tmc','v001','1','2021-04-02 16:10:02'),('3.18','uc','v001','1','2021-04-02 16:10:02'),('3.18','uc','v002','1','2021-04-02 16:10:02'),('3.18','uc','v003','1','2021-04-02 16:10:02'),('3.19','apim','v001','1','2021-04-02 16:10:05'),('3.19','apim','v002','1','2021-04-02 16:10:05'),('3.19','apim','v003','1','2021-04-02 16:10:05'),('3.19','apim','v004','1','2021-04-02 16:10:05'),('3.19','apim','v005','1','2021-04-02 16:10:05'),('3.19','cmdb','v001','1','2021-04-02 16:10:04'),('3.19','cmdb','v002','1','2021-04-02 16:10:04'),('3.19','cmdb','v003','1','2021-04-02 16:10:04'),('3.19','cmdb','v004','1','2021-04-02 16:10:04'),('3.19','cmdb','v005','1','2021-04-02 16:10:04'),('3.19','cmdb','v006','1','2021-04-02 16:10:04'),('3.19','cmdb','v007','1','2021-04-02 16:10:04'),('3.19','cmdb','v008','1','2021-04-02 16:10:04'),('3.19','dicehub','v001','1','2021-04-02 16:10:04'),('3.19','dicehub','v002','1','2021-04-02 16:10:04'),('3.19','dicehub','v003','1','2021-04-02 16:10:05'),('3.19','elf','v001','1','2021-04-02 16:10:05'),('3.19','hepa','v001','1','2021-04-02 16:10:05'),('3.19','hepa','v002','1','2021-04-02 16:10:05'),('3.19','hepa','v003','1','2021-04-02 16:10:05'),('3.19','monitor','v001','1','2021-04-02 16:10:04'),('3.19','monitor','v002','1','2021-04-02 16:10:04'),('3.19','monitor','v003','1','2021-04-02 16:10:04'),('3.19','monitor','v004','1','2021-04-02 16:10:04'),('3.19','monitor','v005','1','2021-04-02 16:10:04'),('3.19','qa','v001','1','2021-04-02 16:10:05'),('3.19','scheduler','v001','1','2021-04-02 16:10:05'),('3.19','tmc','v001','1','2021-04-02 16:10:04'),('3.20','apim','v001','1','2021-04-02 16:10:07'),('3.20','cmdb','v001','1','2021-04-02 16:10:06'),('3.20','cmdb','v002','1','2021-04-02 16:10:06'),('3.20','dicehub','v001','1','2021-04-02 16:10:07'),('3.20','dicehub','v002','1','2021-04-02 16:10:07'),('3.20','dicehub','v003','1','2021-04-02 16:10:07'),('3.20','dicehub','v004','1','2021-04-02 16:10:07'),('3.20','dicehub','v005','1','2021-04-02 16:10:07'),('3.20','fdp-agent','v001','1','2021-04-02 16:10:06'),('3.20','hepa','v001','1','2021-04-02 16:10:05'),('3.20','hepa','v002','1','2021-04-02 16:10:05'),('3.20','monitor','v001','1','2021-04-02 16:10:06'),('3.20','monitor','v002','1','2021-04-02 16:10:06'),('3.20','monitor','v003','1','2021-04-02 16:10:06'),('3.20','monitor','v004','1','2021-04-02 16:10:06'),('3.20','monitor','v005','1','2021-04-02 16:10:06'),('3.20','monitor','v006','1','2021-04-02 16:10:06'),('3.20','monitor','v007','1','2021-04-02 16:10:06'),('3.20','monitor','v008','1','2021-04-02 16:10:06'),('3.20','monitor','v009','1','2021-04-02 16:10:06'),('3.20','orchestrator','v001','1','2021-04-02 16:10:06'),('3.20','pipeline','v001','1','2021-04-02 16:10:06'),('3.20','qa','v001','1','2021-04-02 16:10:06'),('3.20','qa','v002','1','2021-04-02 16:10:07'),('3.20','qa','v003','1','2021-04-02 16:10:07'),('3.20','scheduler','v001','1','2021-04-02 16:10:07'),('3.20','tmc','v001','1','2021-04-02 16:10:07'),('3.21','apim','v001','1','2021-04-02 16:10:10'),('3.21','apim','v002','1','2021-04-02 16:10:11'),('3.21','cmdb','v001','1','2021-04-02 16:10:13'),('3.21','cmdb','v002','1','2021-04-02 16:10:13'),('3.21','cmdb','v003','1','2021-04-02 16:10:13'),('3.21','dicehub','v001','1','2021-04-02 16:10:08'),('3.21','dicehub','v002','1','2021-04-02 16:10:08'),('3.21','dicehub','v003','1','2021-04-02 16:10:08'),('3.21','fdp','v001','1','2021-04-02 16:10:08'),('3.21','fdp','v002','1','2021-04-02 16:10:08'),('3.21','fdp-agent','v001','1','2021-04-02 16:10:14'),('3.21','gittar','v001','1','2021-04-02 16:10:11'),('3.21','hepa','v001','1','2021-04-02 16:10:14'),('3.21','monitor','v001','1','2021-04-02 16:10:08'),('3.21','monitor','v002','1','2021-04-02 16:10:08'),('3.21','ops','v001','1','2021-04-02 16:10:11'),('3.21','orchestrator','v001','1','2021-04-02 16:10:14'),('3.21','orchestrator','v002','1','2021-04-02 16:10:14'),('3.21','pipeline','v001','1','2021-04-02 16:10:14'),('3.21','pipeline','v002','1','2021-04-02 16:10:14'),('3.21','pipeline','v003','1','2021-04-02 16:10:14'),('3.21','pipeline','v004','1','2021-04-02 16:10:14'),('3.21','pipeline','v005','1','2021-04-02 16:10:14'),('3.21','pipeline','v006','1','2021-04-02 16:10:15'),('3.21','pipeline','v007','1','2021-04-02 16:10:15'),('3.21','pipeline','v008','1','2021-04-02 16:10:15'),('3.21','pipeline','v009','1','2021-04-02 16:10:15'),('3.21','pmp-backend','v001','1','2021-04-02 16:10:10'),('3.21','pmp-backend','v002','1','2021-04-02 16:10:10'),('3.21','qa','v001','1','2021-04-02 16:10:11'),('3.21','qa','v002','1','2021-04-02 16:10:11'),('3.21','qa','v003','1','2021-04-02 16:10:11'),('3.21','qa','v004','1','2021-04-02 16:10:12'),('3.21','qa','v005','1','2021-04-02 16:10:12'),('3.21','qa','v006','1','2021-04-02 16:10:12'),('3.21','qa','v007','1','2021-04-02 16:10:12'),('3.21','qa','v008','1','2021-04-02 16:10:12'),('3.21','qa','v009','1','2021-04-02 16:10:12'),('3.21','scheduler','v001','1','2021-04-02 16:10:15'),('3.21','tmc','v001','1','2021-04-02 16:10:11'),('3.21','tmc','v002','1','2021-04-02 16:10:11'),('3.21','uc','v001','1','2021-04-02 16:10:10'),('3.21','uc','v002','1','2021-04-02 16:10:10'),('3.21','uc-adaptor','v001','1','2021-04-02 16:10:11');
/*!40000 ALTER TABLE `migration_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `openapi_oauth2_token_clients`
--

DROP TABLE IF EXISTS `openapi_oauth2_token_clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `openapi_oauth2_token_clients` (
                                                `id` varchar(191) NOT NULL,
                                                `secret` varchar(191) NOT NULL,
                                                `domain` varchar(4096) NOT NULL DEFAULT '',
                                                `created_at` datetime NOT NULL,
                                                `updated_at` datetime NOT NULL,
                                                PRIMARY KEY (`id`),
                                                KEY `idx_created_at` (`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='openapi oauth2 客户端表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `openapi_oauth2_token_clients`
--

LOCK TABLES `openapi_oauth2_token_clients` WRITE;
/*!40000 ALTER TABLE `openapi_oauth2_token_clients` DISABLE KEYS */;
INSERT INTO `openapi_oauth2_token_clients` VALUES ('action-runner','devops/action-runner','','2021-04-02 16:10:00','2021-04-02 16:10:00'),('elf','ai/elf','','2020-09-03 00:00:00','2020-09-03 00:00:00'),('fdp','fdp/agent','','2020-03-20 00:00:00','2020-03-20 00:00:00'),('orchestrator','devops/orchestrator','','2020-08-03 00:00:00','2020-08-03 00:00:00'),('pipeline','devops/pipeline','','2020-03-20 00:00:00','2020-03-20 00:00:00');
/*!40000 ALTER TABLE `openapi_oauth2_token_clients` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `openapi_oauth2_tokens`
--

DROP TABLE IF EXISTS `openapi_oauth2_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `openapi_oauth2_tokens` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                         `code` varchar(191) DEFAULT NULL,
                                         `access` varchar(4096) NOT NULL DEFAULT '',
                                         `refresh` varchar(4096) NOT NULL DEFAULT '',
                                         `data` text NOT NULL,
                                         `created_at` datetime NOT NULL,
                                         `expired_at` datetime DEFAULT NULL,
                                         PRIMARY KEY (`id`),
                                         KEY `idx_expired_at` (`expired_at`),
                                         KEY `idx_created_at` (`created_at`),
                                         KEY `idx_code` (`code`),
                                         FULLTEXT KEY `idx_access` (`access`),
                                         FULLTEXT KEY `idx_refresh` (`refresh`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COMMENT='openapi oauth2 token 表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `openapi_oauth2_tokens`
--

LOCK TABLES `openapi_oauth2_tokens` WRITE;
/*!40000 ALTER TABLE `openapi_oauth2_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `openapi_oauth2_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ops_orgak`
--

DROP TABLE IF EXISTS `ops_orgak`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ops_orgak` (
                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                             `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                             `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                             `org_id` varchar(64) DEFAULT NULL COMMENT '企业ID',
                             `vendor` varchar(64) DEFAULT NULL COMMENT '云供应商',
                             `access_key` mediumtext COMMENT '云供应商access_key',
                             `secret_key` mediumtext COMMENT '云供应商secret_key',
                             `description` mediumtext COMMENT '云供应商ak,sk描述',
                             PRIMARY KEY (`id`),
                             KEY `idx_ops_orgak_org_id` (`org_id`),
                             KEY `idx_ops_orgak_vendor` (`vendor`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='云账号记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ops_orgak`
--

LOCK TABLES `ops_orgak` WRITE;
/*!40000 ALTER TABLE `ops_orgak` DISABLE KEYS */;
/*!40000 ALTER TABLE `ops_orgak` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ops_record`
--

DROP TABLE IF EXISTS `ops_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ops_record` (
                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'primary key',
                              `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                              `record_type` varchar(64) DEFAULT NULL COMMENT '操作记录类型',
                              `user_id` varchar(64) DEFAULT NULL COMMENT '操作用户ID',
                              `org_id` varchar(64) DEFAULT NULL COMMENT '操作用户所属企业ID',
                              `cluster_name` varchar(64) DEFAULT NULL COMMENT '操作相关集群名',
                              `status` varchar(64) DEFAULT NULL COMMENT '操作结果状态，是否成功',
                              `detail` text COMMENT '操作详情',
                              `pipeline_id` bigint(20) unsigned DEFAULT NULL COMMENT '操作相关流水线ID',
                              PRIMARY KEY (`id`),
                              KEY `idx_ops_record_org_id` (`org_id`),
                              KEY `idx_ops_record_cluster_name` (`cluster_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='云管操作日志记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ops_record`
--

LOCK TABLES `ops_record` WRITE;
/*!40000 ALTER TABLE `ops_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `ops_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_archives`
--

DROP TABLE IF EXISTS `pipeline_archives`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_archives` (
                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                     `time_created` datetime NOT NULL,
                                     `time_updated` datetime NOT NULL,
                                     `pipeline_id` bigint(20) NOT NULL,
                                     `pipeline_source` varchar(32) NOT NULL DEFAULT '',
                                     `pipeline_yml_name` varchar(191) NOT NULL DEFAULT '',
                                     `status` varchar(191) NOT NULL DEFAULT '',
                                     `dice_version` varchar(32) NOT NULL DEFAULT '',
                                     `content` longtext NOT NULL,
                                     PRIMARY KEY (`id`),
                                     KEY `idx_pipelineID` (`pipeline_id`),
                                     KEY `idx_source_ymlName` (`pipeline_source`,`pipeline_yml_name`),
                                     KEY `idx_source_ymlName_status` (`pipeline_source`,`pipeline_yml_name`,`status`),
                                     KEY `idx_source_status` (`pipeline_source`,`status`),
                                     KEY `idx_source_pipelineID` (`pipeline_source`,`pipeline_id`),
                                     KEY `idx_source_ymlName_pipelineID` (`pipeline_source`,`pipeline_yml_name`,`pipeline_id`),
                                     KEY `idx_source_status_pipelineID` (`pipeline_source`,`status`,`pipeline_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流水线归档表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_archives`
--

LOCK TABLES `pipeline_archives` WRITE;
/*!40000 ALTER TABLE `pipeline_archives` DISABLE KEYS */;
/*!40000 ALTER TABLE `pipeline_archives` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_bases`
--

DROP TABLE IF EXISTS `pipeline_bases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_bases` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                  `pipeline_source` varchar(191) NOT NULL DEFAULT '',
                                  `pipeline_yml_name` varchar(191) NOT NULL DEFAULT '',
                                  `cluster_name` varchar(191) NOT NULL DEFAULT '',
                                  `status` varchar(32) NOT NULL DEFAULT '',
                                  `type` varchar(32) NOT NULL DEFAULT '',
                                  `trigger_mode` varchar(32) NOT NULL DEFAULT '',
                                  `cron_id` bigint(20) DEFAULT NULL,
                                  `is_snippet` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否是嵌套流水线',
                                  `parent_pipeline_id` bigint(20) DEFAULT NULL COMMENT '当前嵌套流水线对应的父流水线 ID',
                                  `parent_task_id` bigint(20) DEFAULT NULL COMMENT '当前嵌套流水线对应的父流水线任务 ID',
                                  `cost_time_sec` bigint(20) NOT NULL,
                                  `time_begin` datetime DEFAULT NULL,
                                  `time_end` datetime DEFAULT NULL,
                                  `time_created` datetime NOT NULL,
                                  `time_updated` datetime NOT NULL,
                                  PRIMARY KEY (`id`),
                                  KEY `idx_source_ymlName` (`pipeline_source`,`pipeline_yml_name`),
                                  KEY `idx_status` (`status`),
                                  KEY `idx_source_status` (`pipeline_source`,`status`),
                                  KEY `idx_source_ymlName_status` (`pipeline_source`,`pipeline_yml_name`,`status`),
                                  KEY `idx_id_source_cluster_status` (`id`,`pipeline_source`,`cluster_name`,`status`),
                                  KEY `idx_source_status_cluster_timebegin_timeend_id` (`pipeline_source`,`status`,`cluster_name`,`time_begin`,`time_end`,`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10000000 DEFAULT CHARSET=utf8mb4 COMMENT='流水线基础信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_bases`
--

LOCK TABLES `pipeline_bases` WRITE;
/*!40000 ALTER TABLE `pipeline_bases` DISABLE KEYS */;
/*!40000 ALTER TABLE `pipeline_bases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_configs`
--

DROP TABLE IF EXISTS `pipeline_configs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_configs` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                    `type` varchar(255) NOT NULL DEFAULT '',
                                    `value` text NOT NULL,
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='(内部)流水线内部配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_configs`
--

LOCK TABLES `pipeline_configs` WRITE;
/*!40000 ALTER TABLE `pipeline_configs` DISABLE KEYS */;
INSERT INTO `pipeline_configs` VALUES (1,'action_executor','{\n	\"kind\": \"SCHEDULER\",\n	\"name\": \"scheduler\",\n	\"options\": {\n		\"ADDR\": \"scheduler.marathon.l4lb.thisdcos.directory:9091\"\n	}\n}');
/*!40000 ALTER TABLE `pipeline_configs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_crons`
--

DROP TABLE IF EXISTS `pipeline_crons`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_crons` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                  `application_id` bigint(20) NOT NULL,
                                  `branch` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
                                  `cron_expr` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                  `enable` tinyint(1) NOT NULL,
                                  `pipeline_source` varchar(32) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
                                  `pipeline_yml_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                  `base_pipeline_id` bigint(20) NOT NULL,
                                  `extra` mediumtext COLLATE utf8mb4_unicode_ci,
                                  `time_created` datetime NOT NULL,
                                  `time_updated` datetime NOT NULL,
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='定时流水线';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_crons`
--

LOCK TABLES `pipeline_crons` WRITE;
/*!40000 ALTER TABLE `pipeline_crons` DISABLE KEYS */;
/*!40000 ALTER TABLE `pipeline_crons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_extras`
--

DROP TABLE IF EXISTS `pipeline_extras`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_extras` (
                                   `pipeline_id` bigint(20) unsigned NOT NULL,
                                   `pipeline_yml` mediumtext NOT NULL,
                                   `extra` mediumtext NOT NULL,
                                   `normal_labels` mediumtext NOT NULL COMMENT '这里存储的 label 仅用于展示，不做筛选。用于筛选的 label 存储在 pipeline_labels 表中',
                                   `snapshot` mediumtext NOT NULL,
                                   `commit_detail` text NOT NULL,
                                   `progress` int(3) NOT NULL DEFAULT '-1' COMMENT '0-100，-1 表示未设置',
                                   `time_created` datetime NOT NULL,
                                   `time_updated` datetime NOT NULL,
                                   `commit` varchar(64) DEFAULT NULL,
                                   `org_name` varchar(191) DEFAULT NULL,
                                   `snippets` text COMMENT 'snippet 历史',
                                   PRIMARY KEY (`pipeline_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='流水线额外信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_extras`
--

LOCK TABLES `pipeline_extras` WRITE;
/*!40000 ALTER TABLE `pipeline_extras` DISABLE KEYS */;
/*!40000 ALTER TABLE `pipeline_extras` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_labels`
--

DROP TABLE IF EXISTS `pipeline_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_labels` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                   `pipeline_source` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                   `pipeline_yml_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                   `pipeline_id` bigint(20) NOT NULL,
                                   `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                   `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT '标签值',
                                   `time_created` datetime NOT NULL,
                                   `time_updated` datetime NOT NULL,
                                   PRIMARY KEY (`id`),
                                   KEY `idx_source` (`pipeline_source`),
                                   KEY `idx_pipeline_yml_name` (`pipeline_yml_name`),
                                   KEY `idx_namespace` (`pipeline_source`,`pipeline_yml_name`),
                                   KEY `idx_key` (`key`),
                                   KEY `idx_pipeline_id` (`pipeline_id`),
                                   KEY `idx_source_key_value_pipelineid` (`pipeline_source`,`key`,`value`,`pipeline_id`),
                                   KEY `idx_source_ymlname_key_value_pipelineid` (`pipeline_source`,`pipeline_yml_name`,`key`,`value`,`pipeline_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='流水线标签表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_labels`
--

LOCK TABLES `pipeline_labels` WRITE;
/*!40000 ALTER TABLE `pipeline_labels` DISABLE KEYS */;
/*!40000 ALTER TABLE `pipeline_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_stages`
--

DROP TABLE IF EXISTS `pipeline_stages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_stages` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                   `pipeline_id` bigint(20) NOT NULL,
                                   `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                   `extra` text COLLATE utf8mb4_unicode_ci NOT NULL,
                                   `status` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                   `cost_time_sec` bigint(20) NOT NULL,
                                   `time_begin` datetime DEFAULT NULL,
                                   `time_end` datetime DEFAULT NULL,
                                   `time_created` datetime NOT NULL,
                                   `time_updated` datetime NOT NULL,
                                   PRIMARY KEY (`id`),
                                   KEY `idx_pipeline_id` (`pipeline_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='流水线阶段(stage)表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_stages`
--

LOCK TABLES `pipeline_stages` WRITE;
/*!40000 ALTER TABLE `pipeline_stages` DISABLE KEYS */;
/*!40000 ALTER TABLE `pipeline_stages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pipeline_tasks`
--

DROP TABLE IF EXISTS `pipeline_tasks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pipeline_tasks` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                  `pipeline_id` bigint(20) NOT NULL,
                                  `stage_id` bigint(20) NOT NULL,
                                  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                  `op_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                  `executor_kind` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
                                  `status` varchar(128) COLLATE utf8mb4_unicode_ci NOT NULL,
                                  `extra` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
                                  `context` text COLLATE utf8mb4_unicode_ci NOT NULL,
                                  `result` text COLLATE utf8mb4_unicode_ci NOT NULL,
                                  `is_snippet` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否是嵌套流水线任务',
                                  `snippet_pipeline_id` bigint(20) DEFAULT NULL COMMENT '当前任务对应的嵌套流水线 ID',
                                  `snippet_pipeline_detail` mediumtext COLLATE utf8mb4_unicode_ci COMMENT '当前任务对应的嵌套流水线汇总后的详情',
                                  `cost_time_sec` bigint(20) NOT NULL,
                                  `queue_time_sec` bigint(20) NOT NULL,
                                  `time_begin` datetime DEFAULT NULL,
                                  `time_end` datetime DEFAULT NULL,
                                  `time_created` datetime NOT NULL,
                                  `time_updated` datetime NOT NULL,
                                  PRIMARY KEY (`id`),
                                  KEY `idx_pipeline_id` (`pipeline_id`),
                                  KEY `idx_stage_id` (`stage_id`),
                                  KEY `idx_status` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='流水线任务(task)表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pipeline_tasks`
--

LOCK TABLES `pipeline_tasks` WRITE;
/*!40000 ALTER TABLE `pipeline_tasks` DISABLE KEYS */;
/*!40000 ALTER TABLE `pipeline_tasks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_activities`
--

DROP TABLE IF EXISTS `ps_activities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_activities` (
                                 `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                 `created_at` timestamp NULL DEFAULT NULL,
                                 `updated_at` timestamp NULL DEFAULT NULL,
                                 `org_id` bigint(20) DEFAULT NULL,
                                 `project_id` bigint(20) DEFAULT NULL,
                                 `application_id` bigint(20) DEFAULT NULL,
                                 `build_id` bigint(20) DEFAULT NULL,
                                 `runtime_id` bigint(20) DEFAULT NULL,
                                 `operator` varchar(255) DEFAULT NULL,
                                 `type` varchar(255) DEFAULT NULL,
                                 `action` varchar(255) DEFAULT NULL,
                                 `desc` varchar(255) DEFAULT NULL,
                                 `context` text,
                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Dice 活动表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_activities`
--

LOCK TABLES `ps_activities` WRITE;
/*!40000 ALTER TABLE `ps_activities` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_activities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_comments`
--

DROP TABLE IF EXISTS `ps_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_comments` (
                               `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                               `created_at` timestamp NULL DEFAULT NULL COMMENT '创建时间',
                               `updated_at` timestamp NULL DEFAULT NULL COMMENT '更新时间',
                               `ticket_id` bigint(20) DEFAULT NULL COMMENT '工单id',
                               `comment_type` varchar(20) DEFAULT 'normal' COMMENT '评论类型: normal/issueRelation',
                               `content` text COMMENT '评论内容',
                               `ir_comment` text COMMENT '关联事件评论内容',
                               `user_id` varchar(255) DEFAULT NULL COMMENT '用户Id',
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='工单评论';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_comments`
--

LOCK TABLES `ps_comments` WRITE;
/*!40000 ALTER TABLE `ps_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_group_projects`
--

DROP TABLE IF EXISTS `ps_group_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_group_projects` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                     `name` varchar(50) NOT NULL DEFAULT '' COMMENT '项目名称',
                                     `display_name` varchar(50) DEFAULT NULL COMMENT '项目显示名称',
                                     `logo` varchar(512) DEFAULT NULL COMMENT '项目Logo',
                                     `desc` varchar(2048) DEFAULT NULL COMMENT '项目描述',
                                     `cluster_config` varchar(1000) DEFAULT NULL COMMENT '项目集群配置',
                                     `cpu_quota` decimal(65,2) DEFAULT NULL COMMENT '项目 cpu 配额',
                                     `mem_quota` decimal(65,2) DEFAULT NULL COMMENT '项目 mem 配额',
                                     `creator` varchar(255) NOT NULL COMMENT '创建者',
                                     `org_id` bigint(20) NOT NULL COMMENT '所属企业',
                                     `version` varchar(128) DEFAULT NULL COMMENT '版本',
                                     `created_at` datetime NOT NULL COMMENT '创建时间',
                                     `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                     `dd_hook` text COMMENT 'dingding hook',
                                     `email` text COMMENT 'email 地址',
                                     `functions` varchar(255) DEFAULT '{"projectCooperative": true, "testManagement": true, "codeQuality": true, "codeBase": true,"branchRule": true, "cicd": true, "productLibManagement": true, "notify": true}',
                                     `active_time` datetime DEFAULT NULL,
                                     `rollback_config` varchar(1000) DEFAULT NULL COMMENT '回滚点配置',
                                     PRIMARY KEY (`id`),
                                     KEY `idx_org_id` (`org_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='项目信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_group_projects`
--

LOCK TABLES `ps_group_projects` WRITE;
/*!40000 ALTER TABLE `ps_group_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_group_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_images`
--

DROP TABLE IF EXISTS `ps_images`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_images` (
                             `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                             `created_at` timestamp NULL DEFAULT NULL,
                             `updated_at` timestamp NULL DEFAULT NULL,
                             `release_id` varchar(255) DEFAULT NULL,
                             `image_name` varchar(128) NOT NULL,
                             `image_tag` varchar(64) DEFAULT NULL,
                             `image` varchar(255) NOT NULL,
                             PRIMARY KEY (`id`),
                             KEY `idx_release_id` (`release_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Dice 镜像表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_images`
--

LOCK TABLES `ps_images` WRITE;
/*!40000 ALTER TABLE `ps_images` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_images` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_runtime_instances`
--

DROP TABLE IF EXISTS `ps_runtime_instances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_runtime_instances` (
                                        `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键 ID',
                                        `instance_id` varchar(255) NOT NULL DEFAULT '' COMMENT '实例Id',
                                        `runtime_id` bigint(20) NOT NULL COMMENT 'runtime ID',
                                        `service_id` bigint(20) NOT NULL COMMENT '服务 ID',
                                        `ip` varchar(50) DEFAULT NULL COMMENT '实例IP',
                                        `status` varchar(50) DEFAULT NULL COMMENT '实例状态',
                                        `stage` varchar(100) DEFAULT NULL COMMENT '容器阶段',
                                        `created_at` datetime NOT NULL COMMENT '创建时间',
                                        `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                        PRIMARY KEY (`id`),
                                        KEY `idx_service_id` (`service_id`),
                                        KEY `idx_instance_id` (`instance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='runtime对应instance信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_runtime_instances`
--

LOCK TABLES `ps_runtime_instances` WRITE;
/*!40000 ALTER TABLE `ps_runtime_instances` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_runtime_instances` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_runtime_services`
--

DROP TABLE IF EXISTS `ps_runtime_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_runtime_services` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键 ID',
                                       `runtime_id` bigint(20) NOT NULL COMMENT 'runtime ID',
                                       `service_name` varchar(100) NOT NULL COMMENT '服务名称',
                                       `cpu` varchar(10) DEFAULT NULL COMMENT 'CPU',
                                       `mem` bigint(10) DEFAULT NULL COMMENT '内存',
                                       `environment` text COMMENT '环境变量',
                                       `ports` varchar(256) DEFAULT NULL COMMENT '端口',
                                       `replica` int(20) DEFAULT NULL COMMENT '副本数',
                                       `status` varchar(50) DEFAULT NULL COMMENT 'Service状态',
                                       `errors` text COMMENT '错误列表',
                                       `created_at` datetime NOT NULL COMMENT '创建时间',
                                       `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                       PRIMARY KEY (`id`),
                                       UNIQUE KEY `idx_runtime_id_service_name` (`runtime_id`,`service_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='runtime对应service信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_runtime_services`
--

LOCK TABLES `ps_runtime_services` WRITE;
/*!40000 ALTER TABLE `ps_runtime_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_runtime_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_tickets`
--

DROP TABLE IF EXISTS `ps_tickets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_tickets` (
                              `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                              `created_at` timestamp NULL DEFAULT NULL COMMENT '创建时间',
                              `updated_at` timestamp NULL DEFAULT NULL COMMENT '更新时间',
                              `title` varchar(255) DEFAULT NULL COMMENT '工单标题',
                              `content` text COMMENT '工单内容',
                              `type` varchar(20) DEFAULT NULL COMMENT '工单类型',
                              `priority` varchar(255) DEFAULT NULL COMMENT '工单优先级',
                              `status` varchar(255) DEFAULT NULL COMMENT '工单状态',
                              `request_id` varchar(60) DEFAULT NULL COMMENT '请求id',
                              `key` varchar(64) DEFAULT NULL COMMENT '唯一key,告警工单使用',
                              `org_id` varchar(255) DEFAULT NULL COMMENT '所属企业',
                              `metric` varchar(255) DEFAULT NULL COMMENT '度量类型',
                              `metric_id` varchar(255) DEFAULT NULL COMMENT '度量id',
                              `count` bigint(20) DEFAULT NULL COMMENT '工单计数',
                              `creator` varchar(255) DEFAULT NULL COMMENT '创建用户',
                              `last_operator` varchar(255) DEFAULT NULL COMMENT '最近操作用户',
                              `label` text COMMENT '工单label',
                              `target_type` varchar(40) DEFAULT NULL COMMENT '目标类型',
                              `target_id` varchar(255) DEFAULT NULL COMMENT '目标id',
                              `triggered_at` timestamp NULL DEFAULT NULL COMMENT '工单触发时间',
                              `closed_at` timestamp NULL DEFAULT NULL COMMENT '工单关闭时间',
                              PRIMARY KEY (`id`),
                              KEY `idx_type` (`type`),
                              KEY `idx_request_id` (`request_id`),
                              KEY `idx_target_type` (`target_type`),
                              KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='工单信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_tickets`
--

LOCK TABLES `ps_tickets` WRITE;
/*!40000 ALTER TABLE `ps_tickets` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_tickets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_user_current_org`
--

DROP TABLE IF EXISTS `ps_user_current_org`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_user_current_org` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键 ID',
                                       `created_at` datetime NOT NULL COMMENT '创建时间',
                                       `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                       `user_id` varchar(256) NOT NULL DEFAULT '' COMMENT '用户 ID',
                                       `org_id` bigint(20) NOT NULL COMMENT '组织 ID',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户当前所属企业';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_user_current_org`
--

LOCK TABLES `ps_user_current_org` WRITE;
/*!40000 ALTER TABLE `ps_user_current_org` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_user_current_org` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_v2_deployments`
--

DROP TABLE IF EXISTS `ps_v2_deployments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_v2_deployments` (
                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                     `created_at` timestamp NULL DEFAULT NULL,
                                     `updated_at` timestamp NULL DEFAULT NULL,
                                     `runtime_id` bigint(20) unsigned NOT NULL,
                                     `release_id` varchar(255) DEFAULT NULL,
                                     `outdated` tinyint(1) DEFAULT NULL,
                                     `dice` text,
                                     `built_docker_images` text,
                                     `operator` varchar(255) NOT NULL,
                                     `status` varchar(255) NOT NULL,
                                     `step` varchar(255) DEFAULT NULL,
                                     `fail_cause` text,
                                     `extra` text,
                                     `finished_at` timestamp NULL DEFAULT NULL,
                                     `build_id` bigint(20) unsigned DEFAULT NULL,
                                     `dice_type` int(1) DEFAULT '0' COMMENT 'dice字段类型，0: legace, 1: diceyml',
                                     `type` varchar(32) DEFAULT '' COMMENT 'build类型，REDEPLOY、RELEASE、BUILD',
                                     `need_approval` tinyint(1) DEFAULT NULL,
                                     `approved_by_user` varchar(255) DEFAULT NULL,
                                     `approved_at` timestamp NULL DEFAULT NULL,
                                     `approval_status` varchar(255) DEFAULT NULL,
                                     `approval_reason` varchar(255) DEFAULT NULL,
                                     `skip_push_by_orch` tinyint(1) DEFAULT NULL,
                                     PRIMARY KEY (`id`),
                                     KEY `idx_runtime_id` (`runtime_id`),
                                     KEY `idx_status` (`status`),
                                     KEY `idx_operator` (`operator`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='部署单';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_v2_deployments`
--

LOCK TABLES `ps_v2_deployments` WRITE;
/*!40000 ALTER TABLE `ps_v2_deployments` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_v2_deployments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_v2_domains`
--

DROP TABLE IF EXISTS `ps_v2_domains`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_v2_domains` (
                                 `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                 `created_at` timestamp NULL DEFAULT NULL,
                                 `updated_at` timestamp NULL DEFAULT NULL,
                                 `runtime_id` bigint(20) unsigned NOT NULL,
                                 `domain` varchar(255) DEFAULT NULL,
                                 `domain_type` varchar(255) DEFAULT NULL,
                                 `endpoint_name` varchar(255) DEFAULT NULL,
                                 `use_https` tinyint(1) DEFAULT NULL,
                                 PRIMARY KEY (`id`),
                                 UNIQUE KEY `unique_domain_key` (`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Dice 域名表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_v2_domains`
--

LOCK TABLES `ps_v2_domains` WRITE;
/*!40000 ALTER TABLE `ps_v2_domains` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_v2_domains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_v2_pre_builds`
--

DROP TABLE IF EXISTS `ps_v2_pre_builds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_v2_pre_builds` (
                                    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键 ID',
                                    `created_at` datetime NOT NULL COMMENT '创建时间',
                                    `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                    `project_id` bigint(20) NOT NULL COMMENT '应用 ID',
                                    `git_branch` varchar(128) NOT NULL DEFAULT '' COMMENT '代码分支',
                                    `env` varchar(10) NOT NULL DEFAULT '' COMMENT '环境：DEV、TEST、STAGING、PROD',
                                    `git_commit` varchar(128) DEFAULT NULL COMMENT '代码 commit 号',
                                    `dice` text COMMENT 'dice json 缓存',
                                    `dice_overlay` text COMMENT '覆盖层',
                                    `dice_type` int(1) DEFAULT '0' COMMENT 'dice字段类型，0: legace, 1: diceyml',
                                    PRIMARY KEY (`id`),
                                    UNIQUE KEY `idx_unique_project_env_branch` (`project_id`,`env`,`git_branch`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='ps_v2_pre_builds(废弃)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_v2_pre_builds`
--

LOCK TABLES `ps_v2_pre_builds` WRITE;
/*!40000 ALTER TABLE `ps_v2_pre_builds` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_v2_pre_builds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ps_v2_project_runtimes`
--

DROP TABLE IF EXISTS `ps_v2_project_runtimes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ps_v2_project_runtimes` (
                                          `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                          `created_at` timestamp NULL DEFAULT NULL,
                                          `updated_at` timestamp NULL DEFAULT NULL,
                                          `name` varchar(255) NOT NULL,
                                          `application_id` bigint(20) unsigned NOT NULL,
                                          `workspace` varchar(255) NOT NULL,
                                          `git_branch` varchar(255) DEFAULT NULL,
                                          `project_id` bigint(20) unsigned NOT NULL,
                                          `env` varchar(255) DEFAULT NULL,
                                          `cluster_name` varchar(255) DEFAULT NULL,
                                          `cluster_id` bigint(20) unsigned DEFAULT NULL,
                                          `creator` varchar(255) NOT NULL,
                                          `schedule_name` varchar(255) DEFAULT NULL,
                                          `runtime_status` varchar(255) DEFAULT NULL,
                                          `status` varchar(255) DEFAULT NULL,
                                          `deployed` tinyint(1) DEFAULT NULL,
                                          `version` varchar(255) DEFAULT NULL,
                                          `source` varchar(255) DEFAULT NULL,
                                          `dice_version` varchar(255) DEFAULT NULL,
                                          `config_updated_date` timestamp NULL DEFAULT NULL,
                                          `readable_unique_id` varchar(255) DEFAULT NULL,
                                          `git_repo_abbrev` varchar(255) DEFAULT NULL,
                                          `cpu` double(8,2) NOT NULL COMMENT 'cpu核数',
                                          `mem` double(8,2) NOT NULL COMMENT '内存大小（M）',
                                          `org_id` bigint(20) NOT NULL COMMENT '企业ID',
                                          PRIMARY KEY (`id`),
                                          UNIQUE KEY `idx_unique_app_id_name` (`name`,`application_id`,`workspace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='runtime信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ps_v2_project_runtimes`
--

LOCK TABLES `ps_v2_project_runtimes` WRITE;
/*!40000 ALTER TABLE `ps_v2_project_runtimes` DISABLE KEYS */;
/*!40000 ALTER TABLE `ps_v2_project_runtimes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qa_sonar`
--

DROP TABLE IF EXISTS `qa_sonar`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qa_sonar` (
                            `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增主键',
                            `key` varchar(191) NOT NULL DEFAULT '' COMMENT '分析代码的key',
                            `bugs` longtext COMMENT '代码bug数量',
                            `code_smells` longtext COMMENT '代码异味数量',
                            `vulnerabilities` longtext COMMENT '代码漏洞数量',
                            `coverage` longtext COMMENT '代码覆盖率',
                            `duplications` longtext COMMENT '代码重复率',
                            `issues_statistics` text COMMENT '代码质量统计',
                            `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                            `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                            `app_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                            `operator_id` varchar(255) DEFAULT NULL COMMENT '用户id',
                            `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                            `commit_id` varchar(50) DEFAULT NULL COMMENT '提交id',
                            `branch` varchar(255) DEFAULT NULL COMMENT '代码分支',
                            `git_repo` varchar(255) DEFAULT NULL COMMENT 'git仓库地址',
                            `build_id` bigint(20) DEFAULT NULL COMMENT '创建id',
                            `log_id` varchar(40) DEFAULT NULL COMMENT '日志id',
                            `app_name` varchar(255) DEFAULT NULL COMMENT '应用名称',
                            PRIMARY KEY (`id`),
                            KEY `index_name` (`commit_id`),
                            KEY `app_id` (`app_id`),
                            KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sonar 代码质量扫描结果表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qa_sonar`
--

LOCK TABLES `qa_sonar` WRITE;
/*!40000 ALTER TABLE `qa_sonar` DISABLE KEYS */;
/*!40000 ALTER TABLE `qa_sonar` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qa_sonar_metric_keys`
--

DROP TABLE IF EXISTS `qa_sonar_metric_keys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qa_sonar_metric_keys` (
                                        `id` int(20) NOT NULL AUTO_INCREMENT,
                                        `metric_key` varchar(50) NOT NULL COMMENT 'key',
                                        `value_type` varchar(50) NOT NULL COMMENT '值的类型',
                                        `name` varchar(50) NOT NULL COMMENT '名称',
                                        `metric_key_desc` varchar(255) NOT NULL COMMENT 'key的英文描述',
                                        `domain` varchar(50) NOT NULL COMMENT '所属类型',
                                        `operational` varchar(20) NOT NULL COMMENT '操作',
                                        `qualitative` tinyint(1) NOT NULL COMMENT '是否是增量',
                                        `hidden` tinyint(1) NOT NULL COMMENT '是否隐藏',
                                        `custom` tinyint(1) NOT NULL COMMENT '是否是本地',
                                        `decimal_scale` tinyint(5) NOT NULL COMMENT '小数点后几位',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8mb4 COMMENT='代码质量扫描规则项';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qa_sonar_metric_keys`
--

LOCK TABLES `qa_sonar_metric_keys` WRITE;
/*!40000 ALTER TABLE `qa_sonar_metric_keys` DISABLE KEYS */;
INSERT INTO `qa_sonar_metric_keys` VALUES (1,'blocker_violations','INT','Blocker Issues','Blocker issues','Issues','-1',1,0,0,0),(2,'bugs','INT','Bugs','Bugs','Reliability','-1',0,0,0,0),(3,'burned_budget','FLOAT','Burned budget','','Management','-1',0,0,1,1),(4,'business_value','FLOAT','Business value','','Management','1',1,0,1,1),(5,'classes','INT','Classes','Classes','Size','-1',0,0,0,0),(6,'code_smells','INT','Code Smells','Code Smells','Maintainability','-1',0,0,0,0),(7,'cognitive_complexity','INT','Cognitive Complexity','Cognitive complexity','Complexity','-1',0,0,0,0),(8,'comment_lines','INT','Comment Lines','Number of comment lines','Size','1',0,0,0,0),(9,'comment_lines_density','PERCENT','Comments (%)','Comments balanced by ncloc + comment lines','Size','1',1,0,0,1),(10,'branch_coverage','PERCENT','Condition Coverage','Condition coverage','Coverage','1',1,0,0,1),(11,'conditions_to_cover','INT','Conditions to Cover','Conditions to cover','Coverage','-1',0,0,0,0),(12,'confirmed_issues','INT','Confirmed Issues','Confirmed issues','Issues','-1',1,0,0,0),(13,'coverage','PERCENT','Coverage','Coverage by tests','Coverage','1',1,0,0,1),(14,'critical_violations','INT','Critical Issues','Critical issues','Issues','-1',1,0,0,0),(15,'complexity','INT','Cyclomatic Complexity','Cyclomatic complexity','Complexity','-1',0,0,0,0),(16,'directories','INT','Directories','Directories','Size','-1',0,0,0,0),(17,'duplicated_blocks','INT','Duplicated Blocks','Duplicated blocks','Duplications','-1',1,0,0,0),(18,'duplicated_files','INT','Duplicated Files','Duplicated files','Duplications','-1',1,0,0,0),(19,'duplicated_lines','INT','Duplicated Lines','Duplicated lines','Duplications','-1',1,0,0,0),(20,'duplicated_lines_density','PERCENT','Duplicated Lines (%)','Duplicated lines balanced by statements','Duplications','-1',1,0,0,1),(21,'effort_to_reach_maintainability_rating_a','WORK_DUR','Effort to Reach Maintainability Rating A','Effort to reach maintainability rating A','Maintainability','-1',1,0,0,0),(22,'false_positive_issues','INT','False Positive Issues','False positive issues','Issues','-1',0,0,0,0),(23,'files','INT','Files','Number of files','Size','-1',0,0,0,0),(24,'functions','INT','Functions','Functions','Size','-1',0,0,0,0),(25,'generated_lines','INT','Generated Lines','Number of generated lines','Size','-1',0,0,0,0),(26,'generated_ncloc','INT','Generated Lines of Code','Generated non Commenting Lines of Code','Size','-1',0,0,0,0),(27,'info_violations','INT','Info Issues','Info issues','Issues','-1',1,0,0,0),(28,'violations','INT','Issues','Issues','Issues','-1',1,0,0,0),(29,'line_coverage','PERCENT','Line Coverage','Line coverage','Coverage','1',1,0,0,1),(30,'lines','INT','Lines','Lines','Size','-1',0,0,0,0),(31,'ncloc','INT','Lines of Code','Non commenting lines of code','Size','-1',0,0,0,0),(32,'lines_to_cover','INT','Lines to Cover','Lines to cover','Coverage','-1',0,0,0,0),(33,'sqale_rating','RATING','Maintainability Rating','A-to-E rating based on the technical debt ratio','Maintainability','-1',1,0,0,0),(34,'major_violations','INT','Major Issues','Major issues','Issues','-1',1,0,0,0),(35,'minor_violations','INT','Minor Issues','Minor issues','Issues','-1',1,0,0,0),(36,'open_issues','INT','Open Issues','Open issues','Issues','-1',0,0,0,0),(37,'projects','INT','Projects','Number of projects','Size','-1',0,0,0,0),(38,'reliability_rating','RATING','Reliability Rating','Reliability rating','Reliability','-1',1,0,0,0),(39,'reliability_remediation_effort','WORK_DUR','Reliability Remediation Effort','Reliability Remediation Effort','Reliability','-1',1,0,0,0),(40,'reopened_issues','INT','Reopened Issues','Reopened issues','Issues','-1',1,0,0,0),(41,'security_hotspots_reviewed','PERCENT','Security Hotspots Reviewed','Percentage of Security Hotspots Reviewed','SecurityReview','1',1,0,0,1),(42,'security_rating','RATING','Security Rating','Security rating','Security','-1',1,0,0,0),(43,'security_remediation_effort','WORK_DUR','Security Remediation Effort','Security remediation effort','Security','-1',1,0,0,0),(44,'security_review_rating','RATING','Security Review Rating','Security Review Rating','SecurityReview','-1',1,0,0,0),(45,'skipped_tests','INT','Skipped Unit Tests','Number of skipped unit tests','Coverage','-1',1,0,0,0),(46,'statements','INT','Statements','Number of statements','Size','-1',0,0,0,0),(47,'team_size','INT','Team size','','Management','-1',0,0,1,0),(48,'sqale_index','WORK_DUR','Technical Debt','Total effort (in hours) to fix all the issues on the component and therefore to comply to all the requirements.','Maintainability','-1',1,0,0,0),(49,'sqale_debt_ratio','PERCENT','Technical Debt Ratio','Ratio of the actual technical debt compared to the estimated cost to develop the whole source code from scratch','Maintainability','-1',1,0,0,1),(50,'uncovered_conditions','INT','Uncovered Conditions','Uncovered conditions','Coverage','-1',0,0,0,0),(51,'uncovered_lines','INT','Uncovered Lines','Uncovered lines','Coverage','-1',0,0,0,0),(52,'test_execution_time','MILLISEC','Unit Test Duration','Execution duration of unit tests','Coverage','-1',0,0,0,0),(53,'test_errors','INT','Unit Test Errors','Number of unit test errors','Coverage','-1',1,0,0,0),(54,'test_failures','INT','Unit Test Failures','Number of unit test failures','Coverage','-1',1,0,0,0),(55,'test_success_density','PERCENT','Unit Test Success (%)','Density of successful unit tests','Coverage','1',1,0,0,1),(56,'tests','INT','Unit Tests','Number of unit tests','Coverage','1',0,0,0,0),(57,'vulnerabilities','INT','Vulnerabilities','Vulnerabilities','Security','-1',0,0,0,0),(58,'wont_fix_issues','INT','Wont Fix Issues','Wont fix issues','Issues','-1',0,0,0,0),(59,'burned_budget','FLOAT','Burned budget','','Management','1',0,0,1,1),(60,'team_size','INT','Team size','','Management','1',0,0,1,0);
/*!40000 ALTER TABLE `qa_sonar_metric_keys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qa_sonar_metric_rules`
--

DROP TABLE IF EXISTS `qa_sonar_metric_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qa_sonar_metric_rules` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
                                         `description` varchar(150) NOT NULL COMMENT '描述',
                                         `created_at` datetime NOT NULL COMMENT '创建时间',
                                         `updated_at` datetime NOT NULL COMMENT '更新时间',
                                         `scope_type` varchar(50) NOT NULL COMMENT '所属类型',
                                         `scope_id` varchar(50) NOT NULL COMMENT '所属类型的id',
                                         `metric_key_id` varchar(255) NOT NULL COMMENT '指标的id',
                                         `metric_value` varchar(255) NOT NULL COMMENT '指标的值',
                                         PRIMARY KEY (`id`),
                                         KEY `scope` (`scope_type`,`scope_id`) USING BTREE COMMENT '指标规则的所属类型和id'
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8mb4 COMMENT='代码质量扫描规则配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qa_sonar_metric_rules`
--

LOCK TABLES `qa_sonar_metric_rules` WRITE;
/*!40000 ALTER TABLE `qa_sonar_metric_rules` DISABLE KEYS */;
INSERT INTO `qa_sonar_metric_rules` VALUES (47,'','2020-11-29 20:47:00','2020-11-29 20:47:00','platform','-1','13','80.0'),(48,'','2020-11-29 20:47:00','2020-11-29 20:47:00','platform','-1','20','3.0'),(49,'','2020-11-29 20:47:00','2020-11-29 20:47:00','platform','-1','33','1'),(50,'','2020-11-29 20:47:00','2020-11-29 20:47:00','platform','-1','38','1'),(51,'','2020-11-29 20:47:00','2020-11-29 20:47:00','platform','-1','41','100'),(52,'','2020-11-29 20:47:00','2020-11-29 20:47:00','platform','-1','42','1');
/*!40000 ALTER TABLE `qa_sonar_metric_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qa_test_records`
--

DROP TABLE IF EXISTS `qa_test_records`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `qa_test_records` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '自增主键',
                                   `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                   `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                   `name` varchar(255) DEFAULT NULL COMMENT '名称',
                                   `app_id` bigint(20) DEFAULT NULL COMMENT '应用id',
                                   `operator_id` varchar(255) DEFAULT NULL COMMENT '操作者id',
                                   `output` varchar(1024) DEFAULT NULL COMMENT '测试结果输出地址',
                                   `type` varchar(20) DEFAULT NULL COMMENT '测试类型',
                                   `parser_type` varchar(255) DEFAULT NULL COMMENT '测试 parser 类型， JUNIT/TESTNG',
                                   `totals` mediumtext COMMENT '测试用例执行结果及耗时分布',
                                   `desc` varchar(1024) DEFAULT NULL COMMENT '描述',
                                   `extra` varchar(1024) DEFAULT NULL COMMENT '附加信息',
                                   `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
                                   `commit_id` varchar(191) DEFAULT NULL COMMENT '测试代码 commit id',
                                   `branch` varchar(255) DEFAULT NULL COMMENT '代码分支',
                                   `git_repo` varchar(255) DEFAULT NULL COMMENT 'git仓库地址',
                                   `envs` varchar(1024) DEFAULT NULL COMMENT '环境变量',
                                   `case_dir` varchar(255) DEFAULT NULL COMMENT '执行目录',
                                   `workspace` varchar(255) DEFAULT NULL COMMENT '应用对应环境',
                                   `build_id` bigint(20) DEFAULT NULL COMMENT '构建id',
                                   `app_name` varchar(255) DEFAULT NULL COMMENT '应用名字',
                                   `uuid` varchar(40) DEFAULT NULL COMMENT '用户id',
                                   `suites` longtext COMMENT '测试结果数据',
                                   `operator_name` varchar(255) DEFAULT NULL COMMENT '操作者名字',
                                   PRIMARY KEY (`id`),
                                   KEY `app_id` (`app_id`),
                                   KEY `test_type` (`type`),
                                   KEY `commit_id` (`commit_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='单元测试执行记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qa_test_records`
--

LOCK TABLES `qa_test_records` WRITE;
/*!40000 ALTER TABLE `qa_test_records` DISABLE KEYS */;
/*!40000 ALTER TABLE `qa_test_records` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `s_instance_info`
--

DROP TABLE IF EXISTS `s_instance_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `s_instance_info` (
                                   `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                   `created_at` timestamp NULL DEFAULT NULL,
                                   `updated_at` timestamp NULL DEFAULT NULL,
                                   `cluster` varchar(64) DEFAULT NULL,
                                   `namespace` varchar(64) DEFAULT NULL,
                                   `name` varchar(64) DEFAULT NULL,
                                   `org_name` varchar(64) DEFAULT NULL,
                                   `org_id` varchar(64) DEFAULT NULL,
                                   `project_name` varchar(64) DEFAULT NULL,
                                   `project_id` varchar(64) DEFAULT NULL,
                                   `application_name` varchar(255) DEFAULT NULL,
                                   `application_id` varchar(255) DEFAULT NULL,
                                   `runtime_name` varchar(255) DEFAULT NULL,
                                   `runtime_id` varchar(255) DEFAULT NULL,
                                   `service_name` varchar(255) DEFAULT NULL,
                                   `workspace` varchar(10) DEFAULT NULL,
                                   `service_type` varchar(64) DEFAULT NULL,
                                   `addon_id` varchar(255) DEFAULT NULL,
                                   `meta` varchar(255) DEFAULT NULL,
                                   `task_id` varchar(150) DEFAULT NULL,
                                   `phase` varchar(255) DEFAULT NULL,
                                   `message` varchar(1024) DEFAULT NULL,
                                   `container_id` varchar(100) DEFAULT NULL,
                                   `container_ip` varchar(255) DEFAULT NULL,
                                   `host_ip` varchar(255) DEFAULT NULL,
                                   `started_at` timestamp NULL DEFAULT NULL,
                                   `finished_at` timestamp NULL DEFAULT NULL,
                                   `exit_code` int(11) DEFAULT NULL,
                                   `cpu_origin` double DEFAULT NULL,
                                   `mem_origin` int(11) DEFAULT NULL,
                                   `cpu_request` double DEFAULT NULL,
                                   `mem_request` int(11) DEFAULT NULL,
                                   `cpu_limit` double DEFAULT NULL,
                                   `mem_limit` int(11) DEFAULT NULL,
                                   `image` varchar(255) DEFAULT NULL,
                                   PRIMARY KEY (`id`),
                                   KEY `idx_s_instance_info_namespace` (`namespace`),
                                   KEY `idx_s_instance_info_name` (`name`),
                                   KEY `idx_s_instance_info_org_name` (`org_name`),
                                   KEY `idx_s_instance_info_org_id` (`org_id`),
                                   KEY `idx_s_instance_info_project_id` (`project_id`),
                                   KEY `idx_s_instance_info_container_id` (`container_id`),
                                   KEY `idx_s_instance_info_cluster` (`cluster`),
                                   KEY `idx_s_instance_info_project_name` (`project_name`),
                                   KEY `idx_s_instance_info_task_id` (`task_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='实例信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `s_instance_info`
--

LOCK TABLES `s_instance_info` WRITE;
/*!40000 ALTER TABLE `s_instance_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `s_instance_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `s_pod_info`
--

DROP TABLE IF EXISTS `s_pod_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `s_pod_info` (
                              `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                              `created_at` timestamp NULL DEFAULT NULL,
                              `updated_at` timestamp NULL DEFAULT NULL,
                              `cluster` varchar(64) DEFAULT NULL,
                              `namespace` varchar(64) DEFAULT NULL,
                              `name` varchar(64) DEFAULT NULL,
                              `org_name` varchar(64) DEFAULT NULL,
                              `org_id` varchar(64) DEFAULT NULL,
                              `project_name` varchar(64) DEFAULT NULL,
                              `project_id` varchar(64) DEFAULT NULL,
                              `application_name` varchar(255) DEFAULT NULL,
                              `application_id` varchar(255) DEFAULT NULL,
                              `runtime_name` varchar(255) DEFAULT NULL,
                              `runtime_id` varchar(255) DEFAULT NULL,
                              `service_name` varchar(255) DEFAULT NULL,
                              `workspace` varchar(10) DEFAULT NULL,
                              `service_type` varchar(64) DEFAULT NULL,
                              `addon_id` varchar(255) DEFAULT NULL,
                              `uid` varchar(128) DEFAULT NULL,
                              `k8s_namespace` varchar(128) DEFAULT NULL,
                              `pod_name` varchar(128) DEFAULT NULL,
                              `phase` varchar(255) DEFAULT NULL,
                              `message` varchar(1024) DEFAULT NULL,
                              `pod_ip` varchar(255) DEFAULT NULL,
                              `host_ip` varchar(255) DEFAULT NULL,
                              `started_at` timestamp NULL DEFAULT NULL,
                              `cpu_request` double DEFAULT NULL,
                              `mem_request` int(11) DEFAULT NULL,
                              `cpu_limit` double DEFAULT NULL,
                              `mem_limit` int(11) DEFAULT NULL,
                              PRIMARY KEY (`id`),
                              KEY `idx_s_pod_info_namespace` (`namespace`),
                              KEY `idx_s_pod_info_name` (`name`),
                              KEY `idx_s_pod_info_org_name` (`org_name`),
                              KEY `idx_s_pod_info_org_id` (`org_id`),
                              KEY `idx_s_pod_info_project_id` (`project_id`),
                              KEY `idx_s_pod_info_cluster` (`cluster`),
                              KEY `idx_s_pod_info_project_name` (`project_name`),
                              KEY `idx_s_pod_info_k8s_namespace` (`k8s_namespace`),
                              KEY `idx_s_pod_info_pod_name` (`pod_name`),
                              KEY `idx_s_pod_info_uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='pod信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `s_pod_info`
--

LOCK TABLES `s_pod_info` WRITE;
/*!40000 ALTER TABLE `s_pod_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `s_pod_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_account`
--

DROP TABLE IF EXISTS `sp_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_account` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `auth_id` int(11) DEFAULT NULL,
                              `username` varchar(255) DEFAULT NULL,
                              `password` varchar(255) DEFAULT NULL,
                              `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                              `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动监控存储用户账号表,已废弃';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_account`
--

LOCK TABLES `sp_account` WRITE;
/*!40000 ALTER TABLE `sp_account` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_alert`
--

DROP TABLE IF EXISTS `sp_alert`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_alert` (
                            `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                            `name` varchar(255) NOT NULL DEFAULT '' COMMENT '告警名称',
                            `alert_scope` varchar(255) NOT NULL DEFAULT 'micro_service' COMMENT '告警所在的组织域，包含org、project和app',
                            `alert_scope_id` varchar(255) NOT NULL DEFAULT '' COMMENT '告警范围id',
                            `alert_type` varchar(64) NOT NULL DEFAULT '' COMMENT '告警类型',
                            `attributes` varchar(2048) NOT NULL DEFAULT '' COMMENT '告警扩展信息',
                            `enable` int(1) NOT NULL DEFAULT '1' COMMENT '告警开关',
                            `created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '告警创建时间',
                            `updated` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '告警更新时间',
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控告警策略记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_alert`
--

LOCK TABLES `sp_alert` WRITE;
/*!40000 ALTER TABLE `sp_alert` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_alert` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_alert_expression`
--

DROP TABLE IF EXISTS `sp_alert_expression`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_alert_expression` (
                                       `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                       `alert_id` int(11) NOT NULL COMMENT '告警外键ID',
                                       `attributes` varchar(2048) NOT NULL DEFAULT '' COMMENT '告警规则扩展信息',
                                       `expression` varchar(4096) NOT NULL DEFAULT '' COMMENT '告警规则表达式',
                                       `version` varchar(64) NOT NULL DEFAULT '1.0' COMMENT '告警规则版本',
                                       `enable` int(1) NOT NULL DEFAULT '1' COMMENT '告警规则开关',
                                       `created` datetime NOT NULL COMMENT '告警规则创建时间',
                                       `updated` datetime NOT NULL COMMENT '告警规则更新时间',
                                       PRIMARY KEY (`id`),
                                       KEY `INDEX_ALERT_ID` (`alert_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控告警策略中记录表达式的表,monitor和analyzer都会使用';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_alert_expression`
--

LOCK TABLES `sp_alert_expression` WRITE;
/*!40000 ALTER TABLE `sp_alert_expression` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_alert_expression` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_alert_notify`
--

DROP TABLE IF EXISTS `sp_alert_notify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_alert_notify` (
                                   `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                   `alert_id` int(11) NOT NULL COMMENT '告警外键ID',
                                   `notify_key` varchar(128) NOT NULL COMMENT '告警属性key',
                                   `notify_target` varchar(1024) NOT NULL COMMENT '通知信息JSON',
                                   `notify_target_id` varchar(1024) DEFAULT NULL COMMENT '通知地址 已废弃',
                                   `silence` int(11) NOT NULL DEFAULT '1800000' COMMENT '静默时间，单位ms',
                                   `silence_policy` varchar(128) NOT NULL DEFAULT 'fixed' COMMENT '静默时间策略',
                                   `enable` int(1) NOT NULL DEFAULT '1' COMMENT '通知开关',
                                   `created` datetime NOT NULL COMMENT '通知创建时间',
                                   `updated` datetime NOT NULL COMMENT '通知更新时间',
                                   PRIMARY KEY (`id`),
                                   KEY `INDEX_NOTIFY_KEY` (`notify_key`),
                                   KEY `INDEX_ALERT_ID` (`alert_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控告警策略中记录通知对象的表,monitor和analyzer-alert都会使';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_alert_notify`
--

LOCK TABLES `sp_alert_notify` WRITE;
/*!40000 ALTER TABLE `sp_alert_notify` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_alert_notify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_alert_notify_template`
--

DROP TABLE IF EXISTS `sp_alert_notify_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_alert_notify_template` (
                                            `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                            `name` varchar(255) NOT NULL COMMENT '名称',
                                            `alert_type` varchar(32) NOT NULL COMMENT '类型',
                                            `alert_index` varchar(255) NOT NULL COMMENT '索引',
                                            `target` varchar(255) NOT NULL COMMENT '发送类型',
                                            `trigger` varchar(255) NOT NULL COMMENT '触发类似，alert| recovery',
                                            `title` varchar(4096) NOT NULL COMMENT '模板标题',
                                            `template` varchar(4096) NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
                                            `formats` varchar(4096) NOT NULL DEFAULT '{}' COMMENT '字段格式化定义',
                                            `version` varchar(255) NOT NULL DEFAULT '1.0' COMMENT '版本',
                                            `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                            `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                            `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
                                            PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6770 DEFAULT CHARSET=utf8mb4 COMMENT='告警模板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_alert_notify_template`
--

LOCK TABLES `sp_alert_notify_template` WRITE;
/*!40000 ALTER TABLE `sp_alert_notify_template` DISABLE KEYS */;
INSERT INTO `sp_alert_notify_template` VALUES (637,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(638,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(639,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(640,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(641,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(642,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(643,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(644,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(645,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(646,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(647,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(648,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(649,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(650,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(651,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(652,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(653,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(654,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(655,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(656,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(657,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(658,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(659,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(660,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(661,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(662,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(663,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(664,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(665,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(666,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(667,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(668,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(669,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(670,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(671,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(672,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(673,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(674,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(675,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(676,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(677,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(678,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(679,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(680,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(681,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(682,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(683,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(684,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(685,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(686,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(687,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(688,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(689,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(690,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(691,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(692,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(693,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(694,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(695,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(696,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(697,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(698,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(699,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(700,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(701,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(702,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(703,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(704,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(705,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(706,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(707,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(708,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(709,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(710,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(711,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(712,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(713,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(714,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(715,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(716,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(717,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(718,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(719,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(720,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(721,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(722,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(723,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(724,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(725,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(726,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(727,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(728,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(729,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(730,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(731,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(732,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(733,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(734,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(735,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(736,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(737,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(738,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(739,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(740,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(741,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(742,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(743,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(744,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(745,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(746,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(747,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(748,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(749,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(750,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(751,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(752,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(753,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(754,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(755,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(756,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(757,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(758,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(759,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(760,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(761,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(762,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(763,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(764,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(765,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(766,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(767,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(768,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(769,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(770,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(771,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(772,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(773,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(774,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(775,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(776,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(777,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(778,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(779,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(780,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(781,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(782,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(783,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(784,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(785,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(786,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(787,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(788,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(789,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(790,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(791,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(792,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(793,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(794,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(795,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(796,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(797,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(798,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(799,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(800,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(801,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(802,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(803,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(804,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(805,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(806,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(807,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(808,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(809,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(810,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(811,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(812,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(813,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(814,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(815,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(816,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(817,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(818,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(819,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(820,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(821,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(822,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(823,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(824,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(825,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(826,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(827,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(828,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(829,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(830,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(831,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(832,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(833,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(834,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(835,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(836,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(837,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(838,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(839,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(840,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(841,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(842,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(843,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(844,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(845,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(846,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(847,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(848,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(849,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(850,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(851,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(852,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(853,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(854,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(855,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(856,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(857,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(858,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(859,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(860,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(861,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(862,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(863,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(864,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(865,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(866,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(867,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(868,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(869,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(870,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(871,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(872,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(873,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(874,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(875,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(876,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(877,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(878,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(879,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(880,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{component_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(881,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(882,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(883,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(884,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(885,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(886,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(887,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(888,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(889,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(890,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(891,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(892,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(893,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(894,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(895,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(896,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(897,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(898,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(899,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(900,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(901,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(902,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(903,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(904,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(905,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(906,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(907,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(908,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(909,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(910,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(911,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(912,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(913,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(914,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(915,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(916,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(917,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(918,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(919,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(920,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(921,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(922,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(923,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(924,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(925,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(926,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(927,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(928,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(929,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(930,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(931,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(932,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(933,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(934,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(935,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(936,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(937,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(938,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(939,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(940,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(941,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(942,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(943,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(944,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(945,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(946,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(947,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(948,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(949,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(950,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(951,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(952,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(953,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(954,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(955,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(956,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(957,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(958,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(959,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(960,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(961,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(962,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(963,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(964,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(965,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(966,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(967,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(968,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(969,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(970,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(971,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(972,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(973,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(974,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(975,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(976,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(977,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(978,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(979,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(980,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(981,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(982,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(983,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(984,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(985,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(986,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(987,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(988,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(989,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(990,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(991,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(992,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(993,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(994,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(995,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(996,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(997,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(998,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(999,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1000,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1001,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1002,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1003,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1004,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1005,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1006,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1007,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1008,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1009,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1010,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1011,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1012,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1013,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1014,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1015,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1016,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1017,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1018,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1019,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1020,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1021,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1022,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1023,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1024,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1025,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1026,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1027,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1028,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1029,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1030,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1031,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1032,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1033,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1034,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1035,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1036,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1037,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1038,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1039,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1040,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1041,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1042,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1043,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1044,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1045,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1046,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1047,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1048,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1049,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1050,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1051,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1052,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1053,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1054,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1055,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1056,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1057,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1058,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1059,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1060,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1061,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1062,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1063,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1064,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1065,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1066,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1067,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1068,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1069,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1070,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1071,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1072,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1073,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1074,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1075,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1076,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1077,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1078,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1079,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1080,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1081,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1082,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1083,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1084,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1085,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1086,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:49','2021-04-02 16:09:52',0),(1087,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1088,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1089,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1090,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1091,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1092,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1093,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1094,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1095,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1096,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1097,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1098,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1099,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1100,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1101,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1102,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1103,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1104,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1105,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1106,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1107,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1108,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1109,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1110,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1111,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1112,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1113,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1114,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1115,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1116,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1117,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1118,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1119,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1120,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1121,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1122,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1123,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1124,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1125,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1126,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1127,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1128,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1129,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1130,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1131,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1132,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1133,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1134,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1135,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1136,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1137,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1138,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1139,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1140,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1141,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1142,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1143,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1144,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1145,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1146,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1147,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1148,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1149,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1150,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1151,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1152,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1153,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1154,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1155,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1156,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1157,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1158,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1159,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1160,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1161,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1162,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1163,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1164,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1165,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1166,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1167,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1168,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1169,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1170,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1171,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1172,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1173,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1174,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1175,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1176,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1177,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1178,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1179,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1180,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1181,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1182,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1183,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1184,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1185,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1186,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1187,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1188,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1189,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1190,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1191,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1192,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1193,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1194,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1195,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1196,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1197,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1198,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1199,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1200,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1201,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1202,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1203,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1204,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1205,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1206,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1207,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1208,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1209,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1210,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1211,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1212,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1213,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1214,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1215,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1216,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1217,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1218,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1219,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1220,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1221,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1222,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1223,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1224,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1225,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1226,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1227,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1228,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1229,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1230,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1231,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1232,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1233,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1234,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1235,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1236,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1237,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1238,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1239,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1240,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1241,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1242,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1243,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1244,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1245,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1246,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1247,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1248,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1249,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1250,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1251,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1252,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1253,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1254,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1255,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1256,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1257,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1258,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1259,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1260,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1261,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1262,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1263,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1264,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1265,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1266,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1267,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1268,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:50','2021-04-02 16:09:52',0),(1269,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1270,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1271,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1272,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1273,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1274,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1275,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1276,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1277,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1278,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1279,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1280,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1281,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1282,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1283,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1284,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1285,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1286,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1287,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1288,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1289,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1290,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1291,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1292,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1293,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1294,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1295,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1296,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1297,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1298,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1299,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1300,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1301,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1302,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1303,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1304,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1305,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1306,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1307,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1308,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1309,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1310,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1311,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1312,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1313,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1314,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1315,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1316,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1317,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1318,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1319,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1320,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1321,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1322,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1323,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1324,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1325,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1326,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1327,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1328,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1329,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1330,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1331,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1332,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1333,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1334,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1335,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1336,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1337,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1338,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1339,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1340,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1341,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1342,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1343,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1344,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1345,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1346,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1347,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1348,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1349,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1350,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1351,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1352,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1353,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1354,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1355,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1356,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1357,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1358,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1359,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1360,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1361,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1362,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1363,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1364,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1365,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1366,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1367,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1368,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1369,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1370,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1371,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1372,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1373,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1374,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1375,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1376,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1377,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1378,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1379,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1380,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1381,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1382,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1383,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1384,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1385,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1386,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1387,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1388,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1389,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1390,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1391,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1392,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1393,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1394,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1395,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1396,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1397,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1398,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1399,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1400,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1401,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1402,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1403,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1404,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1405,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1406,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1407,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1408,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1409,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1410,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1411,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1412,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1413,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1414,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1415,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1416,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1417,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1418,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1419,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1420,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1421,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1422,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1423,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1424,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1425,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1426,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1427,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1428,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1429,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1430,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1431,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1432,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1433,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1434,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1435,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1436,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1437,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1438,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1439,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1440,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1441,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1442,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1443,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1444,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1445,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1446,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1447,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1448,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1449,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1450,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1451,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1452,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1453,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1454,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1455,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1456,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1457,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1458,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1459,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1460,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1461,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1462,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1463,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1464,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1465,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1466,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1467,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1468,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1469,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1470,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1471,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1472,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1473,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1474,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1475,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1476,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1477,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1478,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1479,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1480,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1481,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1482,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1483,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1484,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1485,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1486,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1487,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1488,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1489,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1490,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1491,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1492,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1493,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1494,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1495,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1496,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1497,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1498,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1499,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1500,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1501,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1502,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1503,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1504,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1505,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1506,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1507,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1508,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1509,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1510,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1511,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1512,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1513,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1514,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1515,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1516,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1517,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1518,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1519,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1520,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1521,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1522,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1523,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1524,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1525,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1526,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1527,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1528,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1529,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1530,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1531,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1532,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1533,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1534,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1535,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1536,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1537,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1538,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1539,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1540,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1541,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1542,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1543,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1544,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1545,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1546,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1547,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1548,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1549,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1550,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1551,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1552,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1553,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1554,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1555,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1556,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1557,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1558,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1559,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1560,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1561,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1562,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1563,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1564,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1565,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1566,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1567,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1568,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1569,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1570,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1571,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1572,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1573,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1574,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1575,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1576,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1577,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1578,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1579,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1580,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1581,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1582,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1583,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n限制: {{limit_value}}核\n\n分配: {{allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"fraction:2\",\"limit_value\":\"fraction:2\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1584,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1585,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1586,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1587,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1588,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1589,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1590,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1591,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1592,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1593,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1594,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1595,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1596,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1597,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1598,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1599,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1600,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1601,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1602,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1603,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n使用: {{usage_value}}\n\n限制: {{limit_value}}\n\n分配: {{allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"allocation_value\":\"size:byte\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:2\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1604,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1605,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1606,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1607,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1608,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1609,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1610,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1611,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1612,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1613,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1614,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1615,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1616,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1617,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1618,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1619,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1620,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1621,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1622,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1623,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1624,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1625,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1626,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1627,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1628,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1629,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1630,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1631,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1632,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1633,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1634,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1635,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1636,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1637,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1638,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1639,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1640,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1641,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1642,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1643,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1644,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1645,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1646,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1647,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1648,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1649,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1650,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1651,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1652,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1653,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1654,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1655,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1656,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1657,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1658,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1659,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1660,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1661,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1662,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1663,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1664,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1665,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1666,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1667,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1668,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1669,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1670,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1671,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1672,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1673,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1674,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1675,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1676,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1677,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1678,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1679,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1680,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1681,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1682,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1683,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1684,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1685,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1686,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1687,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1688,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1689,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1690,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1691,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1692,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1693,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1694,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1695,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1696,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1697,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1698,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1699,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1700,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1701,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1702,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1703,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1704,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1705,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1706,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1707,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1708,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1709,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','dingding','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1710,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','ticket','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1711,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','email','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1712,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','mbox','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1713,'配置中心实例CPU使用率异常','micro_service','config_center_cpu','webhook','alert','【配置中心实例CPU使用率告警】\n','【配置中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1714,'配置中心实例内存使用率异常','micro_service','config_center_mem','dingding','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1715,'配置中心实例内存使用率异常','micro_service','config_center_mem','ticket','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1716,'配置中心实例内存使用率异常','micro_service','config_center_mem','email','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1717,'配置中心实例内存使用率异常','micro_service','config_center_mem','mbox','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1718,'配置中心实例内存使用率异常','micro_service','config_center_mem','webhook','alert','【配置中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1719,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1720,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1721,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1722,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1723,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1724,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1725,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1726,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1727,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1728,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【应用实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{usage_percent_avg}}\n\n内存使用: {{usage_value}}\n\n内存限制: {{limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"limit_value\":\"size:byte\",\"usage_percent_avg\":\"percent:1\",\"usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1729,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1730,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1731,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1732,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1733,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:52','2021-04-02 16:09:59',0),(1734,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1735,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1736,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1737,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1738,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1739,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1740,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1741,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1742,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1743,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1744,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1745,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1746,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1747,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1748,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1749,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1750,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1751,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1752,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1753,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1754,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1755,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1756,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1757,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1758,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1759,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1760,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1761,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1762,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1763,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1764,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1765,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1766,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1767,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1768,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1769,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1770,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1771,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1772,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1773,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1774,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1775,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1776,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1777,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1778,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1779,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1780,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1781,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1782,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1783,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1784,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1785,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1786,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1787,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1788,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1789,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1790,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1791,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1792,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1793,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1794,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1795,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1796,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1797,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1798,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1799,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1800,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1801,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1802,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1803,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1804,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1805,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1806,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1807,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1808,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1809,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1810,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1811,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1812,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1813,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1814,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1815,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1816,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1817,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1818,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1819,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1820,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1821,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1822,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1823,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1824,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1825,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1826,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1827,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1828,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1829,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1830,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1831,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1832,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1833,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1834,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1835,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1836,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1837,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1838,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1839,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1840,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1841,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1842,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1843,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1844,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1845,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1846,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1847,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1848,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1849,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1850,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1851,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1852,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1853,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1854,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1855,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1856,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1857,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1858,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1859,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1860,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1861,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1862,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1863,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1864,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1865,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1866,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1867,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1868,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1869,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1870,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1871,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1872,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1873,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1874,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1875,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1876,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1877,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1878,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1879,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1880,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1881,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1882,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1883,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1884,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1885,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1886,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1887,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1888,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1889,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1890,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1891,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1892,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1893,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1894,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1895,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1896,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1897,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1898,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1899,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1900,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1901,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1902,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1903,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1904,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1905,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1906,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1907,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1908,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1909,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1910,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1911,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1912,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1913,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1914,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1915,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1916,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1917,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1918,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1919,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1920,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1921,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1922,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1923,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1924,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1925,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1926,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1927,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1928,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1929,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1930,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1931,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1932,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1933,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1934,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1935,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1936,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1937,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1938,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1939,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1940,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1941,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1942,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1943,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1944,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1945,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1946,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1947,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1948,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1949,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1950,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1951,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1952,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1953,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1954,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1955,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1956,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1957,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1958,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1959,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1960,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1961,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1962,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1963,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1964,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1965,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1966,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1967,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1968,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1969,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1970,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1971,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1972,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1973,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1974,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1975,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1976,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1977,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1978,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1979,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1980,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1981,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1982,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1983,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1984,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1985,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1986,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1987,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1988,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1989,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1990,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1991,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1992,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1993,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1994,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1995,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1996,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1997,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1998,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(1999,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2000,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2001,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2002,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2003,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2004,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2005,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2006,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2007,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2008,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2009,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2010,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2011,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2012,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2013,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2014,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2015,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2016,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2017,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2018,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2019,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2020,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2021,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2022,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2023,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2024,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2025,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2026,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2027,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2028,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2029,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2030,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2031,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2032,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2033,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2034,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2035,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2036,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2037,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2038,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2039,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2040,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2041,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2042,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2043,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2044,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2045,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2046,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2047,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2048,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2049,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2050,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2051,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2052,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2053,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2054,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2055,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2056,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2057,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2058,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2059,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2060,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2061,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2062,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2063,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2064,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2065,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2066,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2067,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2068,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2069,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2070,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2071,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2072,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2073,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2074,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2075,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2076,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2077,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2078,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2079,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2080,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2081,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2082,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2083,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2084,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2085,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2086,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2087,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2088,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2089,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2090,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2091,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2092,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2093,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2094,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2095,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2096,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2097,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2098,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2099,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2100,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2101,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2102,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2103,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2104,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2105,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2106,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2107,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2108,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2109,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2110,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2111,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2112,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2113,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2114,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2115,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2116,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2117,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2118,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2119,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2120,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2121,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2122,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2123,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{disk_used_percent_value}}\n\n容量: {{disk_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"disk_total_value\":\"size:byte\",\"disk_used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2124,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2125,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2126,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2127,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2128,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{disk_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"disk_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2129,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2130,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2131,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2132,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2133,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2134,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2135,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2136,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2137,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2138,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2139,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2140,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2141,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2142,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2143,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2144,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2145,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2146,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2147,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2148,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2149,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2150,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2151,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2152,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2153,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2154,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2155,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2156,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2157,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2158,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2159,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2160,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2161,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2162,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2163,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2164,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2165,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2166,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2167,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2168,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2169,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2170,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2171,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2172,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2173,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2174,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2175,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2176,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2177,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2178,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2179,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2180,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2181,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2182,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2183,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2184,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2185,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2186,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2187,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2188,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2189,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2190,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2191,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2192,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2193,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2194,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2195,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2196,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2197,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2198,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2199,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2200,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2201,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2202,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2203,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:09:59','2021-04-02 16:10:00',0),(2204,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2205,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2206,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2207,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2208,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2209,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2210,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2211,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2212,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2213,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2214,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2215,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2216,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2217,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2218,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2219,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2220,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2221,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2222,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2223,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2224,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2225,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2226,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2227,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2228,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2229,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2230,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2231,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2232,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2233,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2234,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2235,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2236,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2237,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2238,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2239,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2240,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2241,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2242,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2243,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2244,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2245,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2246,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2247,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2248,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2249,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2250,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2251,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2252,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2253,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2254,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2255,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2256,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2257,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2258,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2259,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2260,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2261,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2262,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2263,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2264,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2265,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2266,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2267,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2268,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2269,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2270,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2271,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2272,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2273,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2274,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2275,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2276,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2277,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2278,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2279,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2280,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2281,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2282,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2283,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2284,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2285,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2286,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2287,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2288,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2289,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2290,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2291,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2292,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2293,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2294,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2295,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2296,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2297,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2298,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2299,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2300,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2301,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2302,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2303,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2304,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2305,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2306,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2307,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2308,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2309,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2310,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2311,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2312,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2313,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2314,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2315,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2316,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2317,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2318,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2319,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2320,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2321,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2322,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2323,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2324,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2325,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2326,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2327,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2328,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2329,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2330,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2331,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2332,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2333,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2334,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2335,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2336,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2337,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2338,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2339,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2340,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2341,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2342,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2343,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2344,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2345,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2346,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2347,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2348,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2349,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2350,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2351,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2352,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2353,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2354,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2355,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2356,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2357,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2358,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2359,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2360,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2361,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2362,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2363,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2364,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2365,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2366,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2367,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2368,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2369,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2370,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2371,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2372,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2373,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2374,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2375,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2376,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2377,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2378,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2379,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2380,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2381,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2382,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2383,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2384,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2385,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2386,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2387,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2388,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2389,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2390,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2391,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2392,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2393,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2394,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2395,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2396,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2397,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2398,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2399,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2400,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2401,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2402,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2403,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2404,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2405,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2406,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2407,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2408,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2409,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2410,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2411,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2412,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2413,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2414,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2415,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2416,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2417,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2418,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2419,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2420,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2421,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2422,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2423,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2424,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2425,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2426,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2427,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2428,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2429,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2430,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2431,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2432,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2433,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2434,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2435,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2436,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2437,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2438,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2439,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2440,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2441,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2442,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2443,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2444,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2445,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2446,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2447,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2448,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2449,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2450,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2451,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2452,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2453,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2454,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2455,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2456,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2457,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2458,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2459,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2460,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2461,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2462,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2463,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2464,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2465,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2466,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2467,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2468,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2469,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2470,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2471,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2472,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2473,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2474,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2475,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2476,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2477,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2478,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2479,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2480,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2481,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2482,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2483,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2484,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2485,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2486,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2487,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2488,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2489,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2490,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2491,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2492,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2493,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2494,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2495,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2496,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2497,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2498,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2499,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2500,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2501,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2502,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2503,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2504,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2505,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2506,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2507,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2508,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2509,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2510,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2511,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2512,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2513,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2514,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2515,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2516,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2517,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2518,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2519,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2520,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2521,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2522,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2523,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2524,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2525,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2526,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2527,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2528,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2529,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2530,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2531,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2532,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2533,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2534,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2535,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2536,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2537,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2538,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2539,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2540,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2541,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2542,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2543,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2544,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2545,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2546,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2547,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2548,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2549,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2550,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2551,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2552,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2553,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2554,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2555,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2556,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0);
INSERT INTO `sp_alert_notify_template` VALUES (2557,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2558,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2559,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2560,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2561,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2562,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2563,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2564,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2565,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2566,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2567,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2568,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2569,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2570,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2571,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2572,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2573,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2574,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2575,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2576,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2577,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2578,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2579,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2580,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2581,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2582,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2583,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2584,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2585,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2586,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2587,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2588,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2589,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2590,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2591,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2592,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2593,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2594,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2595,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2596,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2597,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2598,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2599,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2600,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2601,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2602,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2603,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2604,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2605,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2606,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2607,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2608,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2609,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2610,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2611,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2612,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2613,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2614,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2615,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2616,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2617,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2618,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2619,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2620,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2621,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2622,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2623,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2624,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2625,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2626,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2627,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2628,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2629,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2630,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2631,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2632,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2633,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2634,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2635,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2636,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2637,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2638,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2639,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2640,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2641,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2642,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2643,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2644,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2645,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2646,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2647,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2648,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2649,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2650,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2651,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2652,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2653,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2654,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2655,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2656,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2657,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2658,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2659,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2660,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2661,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2662,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2663,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2664,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2665,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2666,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2667,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2668,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2669,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2670,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2671,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2672,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2673,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2674,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2675,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2676,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2677,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2678,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2679,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2680,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2681,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2682,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2683,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:00','2021-04-02 16:10:01',0),(2684,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2685,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2686,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2687,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2688,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{limit_value}}核\n\nCPU分配: {{allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2689,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2690,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2691,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2692,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2693,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2694,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2695,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2696,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2697,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2698,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2699,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2700,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2701,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2702,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2703,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2704,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2705,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2706,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2707,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2708,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2709,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2710,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2711,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2712,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2713,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2714,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2715,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2716,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2717,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2718,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2719,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2720,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2721,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2722,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2723,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2724,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2725,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2726,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2727,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2728,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2729,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2730,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2731,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2732,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2733,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2734,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2735,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2736,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2737,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2738,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2739,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2740,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2741,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2742,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2743,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2744,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2745,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2746,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2747,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2748,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2749,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2750,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2751,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2752,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2753,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2754,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2755,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2756,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2757,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2758,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2759,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2760,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2761,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2762,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2763,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2764,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2765,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2766,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2767,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2768,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2769,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2770,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2771,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2772,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2773,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2774,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2775,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2776,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2777,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2778,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2779,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2780,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2781,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2782,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2783,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2784,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2785,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2786,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2787,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2788,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2789,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2790,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2791,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2792,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2793,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2794,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2795,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2796,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2797,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2798,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2799,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2800,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2801,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2802,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2803,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2804,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2805,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2806,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2807,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2808,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2809,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2810,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2811,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2812,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2813,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2814,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2815,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2816,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2817,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2818,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2819,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2820,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2821,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2822,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2823,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2824,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2825,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2826,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2827,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2828,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2829,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2830,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2831,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2832,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2833,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2834,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2835,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2836,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2837,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2838,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2839,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2840,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2841,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2842,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2843,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2844,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2845,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2846,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2847,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2848,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2849,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2850,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2851,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2852,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2853,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2854,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2855,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2856,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2857,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2858,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2859,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2860,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2861,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2862,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2863,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2864,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2865,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2866,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2867,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2868,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2869,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2870,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2871,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2872,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2873,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2874,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2875,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2876,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2877,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2878,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2879,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2880,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2881,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2882,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2883,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2884,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2885,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2886,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2887,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2888,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2889,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2890,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2891,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2892,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2893,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2894,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2895,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2896,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2897,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2898,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2899,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2900,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2901,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2902,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2903,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2904,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2905,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2906,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2907,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2908,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2909,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2910,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2911,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2912,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2913,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2914,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2915,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2916,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2917,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2918,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2919,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2920,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2921,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2922,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2923,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2924,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2925,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2926,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2927,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2928,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2929,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2930,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2931,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2932,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2933,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2934,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2935,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2936,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2937,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2938,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2939,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2940,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2941,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2942,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2943,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2944,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2945,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2946,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2947,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2948,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2949,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2950,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2951,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2952,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2953,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2954,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2955,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2956,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2957,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2958,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2959,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2960,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2961,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2962,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2963,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2964,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2965,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2966,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2967,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2968,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2969,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2970,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2971,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2972,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2973,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2974,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2975,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2976,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2977,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2978,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2979,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2980,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2981,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2982,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2983,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2984,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2985,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2986,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2987,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2988,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2989,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2990,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2991,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2992,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2993,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2994,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2995,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2996,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2997,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2998,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(2999,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3000,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3001,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3002,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3003,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3004,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3005,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3006,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3007,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3008,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3009,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3010,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3011,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3012,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3013,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3014,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3015,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3016,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3017,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3018,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3019,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3020,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3021,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3022,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3023,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3024,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3025,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3026,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3027,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3028,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3029,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3030,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3031,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3032,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3033,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3034,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3035,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3036,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3037,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3038,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3039,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3040,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3041,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3042,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3043,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3044,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3045,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3046,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3047,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3048,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3049,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3050,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3051,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3052,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3053,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3054,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3055,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3056,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3057,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3058,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3059,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3060,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3061,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3062,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3063,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3064,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3065,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3066,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3067,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3068,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3069,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3070,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3071,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3072,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3073,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3074,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3075,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3076,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3077,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3078,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3079,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3080,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3081,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3082,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3083,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3084,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3085,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3086,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3087,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3088,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3089,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3090,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3091,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3092,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3093,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3094,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3095,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3096,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3097,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3098,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3099,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3100,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3101,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3102,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3103,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3104,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3105,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3106,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3107,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3108,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3109,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3110,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3111,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3112,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3113,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3114,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3115,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3116,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3117,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3118,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3119,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3120,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3121,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3122,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3123,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3124,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3125,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3126,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3127,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3128,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3129,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3130,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3131,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3132,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3133,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3134,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3135,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3136,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3137,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3138,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3139,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3140,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3141,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3142,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3143,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3144,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3145,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3146,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3147,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3148,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3149,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3150,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3151,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3152,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3153,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3154,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3155,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3156,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3157,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3158,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3159,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3160,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3161,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3162,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3163,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3164,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3165,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3166,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3167,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3168,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3169,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3170,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:01','2021-04-02 16:10:02',0),(3171,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3172,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3173,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3174,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3175,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3176,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3177,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3178,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3179,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3180,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3181,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3182,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3183,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3184,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3185,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3186,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3187,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3188,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3189,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3190,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3191,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3192,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3193,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3194,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3195,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3196,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3197,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3198,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3199,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3200,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3201,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3202,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3203,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3204,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3205,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3206,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3207,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3208,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3209,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3210,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3211,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3212,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3213,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3214,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3215,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3216,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3217,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3218,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3219,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3220,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3221,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3222,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3223,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3224,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3225,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3226,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3227,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3228,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3229,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3230,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3231,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3232,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3233,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3234,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3235,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3236,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3237,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3238,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3239,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3240,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3241,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3242,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3243,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3244,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3245,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3246,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3247,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3248,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3249,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3250,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3251,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3252,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3253,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3254,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3255,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3256,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3257,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3258,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3259,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3260,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3261,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3262,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3263,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3264,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3265,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3266,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3267,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3268,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3269,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3270,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3271,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3272,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3273,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3274,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3275,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3276,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3277,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3278,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3279,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3280,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3281,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3282,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3283,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3284,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3285,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3286,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3287,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3288,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3289,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3290,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3291,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3292,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3293,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3294,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3295,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3296,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3297,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3298,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3299,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3300,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3301,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3302,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3303,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3304,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3305,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3306,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3307,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3308,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3309,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3310,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3311,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3312,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3313,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3314,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3315,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3316,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3317,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3318,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3319,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3320,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3321,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3322,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3323,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3324,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3325,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3326,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3327,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3328,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3329,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3330,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3331,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3332,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3333,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3334,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3335,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3336,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3337,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3338,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3339,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3340,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3341,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3342,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3343,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3344,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3345,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3346,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3347,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3348,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3349,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3350,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3351,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3352,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3353,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3354,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3355,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3356,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3357,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3358,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3359,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3360,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3361,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3362,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3363,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3364,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3365,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3366,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3367,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3368,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3369,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3370,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3371,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3372,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3373,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3374,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3375,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3376,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3377,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3378,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3379,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3380,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3381,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3382,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3383,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3384,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3385,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3386,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3387,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3388,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3389,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3390,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3391,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3392,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3393,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3394,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3395,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3396,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3397,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3398,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3399,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3400,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3401,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3402,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3403,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3404,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3405,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3406,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3407,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3408,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3409,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3410,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3411,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3412,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3413,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3414,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3415,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3416,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3417,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3418,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3419,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3420,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3421,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3422,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3423,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3424,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3425,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3426,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3427,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3428,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3429,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3430,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3431,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3432,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3433,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3434,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3435,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3436,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3437,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3438,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3439,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3440,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3441,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3442,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3443,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3444,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3445,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3446,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3447,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3448,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3449,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3450,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3451,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3452,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3453,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3454,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3455,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3456,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3457,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3458,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3459,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3460,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3461,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3462,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3463,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3464,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3465,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3466,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3467,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3468,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3469,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3470,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3471,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3472,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3473,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3474,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3475,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3476,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3477,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3478,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3479,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3480,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3481,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3482,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3483,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3484,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3485,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3486,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3487,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3488,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3489,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3490,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3491,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3492,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3493,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3494,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3495,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3496,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3497,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3498,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3499,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3500,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3501,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3502,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3503,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3504,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3505,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3506,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3507,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3508,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3509,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3510,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3511,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3512,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3513,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3514,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3515,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3516,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3517,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3518,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3519,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3520,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3521,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3522,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3523,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3524,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3525,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3526,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3527,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3528,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3529,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3530,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3531,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3532,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3533,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3534,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3535,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3536,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3537,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3538,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3539,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3540,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3541,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3542,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3543,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3544,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3545,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3546,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3547,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3548,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3549,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3550,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3551,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3552,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3553,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3554,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3555,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3556,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3557,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3558,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3559,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3560,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3561,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3562,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3563,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3564,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3565,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3566,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3567,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3568,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3569,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3570,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3571,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3572,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3573,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3574,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3575,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3576,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3577,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3578,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3579,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3580,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3581,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3582,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3583,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3584,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3585,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3586,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3587,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3588,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3589,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3590,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3591,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3592,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3593,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3594,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3595,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3596,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3597,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3598,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3599,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3600,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3601,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3602,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3603,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3604,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3605,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3606,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3607,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3608,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3609,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3610,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3611,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3612,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3613,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3614,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3615,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3616,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3617,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n','{}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3618,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3619,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3620,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3621,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3622,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3623,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3624,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3625,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3626,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3627,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3628,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3629,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3630,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3631,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3632,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3633,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3634,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3635,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3636,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3637,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3638,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3639,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3640,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3641,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3642,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3643,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3644,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3645,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3646,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3647,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3648,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3649,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3650,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3651,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3652,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3653,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3654,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3655,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3656,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3657,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n','','1.0','2021-04-02 16:10:02','2021-04-02 16:10:02',0),(3658,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3659,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3660,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3661,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3662,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3663,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3664,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3665,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3666,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3667,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3668,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3669,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3670,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3671,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3672,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3673,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3674,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3675,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3676,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3677,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3678,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3679,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3680,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3681,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3682,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3683,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3684,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3685,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3686,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3687,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3688,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3689,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3690,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3691,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3692,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3693,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3694,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3695,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3696,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3697,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3698,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3699,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3700,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3701,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3702,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3703,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3704,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3705,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3706,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3707,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3708,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3709,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3710,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3711,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3712,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3713,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3714,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3715,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3716,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3717,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3718,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3719,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3720,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3721,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3722,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3723,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3724,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3725,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3726,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3727,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3728,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3729,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3730,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3731,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3732,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3733,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3734,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3735,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3736,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3737,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最后一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3738,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3739,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3740,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3741,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3742,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3743,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3744,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3745,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3746,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3747,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3748,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3749,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3750,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3751,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3752,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3753,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3754,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3755,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3756,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3757,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3758,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3759,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3760,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3761,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3762,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3763,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3764,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3765,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3766,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3767,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3768,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3769,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3770,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3771,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3772,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3773,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3774,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3775,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3776,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3777,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3778,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3779,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3780,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3781,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3782,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3783,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3784,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3785,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3786,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3787,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3788,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3789,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3790,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3791,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3792,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3793,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3794,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3795,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3796,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3797,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3798,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3799,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3800,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3801,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3802,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3803,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3804,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3805,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3806,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3807,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3808,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3809,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3810,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3811,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3812,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3813,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3814,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3815,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3816,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3817,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3818,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3819,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3820,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3821,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3822,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3823,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3824,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3825,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3826,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3827,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3828,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3829,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3830,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3831,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3832,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3833,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3834,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3835,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3836,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3837,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3838,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3839,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3840,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3841,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3842,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3843,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3844,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3845,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3846,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3847,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3848,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3849,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3850,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3851,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3852,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3853,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3854,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3855,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3856,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3857,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3858,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3859,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3860,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3861,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3862,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3863,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3864,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3865,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3866,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3867,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3868,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3869,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3870,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3871,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3872,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3873,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3874,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3875,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3876,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3877,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3878,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3879,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3880,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3881,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3882,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3883,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3884,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3885,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3886,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3887,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3888,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3889,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3890,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3891,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3892,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3893,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3894,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3895,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3896,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3897,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3898,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3899,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3900,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3901,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3902,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3903,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3904,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3905,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3906,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3907,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3908,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3909,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3910,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3911,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3912,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3913,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3914,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3915,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3916,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3917,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3918,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3919,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3920,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3921,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3922,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3923,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3924,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3925,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3926,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3927,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3928,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3929,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3930,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3931,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3932,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3933,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3934,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3935,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3936,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3937,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3938,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3939,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3940,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3941,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3942,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3943,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3944,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3945,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3946,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3947,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3948,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3949,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3950,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3951,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3952,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3953,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3954,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3955,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3956,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3957,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3958,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3959,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3960,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3961,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3962,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3963,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3964,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3965,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3966,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3967,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3968,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3969,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3970,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3971,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3972,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3973,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3974,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3975,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3976,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3977,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3978,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3979,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3980,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3981,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3982,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3983,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3984,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3985,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3986,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3987,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3988,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3989,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3990,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3991,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3992,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3993,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3994,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3995,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3996,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3997,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3998,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(3999,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4000,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4001,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4002,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4003,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4004,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4005,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4006,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4007,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4008,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4009,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4010,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4011,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4012,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4013,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4014,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4015,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4016,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4017,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4018,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4019,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4020,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4021,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4022,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4023,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4024,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4025,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4026,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4027,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4028,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4029,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4030,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4031,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4032,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4033,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4034,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4035,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4036,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4037,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4038,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4039,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4040,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4041,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4042,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4043,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4044,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4045,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4046,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4047,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4048,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4049,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4050,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4051,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4052,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4053,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4054,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4055,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4056,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4057,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4058,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4059,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4060,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4061,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4062,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4063,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4064,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4065,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4066,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4067,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4068,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4069,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4070,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4071,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4072,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4073,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4074,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4075,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4076,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4077,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4078,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4079,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4080,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4081,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4082,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4083,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4084,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4085,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4086,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4087,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4088,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4089,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4090,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4091,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4092,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4093,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4094,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4095,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4096,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4097,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4098,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4099,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4100,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4101,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4102,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4103,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4104,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4105,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4106,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4107,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4108,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4109,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4110,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4111,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4112,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4113,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4114,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4115,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4116,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4117,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4118,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4119,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4120,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4121,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4122,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4123,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4124,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4125,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4126,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4127,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4128,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4129,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4130,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4131,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4132,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4133,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4134,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4135,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4136,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4137,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4138,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4139,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4140,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4141,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4142,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4143,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4144,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:03',0),(4145,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4146,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4147,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4148,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4149,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4150,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4151,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4152,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4153,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4154,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4155,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4156,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4157,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4158,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4159,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4160,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4161,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4162,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4163,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4164,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4165,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4166,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4167,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4168,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4169,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4170,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4171,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4172,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4173,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4174,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4175,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4176,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4177,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4178,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4179,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4180,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4181,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4182,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4183,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4184,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4185,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4186,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4187,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4188,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4189,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4190,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4191,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4192,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4193,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4194,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4195,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4196,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4197,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4198,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4199,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4200,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4201,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4202,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4203,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4204,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4205,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4206,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4207,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4208,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4209,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4210,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4211,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4212,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4213,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4214,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4215,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4216,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4217,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4218,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4219,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4220,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4221,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4222,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4223,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4224,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4225,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4226,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4227,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4228,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4229,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4230,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4231,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4232,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4233,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4234,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4235,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4236,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4237,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4238,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4239,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4240,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4241,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4242,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4243,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4244,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4245,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4246,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4247,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4248,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4249,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4250,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4251,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4252,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4253,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4254,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4255,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4256,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4257,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4258,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4259,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4260,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4261,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4262,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4263,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4264,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4265,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4266,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4267,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4268,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4269,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4270,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4271,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4272,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4273,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4274,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4275,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4276,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4277,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4278,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4279,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4280,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4281,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4282,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4283,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4284,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4285,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4286,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4287,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4288,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4289,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4290,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4291,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4292,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4293,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4294,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4295,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4296,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4297,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4298,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4299,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:03','2021-04-02 16:10:04',0),(4300,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4301,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4302,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4303,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4304,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4305,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4306,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4307,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4308,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4309,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4310,'Ajax接口访问性能告警','browser','browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4311,'Ajax接口访问性能告警','browser','browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4312,'Ajax接口访问性能告警','browser','browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4313,'Ajax接口访问性能告警','browser','browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4314,'Ajax接口访问性能告警','browser','browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4315,'用户体验告警','browser','browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4316,'用户体验告警','browser','browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4317,'用户体验告警','browser','browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4318,'用户体验告警','browser','browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4319,'用户体验告警','browser','browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4320,'域名访问性能告警','browser','browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4321,'域名访问性能告警','browser','browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4322,'域名访问性能告警','browser','browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4323,'域名访问性能告警','browser','browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4324,'域名访问性能告警','browser','browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4325,'页面访问性能告警','browser','browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4326,'页面访问性能告警','browser','browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4327,'页面访问性能告警','browser','browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4328,'页面访问性能告警','browser','browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4329,'页面访问性能告警','browser','browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4330,'脚本错误告警','browser','browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4331,'脚本错误告警','browser','browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4332,'脚本错误告警','browser','browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4333,'脚本错误告警','browser','browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4334,'脚本错误告警','browser','browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4335,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4336,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4337,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4338,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4339,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4340,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4341,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4342,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4343,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4344,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4345,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4346,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4347,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4348,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4349,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4350,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4351,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4352,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4353,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4354,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4355,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4356,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4357,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4358,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4359,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4360,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4361,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4362,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4363,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4364,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4365,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4366,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4367,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4368,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4369,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4370,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4371,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4372,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4373,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4374,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4375,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4376,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4377,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4378,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4379,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4380,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4381,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4382,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4383,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4384,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4385,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4386,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4387,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4388,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4389,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4390,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4391,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4392,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4393,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4394,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4395,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4396,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4397,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4398,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4399,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4400,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4401,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4402,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4403,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4404,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4405,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4406,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4407,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4408,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4409,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4410,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4411,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4412,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4413,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4414,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4415,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4416,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4417,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4418,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4419,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4420,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4421,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4422,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4423,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4424,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4425,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4426,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4427,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4428,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4429,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4430,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0);
INSERT INTO `sp_alert_notify_template` VALUES (4431,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4432,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4433,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4434,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4435,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4436,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4437,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4438,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4439,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4440,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4441,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4442,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4443,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4444,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4445,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4446,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4447,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4448,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4449,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4450,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4451,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4452,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4453,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4454,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4455,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4456,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4457,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4458,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4459,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4460,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4461,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4462,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4463,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4464,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4465,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4466,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4467,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4468,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4469,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4470,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4471,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4472,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4473,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4474,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4475,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4476,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4477,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4478,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4479,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4480,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4481,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{component_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{component_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4482,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4483,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4484,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4485,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4486,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{component_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{component_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4487,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4488,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4489,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4490,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4491,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4492,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4493,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4494,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4495,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4496,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4497,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4498,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4499,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4500,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4501,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4502,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4503,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4504,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4505,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4506,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4507,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4508,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4509,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4510,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4511,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4512,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4513,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4514,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4515,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4516,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4517,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4518,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4519,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4520,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4521,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4522,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4523,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4524,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4525,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4526,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4527,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4528,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4529,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4530,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4531,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4532,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4533,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4534,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4535,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4536,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4537,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4538,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4539,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4540,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4541,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4542,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4543,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4544,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4545,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4546,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4547,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4548,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4549,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4550,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4551,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4552,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4553,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4554,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4555,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4556,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4557,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4558,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4559,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4560,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4561,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4562,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4563,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4564,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4565,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4566,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4567,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4568,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4569,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4570,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4571,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4572,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4573,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4574,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4575,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4576,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4577,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4578,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4579,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4580,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4581,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4582,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4583,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4584,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4585,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4586,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4587,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4588,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4589,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4590,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4591,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4592,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4593,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4594,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4595,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4596,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4597,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4598,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4599,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4600,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4601,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4602,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4603,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4604,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4605,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4606,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4607,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4608,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4609,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4610,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4611,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4612,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4613,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4614,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4615,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4616,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4617,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4618,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4619,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4620,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4621,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4622,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4623,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4624,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4625,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4626,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4627,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4628,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4629,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4630,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4631,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4632,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4633,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4634,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4635,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4636,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4637,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4638,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4639,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4640,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4641,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4642,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4643,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4644,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4645,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4646,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4647,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4648,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4649,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4650,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4651,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4652,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4653,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4654,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4655,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4656,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4657,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4658,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4659,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4660,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4661,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4662,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4663,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4664,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4665,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4666,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4667,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4668,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4669,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4670,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4671,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4672,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4673,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4674,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4675,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4676,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4677,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4678,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4679,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4680,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4681,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4682,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4683,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4684,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4685,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4686,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4687,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4688,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4689,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4690,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4691,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4692,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4693,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4694,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4695,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4696,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4697,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4698,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4699,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4700,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4701,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4702,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4703,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4704,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4705,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4706,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4707,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4708,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4709,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4710,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4711,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4712,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4713,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4714,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4715,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4716,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4717,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4718,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4719,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4720,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4721,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4722,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4723,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4724,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4725,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4726,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4727,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4728,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4729,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4730,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4731,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4732,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4733,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4734,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4735,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4736,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4737,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4738,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4739,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4740,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4741,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4742,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4743,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4744,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4745,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4746,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4747,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4748,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4749,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4750,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4751,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4752,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4753,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4754,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4755,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4756,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4757,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4758,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4759,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4760,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4761,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4762,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4763,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4764,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4765,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4766,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4767,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4768,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4769,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4770,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4771,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4772,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4773,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4774,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4775,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4776,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4777,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4778,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4779,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4780,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4781,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4782,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4783,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4784,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4785,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4786,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4787,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4788,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4789,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4790,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4791,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4792,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4793,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4794,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4795,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4796,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4797,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4798,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4799,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4800,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4801,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4802,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4803,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4804,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4805,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4806,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4807,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4808,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4809,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4810,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4811,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4812,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4813,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4814,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4815,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4816,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4817,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4818,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4819,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4820,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4821,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4822,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4823,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4824,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4825,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4826,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4827,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4828,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4829,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4830,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4831,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4832,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4833,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4834,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4835,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4836,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4837,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4838,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4839,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4840,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4841,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4842,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4843,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4844,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4845,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4846,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4847,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4848,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4849,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4850,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4851,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4852,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4853,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4854,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4855,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4856,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4857,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4858,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4859,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4860,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4861,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4862,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4863,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4864,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4865,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4866,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4867,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4868,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4869,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4870,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4871,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4872,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4873,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4874,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4875,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4876,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4877,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4878,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4879,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4880,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4881,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4882,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4883,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4884,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4885,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4886,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4887,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4888,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4889,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4890,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4891,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4892,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4893,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4894,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4895,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4896,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4897,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4898,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4899,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4900,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4901,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4902,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4903,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4904,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4905,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4906,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4907,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4908,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4909,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4910,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4911,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4912,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4913,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4914,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4915,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4916,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4917,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4918,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4919,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4920,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4921,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4922,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4923,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4924,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4925,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4926,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4927,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4928,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4929,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4930,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4931,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4932,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4933,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4934,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4935,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4936,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4937,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4938,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4939,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4940,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4941,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4942,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4943,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4944,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4945,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4946,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4947,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4948,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4949,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4950,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4951,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4952,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4953,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4954,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4955,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4956,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4957,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4958,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4959,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4960,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4961,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4962,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4963,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4964,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4965,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4966,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4967,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4968,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4969,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4970,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4971,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4972,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4973,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4974,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4975,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4976,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4977,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4978,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4979,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4980,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4981,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4982,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4983,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4984,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4985,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4986,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4987,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4988,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4989,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4990,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4991,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4992,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4993,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4994,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4995,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4996,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4997,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4998,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(4999,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5000,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5001,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5002,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5003,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5004,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5005,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5006,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5007,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5008,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5009,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5010,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5011,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5012,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5013,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5014,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5015,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5016,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5017,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5018,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5019,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5020,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5021,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5022,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5023,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5024,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5025,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5026,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5027,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5028,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5029,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5030,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5031,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5032,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5033,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5034,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5035,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5036,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5037,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5038,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5039,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5040,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5041,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5042,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5043,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5044,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5045,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5046,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5047,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5048,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5049,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5050,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5051,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5052,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5053,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5054,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5055,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5056,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5057,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5058,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5059,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5060,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5061,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5062,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5063,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5064,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5065,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5066,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5067,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5068,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5069,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5070,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5071,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5072,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5073,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5074,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5075,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5076,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5077,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5078,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5079,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5080,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5081,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5082,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5083,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5084,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5085,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5086,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5087,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5088,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5089,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5090,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5091,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5092,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5093,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5094,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5095,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5096,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5097,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5098,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5099,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5100,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5101,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5102,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5103,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5104,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5105,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5106,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5107,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5108,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5109,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5110,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5111,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5112,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5113,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5114,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5115,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5116,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5117,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5118,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5119,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5120,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5121,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5122,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5123,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5124,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5125,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5126,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5127,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5128,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5129,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5130,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5131,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5132,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5133,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5134,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5135,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5136,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5137,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5138,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5139,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5140,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5141,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5142,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5143,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5144,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5145,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5146,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5147,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5148,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5149,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5150,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5151,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5152,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5153,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5154,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5155,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5156,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5157,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5158,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5159,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5160,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5161,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5162,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5163,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5164,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5165,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5166,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5167,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5168,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5169,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5170,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5171,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5172,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5173,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5174,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5175,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5176,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5177,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5178,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5179,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5180,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5181,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5182,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5183,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5184,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5185,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5186,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5187,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5188,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:04',0),(5189,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5190,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5191,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5192,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5193,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5194,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5195,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5196,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5197,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5198,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5199,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5200,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5201,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5202,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5203,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5204,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5205,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5206,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5207,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5208,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5209,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5210,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5211,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5212,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5213,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5214,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5215,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5216,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5217,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5218,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5219,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5220,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5221,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5222,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5223,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5224,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5225,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5226,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5227,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5228,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5229,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5230,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5231,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5232,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5233,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5234,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5235,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5236,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5237,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5238,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5239,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5240,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5241,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5242,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5243,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5244,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5245,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5246,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5247,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5248,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5249,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5250,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5251,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5252,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5253,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5254,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5255,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5256,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5257,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5258,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5259,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5260,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5261,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5262,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5263,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5264,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5265,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5266,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5267,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5268,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5269,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5270,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5271,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5272,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5273,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5274,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5275,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5276,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5277,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5278,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5279,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5280,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5281,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5282,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5283,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5284,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5285,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5286,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5287,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5288,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5289,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5290,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5291,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5292,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5293,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5294,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5295,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5296,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5297,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5298,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5299,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5300,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5301,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5302,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5303,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5304,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5305,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5306,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5307,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5308,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5309,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5310,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5311,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5312,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5313,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5314,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5315,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5316,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5317,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5318,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5319,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5320,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5321,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5322,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5323,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5324,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5325,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5326,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5327,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5328,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5329,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5330,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5331,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5332,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5333,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5334,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5335,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5336,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5337,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5338,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5339,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5340,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5341,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5342,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5343,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5344,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5345,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5346,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5347,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5348,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5349,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5350,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5351,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5352,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5353,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5354,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5355,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5356,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5357,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5358,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5359,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5360,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5361,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5362,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5363,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5364,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5365,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5366,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5367,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5368,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5369,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5370,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5371,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5372,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5373,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5374,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5375,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5376,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5377,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5378,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5379,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5380,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5381,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5382,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5383,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5384,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5385,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5386,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5387,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5388,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5389,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5390,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5391,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5392,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5393,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5394,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5395,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5396,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5397,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5398,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5399,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5400,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5401,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5402,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5403,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5404,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5405,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5406,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5407,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5408,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5409,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5410,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5411,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5412,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5413,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5414,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5415,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5416,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5417,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5418,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5419,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5420,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5421,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5422,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5423,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5424,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5425,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5426,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5427,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5428,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5429,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5430,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5431,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5432,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5433,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5434,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5435,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5436,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5437,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5438,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5439,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5440,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5441,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5442,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5443,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5444,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5445,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5446,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5447,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5448,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5449,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5450,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5451,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5452,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5453,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5454,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5455,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5456,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5457,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5458,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5459,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5460,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5461,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5462,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5463,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5464,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5465,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5466,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5467,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5468,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5469,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5470,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5471,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5472,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5473,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5474,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5475,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5476,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5477,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5478,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5479,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5480,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5481,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5482,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5483,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5484,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5485,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5486,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5487,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5488,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5489,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5490,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5491,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5492,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5493,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5494,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5495,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5496,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5497,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5498,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5499,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5500,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5501,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5502,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5503,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5504,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5505,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5506,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5507,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5508,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5509,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5510,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5511,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5512,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5513,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5514,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5515,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5516,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5517,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5518,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5519,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5520,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5521,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5522,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5523,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5524,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5525,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5526,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5527,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5528,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5529,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5530,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5531,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5532,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5533,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5534,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5535,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5536,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5537,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5538,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5539,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5540,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5541,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5542,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5543,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5544,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5545,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5546,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5547,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5548,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5549,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5550,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5551,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5552,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5553,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5554,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5555,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5556,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5557,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5558,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5559,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5560,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5561,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5562,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5563,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5564,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5565,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5566,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5567,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5568,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5569,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5570,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5571,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5572,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5573,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5574,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5575,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5576,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5577,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5578,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5579,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5580,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5581,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5582,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5583,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5584,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5585,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5586,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5587,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5588,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5589,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5590,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5591,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5592,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5593,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5594,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5595,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n已分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n已分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n已分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5596,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5597,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5598,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5599,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5600,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5601,'机器时钟一致性异常告警','machine','machine_cluster_clock','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5602,'机器时钟一致性异常告警','machine','machine_cluster_clock','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5603,'机器时钟一致性异常告警','machine','machine_cluster_clock','email','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5604,'机器时钟一致性异常告警','machine','machine_cluster_clock','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5605,'机器时钟一致性异常告警','machine','machine_cluster_clock','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5606,'时钟一致性异常恢复','machine','machine_cluster_clock','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5607,'时钟一致性异常恢复','machine','machine_cluster_clock','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5608,'时钟一致性异常恢复','machine','machine_cluster_clock','email','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5609,'时钟一致性异常恢复','machine','machine_cluster_clock','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5610,'时钟一致性异常恢复','machine','machine_cluster_clock','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5611,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5612,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5613,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5614,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5615,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5616,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5617,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5618,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5619,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5620,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5621,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5622,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5623,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5624,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5625,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5626,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5627,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5628,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5629,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5630,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5631,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5632,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5633,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5634,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5635,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5636,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5637,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5638,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5639,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5640,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5641,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5642,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5643,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5644,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5645,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5646,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5647,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5648,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5649,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5650,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5651,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5652,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5653,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5654,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5655,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5656,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5657,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5658,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5659,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5660,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5661,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5662,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5663,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5664,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5665,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5666,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5667,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5668,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5669,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5670,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5671,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5672,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5673,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5674,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5675,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5676,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5677,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5678,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5679,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5680,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5681,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5682,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5683,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5684,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5685,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5686,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5687,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5688,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5689,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5690,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5691,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5692,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5693,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5694,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5695,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5696,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5697,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5698,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5699,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5700,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5701,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5702,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5703,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5704,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5705,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5706,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5707,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5708,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5709,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5710,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5711,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5712,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5713,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5714,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5715,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:04','2021-04-02 16:10:06',0),(5716,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5717,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5718,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5719,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5720,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5721,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5722,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5723,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5724,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5725,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5726,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5727,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5728,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5729,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5730,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5731,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5732,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5733,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5734,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5735,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5736,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5737,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5738,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5739,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5740,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5741,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5742,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5743,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5744,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5745,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5746,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5747,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5748,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5749,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5750,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5751,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5752,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5753,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5754,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5755,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5756,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5757,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5758,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5759,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5760,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5761,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5762,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5763,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5764,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5765,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5766,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5767,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5768,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5769,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5770,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5771,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5772,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5773,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5774,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5775,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5776,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5777,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5778,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5779,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5780,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5781,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5782,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5783,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5784,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5785,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5786,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5787,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5788,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5789,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5790,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5791,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5792,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5793,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5794,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5795,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5796,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5797,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5798,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5799,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5800,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5801,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5802,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5803,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5804,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5805,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5806,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5807,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5808,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5809,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5810,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5811,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5812,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5813,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5814,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5815,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5816,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5817,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5818,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5819,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5820,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5821,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5822,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5823,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5824,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5825,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5826,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5827,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5828,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5829,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5830,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5831,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5832,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5833,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5834,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5835,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5836,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5837,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5838,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5839,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5840,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5841,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5842,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5843,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5844,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5845,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5846,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5847,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5848,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5849,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5850,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5851,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5852,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5853,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5854,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5855,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5856,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5857,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5858,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5859,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5860,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5861,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5862,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5863,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5864,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5865,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5866,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5867,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5868,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5869,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5870,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5871,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5872,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5873,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5874,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5875,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5876,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5877,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5878,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5879,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5880,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5881,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5882,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5883,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5884,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5885,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5886,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5887,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5888,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5889,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5890,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5891,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5892,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5893,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5894,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5895,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5896,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5897,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5898,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5899,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5900,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5901,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5902,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5903,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5904,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5905,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5906,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5907,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5908,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5909,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5910,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5911,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5912,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5913,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5914,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5915,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5916,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5917,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5918,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5919,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5920,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5921,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5922,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5923,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5924,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5925,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5926,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5927,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5928,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5929,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5930,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5931,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5932,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5933,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5934,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5935,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5936,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5937,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5938,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5939,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5940,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5941,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5942,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5943,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5944,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5945,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5946,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5947,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5948,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5949,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5950,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5951,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5952,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5953,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5954,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5955,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5956,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5957,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5958,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5959,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5960,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5961,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5962,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5963,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5964,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5965,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5966,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5967,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5968,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5969,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5970,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5971,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5972,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5973,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5974,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5975,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5976,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5977,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5978,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5979,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5980,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5981,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5982,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5983,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5984,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5985,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5986,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5987,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5988,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5989,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5990,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5991,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5992,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5993,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5994,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5995,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5996,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5997,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5998,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(5999,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6000,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6001,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6002,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6003,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6004,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6005,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6006,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6007,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6008,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6009,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6010,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6011,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6012,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6013,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6014,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6015,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6016,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6017,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6018,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6019,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6020,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6021,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6022,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6023,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6024,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6025,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6026,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6027,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6028,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6029,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6030,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6031,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6032,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6033,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6034,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6035,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6036,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6037,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6038,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6039,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6040,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6041,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6042,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6043,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6044,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6045,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6046,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6047,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6048,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6049,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6050,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6051,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6052,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6053,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6054,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6055,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6056,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6057,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n已绪数实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6058,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6059,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6060,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6061,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6062,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6063,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6064,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6065,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6066,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6067,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6068,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6069,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6070,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6071,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6072,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6073,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6074,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6075,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6076,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6077,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6078,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6079,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6080,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6081,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6082,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6083,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6084,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6085,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6086,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6087,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6088,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6089,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6090,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6091,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6092,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6093,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6094,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6095,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6096,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6097,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6098,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6099,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6100,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6101,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6102,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6103,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6104,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6105,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6106,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6107,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6108,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6109,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6110,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6111,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6112,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n未就绪实例: {{not_ready_value}}\n\n已就绪实例: {{ready_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6113,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6114,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6115,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6116,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6117,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6118,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6119,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6120,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6121,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6122,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6123,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6124,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6125,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6126,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6127,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6128,'机器时钟一致性异常告警','machine','machine_cluster_clock','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6129,'机器时钟一致性异常告警','machine','machine_cluster_clock','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6130,'机器时钟一致性异常告警','machine','machine_cluster_clock','email','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6131,'机器时钟一致性异常告警','machine','machine_cluster_clock','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6132,'机器时钟一致性异常告警','machine','machine_cluster_clock','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6133,'时钟一致性异常恢复','machine','machine_cluster_clock','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6134,'时钟一致性异常恢复','machine','machine_cluster_clock','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6135,'时钟一致性异常恢复','machine','machine_cluster_clock','email','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6136,'时钟一致性异常恢复','machine','machine_cluster_clock','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6137,'时钟一致性异常恢复','machine','machine_cluster_clock','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6138,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6139,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6140,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6141,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6142,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6143,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6144,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6145,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6146,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6147,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6148,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6149,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6150,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6151,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6152,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6153,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6154,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6155,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6156,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6157,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6158,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6159,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6160,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6161,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6162,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6163,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6164,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6165,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6166,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6167,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6168,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6169,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6170,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6171,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6172,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6173,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6174,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6175,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6176,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6177,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6178,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6179,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6180,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6181,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6182,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6183,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6184,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6185,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6186,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6187,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6188,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6189,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6190,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6191,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6192,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6193,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6194,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6195,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6196,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6197,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6198,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6199,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6200,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6201,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6202,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6203,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6204,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6205,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6206,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6207,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6208,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6209,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6210,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6211,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6212,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6213,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6214,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6215,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6216,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6217,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6218,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6219,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6220,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6221,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6222,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6223,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6224,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6225,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6226,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6227,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6228,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6229,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6230,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6231,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6232,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6233,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6234,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6235,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6236,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6237,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6238,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6239,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6240,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6241,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6242,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',0),(6243,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','dingding','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6244,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','ticket','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6245,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','email','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6246,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','mbox','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6247,'ElasticSearch实例CPU使用率异常告警','addon','addon_elasticsearch_cpu','webhook','alert','【ElasticSearch实例CPU使用率告警】\n','【ElasticSearch实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"limit_value\":\"fraction:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6248,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','dingding','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6249,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','ticket','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6250,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','email','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6251,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','mbox','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6252,'Elasticsearch实例内存使用率异常告警','addon','addon_elasticsearch_mem','webhook','alert','【Elasticsearch实例内存使用率告警】\n','【Elasticsearch实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6253,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','dingding','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6254,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','ticket','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6255,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','email','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6256,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','mbox','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6257,'MySQL实例CPU使用率异常告警','addon','addon_mysql_cpu','webhook','alert','【MySQL实例CPU使用率告警】\n','【MySQL实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6258,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','dingding','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6259,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','ticket','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6260,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','email','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6261,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','mbox','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6262,'MySQL实例内存使用率异常告警','addon','addon_mysql_mem','webhook','alert','【MySQL实例内存使用率告警】\n','【MySQL实例内存使用率告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6263,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','dingding','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6264,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','ticket','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6265,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','email','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6266,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','mbox','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6267,'MySQL实例主从同步异常告警','addon','addon_mysql_slave_status','webhook','alert','【MySQL实例主从同步异常】\n','【MySQL实例主从同步异常】\n\n组件: \"mysql\"\n\n实例ID: {{addon_id}}\n\n从节点IO异常状态: {{slave_slave_io_running_value}}\n\n从节点连接异常状态: {{slave_slave_sql_running_value}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6268,'redis实例内存使用率异常告警','addon','addon_redis_mem','dingding','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6269,'redis实例内存使用率异常告警','addon','addon_redis_mem','ticket','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1);
INSERT INTO `sp_alert_notify_template` VALUES (6270,'redis实例内存使用率异常告警','addon','addon_redis_mem','email','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6271,'redis实例内存使用率异常告警','addon','addon_redis_mem','mbox','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6272,'redis实例内存使用率异常告警','addon','addon_redis_mem','webhook','alert','【redis实例内存使用率异常告警】\n','【redis实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例ID: {{addon_id}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n平均使用率: {{mem_usage_percent_avg}}\n\n集群 / 机器: {{cluster_name}} / {{host_ip}}\n\n容器ID: {{container_id}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"fraction:1\",\"mem_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6273,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','dingding','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6274,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','ticket','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6275,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','email','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6276,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','mbox','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6277,'Ajax接口访问性能告警','app_browser','app_browser_ajax_req','webhook','alert','【Ajax接口 ({{req_path}}) 访问性能告警】\n','【Ajax接口访问性能告警】\n\n事件: {{req_path}} Ajax接口慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{tt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"tt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6278,'用户体验告警','app_browser','app_browser_apdex','dingding','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6279,'用户体验告警','app_browser','app_browser_apdex','ticket','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6280,'用户体验告警','app_browser','app_browser_apdex','email','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6281,'用户体验告警','app_browser','app_browser_apdex','mbox','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6282,'用户体验告警','app_browser','app_browser_apdex','webhook','alert','【({{doc_path}}) 接口用户体验告警】\n','【用户体验告警】\n\n事件: 访问时间过长\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6283,'域名访问性能告警','app_browser','app_browser_host_req','dingding','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6284,'域名访问性能告警','app_browser','app_browser_host_req','ticket','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6285,'域名访问性能告警','app_browser','app_browser_host_req','email','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6286,'域名访问性能告警','app_browser','app_browser_host_req','mbox','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6287,'域名访问性能告警','app_browser','app_browser_host_req','webhook','alert','【({{host}}) 域名访问性能告警】\n','【域名访问性能告警】\n\n事件: ({{host}}) 域名慢响应\n\n时间: {{timestamp}}\n\n域名: {{host}}\n\n平均响应时间: {{plt_avg}} ms\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6288,'页面访问性能告警','app_browser','app_browser_page_req','dingding','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6289,'页面访问性能告警','app_browser','app_browser_page_req','ticket','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6290,'页面访问性能告警','app_browser','app_browser_page_req','email','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6291,'页面访问性能告警','app_browser','app_browser_page_req','mbox','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6292,'页面访问性能告警','app_browser','app_browser_page_req','webhook','alert','【页面 ({{doc_path}}) 访问性能告警】\n','【页面访问性能告警】\n\n事件: {{doc_path}} 页面慢响应\n\n域名: {{host}}\n\n页面: {{doc_path}}\n\n页面平均响应时间: {{plt_avg}} ms\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})','{\"plt\":\"time:s\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6293,'脚本错误告警','app_browser','app_browser_script_error','dingding','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6294,'脚本错误告警','app_browser','app_browser_script_error','ticket','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6295,'脚本错误告警','app_browser','app_browser_script_error','email','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6296,'脚本错误告警','app_browser','app_browser_script_error','mbox','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6297,'脚本错误告警','app_browser','app_browser_script_error','webhook','alert','【页面 ({{doc_path}}) 脚本错误告警】','【脚本错误告警】\n\n事件: {{window}} 分钟内，脚本错误次数: {{count_sum}}\n\n访问域名：{{host}}\n\n访问页面：{{doc_path}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"count\":\"string\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6298,'应用异常','app_exception','app_exception_count','dingding','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6299,'应用异常','app_exception','app_exception_count','ticket','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6300,'应用异常','app_exception','app_exception_count','email','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6301,'应用异常','app_exception','app_exception_count','mbox','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6302,'应用异常','app_exception','app_exception_count','webhook','alert','【{{application_name}}应用{{service_name}}服务异常告警】\n','【应用异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n事件: {{window}}分钟内出现 {{count_sum}} 次\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6303,'应用异常','app_exception','app_exception_count','dingding','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6304,'应用异常','app_exception','app_exception_count','ticket','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6305,'应用异常','app_exception','app_exception_count','email','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6306,'应用异常','app_exception','app_exception_count','mbox','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6307,'应用异常','app_exception','app_exception_count','webhook','recover','【{{application_name}}应用{{service_name}}服务异常恢复】\n','【应用异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n实例: {{instance_id}}\n\n类: {{class}}\n\n方法: {{method}}\n\n行数: {{line}}\n\n错误: {{type}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6308,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','dingding','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6309,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','ticket','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6310,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','email','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6311,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','mbox','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6312,'应用实例CPU使用率异常','app_resource','app_resource_container_cpu','webhook','alert','【{{application_name}}应用{{service_name}}服务实例CPU使用率告警】\n','【应用实例CPU使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6313,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','dingding','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6314,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','ticket','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6315,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','email','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6316,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','mbox','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6317,'应用实例CPU使用率恢复','app_resource','app_resource_container_cpu','webhook','recover','【{{application_name}}应用{{service_name}}服务实例CPU使用率恢复】\n','【应用实例CPU使用率恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n平均使用率: {{cpu_usage_percent_avg}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6318,'应用实例内存使用率异常','app_resource','app_resource_container_mem','dingding','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6319,'应用实例内存使用率异常','app_resource','app_resource_container_mem','ticket','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6320,'应用实例内存使用率异常','app_resource','app_resource_container_mem','email','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6321,'应用实例内存使用率异常','app_resource','app_resource_container_mem','mbox','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6322,'应用实例内存使用率异常','app_resource','app_resource_container_mem','webhook','alert','【{{application_name}}应用{{service_name}}服务内存使用率异常告警】\n','【应用实例内存使用率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6323,'应用实例内存异常','app_resource','app_resource_container_mem','dingding','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6324,'应用实例内存异常','app_resource','app_resource_container_mem','ticket','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6325,'应用实例内存异常','app_resource','app_resource_container_mem','email','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6326,'应用实例内存异常','app_resource','app_resource_container_mem','mbox','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6327,'应用实例内存异常','app_resource','app_resource_container_mem','webhook','recover','【{{application_name}}应用{{service_name}}服务内存使用率异常恢复】\n','【应用实例内存使用率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_usage_percent_avg\":\"percent:1\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6328,'应用实例OOM告警','app_resource','app_resource_container_oom','dingding','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6329,'应用实例OOM告警','app_resource','app_resource_container_oom','ticket','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6330,'应用实例OOM告警','app_resource','app_resource_container_oom','email','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6331,'应用实例OOM告警','app_resource','app_resource_container_oom','mbox','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6332,'应用实例OOM告警','app_resource','app_resource_container_oom','webhook','alert','【{{application_name}}应用{{service_name}}服务实例OOM告警】\n','【应用实例OOM告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务实例: {{runtime_name}} - {{service_name}}.{{container_id}}\n\n事件: 服务实例发生OOM\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6333,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6334,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6335,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6336,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6337,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC次数异常告警】\n','【应用JVM GC次数异常告警】\n\n实例GC次数太多 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC次数: {{count_sum}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6338,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6339,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6340,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6341,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6342,'应用JVM GC次数异常','app_resource','app_resource_jvm_gc_count','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC次数异常恢复】\n','【应用JVM GC次数异常恢复】\n\n实例GC次数已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6343,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6344,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6345,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6346,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6347,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常告警】\n','【应用JVM GC耗时异常告警】\n\n实例GC耗时过长 !\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n老年代GC耗时: 总耗时{{time_sum}}，最长一次耗时{{time_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"time_sum\":\"time:ms\",\"time_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6348,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6349,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6350,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','email','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6351,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6352,'应用JVM GC耗时异常','app_resource','app_resource_jvm_gc_time','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM GC耗时异常恢复】\n','【应用JVM GC耗时异常恢复】\n\n实例GC耗时已恢复正常值 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6353,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6354,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6355,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','email','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6356,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6357,'JVM堆内存使用异常告警','app_resource','app_resource_jvm_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常告警】','【JVM堆内存使用异常告警】\n\n实例JVM堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{used_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"max_value\":\"size:byte\",\"usage_percent_avg\":\"percent\",\"used_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6358,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6359,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6360,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','email','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6361,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6362,'JVM堆内存使用异常恢复','app_resource','app_resource_jvm_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务JVM堆内存使用异常恢复】','【JVM堆内存使用异常恢复】\n\n实例JVM堆内存已恢复恢复正常使用状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6363,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','dingding','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6364,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','ticket','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6365,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','email','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6366,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','mbox','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6367,'应用NodeJS堆内存使用异常告警','app_resource','app_resource_nodejs_heap','webhook','alert','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常告警】','【应用NodeJS堆内存使用异常告警】\n\n实例NodeJS堆内存使用过高 ！\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n已使用: {{heap_used_value}}\n\n常驻内存: {{rss_value}}\n\n最大使用: {{max_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"heap_used_value\":\"size:byte\",\"max_value\":\"size:byte\",\"rss_value\":\"size:byte\",\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6368,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','dingding','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6369,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','ticket','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6370,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','email','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6371,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','mbox','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6372,'应用NodeJS堆内存使用异常恢复','app_resource','app_resource_nodejs_heap','webhook','recover','【{{application_name}}应用{{service_name}}服务NodeJS堆内存使用异常恢复】','【应用NodeJS堆内存使用异常恢复】\n\nNodeJS堆内存已恢复恢复正常状态 .\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n实例: {{instance_id}}\n\n堆内存使用率: {{usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"usage_percent_avg\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6373,' 页面内容改变','app_status','app_status_browser','dingding','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6374,' 页面内容改变','app_status','app_status_browser','ticket','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6375,' 页面内容改变','app_status','app_status_browser','email','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6376,' 页面内容改变','app_status','app_status_browser','mbox','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6377,' 页面内容改变','app_status','app_status_browser','webhook','alert','【{{project_name}}项目{{status_metric_name}}页面内容改变告警】\n','【页面内容改变告警】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件：[{{status_metric_name}}]({{url}})页面内容和基准点对比不一致\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6378,' 业务请求状态异常','app_status','app_status_browser','dingding','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6379,' 业务请求状态异常','app_status','app_status_browser','ticket','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6380,' 业务请求状态异常','app_status','app_status_browser','email','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6381,' 业务请求状态异常','app_status','app_status_browser','mbox','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6382,' 业务请求状态异常','app_status','app_status_browser','webhook','recover','【{{project_name}}项目{{status_metric_name}}页面内容改变恢复】\n','【页面内容改变恢复】\n\n[{{status_metric_name}}]({{url}}) 页面内容改变 .\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6383,' 主动监控HTTP状态异常','app_status','app_status_code','dingding','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6384,' 主动监控HTTP状态异常','app_status','app_status_code','ticket','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6385,' 主动监控HTTP状态异常','app_status','app_status_code','email','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6386,' 主动监控HTTP状态异常','app_status','app_status_code','mbox','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6387,' 主动监控HTTP状态异常','app_status','app_status_code','webhook','alert','【{{project_name}}项目{{status_metric_name}}指标HTTP状态异常告警】\n','【主动监控HTTP状态异常】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态异常\n\n响应状态码: {{code_min}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6388,'主动监控HTTP状态恢复','app_status','app_status_code','dingding','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6389,'主动监控HTTP状态恢复','app_status','app_status_code','ticket','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6390,'主动监控HTTP状态恢复','app_status','app_status_code','email','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6391,'主动监控HTTP状态恢复','app_status','app_status_code','mbox','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6392,'主动监控HTTP状态恢复','app_status','app_status_code','webhook','recover','【{{project_name}}项目{{status_metric_name}}指标HTTP状态恢复】\n','【主动监控HTTP状态恢复】\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n事件: [{{status_metric_name}}]({{url}}) 指标状态恢复\n\n响应状态码: {{code_min}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6393,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','dingding','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6394,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','ticket','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6395,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','email','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6396,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','mbox','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6397,'服务接口HTTP错误率异常','app_transaction','app_transaction_http_path_error','webhook','alert','【{{service_name}}服务接口HTTP错误率异常告警】','【服务接口HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6398,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','dingding','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6399,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','ticket','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6400,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','email','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6401,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','mbox','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6402,'服务接口HTTP错误率恢复','app_transaction','app_transaction_http_path_error','webhook','recover','【{{service_name}}服务接口HTTP错误率异常恢复】','【服务接口HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration_min}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6403,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','dingding','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6404,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','ticket','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6405,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','email','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6406,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','mbox','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6407,'服务接口HTTP慢事务异常','app_transaction','app_transaction_http_path_rt','webhook','alert','【{{service_name}}服务接口HTTP慢事务异常告警】','【服务接口HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n事件: {{window}}分钟内平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6408,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','dingding','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6409,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','ticket','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6410,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','email','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6411,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','mbox','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6412,'服务接口HTTP慢事务恢复','app_transaction','app_transaction_http_path_rt','webhook','recover','【{{service_name}}服务接口HTTP慢事务恢复】','【服务接口HTTP慢事务恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n接口: {{http_method}} {{http_url}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6413,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','dingding','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6414,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','ticket','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6415,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','email','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6416,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','mbox','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6417,'服务HTTP错误率异常','app_transaction','app_transaction_http_service_error','webhook','alert','【{{service_name}}服务HTTP错误率异常告警】','【服务HTTP错误率异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{ window }}分钟内HTTP错误率{{ error_percent_value }} 错误请求次数{{ error_count_sum }} 总请求次数{{ elapsed_count_sum }}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"error_percent_value\":\"percent\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6418,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','dingding','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6419,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','ticket','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6420,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','email','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6421,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','mbox','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6422,'服务HTTP错误率恢复','app_transaction','app_transaction_http_service_error','webhook','recover','【{{service_name}}服务HTTP错误率恢复】','【服务HTTP错误率异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6423,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','dingding','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6424,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','ticket','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6425,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','email','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6426,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','mbox','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6427,'服务HTTP慢事务异常','app_transaction','app_transaction_http_service_rt','webhook','alert','【应用{{service_name}}服务HTTP慢事务异常告警】','【服务HTTP慢事务异常告警】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n事件: {{window}}分钟内HTTP事务平均响应时间{{elapsed_avg_value}} 请求次数{{elapsed_count_sum}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"elapsed_avg_value\":\"time:ms\",\"elapsed_sum\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6428,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','dingding','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6429,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','ticket','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6430,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','email','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6431,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','mbox','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6432,'服务HTTP慢事务异常恢复','app_transaction','app_transaction_http_service_rt','webhook','recover','【应用{{service_name}}服务HTTP慢事务异常恢复】','【服务HTTP慢事务异常恢复】\n\n项目: {{project_name}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} - {{service_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6433,'MySQL SLAVE DELAY ALERT','custom_addon','slave_dly_alert','dingding','alert','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n','【MySQL {{window}}M 聚合时间内 SLAVE 延迟 {{slave_seconds_behind_master_max}}s】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\n延迟时间： {{slave_seconds_behind_master_max}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6434,'MySQL SLAVE SYNC ALERT','custom_addon','slave_sync_alert','dingding','alert','【MySQL SLAVE 同步异常】\n','【MySQL SLAVE 同步异常】\n\n集群: {{cluster_name}}\n\nmysql: {{server_id}}\n\nSlave_IO_Running: {{slave_slave_io_running_value}}\n\nSlave_SQL_Running: {{slave_slave_sql_running_value}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"limit_value\":\"fraction:1\",\"usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6435,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6436,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6437,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6438,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6439,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','alert','【平台中间件cassandra GC次数告警】\n','【平台中间件cassandra GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6440,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','dingding','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6441,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','ticket','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6442,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','email','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6443,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','mbox','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6444,'平台中间件cassandra GC次数异常','dice_addon','dice_addon_cassandra_gc_count','webhook','recover','【平台中间件cassandra GC次数恢复】\n','【平台中间件cassandra GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6445,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6446,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6447,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6448,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6449,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','alert','【平台中间件cassandra GC耗时告警】\n','【平台中间件cassandra GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6450,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','dingding','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6451,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','ticket','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6452,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','email','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6453,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','mbox','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6454,'平台中间件cassandra GC耗时异常','dice_addon','dice_addon_cassandra_gc_time','webhook','recover','【平台中间件cassandra GC耗时恢复】\n','【平台中间件cassandra GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6455,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6456,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6457,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6458,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6459,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','alert','【平台中间件{{addon_id}} CPU使用率告警】\n','【平台中间件CPU使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6460,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','dingding','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6461,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','ticket','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6462,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','email','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6463,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','mbox','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6464,'平台中间件实例CPU异常','dice_addon','dice_addon_container_cpu','webhook','recover','【平台中间件{{addon_id}} CPU使用率恢复】\n','【平台中间件CPU使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6465,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6466,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6467,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6468,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6469,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','alert','【平台中间件{{addon_id}}异常退出告警】\n','【平台中间件异常退出告警】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6470,'平台中间件异常退出','dice_addon','dice_addon_container_exit','dingding','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6471,'平台中间件异常退出','dice_addon','dice_addon_container_exit','ticket','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6472,'平台中间件异常退出','dice_addon','dice_addon_container_exit','email','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6473,'平台中间件异常退出','dice_addon','dice_addon_container_exit','mbox','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6474,'平台中间件异常退出','dice_addon','dice_addon_container_exit','webhook','recover','【平台中间件{{addon_id}}异常退出恢复】\n','【平台中间件异常退出恢复】\n\n中间件: {{addon_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6475,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6476,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6477,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6478,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6479,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','alert','【平台中间件{{addon_id}}内存使用率告警】\n','【平台中间件内存使用率告警】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6480,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','dingding','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6481,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','ticket','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6482,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','email','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6483,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','mbox','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6484,'平台中间件实例内存异常','dice_addon','dice_addon_container_mem','webhook','recover','【平台中间件{{addon_id}}内存使用率恢复】\n','【平台中间件内存使用率恢复】\n\n中间件: {{addon_id}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6485,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6486,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6487,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6488,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6489,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','alert','【平台中间件{{addon_id}} Ready状态异常告警】\n','【平台中间件Ready状态异常告警】\n\n中间件: {{addon_id}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6490,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','dingding','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6491,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','ticket','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6492,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','email','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6493,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','mbox','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6494,'平台中间件实例Ready状态异常','dice_addon','dice_addon_container_ready','webhook','recover','【平台中间件{{addon_id}} Ready状态异常恢复】\n','【平台中间件Ready状态异常恢复】\n\n中间件: {{addon_id}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6495,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6496,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6497,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6498,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6499,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','alert','【平台中间件elasticsearch GC次数告警】\n','【平台中间件elasticsearch GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6500,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','dingding','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6501,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','ticket','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6502,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','email','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6503,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','mbox','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6504,'平台中间件elasticsearch GC次数异常','dice_addon','dice_addon_elasticsearch_gc_count','webhook','recover','【平台中间件elasticsearch GC次数恢复】\n','【平台中间件elasticsearch GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{gc_collectors_old_collection_count_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6505,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6506,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6507,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6508,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6509,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','alert','【平台中间件elasticsearch GC耗时告警】\n','【平台中间件elasticsearch GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6510,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','dingding','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6511,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','ticket','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6512,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','email','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6513,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','mbox','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6514,'平台中间件elasticsearch GC耗时异常','dice_addon','dice_addon_elasticsearch_gc_time','webhook','recover','【平台中间件elasticsearch GC耗时恢复】\n','【平台中间件elasticsearch GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{gc_collectors_old_collection_time_in_millis_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"gc_collectors_old_collection_time_in_millis_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6515,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6516,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6517,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6518,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6519,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','alert','【平台中间件Kafka GC次数告警】\n','【平台中间件Kafka GC次数告警】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n集群: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6520,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','dingding','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6521,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','ticket','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6522,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','email','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6523,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','mbox','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6524,'平台中间件Kafka GC次数异常','dice_addon','dice_addon_kafka_gc_count','webhook','recover','【平台中间件Kafka GC次数恢复】\n','【平台中间件Kafka GC次数恢复】\n\n中间件: {{addon_id}}\n\n老年代GC次数: {{CollectionCount_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6525,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6526,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6527,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6528,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6529,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','alert','【平台中间件kafka GC耗时告警】\n','【平台中间件kafka GC耗时告警】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6530,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','dingding','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6531,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','ticket','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6532,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','email','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6533,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','mbox','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6534,'平台中间件kafka GC耗时异常','dice_addon','dice_addon_kafka_gc_time','webhook','recover','【平台中间件kafka GC耗时恢复】\n','【平台中间件kafka GC耗时恢复】\n\n中间件: {{addon_id}}\n\n老年代GC耗时: {{CollectionTime_win_value}}\n\n集群: {{cluster_name}}\n\n机器: {{node_host}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"CollectionTime_win_value\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6535,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6536,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6537,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6538,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6539,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','alert','【平台中间件kafka消费堆积告警】\n','【平台中间件kafka消费堆积告警】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n消费速度: {{consume_rate_per_sec_avg}} /s\n\n生产速度: {{produce_rate_per_sec_avg}} /s\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6540,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','dingding','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6541,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','ticket','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6542,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','email','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6543,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','mbox','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6544,'平台中间件kafka消费堆积','dice_addon','dice_addon_kafka_lag','webhook','recover','【平台中间件kafka消费堆积恢复】\n','【平台中间件kafka消费堆积恢复】\n\n中间件: {{addon_id}}\n\n消费者组: {{group}}\n\nTopic: {{topic}}\n\n当前消息堆积: {{lag_avg}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6545,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6546,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6547,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6548,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6549,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','alert','【平台组件{{component_name}} CPU使用率告警】\n','【平台组件CPU使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6550,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','dingding','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6551,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','ticket','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6552,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','email','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6553,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','mbox','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6554,'平台组件实例CPU异常','dice_component','dice_component_container_cpu','webhook','recover','【平台组件{{component_name}} CPU使用率恢复】\n','【平台组件CPU使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6555,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6556,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6557,'平台组件异常退出','dice_component','dice_component_container_exit','email','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6558,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6559,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','alert','【平台组件{{component_name}}异常退出告警】\n','【平台组件异常退出告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6560,'平台组件异常退出','dice_component','dice_component_container_exit','dingding','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6561,'平台组件异常退出','dice_component','dice_component_container_exit','ticket','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6562,'平台组件异常退出','dice_component','dice_component_container_exit','email','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6563,'平台组件异常退出','dice_component','dice_component_container_exit','mbox','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6564,'平台组件异常退出','dice_component','dice_component_container_exit','webhook','recover','【平台组件{{component_name}}异常退出恢复】\n','【平台组件异常退出恢复】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6565,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6566,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6567,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6568,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6569,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','alert','【平台组件{{component_name}}内存使用率告警】\n','【平台组件内存使用率告警】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6570,'平台组件实例内存异常','dice_component','dice_component_container_mem','dingding','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6571,'平台组件实例内存异常','dice_component','dice_component_container_mem','ticket','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6572,'平台组件实例内存异常','dice_component','dice_component_container_mem','email','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6573,'平台组件实例内存异常','dice_component','dice_component_container_mem','mbox','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6574,'平台组件实例内存异常','dice_component','dice_component_container_mem','webhook','recover','【平台组件{{component_name}}内存使用率恢复】\n','【平台组件内存使用率恢复】\n\n组件: {{component_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6575,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6576,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6577,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6578,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6579,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','alert','【平台组件{{resource_name_value}} Ready状态异常告警】\n','【平台组件Ready状态异常告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6580,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','dingding','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6581,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','ticket','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6582,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','email','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6583,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','mbox','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6584,'平台组件实例Ready状态异常','dice_component','dice_component_container_ready','webhook','recover','【平台组件{{resource_name_value}} Ready状态异常恢复】\n','【平台组件Ready状态异常恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6585,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','dingding','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6586,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','ticket','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6587,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','email','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6588,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','mbox','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6589,'平台组件Flink任务checkpoint延迟异常告警','dice_component','dice_component_flink_checkpoint_duration','webhook','alert','【平台组件Flink任务checkpoint延迟异常告警】\n','【平台组件Flink任务checkpoint延迟异常告警】\n\n延迟: {{lastCheckpointDuration_value}}ms\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6590,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','dingding','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6591,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','ticket','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6592,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','email','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6593,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','mbox','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6594,'平台组件Flink吞吐量异常告警','dice_component','dice_component_flink_throughput','webhook','alert','【平台组件Flink吞吐量异常告警】\n','【平台组件Flink吞吐量异常告警】\n\noperator每秒输出量: {{numRecordsOutPerSecond_count_value}}\n\n任务ID： {{job_id}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6595,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','dingding','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6596,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','ticket','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6597,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','email','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6598,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','mbox','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6599,'平台组件网盘不可用告警','dice_component','dice_component_gfs_status','webhook','alert','【平台组件网盘疑似不可用告警】\n','【平台组件网盘疑似不可用告警】\n\n组件: {{component_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6600,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','dingding','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6601,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','ticket','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6602,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','email','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6603,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','mbox','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6604,'【事件】LOG_STORE保护器状态变化','dice_component','dice_component_log_protector','webhook','alert','【【事件】LOG_STORE保护器状态变化】\n','【【事件】LOG_STORE保护器状态变化】\n\n集群: {{cluster_name}}\n\n之前状态: {{pre_level}}\n\n当前状态: {{cur_level}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6605,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6606,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6607,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6608,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6609,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率告警】\n','【kubernetes组件CPU使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n限制: {{cpu_limit_value}}核\n\n分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_allocation_value\":\"fraction:2\",\"cpu_limit_value\":\"fraction:2\",\"cpu_usage_percent_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6610,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6611,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6612,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6613,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6614,'kubernetes组件实例CPU异常','kubernetes','kubernetes_instance_cpu','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}} CPU使用率恢复】\n','【kubernetes组件CPU使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{cpu_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6615,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6616,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6617,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6618,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6619,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出告警】\n','【kubernetes组件异常退出告警】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n启动时间: {{started_at_value}}\n\n退出时间: {{finished_at_value}}\n\n退出原因: {{terminated_reason_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"finished_at_value\":\"date\",\"started_at_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6620,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6621,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6622,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6623,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6624,'kubernetes组件异常退出','kubernetes','kubernetes_instance_exit','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}异常退出恢复】\n','【kubernetes组件异常退出恢复】\n\n组件: {{pod_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6625,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6626,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6627,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6628,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6629,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','alert','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率告警】\n','【kubernetes组件内存使用率告警】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n使用: {{mem_usage_value}}\n\n限制: {{mem_limit_value}}\n\n分配: {{mem_allocation_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_allocation_value\":\"size:byte\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:2\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6630,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','dingding','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6631,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','ticket','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6632,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','email','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6633,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','mbox','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6634,'kubernetes组件实例内存异常','kubernetes','kubernetes_instance_mem','webhook','recover','【{{cluster_name}}集群kubernetes组件{{pod_name}}内存使用率恢复】\n','【kubernetes组件内存使用率恢复】\n\nPod: {{pod_name}}\n\n使用率: {{mem_usage_percent_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n容器ID: {{container_id}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"mem_usage_percent_avg\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6635,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6636,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6637,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6638,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6639,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','alert','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态告警】\n','【kubernetes组件Ready状态告警】\n\n组件: {{resource_name_value}}\n\n不可用实例: {{not_ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6640,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','dingding','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6641,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','ticket','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6642,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','email','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6643,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','mbox','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6644,'kubernetes组件实例Ready状态异常','kubernetes','kubernetes_instance_ready','webhook','recover','【{{cluster_name}}集群kubernetes组件{{resource_name_value}} Ready状态恢复】\n','【kubernetes组件Ready状态恢复】\n\n组件: {{resource_name_value}}\n\n可用实例: {{ready_value}}\n\n期望实例: {{total_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6645,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6646,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6647,'kubernetes节点异常','kubernetes','kubernetes_node','email','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6648,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6649,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','alert','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常告警】\n','【kubernetes节点状态异常告警】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n可分配Pod数: {{allocatable_pods_value}}\n\n最大Pod数: {{capacity_pods_value}}\n\n可分配CPU核数: {{allocatable_cpu_cores_value}}\n\n最大CPU核数: {{capacity_cpu_cores_value}}\n\n可分配内存: {{allocatable_memory_bytes_value}}\n\n最大内存: {{capacity_memory_bytes_value}}\n\n时间: {{timestamp}}\n','{\"allocatable_memory_bytes_value\":\"size:byte\",\"capacity_memory_bytes_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6650,'kubernetes节点异常','kubernetes','kubernetes_node','dingding','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6651,'kubernetes节点异常','kubernetes','kubernetes_node','ticket','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6652,'kubernetes节点异常','kubernetes','kubernetes_node','email','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6653,'kubernetes节点异常','kubernetes','kubernetes_node','mbox','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6654,'kubernetes节点异常','kubernetes','kubernetes_node','webhook','recover','【{{cluster_name}}集群kubernetes节点{{node_name}}节点异常恢复】\n','【kubernetes节点状态异常恢复】\n\n集群: {{cluster_name}}\n\n机器: {{node_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6655,'机器时钟一致性异常告警','machine','machine_cluster_clock','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6656,'机器时钟一致性异常告警','machine','machine_cluster_clock','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6657,'机器时钟一致性异常告警','machine','machine_cluster_clock','email','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6658,'机器时钟一致性异常告警','machine','machine_cluster_clock','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6659,'机器时钟一致性异常告警','machine','machine_cluster_clock','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常告警】','【机器时钟一致性异常告警】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n发送时间戳(ms): {{send_timestamp}}\n\n接收时间戳(ms): {{receive_timestamp}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6660,'时钟一致性异常恢复','machine','machine_cluster_clock','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6661,'时钟一致性异常恢复','machine','machine_cluster_clock','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6662,'时钟一致性异常恢复','machine','machine_cluster_clock','email','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6663,'时钟一致性异常恢复','machine','machine_cluster_clock','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6664,'时钟一致性异常恢复','machine','machine_cluster_clock','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} 时钟一致性异常恢复】','【机器时钟一致性异常恢复】\n\n时钟偏移绝对值: {{elapsed_abs_avg}}\n\n源机器: {{source_host_ip}}\n\n目标机器: {{host_ip}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"elapsed_abs_avg\":\"time:ms\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6665,'机器CPU异常告警','machine','machine_cpu','dingding','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6666,'机器CPU异常告警','machine','machine_cpu','ticket','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6667,'机器CPU异常告警','machine','machine_cpu','email','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6668,'机器CPU异常告警','machine','machine_cpu','mbox','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6669,'机器CPU异常告警','machine','machine_cpu','webhook','alert','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常告警】','【机器CPU使用率异常告警】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"cpu_usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6670,'机器CPU异常恢复','machine','machine_cpu','dingding','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6671,'机器CPU异常恢复','machine','machine_cpu','ticket','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6672,'机器CPU异常恢复','machine','machine_cpu','email','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6673,'机器CPU异常恢复','machine','machine_cpu','mbox','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6674,'机器CPU异常恢复','machine','machine_cpu','webhook','recover','【{{cluster_name}}集群机器{{host_ip}} CPU使用率异常恢复】','【机器CPU使用率异常恢复】\n\nCPU平均使用率: {{cpu_usage_active_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"usage_active_avg\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6675,'磁盘容量异常告警','machine','machine_disk','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6676,'磁盘容量异常告警','machine','machine_disk','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6677,'磁盘容量异常告警','machine','machine_disk','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6678,'磁盘容量异常告警','machine','machine_disk','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6679,'磁盘容量异常告警','machine','machine_disk','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常告警】','【磁盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6680,'磁盘容量异常恢复','machine','machine_disk','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6681,'磁盘容量异常恢复','machine','machine_disk','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6682,'磁盘容量异常恢复','machine','machine_disk','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6683,'磁盘容量异常恢复','machine','machine_disk','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6684,'磁盘容量异常恢复','machine','machine_disk','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘使用率异常恢复】','【磁盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6685,'磁盘Inode异常告警','machine','machine_disk_inode','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6686,'磁盘Inode异常告警','machine','machine_disk_inode','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6687,'磁盘Inode异常告警','machine','machine_disk_inode','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6688,'磁盘Inode异常告警','machine','machine_disk_inode','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6689,'磁盘Inode异常告警','machine','machine_disk_inode','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常告警】','【磁盘Inode异常告警】\n\n使用率: {{inode_used_percent_value}}\n\n容量: {{inodes_total_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"inodes_total_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6690,'磁盘Inode异常恢复','machine','machine_disk_inode','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6691,'磁盘Inode异常恢复','machine','machine_disk_inode','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6692,'磁盘Inode异常恢复','machine','machine_disk_inode','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6693,'磁盘Inode异常恢复','machine','machine_disk_inode','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6694,'磁盘Inode异常恢复','machine','machine_disk_inode','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘Inode异常恢复】','【磁盘Inode异常恢复】\n\n使用率: {{inode_used_percent_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n设备: {{device}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"inode_used_percent_value\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6695,'磁盘IO异常告警','machine','machine_disk_util','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6696,'磁盘IO异常告警','machine','machine_disk_util','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6697,'磁盘IO异常告警','machine','machine_disk_util','email','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6698,'磁盘IO异常告警','machine','machine_disk_util','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6699,'磁盘IO异常告警','machine','machine_disk_util','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常告警】','【磁盘IO操作百分比异常告警】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6700,'磁盘IO异常恢复','machine','machine_disk_util','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6701,'磁盘IO异常恢复','machine','machine_disk_util','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6702,'磁盘IO异常恢复','machine','machine_disk_util','email','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6703,'磁盘IO异常恢复','machine','machine_disk_util','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6704,'磁盘IO异常恢复','machine','machine_disk_util','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}磁盘IO操作百分比异常恢复】','【磁盘IO操作百分比异常恢复】\n\nIO操作百分比: {{pct_util_p75}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"pct_util_p75\":\"percent:2\",\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6705,'机器负载异常告警','machine','machine_load5','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6706,'机器负载异常告警','machine','machine_load5','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6707,'机器负载异常告警','machine','machine_load5','email','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6708,'机器负载异常告警','machine','machine_load5','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6709,'机器负载异常告警','machine','machine_load5','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}负载异常告警】','【机器负载异常告警】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6710,'机器负载异常恢复','machine','machine_load5','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6711,'机器负载异常恢复','machine','machine_load5','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6712,'机器负载异常恢复','machine','machine_load5','email','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6713,'机器负载异常恢复','machine','machine_load5','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6714,'机器负载异常恢复','machine','machine_load5','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}负载异常恢复】','【机器负载异常恢复】\n\nLoad5: {{load5_avg}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6715,'网盘容量异常告警','machine','machine_netdisk','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6716,'网盘容量异常告警','machine','machine_netdisk','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6717,'网盘容量异常告警','machine','machine_netdisk','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6718,'网盘容量异常告警','machine','machine_netdisk','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6719,'网盘容量异常告警','machine','machine_netdisk','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用率异常告警】\n\n使用率: {{used_percent_value}}\n\n容量: {{total_value}}\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"total_value\":\"size:byte\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6720,'网盘容量异常恢复','machine','machine_netdisk','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6721,'网盘容量异常恢复','machine','machine_netdisk','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6722,'网盘容量异常恢复','machine','machine_netdisk','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6723,'网盘容量异常恢复','machine','machine_netdisk','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6724,'网盘容量异常恢复','machine','machine_netdisk','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用率: {{used_percent_value}}\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\",\"used_percent_value\":\"percent:2\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6725,'网盘容量使用量异常告警','machine','machine_netdisk_used','dingding','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6726,'网盘容量使用量异常告警','machine','machine_netdisk_used','ticket','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6727,'网盘容量使用量异常告警','machine','machine_netdisk_used','email','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6728,'网盘容量使用量异常告警','machine','machine_netdisk_used','mbox','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6729,'网盘容量使用量异常告警','machine','machine_netdisk_used','webhook','alert','【{{cluster_name}}集群网盘使用率异常告警】','【网盘使用异常告警】\n\n使用: {{used}}GB\n\n容量: {{total}}GB\n\n集群: {{cluster_name}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6730,'网盘容量异常恢复','machine','machine_netdisk_used','dingding','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6731,'网盘容量异常恢复','machine','machine_netdisk_used','ticket','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6732,'网盘容量异常恢复','machine','machine_netdisk_used','email','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6733,'网盘容量异常恢复','machine','machine_netdisk_used','mbox','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6734,'网盘容量异常恢复','machine','machine_netdisk_used','webhook','recover','【{{cluster_name}}集群网盘使用率异常恢复】','【网盘使用率异常恢复】\n\n使用: {{used}}GB\n\n集群: {{cluster_name}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6735,'宕机告警','machine','machine_status','dingding','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6736,'宕机告警','machine','machine_status','ticket','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6737,'宕机告警','machine','machine_status','email','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6738,'宕机告警','machine','machine_status','mbox','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6739,'宕机告警','machine','machine_status','webhook','alert','【{{cluster_name}}集群机器{{host_ip}}宕机告警】','【宕机告警】\n\n机器{{window}}分钟内无消息, 疑似发生宕机\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n最近活跃时间: {{last_timestamp_value}}\n\n时间: {{timestamp}}\n\n[查看详情]({{display_url}})\n\n[查看记录]({{record_url}})\n','{\"last_timestamp_value\":\"date\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6740,'宕机恢复','machine','machine_status','dingding','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6741,'宕机恢复','machine','machine_status','ticket','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6742,'宕机恢复','machine','machine_status','email','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6743,'宕机恢复','machine','machine_status','mbox','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6744,'宕机恢复','machine','machine_status','webhook','recover','【{{cluster_name}}集群机器{{host_ip}}宕机恢复】','【宕机恢复】\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n持续时间: {{trigger_duration}}\n\n恢复时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"trigger_duration\":\"time:ms\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6745,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','dingding','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6746,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','ticket','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6747,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','email','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6748,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','mbox','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6749,'API网关实例CPU使用率异常','micro_service','api_gateway_cpu','webhook','alert','【API网关实例CPU使用率告警】\n','【API网关实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6750,'API网关实例内存使用率异常','micro_service','api_gateway_mem','dingding','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6751,'API网关实例内存使用率异常','micro_service','api_gateway_mem','ticket','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6752,'API网关实例内存使用率异常','micro_service','api_gateway_mem','email','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6753,'API网关实例内存使用率异常','micro_service','api_gateway_mem','mbox','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6754,'API网关实例内存使用率异常','micro_service','api_gateway_mem','webhook','alert','【API网关实例内存使用率告警】\n','【API网关实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6755,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','dingding','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6756,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','ticket','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6757,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','email','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6758,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','mbox','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6759,'注册中心实例CPU使用率异常','micro_service','register_center_cpu','webhook','alert','【注册中心实例CPU使用率告警】\n','【注册中心实例CPU使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\nCPU平均使用率: {{cpu_usage_percent_avg}}\n\nCPU限制: {{cpu_limit_value}}核\n\nCPU分配: {{cpu_allocation_value}}核\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"cpu_allocation_value\":\"fraction:1\",\"cpu_limit_value\":\"fraction:1\",\"cpu_usage_percent_avg\":\"percent:1\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6760,'注册中心实例内存使用率异常','micro_service','register_center_mem','dingding','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6761,'注册中心实例内存使用率异常','micro_service','register_center_mem','ticket','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6762,'注册中心实例内存使用率异常','micro_service','register_center_mem','email','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6763,'注册中心实例内存使用率异常','micro_service','register_center_mem','mbox','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6764,'注册中心实例内存使用率异常','micro_service','register_center_mem','webhook','alert','【注册中心实例内存使用率告警】\n','【注册中心实例内存使用率异常告警】\n\n组件: {{addon_type}}\n\n实例: {{pod_namespace}} - {{pod_name}}\n\n内存使用率: {{mem_usage_percent_avg}}\n\n内存使用: {{mem_usage_value}}\n\n内存限制: {{mem_limit_value}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','{\"container_id\":\"string:6\",\"mem_limit_value\":\"size:byte\",\"mem_usage_percent_avg\":\"percent:1\",\"mem_usage_value\":\"size:byte\"}','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6765,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','dingding','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6766,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','ticket','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6767,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','email','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6768,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','mbox','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1),(6769,'服务熔断通知告警','micro_service','sidecar_circuit_breaker','webhook','alert','【{{application_name}}应用{{service_name}}服务发生熔断告警】\n','【服务熔断告警】\n\n服务发生熔断 !\n\n项目: {{project_name}}\n\n环境: {{workspace}}\n\n应用: {{application_name}}\n\n服务: {{runtime_name}} / {{service_name}}\n\n集群: {{cluster_name}}\n\n机器: {{host_ip}}\n\n时间: {{timestamp}}\n\n[查看记录]({{record_url}})\n','','1.0','2021-04-02 16:10:06','2021-04-02 16:10:06',1);
/*!40000 ALTER TABLE `sp_alert_notify_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_alert_record`
--

DROP TABLE IF EXISTS `sp_alert_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_alert_record` (
                                   `group_id` varchar(191) NOT NULL COMMENT '分组ID，唯一键',
                                   `scope` varchar(16) NOT NULL COMMENT '范围',
                                   `scope_key` varchar(128) NOT NULL COMMENT '范围Key',
                                   `alert_group` varchar(128) NOT NULL COMMENT '目标Key',
                                   `title` varchar(4096) NOT NULL COMMENT '标题',
                                   `alert_state` varchar(16) NOT NULL COMMENT '告警状态',
                                   `alert_type` varchar(32) NOT NULL COMMENT '告警类型',
                                   `alert_index` varchar(128) NOT NULL COMMENT '告警索引',
                                   `expression_key` varchar(32) NOT NULL COMMENT '告警表达式Key',
                                   `alert_id` bigint(20) NOT NULL COMMENT '告警ID',
                                   `alert_name` varchar(32) NOT NULL COMMENT '告警名称',
                                   `rule_id` bigint(20) NOT NULL COMMENT '告警规则ID',
                                   `issue_id` bigint(20) DEFAULT NULL COMMENT 'issue ID',
                                   `handle_state` varchar(16) DEFAULT NULL COMMENT '处理状态',
                                   `handler_id` varchar(128) DEFAULT NULL COMMENT '处理人ID',
                                   `alert_time` datetime DEFAULT NULL COMMENT '告警时间',
                                   `handle_time` datetime DEFAULT NULL COMMENT '处理时间',
                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                   PRIMARY KEY (`group_id`),
                                   KEY `idx_scope_key` (`scope_key`),
                                   KEY `idx_alert_type` (`alert_type`),
                                   KEY `idx_alert_group` (`alert_group`),
                                   KEY `idx_handler_id` (`handler_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='告警记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_alert_record`
--

LOCK TABLES `sp_alert_record` WRITE;
/*!40000 ALTER TABLE `sp_alert_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_alert_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_alert_rules`
--

DROP TABLE IF EXISTS `sp_alert_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_alert_rules` (
                                  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                  `name` varchar(255) NOT NULL COMMENT '名称',
                                  `alert_scope` varchar(32) NOT NULL COMMENT '范围',
                                  `alert_type` varchar(32) NOT NULL COMMENT '类型',
                                  `alert_index` varchar(255) NOT NULL COMMENT '索引',
                                  `template` varchar(4096) NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
                                  `attributes` varchar(1024) NOT NULL COMMENT '扩展属性JSON，包含is_recovery是否恢复后告警',
                                  `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=711 DEFAULT CHARSET=utf8mb4 COMMENT='告警规则表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_alert_rules`
--

LOCK TABLES `sp_alert_rules` WRITE;
/*!40000 ALTER TABLE `sp_alert_rules` DISABLE KEYS */;
INSERT INTO `sp_alert_rules` VALUES (81,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(82,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(83,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(84,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_status\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(85,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(86,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(87,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(88,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(89,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(90,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(91,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(92,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(93,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(94,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(95,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(96,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(97,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(98,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(99,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(100,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(101,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(102,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(103,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(104,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(105,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(106,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(107,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(108,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(109,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(110,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(111,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(112,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(113,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(114,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(115,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cpu\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(116,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(117,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(118,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"system\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(119,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(120,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:49','2021-04-02 16:09:52'),(121,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(122,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(123,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(124,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(125,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(126,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(127,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(128,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(129,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_status\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(130,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(131,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(132,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(133,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(134,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(135,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(136,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(137,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(138,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(139,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(140,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(141,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(142,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(143,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(144,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(145,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(146,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(147,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(148,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(149,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(150,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(151,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(152,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(153,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(154,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(155,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_cpu\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(156,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_status\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(157,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_mem\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(158,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(159,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(160,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cpu\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(161,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(162,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(163,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"system\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(164,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(165,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(166,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(167,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(168,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(169,'配置中心实例CPU使用率异常','org','micro_service','config_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(170,'配置中心实例内存使用率异常','org','micro_service','config_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(171,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.limit===0?fields.usage_percent:fields.usage_percent/fields.limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_cpu\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(172,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"usage\"},{\"aggregator\":\"value\",\"field\":\"limit\"},{\"aggregator\":\"value\",\"field\":\"max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_mem\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(173,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:09:52','2021-04-02 16:09:59'),(174,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(175,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(176,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(177,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(178,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(179,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(180,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(181,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(182,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(183,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(184,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(185,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(186,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(187,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(188,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(189,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(190,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(191,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(192,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(193,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(194,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(195,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(196,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(197,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(198,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(199,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(200,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(201,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(202,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(203,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(204,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(205,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(206,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(207,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(208,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(209,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(210,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(211,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(212,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(213,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(214,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(215,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(216,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(217,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"disk_used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"disk_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(218,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(219,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(220,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(221,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(222,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(223,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(224,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(225,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(226,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(227,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(228,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(229,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(230,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(231,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(232,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(233,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(234,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(235,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(236,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(237,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(238,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(239,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(240,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(241,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(242,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(243,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(244,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(245,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(246,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(247,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(248,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(249,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(250,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(251,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(252,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(253,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(254,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(255,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(256,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(257,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(258,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(259,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(260,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(261,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(262,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(263,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(264,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(265,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(266,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(267,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(268,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(269,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(270,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(271,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"disk_used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"disk_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(272,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(273,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(274,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(275,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(276,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(277,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(278,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(279,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(280,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(281,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:09:59','2021-04-02 16:10:00'),(282,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(283,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(284,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(285,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(286,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(287,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(288,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(289,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(290,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(291,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(292,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(293,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(294,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(295,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(296,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(297,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(298,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(299,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(300,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(301,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(302,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(303,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(304,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(305,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(306,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(307,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(308,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(309,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(310,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(311,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(312,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(313,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(314,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(315,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(316,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(317,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(318,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(319,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(320,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(321,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(322,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(323,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(324,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(325,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(326,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(327,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(328,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(329,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(330,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(331,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(332,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(333,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(334,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(335,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(336,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:10:00','2021-04-02 16:10:02'),(337,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(338,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(339,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(340,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(341,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(342,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(343,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(344,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(345,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(346,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(347,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(348,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(349,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(350,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(351,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(352,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(353,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(354,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(355,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(356,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(357,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(358,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return \'0\'} return \'1\'}\",\"operator\":\"eq\",\"value\":\"0\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(359,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(360,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(361,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(362,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(363,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(364,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(365,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(366,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(367,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(368,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(369,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(370,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(371,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(372,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(373,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(374,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(375,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(376,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(377,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(378,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(379,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(380,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(381,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(382,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(383,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(384,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(385,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(386,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(387,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(388,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(389,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(390,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(391,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(392,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(393,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(394,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:02'),(395,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(396,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(397,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(398,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(399,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(400,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(401,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(402,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(403,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(404,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(405,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(406,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(407,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"used\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(408,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"heap_used\"},{\"aggregator\":\"value\",\"field\":\"heap_total\"},{\"aggregator\":\"value\",\"field\":\"rss\"},{\"aggregator\":\"value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(409,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(410,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(411,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(412,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(413,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(414,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(415,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(416,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return \'0\'} return \'1\'}\",\"operator\":\"eq\",\"value\":\"0\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(417,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(418,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(419,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(420,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(421,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(422,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(423,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(424,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis_min\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis_max\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis;}\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(425,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(426,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(427,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(428,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(429,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(430,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(431,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(432,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(433,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(434,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(435,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(436,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode;}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return \'-\'}\"},{\"aggregator\":\"value\",\"field\":\"pid\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(437,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(438,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(439,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(440,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(441,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(442,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(443,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(444,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(445,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(446,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"value\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":800},{\"aggregator\":\"value\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(447,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(448,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(449,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(450,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(451,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"value\",\"field\":\"mem_usage\"},{\"aggregator\":\"value\",\"field\":\"mem_limit\"},{\"aggregator\":\"value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(452,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:10:02','2021-04-02 16:10:03'),(453,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(454,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(455,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(456,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(457,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(458,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(459,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(460,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(461,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(462,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(463,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(464,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(465,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(466,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(467,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(468,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(469,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(470,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(471,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(472,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(473,'Ajax接口访问性能','micro_service','browser','browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(474,'用户体验','micro_service','browser','browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(475,'域名访问性能','micro_service','browser','browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(476,'页面访问性能','micro_service','browser','browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(477,'脚本错误','micro_service','browser','browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(478,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(479,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(480,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(481,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(482,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(483,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(484,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(485,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(486,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(487,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(488,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(489,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(490,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(491,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(492,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(493,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(494,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(495,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(496,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(497,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(498,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(499,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(500,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(501,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(502,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(503,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(504,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(505,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(506,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(507,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(508,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value_script\":\"function invoke(field,tag){ return field.n_cpus * 2.5 }\"}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(509,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(510,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(511,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(512,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(513,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(514,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(515,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(516,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:10:03','2021-04-02 16:10:04'),(517,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(518,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(519,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(520,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(521,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(522,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(523,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(524,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(525,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(526,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(527,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(528,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(529,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(530,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(531,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(532,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(533,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(534,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(535,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(536,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(537,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(538,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(539,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(540,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(541,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(542,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(543,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(544,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(545,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(546,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(547,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(548,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(549,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(550,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(551,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(552,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(553,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(554,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(555,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(556,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(557,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(558,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(559,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(560,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(561,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(562,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(563,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(564,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(565,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(566,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(567,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(568,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(569,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(570,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(571,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(572,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(573,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(574,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(575,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(576,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(577,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(578,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(579,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(580,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:04'),(581,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(582,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(583,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(584,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(585,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(586,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(587,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(588,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(589,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(590,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(591,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(592,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(593,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(594,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(595,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(596,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(597,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(598,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(599,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(600,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(601,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(602,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(603,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(604,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(605,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(606,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(607,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(608,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(609,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(610,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(611,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(612,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(613,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(614,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(615,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(616,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(617,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(618,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(619,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(620,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(621,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(622,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(623,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(624,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(625,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(626,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(627,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(628,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(629,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(630,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"not_ready_avg\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas_unavailable+fields.replicas_available}}}return 0}\"},{\"aggregator\":\"value\",\"field\":\"resource_name\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(631,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(632,'机器时钟一致性异常告警','org','machine','machine_cluster_clock','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"elapsed_abs\",\"operator\":\"gte\",\"value\":5000},{\"aggregator\":\"avg\",\"alias\":\"send_timestamp\",\"field\":\"send_timestamp\"},{\"aggregator\":\"avg\",\"alias\":\"receive_timestamp\",\"field\":\"receive_timestamp\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cluster_clock\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"source_host_ip\":\"#source_host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cluster_clock\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(633,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(634,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(635,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(636,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(637,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(638,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(639,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(640,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(641,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(642,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(643,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(644,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(645,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',0,'2021-04-02 16:10:04','2021-04-02 16:10:06'),(646,'ElasticSearch实例CPU使用率异常告警','org','addon','addon_elasticsearch_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(647,'Elasticsearch实例内存使用率异常告警','org','addon','addon_elasticsearch_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"terminus-elasticsearch\",\"elasticsearch-operator\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(648,'MySQL实例CPU使用率异常告警','org','addon','addon_mysql_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(649,'MySQL实例内存使用率异常告警','org','addon','addon_mysql_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"mysql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(650,'MySQL实例主从同步异常告警','org','addon','addon_mysql_slave_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_running_ok_value\",\"field\":\"slave_slave_running_ok\",\"field_script\":\"function invoke(fields,tags){return (fields.slave_slave_io_running==0 || fields.slave_slave_sql_running==0)?0:1}\",\"operator\":\"neq\",\"value\":1},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(651,'redis实例内存使用率异常告警','org','addon','addon_redis_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"redis\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(652,'Ajax接口访问性能','micro_service','app_browser','app_browser_ajax_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"tt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"req_path\",\"host\"],\"metric\":\"ta_req\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"req_path\":\"#req_path\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{req_path}}-{{host}}\",\"display_url_id\":\"micro_bi_ajax\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(653,'用户体验','micro_service','app_browser','app_browser_apdex','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":3000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_position\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(654,'域名访问性能','micro_service','app_browser','app_browser_host_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{host}}\",\"display_url_id\":\"micro_bi_domain\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(655,'页面访问性能','micro_service','app_browser','app_browser_page_req','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"plt\",\"operator\":\"gt\",\"value\":1000}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_timing\",\"outputs\":[\"alert\"],\"select\":{\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"tk\":\"#tk\",\"type\":\"#type\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_page\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(656,'脚本错误','micro_service','app_browser','app_browser_script_error','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"tk\",\"value\":\"$tk\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":10}],\"group\":[\"tk\",\"doc_path\",\"host\"],\"metric\":\"ta_error\",\"outputs\":[\"alert\"],\"select\":{\"browser\":\"#browser\",\"count\":\"#count\",\"doc_path\":\"#doc_path\",\"host\":\"#host\",\"ip\":\"#ip\",\"source\":\"#source\",\"tk\":\"#tk\",\"type\":\"#type\",\"url\":\"#url\"},\"window\":1}','{\"alert_group\":\"{{tk}}-{{doc_path}}-{{host}}\",\"display_url_id\":\"micro_bi_script\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(657,'应用错误次数','micro_service','app_exception','app_exception_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"error_id\"],\"metric\":\"error_alert\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"class\":\"#class\",\"cluster_name\":\"#cluster_name\",\"error_id\":\"#error_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"line\":\"#line\",\"method\":\"#method\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"workspace\":\"#workspace\"},\"window\":5}','{\"alert_group\":\"{{terminus_key}}-{{error_id}}\",\"display_url_id\":\"micro_error_detail\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{error_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(658,'应用实例CPU使用率异常','micro_service','app_resource','app_resource_container_cpu','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(659,'应用实例内存使用率异常','micro_service','app_resource','app_resource_container_mem','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(660,'应用实例OOM','micro_service','app_resource','app_resource_container_oom','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"oomkilled\",\"operator\":\"contains\",\"value\":true}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{container_id}}\",\"display_url_id\":\"workbench_runtime\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(661,'应用JVM GC次数','micro_service','app_resource','app_resource_jvm_gc_count','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":5}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(662,'应用JVM GC 耗时','micro_service','app_resource','app_resource_jvm_gc_time','{\"condition\":\"or\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"concurrentmarksweep\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"time_value\",\"field\":\"time\",\"operator\":\"gte\",\"value\":400},{\"aggregator\":\"sum\",\"field\":\"time\",\"operator\":\"gte\",\"value\":1000}],\"group\":[\"instance_id\"],\"metric\":\"jvm_gc\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(663,'应用JVM堆内存','micro_service','app_resource','app_resource_jvm_heap','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"name\",\"value\":\"heap_memory\"},{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ return field.used / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"used_value\",\"field\":\"used\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"jvm_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_jvm\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(664,'应用NodeJS堆内存使用率','micro_service','app_resource','app_resource_nodejs_heap','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"usage_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.max) { return 0; } return field.rss / field.max * 100; }\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"heap_used_value\",\"field\":\"heap_used\"},{\"aggregator\":\"max\",\"alias\":\"heap_total_value\",\"field\":\"heap_total\"},{\"aggregator\":\"max\",\"alias\":\"rss_value\",\"field\":\"rss\"},{\"aggregator\":\"max\",\"alias\":\"max_value\",\"field\":\"max\"}],\"group\":[\"instance_id\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"instance_id\":\"#instance_id\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{instance_id}}\",\"display_url_id\":\"micro_nodejs\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{instance_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(665,'页面内容改变','micro_service','app_status','app_status_browser','{\"alias\":\"status_page_browser\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"browser\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"diff_screenshot\",\"operator\":\"eq\",\"value\":false}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"false\",\"tickets_metric_key\":\"{{metric_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(666,'主动监控HTTP状态异常','micro_service','app_status','app_status_code','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"http\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"retry\"},{\"aggregator\":\"min\",\"field\":\"code\",\"operator\":\"gte\",\"value\":400}],\"group\":[\"metric\"],\"metric\":\"status_page\",\"outputs\":[\"alert\"],\"select\":{\"metric_id\":\"#metric\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"status_metric_name\":\"#metric_name\",\"terminus_key\":\"#terminus_key\",\"type\":\"#type\",\"url\":\"#url\",\"workspace\":\"#env\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}-{{metric_id}}\",\"display_url_id\":\"micro_status_detail\",\"level\":\"ERROR\",\"recover\":\"true\",\"tickets_metric_key\":\"{{metric_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(667,'服务接口HTTP错误率异常','micro_service','app_transaction','app_transaction_http_path_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":50}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(668,'服务接口HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_path_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\",\"operator\":\"gte\",\"value\":10},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":3000}],\"group\":[\"target_runtime_id\",\"target_service_name\",\"http_path\",\"http_method\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"http_method\":\"#http_method\",\"http_path\":\"#http_path\",\"http_url\":\"#http_url\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}-{{http_path}}-{{http_method}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(669,'服务HTTP错误率异常','micro_service','app_transaction','app_transaction_http_service_error','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"sum\",\"field\":\"error_count\",\"field_script\":\"function invoke(field, tag){ if(field.http_status_code_mean \\u003c 500) { return 0; } return field.elapsed_count; }\"},{\"aggregator\":\"value\",\"field\":\"error_percent\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.error_count_sum / field.elapsed_count_sum * 100);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":30}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(670,'服务HTTP慢事务异常','micro_service','app_transaction','app_transaction_http_service_rt','{\"condition\":\"and\",\"filters\":[{\"operator\":\"eq\",\"tag\":\"target_terminus_key\",\"value\":\"$target_terminus_key\"},{\"operator\":\"in\",\"tag\":\"target_application_id\",\"value\":[\"$target_application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_sum / 1000000; }\"},{\"aggregator\":\"sum\",\"field\":\"elapsed_count\"},{\"aggregator\":\"value\",\"field\":\"elapsed_avg\",\"field_script\":\"function invoke(field, tag){ if(!field.elapsed_count_sum) return 0; return field.elapsed_count_sum === 0 ? 0 : (field.elapsed_sum / field.elapsed_count_sum);}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":1000}],\"group\":[\"target_runtime_id\",\"target_service_name\"],\"metric\":\"application_http\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#target_application_id\",\"application_name\":\"#target_application_name\",\"project_id\":\"#target_project_id\",\"project_name\":\"#target_project_name\",\"runtime_id\":\"#target_runtime_id\",\"runtime_name\":\"#target_runtime_name\",\"service_name\":\"#target_service_name\",\"terminus_key\":\"#target_terminus_key\",\"workspace\":\"#target_workspace\"},\"window\":1}','{\"alert_group\":\"{{target_terminus_key}}-{{target_runtime_id}}-{{target_service_name}}\",\"display_url_id\":\"micro_si_web\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{target_application_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(671,'MySQL SLAVE DELAY ALERT','org','custom_addon','slave_dly_alert','{\"condition\":\"or\",\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"slave_slave_sql_running_state\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_sql_running_state == \'Slave has read all relay log; waiting for more updates\') {return \'no delay\'} return \'delay\';}\",\"operator\":\"all\",\"value\":\"delay\"},{\"aggregator\":\"max\",\"field\":\"slave_seconds_behind_master\",\"operator\":\"gt\",\"value\":1800}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":30}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(672,'MySQL SLAVE SYNC ALERT','org','custom_addon','slave_sync_alert','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"is_slave\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"slave_slave_sync_ok_value\",\"field\":\"slave_slave_sync_ok\",\"field_script\":\"function invoke(fields,tags){if (fields.slave_slave_io_running == 0 || fields.slave_slave_sql_running == 0) {return 0} return 1}\",\"operator\":\"eq\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"slave_slave_io_running_value\",\"field\":\"slave_slave_io_running\"},{\"aggregator\":\"max\",\"alias\":\"slave_slave_sql_running_value\",\"field\":\"slave_slave_sql_running\"}],\"group\":[\"addon_id\",\"server\"],\"metric\":\"mysql\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"server_id\":\"#server\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"level\":\"WARNING\",\"recover\":\"false\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(673,'平台中间件Cassandra GC次数异常','org','dice_addon','dice_addon_cassandra_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(674,'平台中间件Cassandra GC耗时异常','org','dice_addon','dice_addon_cassandra_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"cassandra\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime_min\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime_max\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime;}\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(675,'平台中间件实例CPU状态','org','dice_addon','dice_addon_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(676,'平台中间件异常退出','org','dice_addon','dice_addon_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(677,'平台中间件实例内存状态','org','dice_addon','dice_addon_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":80},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(678,'平台中间件实例Ready状态异常','org','dice_addon','dice_addon_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"addon_id\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(679,'平台中间件Elasticsearch GC次数异常','org','dice_addon','dice_addon_elasticsearch_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_count\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_count_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_count_max-fields.gc_collectors_old_collection_count_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(680,'平台中间件Elasticsearch GC耗时异常','org','dice_addon','dice_addon_elasticsearch_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"elasticsearch\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"max\",\"field\":\"gc_collectors_old_collection_time_in_millis\"},{\"aggregator\":\"value\",\"field\":\"gc_collectors_old_collection_time_in_millis_win\",\"field_script\":\"function invoke(fields,tags){return fields.gc_collectors_old_collection_time_in_millis_max-fields.gc_collectors_old_collection_time_in_millis_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"elasticsearch_jvm\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#node_host\",\"node_id\":\"#node_id\",\"node_name\":\"#node_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(681,'平台中间件Kafka GC次数异常','org','dice_addon','dice_addon_kafka_gc_count','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionCount\"},{\"aggregator\":\"max\",\"field\":\"CollectionCount\"},{\"aggregator\":\"value\",\"field\":\"CollectionCount_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionCount_max-fields.CollectionCount_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":10}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(682,'平台中间件Kafka GC耗时异常','org','dice_addon','dice_addon_kafka_gc_time','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"},{\"operator\":\"like\",\"tag\":\"name\",\"value\":\"Old\"}],\"functions\":[{\"aggregator\":\"min\",\"field\":\"CollectionTime\"},{\"aggregator\":\"max\",\"field\":\"CollectionTime\"},{\"aggregator\":\"value\",\"field\":\"CollectionTime_win\",\"field_script\":\"function invoke(fields,tags){return fields.CollectionTime_max-fields.CollectionTime_min;}\",\"operator\":\"gte\",\"trigger\":\"aggregated\",\"value\":15000}],\"group\":[\"cluster_name\",\"node_id\"],\"metrics\":[\"addon_java_GarbageCollector\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"node_host\":\"#jolokia_host\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{addon_id}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{addon_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(683,'平台中间件kafka消费堆积','org','dice_addon','dice_addon_kafka_lag','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"addon_id\",\"value\":\"kafka\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"lag\",\"operator\":\"gte\",\"value\":100000},{\"aggregator\":\"avg\",\"field\":\"consume_rate_per_sec\"},{\"aggregator\":\"avg\",\"field\":\"produce_rate_per_sec\"}],\"group\":[\"cluster_name\",\"addon_id\",\"group\",\"topic\"],\"metrics\":[\"kafka_consumer\"],\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"group\":\"#group\",\"topic\":\"#topic\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{group}}-{{topic}}\",\"display_url_id\":\"org_addon\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{group}}-{{topic}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(684,'平台组件实例CPU状态','org','dice_component','dice_component_container_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(685,'平台组件异常退出','org','dice_component','dice_component_container_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(686,'平台组件实例内存状态','org','dice_component','dice_component_container_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(687,'平台组件实例Ready状态异常','org','dice_component','dice_component_container_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"default\"},{\"operator\":\"any\",\"tag\":\"component_name\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":3}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(688,'平台组件Flink任务checkpoint延迟异常告警','org','dice_component','dice_component_flink_checkpoint_duration','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"lastCheckpointDuration_value\",\"field\":\"lastCheckpointDuration\",\"operator\":\"gte\",\"value\":3000}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\"],\"metric\":\"flink_jm_job\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(689,'平台组件Flink吞吐量异常告警','org','dice_component','dice_component_flink_throughput','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"numRecordsOutPerSecond_count_value\",\"field\":\"numRecordsOutPerSecond_count\",\"operator\":\"eq\",\"value\":0}],\"group\":[\"cluster_name\",\"container_id\",\"job_id\",\"task_id\",\"subtask_index\",\"operator_id\"],\"metric\":\"flink_tm_operator\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"job_id\":\"#job_id\",\"operator_id\":\"#operator_id\",\"subtask_index\":\"#subtask_index\",\"tm_id\":\"#tm_id\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}-{{job_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}-{{job_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(690,'平台组件网盘不可用告警','org','dice_component','dice_component_gfs_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"Disconnected\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"glusterfs\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"host_ip\":\"#host_ip\",\"node_uuid\":\"#node_uuid\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(691,'平台组价日志存储保护器状态变化','org','dice_component','dice_component_log_protector','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"field\",\"value\":\"log_store_protector_triggered\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"triggered\",\"operator\":\"eq\",\"value\":1}],\"group\":[\"cluster_name\"],\"metric\":\"dice_monitor\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"cur_level\":\"#cur_level\",\"pre_level\":\"#pre_level\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(692,'kubernetes组件实例CPU状态','org','kubernetes','kubernetes_instance_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":95},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(693,'kubernetes组件异常退出','org','kubernetes','kubernetes_instance_exit','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"field\":\"exitcode\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"field\":\"oomkilled\"},{\"aggregator\":\"value\",\"field\":\"pid\"},{\"aggregator\":\"max\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at!=null\\u0026\\u0026fields.finished_at!=undefined) return fields.finished_at/1000000;return 0}\"},{\"aggregator\":\"max\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at!=null\\u0026\\u0026fields.started_at!=undefined) return fields.started_at/1000000;return 0}\"},{\"aggregator\":\"value\",\"field\":\"finished_at\",\"field_script\":\"function invoke(fields,tags){if(fields.finished_at_max\\u003e0) return fields.finished_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"started_at\",\"field_script\":\"function invoke(fields,tags){if(fields.started_at_max\\u003e0) return fields.started_at_max;return \'-\'}\",\"trigger\":\"aggregated\"},{\"aggregator\":\"value\",\"field\":\"terminated_reason\",\"field_script\":\"function invoke(fields,tags){if(fields.oomkilled) return \'Out Of Memory\';return \'Error Exit Code \'+fields.exitcode_max;}\",\"trigger\":\"aggregated\"}],\"group\":[\"cluster_name\",\"pod_namespace\",\"pod_name\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"component_name\":\"#component_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"display_url_id\":\"org_pod\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(694,'kubernetes组件实例内存状态','org','kubernetes','kubernetes_instance_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"pod_namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gt\",\"value\":70},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_allocation_value\",\"field\":\"mem_allocation\"}],\"group\":[\"cluster_name\",\"container_id\"],\"metrics\":[\"docker_container_summary\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":2}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(695,'kubernetes组件实例Ready状态异常','org','kubernetes','kubernetes_instance_ready','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"namespace\",\"value\":\"kube-system\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"not_ready_value\",\"field\":\"not_ready\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable}else{if(tags.statefulset_name){return fields.replicas-fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_unavailable}}}return 0}\",\"operator\":\"gt\",\"value\":0},{\"aggregator\":\"max\",\"alias\":\"ready_value\",\"field\":\"ready_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_available}else{if(tags.statefulset_name){return fields.replicas_ready}else{if(tags.deployment_name){return fields.replicas_available}}}return 0}\"},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return fields.number_unavailable+fields.number_available}else{if(tags.statefulset_name){return fields.replicas}else{if(tags.deployment_name){return fields.replicas}}}return 0}\"},{\"aggregator\":\"value\",\"alias\":\"resource_name_value\",\"field\":\"resource_name_value\",\"field_script\":\"function invoke(fields,tags){if(tags.daemonset_name){return tags.daemonset_name}else{if(tags.statefulset_name){return tags.statefulset_name}else{if(tags.deployment_name){return tags.deployment_name}}}return null};\"}],\"group\":[\"cluster_name\",\"namespace\",\"daemonset_name\",\"statefulset_name\",\"deployment_name\"],\"metrics\":[\"kubernetes_daemonset\",\"kubernetes_statefulset\",\"kubernetes_deployment\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"daemonset_name\":\"#daemonset_name\",\"deployment_name\":\"#deployment_name\",\"namespace\":\"#namespace\",\"statefulset_name\":\"#statefulset_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{daemonset_name}}-{{statefulset_name}}-{{deployment_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(696,'kubernetes节点异常','org','kubernetes','kubernetes_node','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"offline\",\"value\":\"true\"}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"ready\",\"operator\":\"all\",\"value\":false},{\"aggregator\":\"max\",\"alias\":\"allocatable_pods_value\",\"field\":\"allocatable_pods\"},{\"aggregator\":\"max\",\"alias\":\"capacity_pods_value\",\"field\":\"capacity_pods\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_cpu_cores_value\",\"field\":\"allocatable_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"capacity_cpu_cores_value\",\"field\":\"capacity_cpu_cores\"},{\"aggregator\":\"max\",\"alias\":\"allocatable_memory_bytes_value\",\"field\":\"allocatable_memory_bytes\"},{\"aggregator\":\"max\",\"alias\":\"capacity_memory_bytes_value\",\"field\":\"capacity_memory_bytes\"}],\"group\":[\"cluster_name\",\"node_name\"],\"metrics\":[\"kubernetes_node\"],\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"node_name\":\"#node_name\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{node_name}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{node_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(697,'机器时钟一致性异常告警','org','machine','machine_cluster_clock','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"elapsed_abs\",\"operator\":\"gte\",\"value\":5000},{\"aggregator\":\"avg\",\"alias\":\"send_timestamp\",\"field\":\"send_timestamp\"},{\"aggregator\":\"avg\",\"alias\":\"receive_timestamp\",\"field\":\"receive_timestamp\"}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"cluster_clock\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"source_host_ip\":\"#source_host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cluster_clock\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(698,'机器CPU','org','machine','machine_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_active\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"cluster_name\",\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_cpu\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(699,'机器磁盘','org','machine','machine_disk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":86},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(700,'磁盘Inode异常告警','org','machine','machine_disk_inode','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"neq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"inode_used_percent_value\",\"field\":\"inode_used_percent\",\"field_script\":\"function invoke(field, tag){ return field.inodes_used/field.inodes_total*100 }\",\"operator\":\"gte\",\"value\":85},{\"aggregator\":\"max\",\"alias\":\"inodes_total_value\",\"field\":\"inodes_total\"}],\"group\":[\"host_ip\",\"device\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"device\":\"#device\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}-{{device}}\",\"display_url_id\":\"machine_disk\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(701,'机器磁盘IO','org','machine','machine_disk_util','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"path\",\"value\":null}],\"functions\":[{\"aggregator\":\"p75\",\"field\":\"pct_util\",\"operator\":\"gte\",\"value\":95}],\"group\":[\"host_ip\"],\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_disk_io\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(702,'机器Load5','org','machine','machine_load5','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"load5\",\"operator\":\"gte\",\"value\":20}],\"group\":[\"host_ip\"],\"metric\":\"host_summary\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_load\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(703,'网盘','org','machine','machine_netdisk','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used_percent_value\",\"field\":\"used_percent\",\"operator\":\"gte\",\"value\":75},{\"aggregator\":\"max\",\"alias\":\"total_value\",\"field\":\"total\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(704,'网盘容量使用量异常告警','org','machine','machine_netdisk_used','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"eq\",\"tag\":\"type\",\"value\":\"netdata\"}],\"functions\":[{\"aggregator\":\"max\",\"alias\":\"used\",\"field\":\"used\",\"field_script\":\"function invoke(field, tag){ return field.used/1024/1024/1024 }\",\"operator\":\"gte\",\"value\":300},{\"aggregator\":\"max\",\"alias\":\"total\",\"field_script\":\"function invoke(field, tag){ return field.total/1024/1024/1024 }\"}],\"group\":null,\"metric\":\"disk\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{cluster_name}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(705,'机器宕机','org','machine','machine_status','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]}],\"functions\":[{\"aggregator\":\"values\",\"field\":\"status\",\"operator\":\"all\",\"value\":\"not_ready\"},{\"aggregator\":\"max\",\"alias\":\"last_timestamp_value\",\"field\":\"last_timestamp\"}],\"group\":[\"host_ip\"],\"metric\":\"machine_status\",\"outputs\":[\"alert\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\"},\"window\":5}','{\"alert_group\":\"{{cluster_name}}-{{host_ip}}\",\"display_url_id\":\"machine_crash\",\"level\":\"WARNING\",\"recover\":\"true\",\"tickets_metric_key\":\"{{host_ip}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(706,'API网关实例CPU使用率异常','org','micro_service','api_gateway_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(707,'API网关实例内存使用率异常','org','micro_service','api_gateway_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"api-gateway\",\"postgresql\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(708,'注册中心实例CPU使用率异常','org','micro_service','register_center_cpu','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"cpu_usage_percent\",\"field_script\":\"function invoke(fields,tags){return fields.cpu_limit===0?fields.cpu_usage_percent:fields.cpu_usage_percent/fields.cpu_limit}\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"cpu_limit_value\",\"field\":\"cpu_limit\"},{\"aggregator\":\"max\",\"alias\":\"cpu_allocation_value\",\"field\":\"cpu_allocation\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(709,'注册中心实例内存使用率异常','org','micro_service','register_center_mem','{\"filters\":[{\"operator\":\"in\",\"tag\":\"cluster_name\",\"value\":[\"$cluster_name\"]},{\"operator\":\"in\",\"tag\":\"addon_type\",\"value\":[\"nacos\",\"zkproxy\"]}],\"functions\":[{\"aggregator\":\"avg\",\"field\":\"mem_usage_percent\",\"operator\":\"gte\",\"value\":90},{\"aggregator\":\"max\",\"alias\":\"mem_usage_value\",\"field\":\"mem_usage\"},{\"aggregator\":\"max\",\"alias\":\"mem_limit_value\",\"field\":\"mem_limit\"},{\"aggregator\":\"max\",\"alias\":\"mem_max_usage_value\",\"field\":\"mem_max_usage\"}],\"group\":[\"container_id\"],\"metric\":\"docker_container_summary\",\"outputs\":[\"alert\"],\"select\":{\"addon_id\":\"#addon_id\",\"addon_type\":\"#addon_type\",\"cluster_name\":\"#cluster_name\",\"container_id\":\"#container_id\",\"host_ip\":\"#host_ip\",\"pod_name\":\"#pod_name\",\"pod_namespace\":\"#pod_namespace\"},\"window\":1}','{\"alert_group\":\"{{cluster_name}}-{{container_id}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{container_id}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06'),(710,'服务熔断通知告警','micro_service','micro_service','sidecar_circuit_breaker','{\"filters\":[{\"operator\":\"eq\",\"tag\":\"terminus_key\",\"value\":\"$terminus_key\"},{\"operator\":\"in\",\"tag\":\"application_id\",\"value\":[\"$application_id\"]}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"operator\":\"gte\",\"value\":1}],\"group\":[\"service_name\"],\"metric\":\"sidecar_circuit_breaker\",\"outputs\":[\"alert\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"cluster_name\":\"#cluster_name\",\"host_ip\":\"#host_ip\",\"project_name\":\"#project_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":1}','{\"alert_group\":\"{{terminus_key}}\",\"level\":\"WARNING\",\"recover\":\"false\",\"tickets_metric_key\":\"{{terminus_key}}\"}',1,'2021-04-02 16:10:06','2021-04-02 16:10:06');
/*!40000 ALTER TABLE `sp_alert_rules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_authentication`
--

DROP TABLE IF EXISTS `sp_authentication`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_authentication` (
                                     `id` int(11) NOT NULL AUTO_INCREMENT,
                                     `project_id` int(11) unsigned zerofill DEFAULT NULL,
                                     `name` varchar(255) DEFAULT NULL,
                                     `extra` varchar(2048) NOT NULL DEFAULT '',
                                     `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                     `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动监控存储用户认证的表,已废弃';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_authentication`
--

LOCK TABLES `sp_authentication` WRITE;
/*!40000 ALTER TABLE `sp_authentication` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_authentication` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_chart_meta`
--

DROP TABLE IF EXISTS `sp_chart_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_chart_meta` (
                                 `id` int(10) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                 `name` varchar(64) NOT NULL,
                                 `title` varchar(64) NOT NULL,
                                 `metricsName` varchar(127) NOT NULL,
                                 `fields` varchar(4096) NOT NULL,
                                 `parameters` varchar(4096) NOT NULL,
                                 `type` varchar(64) NOT NULL,
                                 `order` int(11) NOT NULL,
                                 `unit` varchar(16) NOT NULL,
                                 PRIMARY KEY (`id`),
                                 UNIQUE KEY `name_unique` (`name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=116 DEFAULT CHARSET=utf8mb4 COMMENT='监控图表元数据配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_chart_meta`
--

LOCK TABLES `sp_chart_meta` WRITE;
/*!40000 ALTER TABLE `sp_chart_meta` DISABLE KEYS */;
INSERT INTO `sp_chart_meta` VALUES (1,'ta_timing','','ta_timing','','','0',0,'ms'),(2,'ta_req','','ta_req','','','0',0,'ms'),(3,'ta_performance','性能区间','ta_timing','{\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }, \n\"avg.tcp\": { \"label\":\"请求排队\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rlt\": { \"label\":\"资源加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(4,'ta_apdex','用户体验','ta_timing','','','0',0,'ms'),(5,'ta_plt_grade','整页加载完成','ta_timing','','','0',0,'ms'),(6,'ta_wst_grade','白屏时间','ta_timing','','','0',0,'ms'),(7,'ta_fst_grade','首屏时间','ta_timing','','','0',0,'ms'),(8,'ta_rct_grade','资源加载完成','ta_timing','','','0',0,'ms'),(9,'ta_pct_grade','网页加载完成','ta_timing','','','0',0,'ms'),(10,'ta_values_grade','对比分析','ta_timing','{\"count.plt\": { \"label\":\"整页加载完成\", \"unit\": \"\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(11,'ta_page_timing','页面性能趋势','ta_timing','{ \"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(12,'ta_ajax_timing','Ajax性能趋势','ta_req','{ \"count.tt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.tt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(13,'ta_map','地图','ta_timing','','','0',0,'ms'),(14,'ta_top_avg_time','平均时间','ta_timing','{\"avg.pct\": { \"label\":\"网页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.fst\": { \"label\":\"首屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rct\": { \"label\":\"资源加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(15,'ta_top_percent_time','时间百分比','ta_timing','{\"sumPercent.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.plt\": { \"label\":\"整页加载\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(16,'ta_top_cpm','时间吞吐量','ta_timing','{\"cpm.pct\": { \"label\":\"网页加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.plt\": { \"label\":\"整页加载\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.wst\": { \"label\":\"白屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.fst\": { \"label\":\"首屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.rct\": { \"label\":\"资源加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(17,'ta_req_top_avg_time','平均时间','ta_req','{\"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(18,'ta_req_top_percent_time','时间百分比','ta_req','{\"sumPercent.tt\": { \"label\":\"请求耗时\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(19,'ta_req_top_cpm','时间吞吐量','ta_req','{\"cpm.tt\": { \"label\":\"请求耗时\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(20,'ta_avg_time','平均时间','ta_timing','{ \"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(21,'ta_cpm','吞吐量','ta_timing','{ \"cpm.plt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(22,'ta_percent_os','操作系统','ta_timing','','','0',0,'ms'),(23,'ta_percent_device','设备','ta_timing','','','0',0,'ms'),(24,'ta_percent_browser','浏览器','ta_timing','','','0',0,'ms'),(25,'ta_percent_host','域名','ta_timing','','','0',0,'ms'),(26,'ta_percent_page','页面','ta_timing','','','0',0,'ms'),(27,'ta_req_avg_time','平均时间','ta_req','{ \"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(28,'ta_req_cpm','吞吐量','ta_req','{ \"cpm.tt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(29,'ta_req_send','发送数据','ta_req','{ \"sum.res\": { \"label\":\"发送数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(30,'ta_req_recv','接收数据','ta_req','{ \"sum.req\": { \"label\":\"接收数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(31,'ta_req_status','HTTP状态码','ta_req','{ \"count.req\": { \"label\":\"HTTP状态码\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(32,'ta_summary_info','摘要详情','ta_timing','{\"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }, \n\"sum.rdc\": { \"label\":\"DNS解析次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"最终用户体验时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.dit\": { \"label\":\"HTML完成构建\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.drt\": { \"label\":\"阻塞资源加载耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏幕时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.put\": { \"label\":\"页面卸载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rrt\": { \"label\":\"页面跳转\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.act\": { \"label\":\"查询缓存\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.dns\": { \"label\":\"查询DNS\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.tcp\": { \"label\":\"建立tcp连接\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rpt\": { \"label\":\"页面下载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.clt\": { \"label\":\"load事件\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.set\": { \"label\":\"脚本执行\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(33,'status_page','','status_page','','','0',0,''),(34,'ta_script_error','脚本错误','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(35,'ta_top_script_error','错误信息','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(36,'ta_top_page_script_error','错误页面','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(37,'ta_top_js_script_error','JavaScript报错次数','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(38,'ta_top_browser_script_error','浏览器报错次数','ta_error','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(39,'ai_web_top10','web事务 Top10','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(40,'ai_web_avg_time','web事务','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(41,'ai_web_cpm','吞吐量','application_http','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(42,'ai_web_top_time','平均响应时间','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(43,'ai_web_top_cpm','吞吐量','application_http','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(44,'ai_web_avg_time_top5','响应时间Top5','application_http','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(45,'ai_web_cpm_top5','吞吐量Top5','application_http','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(46,'ai_db_top_avg_time','平均响应时间','application_db','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(47,'ai_db_top_cpm','吞吐量','application_db','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(48,'ai_db_avg_time','响应时间Top5','application_db','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(49,'ai_db_cpm','吞吐量Top5','application_db','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(50,'ai_cache_top_avg_time','平均响应时间','application_cache','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(51,'ai_cache_top_cpm','吞吐量','application_cache','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(52,'ai_cache_avg_time','响应时间Top5','application_cache','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(53,'ai_cache_cpm','吞吐量Top5','application_cache','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(54,'ai_jvm_mem_heap','Heap memory usage','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(55,'ai_jvm_mem_non_heap','Non Heap memory usage','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(56,'ai_jvm_mem_eden_space','PS-Eden-Space','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(57,'ai_jvm_mem_old_gen','PS-Old-Gen','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(58,'ai_jvm_mem_survivor_space','PS-Survivor-Space','jvm_memory','{\"avg.init\": { \"label\":\"init\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.max\": { \"label\":\"max\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.committed\": { \"label\":\"committed\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(59,'ai_gc_mark_sweep','GC 次数','jvm_gc','{\"avg.time\": { \"label\":\"平均时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"sum.count\": { \"label\":\"总次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(60,'ai_gc_scavenge','GC 平均时间','jvm_gc','{\"avg.time\": { \"label\":\"平均时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"sum.count\": { \"label\":\"总次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,'ms'),(61,'ai_class_count','Class count','jvm_class_loader','{\"avg.loaded\": { \"label\":\"loaded\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.unloaded\": { \"label\":\"unloaded\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','',0,''),(62,'ai_thread','Thread','jvm_thread','{\"avg.state\": { \"label\":\"线程数量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(63,'ai_nodejs_men_heap','Heap memory usage','nodejs_memory','{\"avg.heap_used\": { \"label\":\"used\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.heap_total\": { \"label\":\"total\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(64,'ai_nodejs_men_non_heap','Non Heap memory usage','nodejs_memory','{\"avg.external\": { \"label\":\"external\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rss\": { \"label\":\"rss\", \"unit\": \"B\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(65,'ai_nodejs_cluster_count','Cluster count','nodejs_cluster','{\"max.count\": { \"label\":\"count\", \"unit\": \"B\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(66,'ai_nodejs_async_res','Async Resources','nodejs_async_resource','{\"sum.count\": { \"label\":\"count\", \"unit\": \"B\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(67,'ta_overview','页面性能(1小时内)','ta_req','{\"avg.tt\": { \"label\":\"Ajax 响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.tt\": { \"label\":\"Ajax 吞吐量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(68,'ai_overview','应用性能(1小时内)','application_http','{\"avg.elapsed_mean\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,''),(69,'ta_overview_days','访问量(7天内)','ta_timing','{\"count.plt\": { \"label\":\"请求数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"bar\", \"axis_index\": 0 }}','','',0,'ms'),(70,'ta_top_count','访问次数-Top20','ta_timing','{\"count.plt\": { \"label\":\"访问次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.net\": { \"label\":\"网络耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.prt\": { \"label\":\"页面渲染\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(71,'ai_top_slow_http','慢事务追踪 Top10','application_http_slow','{\"max.elapsed_max\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"max.elapsed_min\": { \"label\":\"最小耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.elapsed_count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,''),(72,'ai_top_slow_db','慢数据库追踪 Top10','application_db_slow','{\"max.elapsed_max\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"max.elapsed_min\": { \"label\":\"最小耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.elapsed_count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,''),(73,'ta_timing_slow','慢加载追踪','ta_timing_slow','{\"p95.plt\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(74,'error_count','错误次数','error_count','{\"sum.count\": { \"label\":\"发生次数\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(75,'ai_rpc_top_time','平均响应时间','application_rpc','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(76,'ai_rpc_top_cpm','吞吐量','application_rpc','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(77,'ai_rpc_avg_time_top5','响应时间Top5','application_rpc','{ \"avg.elapsed_mean\": { \"label\":\"平均响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(78,'ai_rpc_cpm_top5','吞吐量Top5','application_rpc','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(79,'ai_web_error_req','错误请求','application_http','{ \"sum.elapsed_count\": { \"label\":\"错误请求\", \"unit\": \"次\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','',0,''),(80,'ta_m_timing','','ta_timing_mobile','','','0',0,'ms'),(81,'ta_m_req','','ta_req_mobile','','','0',0,'ms'),(82,'ta_m_performance','性能区间','ta_timing_mobile','{\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }, \n\"avg.tcp\": { \"label\":\"请求排队\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.rlt\": { \"label\":\"资源加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.srt\": { \"label\":\"服务器响应\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(83,'ta_m_apdex','用户体验','ta_timing_mobile','','','0',0,'ms'),(84,'ta_m_plt_grade','整页加载完成','ta_timing_mobile','','','0',0,'ms'),(85,'ta_m_values_grade','对比分析','ta_timing_mobile','{\"count.plt\": { \"label\":\"整页加载完成\", \"unit\": \"\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"count.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"precent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(86,'ta_m_page_timing','页面性能趋势','ta_timing_mobile','{ \"count.plt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(87,'ta_m_req_timing','请求性能趋势','ta_req_mobile','{ \"count.tt\": { \"label\":\"PV\", \"unit\": \"\", \"unit_type\": \"count\", \"chart_type\": \"line\", \"axis_index\": 0 },\n\"avg.tt\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 1 }}','','0',0,'ms'),(88,'ta_m_map','地图','ta_timing_mobile','','','0',0,'ms'),(89,'ta_m_top_avg_time','平均时间','ta_timing_mobile','{\"avg.pct\": { \"label\":\"网页加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.wst\": { \"label\":\"白屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.fst\": { \"label\":\"首屏时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"avg.rct\": { \"label\":\"资源加载完成\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(90,'ta_m_top_percent_time','时间百分比','ta_timing_mobile','{\"sumPercent.pct\": { \"label\":\"网页加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.plt\": { \"label\":\"整页加载\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.wst\": { \"label\":\"白屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.fst\": { \"label\":\"首屏时间\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"sumPercent.rct\": { \"label\":\"资源加载完成\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(91,'ta_m_top_cpm','时间吞吐量','ta_timing_mobile','{\"cpm.pct\": { \"label\":\"网页加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.plt\": { \"label\":\"整页加载\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.wst\": { \"label\":\"白屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.fst\": { \"label\":\"首屏时间\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 },\n\"cpm.rct\": { \"label\":\"资源加载完成\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(92,'ta_m_req_top_avg_time','平均时间','ta_req_mobile','{\"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(93,'ta_m_req_top_percent_time','时间百分比','ta_req_mobile','{\"sumPercent.tt\": { \"label\":\"请求耗时\", \"unit\": \"%\", \"unit_type\": \"percent\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(94,'ta_m_req_top_cpm','时间吞吐量','ta_req_mobile','{\"cpm.tt\": { \"label\":\"请求耗时\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,'ms'),(95,'ta_m_avg_time','平均时间','ta_timing_mobile','{ \"avg.plt\": { \"label\":\"整页加载\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(96,'ta_m_cpm','吞吐量','ta_timing_mobile','{ \"cpm.plt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(97,'ta_m_percent_os','操作系统','ta_timing_mobile','','','0',0,'ms'),(98,'ta_m_percent_device','设备','ta_timing_mobile','','','0',0,'ms'),(99,'ta_m_percent_browser','浏览器','ta_timing_mobile','','','0',0,'ms'),(100,'ta_m_percent_av','App版本','ta_timing_mobile','','','0',0,'ms'),(101,'ta_m_percent_host','域名','ta_timing_mobile','','','0',0,'ms'),(102,'ta_m_percent_page','页面','ta_timing_mobile','','','0',0,'ms'),(103,'ta_m_req_avg_time','平均时间','ta_req_mobile','{ \"avg.tt\": { \"label\":\"请求耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(104,'ta_m_req_cpm','吞吐量','ta_req_mobile','{ \"cpm.tt\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"cpm\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'ms'),(105,'ta_m_req_send','发送数据','ta_req_mobile','{ \"sum.res\": { \"label\":\"发送数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(106,'ta_m_req_recv','接收数据','ta_req_mobile','{ \"sum.req\": { \"label\":\"接收数据\", \"unit\": \"KB\", \"unit_type\": \"CAPACITY\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'kb'),(107,'ta_m_req_status','HTTP状态码','ta_req_mobile','{ \"count.req\": { \"label\":\"HTTP状态码\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(108,'ta_m_top_error','错误信息','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(109,'ta_m_top_page_error','错误页面','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"\", \"axis_index\": 0 }}','','0',0,''),(110,'ta_m_top_error_count','报错次数','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(111,'ta_m_top_os_error','系统报错次数','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(112,'ta_m_timing_slow','慢加载追踪','ta_timing_mobile_slow','{\"p95.plt\": { \"label\":\"最大耗时\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"\", \"axis_index\": 0 }}','','',0,'ms'),(113,'ta_m_page_error','页面错误','ta_error_mobile','{ \"count.count\": { \"label\":\"错误次数\", \"unit\": \"\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(114,'ai_overview_cpm','接口吞吐量','application_http,application_rpc','{ \"sumCpm.elapsed_count\": { \"label\":\"吞吐量\", \"unit\": \"cpm\", \"unit_type\": \"\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,''),(115,'ai_overview_rt','响应时间','application_http,application_rpc','{ \"avg.elapsed_mean\": { \"label\":\"响应时间\", \"unit\": \"ms\", \"unit_type\": \"time\", \"chart_type\": \"line\", \"axis_index\": 0 }}','','0',0,'');
/*!40000 ALTER TABLE `sp_chart_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_chart_profile`
--

DROP TABLE IF EXISTS `sp_chart_profile`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_chart_profile` (
                                    `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                    `created_at` datetime NOT NULL,
                                    `updated_at` datetime DEFAULT NULL,
                                    `unique_id` varchar(125) DEFAULT NULL,
                                    `layout` text,
                                    `drawer_info_map` text,
                                    `url_config` text,
                                    `name` varchar(125) NOT NULL,
                                    `category` varchar(125) NOT NULL,
                                    `cluster_name` varchar(125) DEFAULT '',
                                    `organization` varchar(125) DEFAULT '',
                                    `editable` tinyint(1) unsigned DEFAULT '0',
                                    `deletable` tinyint(1) DEFAULT '0',
                                    `cluster_level` tinyint(1) DEFAULT '0',
                                    `cluster_type` varchar(20) NOT NULL DEFAULT '',
                                    PRIMARY KEY (`id`),
                                    UNIQUE KEY `unique_id` (`unique_id`,`organization`,`cluster_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8 COMMENT='告警消息跳转的页面配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_chart_profile`
--

LOCK TABLES `sp_chart_profile` WRITE;
/*!40000 ALTER TABLE `sp_chart_profile` DISABLE KEYS */;
INSERT INTO `sp_chart_profile` VALUES (1,'2019-01-25 14:12:53','2019-02-26 15:31:21','haproxy','[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-21243f4d\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-22d39691\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-c9362df9\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-a1234e6e\",\"moved\":false,\"static\":false}]','{\"chart-21243f4d\":{\"chartType\":\"line\",\"name\":\"haproxy_status\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&uprate=hrsp_1xx&uprate=hrsp_2xx&uprate=hrsp_3xx&uprate=hrsp_4xx&uprate=hrsp_5xx&uprate=hrsp_other&format=flat_chart\",\"panelsetting#title#show\":true,\"panelsetting#legend#show\":true,\"panelsetting#legend#data\":\"[\\\"hrsp_1xx\\\",\\\"hrsp_2xx\\\",\\\"hrsp_3xx\\\",\\\"hrsp_4xx\\\",\\\"hrsp_5xx\\\",\\\"hrsp_other\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#title#text\":\"总请求状态码统计\",\"panelsetting#legend#bottom\":\"0\",\"panelsetting#yAxis#name\":\"次数/s\"},\"chart-22d39691\":{\"chartType\":\"line\",\"name\":\"haproxy_conn_rate\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"总连接数趋势\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"连接频率\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&avg=conn_rate&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.conn_rate\\\":\\\"连接频率\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-c9362df9\":{\"chartType\":\"line\",\"name\":\"haproxy_req_rate\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"总请求量趋势\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"请求速率\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次数/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&avg=req_rate&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.req_rate\\\":\\\"请求速率\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) {\\n            v.name = map[v.name];\\n        }\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-a1234e6e\":{\"chartType\":\"line\",\"name\":\"haproxy_net_io\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"总网络IO\",\"panelsetting#title#top\":\"\",\"panelsetting#title#left\":\"\",\"panelsetting#title#right\":\"\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"输入速度\\\",\\\"输出速度\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/haproxy/histogram?start=before_1h&end=now&points=60&filter_pxname=marathon_http_in&uprate=bin&uprate=bout&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"uprate.bin\\\":\\\"输入速度\\\", \\\"uprate.bout\\\":\\\"输出速度\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"Haproxy\",\"chart-21243f4d\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"],[\"aggregator3\",\"aggregatorType3\",\"aggregatorField3\",\"aggregatorScript3\"],[\"aggregator4\",\"aggregatorType4\",\"aggregatorField4\",\"aggregatorScript4\"],[\"aggregator5\",\"aggregatorType5\",\"aggregatorField5\",\"aggregatorScript5\"],[\"aggregator6\",\"aggregatorType6\",\"aggregatorField6\",\"aggregatorScript6\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"haproxy\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"uprate\",\"aggregatorField1\":\"hrsp_1xx\",\"aggregatorType2\":\"field\",\"aggregator2\":\"uprate\",\"aggregatorField2\":\"hrsp_2xx\",\"aggregatorType3\":\"field\",\"aggregator3\":\"uprate\",\"aggregatorField3\":\"hrsp_3xx\",\"aggregatorType4\":\"field\",\"aggregator4\":\"uprate\",\"aggregatorField4\":\"hrsp_4xx\",\"aggregatorType5\":\"field\",\"aggregator5\":\"uprate\",\"aggregatorField5\":\"hrsp_5xx\",\"aggregatorType6\":\"field\",\"aggregator6\":\"uprate\",\"aggregatorField6\":\"hrsp_other\"},\"chart-22d39691\":{\"metric\":\"haproxy\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"conn_rate\"},\"chart-c9362df9\":{\"metric\":\"haproxy\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"req_rate\"},\"chart-a1234e6e\":{\"metric\":\"haproxy\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"pxname\",\"filterTagValue1\":\"marathon_http_in\",\"aggregatorType1\":\"field\",\"aggregator1\":\"uprate\",\"aggregatorField1\":\"bin\",\"aggregatorType2\":\"field\",\"aggregator2\":\"uprate\",\"aggregatorField2\":\"bout\"}}','Haproxy','platform','','',1,0,0,'dcos'),(2,'2019-01-28 16:06:38','2019-02-26 15:43:05','mysql','[{\"w\":6,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-72ac6b54\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":0,\"i\":\"chart-82b7e595\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-396649b8\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":9,\"i\":\"chart-8480e6dc\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-e93df521\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":36,\"i\":\"chart-31eb0594\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":54,\"i\":\"chart-4cefde59\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-81effac4\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":36,\"i\":\"chart-85a687ef\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":45,\"i\":\"chart-9131f2ab\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":45,\"i\":\"chart-7758eb3d\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":63,\"i\":\"chart-d7676889\",\"moved\":false,\"static\":false}]','{\"chart-72ac6b54\":{\"name\":\"mysql_connected\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"连接数统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&max=threads_connected&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"\"},\"chart-82b7e595\":{\"name\":\"mysql_slow_queries\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"慢查询统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=slow_queries&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-396649b8\":{\"name\":\"mysql_qps\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"QPS\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=%28com_delete%2Bcom_insert%2Bcom_select%2Bcom_update%29&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-8480e6dc\":{\"name\":\"mysql_tps\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"TPS\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=%28com_commit%2Bcom_rollback%29&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-e93df521\":{\"name\":\"mysql_bytes_received\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网络接收量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=bytes_received&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-31eb0594\":{\"name\":\"mysql_innodb_rows_deleted\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB删除行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_deleted&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-4cefde59\":{\"name\":\"mysql_innodb_data_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB读速度\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_data_read&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-81effac4\":{\"name\":\"mysql_bytes_sent\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网络发送量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=bytes_sent&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-85a687ef\":{\"name\":\"mysql_innodb_rows_inserted\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB插入行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_inserted&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-9131f2ab\":{\"name\":\"mysql_innodb_rows_updated\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB更新行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_updated&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\"},\"chart-7758eb3d\":{\"name\":\"mysql_innodb_rows_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB读取行数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"行/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_rows_read&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\"},\"chart-d7676889\":{\"name\":\"mysql_innodb_data_written\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"INNODB写速度\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mysql/histogram?diffps=innodb_data_written&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=server&limit=20&points=60&sort=count&start=before_1h\"}}','{\"chart-72ac6b54\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"threads_connected\"},\"chart-82b7e595\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"group1\":\"server\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"slow_queries\"},\"chart-396649b8\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"script\",\"aggregatorScript1\":\"com_delete+com_insert+com_select+com_update\"},\"chart-8480e6dc\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"script\",\"aggregatorScript1\":\"com_commit+com_rollback\"},\"chart-e93df521\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"bytes_received\"},\"chart-31eb0594\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_deleted\"},\"chart-4cefde59\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_data_read\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-81effac4\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"bytes_sent\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-85a687ef\":{\"metric\":\"mysql\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_inserted\"},\"chart-9131f2ab\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_updated\"},\"chart-7758eb3d\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"searchType\":\"histogram\",\"points\":\"60\",\"group1\":\"server\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_rows_read\"},\"chart-d7676889\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"mysql\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"innodb_data_written\"}}','MySQL','platform','','',1,0,1,''),(3,'2019-01-28 16:22:55','2019-03-04 15:41:13','netdisk','[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-2d88edd5\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-76bac597\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-0e42f27d\",\"moved\":false,\"static\":false}]','{\"chart-2d88edd5\":{\"name\":\"netdisk_used_percent\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网盘使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#data\":\"[\\\"使用百分比\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&avg=used_percent&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.used_percent\\\":\\\"使用百分比\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#legend#bottom\":\"0\",\"panelsetting#yAxis#name\":\"百分比\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    return value.toFixed(2)+\\\" %\\\";\\n}\"},\"chart-76bac597\":{\"name\":\"netdisk_used\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"网盘使用量\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"使用量\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&avg=used&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"avg.used\\\":\\\"使用量\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-0e42f27d\":{\"name\":\"netdisk_uprate\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"增长率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"[\\\"增长量/秒\\\"]\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=used&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"diffps.used\\\":\\\"增长量/秒\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"网盘\",\"chart-2d88edd5\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"disk\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"used_percent\"},\"chart-76bac597\":{\"metric\":\"disk\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"avg\",\"aggregatorField1\":\"used\"},\"chart-0e42f27d\":{\"metric\":\"disk\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"used\"}}','网盘','platform','','',1,0,0,''),(4,'2019-01-29 11:07:50','2019-02-26 15:45:33','zookeeper','[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-b018f93f\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-7d9445b6\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-edf1eac5\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":36,\"i\":\"chart-b8815391\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":63,\"i\":\"chart-b75b4e45\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":54,\"i\":\"chart-3f371ce7\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-3112cabc\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":45,\"i\":\"chart-ebe336d5\",\"moved\":false,\"static\":false}]','{\"chart-b018f93f\":{\"name\":\"zookeeper_data_size\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"数据量统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=approximate_data_size&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-7d9445b6\":{\"name\":\"zookeeper_znode_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Znode数量\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=znode_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-edf1eac5\":{\"name\":\"zookeeper_watch\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Watct数量\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=watch_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-b8815391\":{\"name\":\"zookeeper_packets\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"发送数据包统计\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#xAxis#name\":\"\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=packets_sent&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-b75b4e45\":{\"name\":\"zookeeper_open_files\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"打开文件数\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=open_file_descriptor_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-3f371ce7\":{\"name\":\"zookeeper_connections\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"活跃连接数\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=num_alive_connections&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-3112cabc\":{\"name\":\"zookeeper_ephemerals_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"临时Znode数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=ephemerals_count&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-ebe336d5\":{\"name\":\"zookeeper_packets_received\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"接收数据包统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/zookeeper/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=packets_received&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"ZooKeeper\",\"chart-b018f93f\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"approximate_data_size\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-7d9445b6\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"znode_count\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-edf1eac5\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"watch_count\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-b8815391\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"packets_sent\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-b75b4e45\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"open_file_descriptor_count\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-3f371ce7\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"num_alive_connections\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-3112cabc\":{\"metric\":\"zookeeper\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"ephemerals_count\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-ebe336d5\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"zookeeper\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"packets_received\"}}','ZooKeeper','platform','','',1,0,0,''),(5,'2019-01-29 16:14:04','2019-02-26 15:50:39','redis','[{\"w\":12,\"h\":10,\"x\":0,\"y\":0,\"i\":\"chart-a419a263\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":10,\"i\":\"chart-ccd1e273\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":20,\"i\":\"chart-7a7d86f6\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":29,\"i\":\"chart-802cb2b6\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":38,\"i\":\"chart-eb6283cb\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":48,\"i\":\"chart-4d04f04c\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":57,\"i\":\"chart-8d7732c7\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":66,\"i\":\"chart-1a8542ab\",\"moved\":false,\"static\":false}]','{\"chart-a419a263\":{\"name\":\"redis_clients\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"客户端连接数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=clients&group=server&sort=count&limit=20&format=flat_chart\",\"panelsetting#yAxis#name\":\"个数\",\"paneldata#dataConvertor\":\"\"},\"chart-ccd1e273\":{\"name\":\"redis_ops_per_sec\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"命令运行频率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=instantaneous_ops_per_sec&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-7a7d86f6\":{\"name\":\"redis_pubsub_channels\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"被订阅的频道数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=pubsub_channels&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-802cb2b6\":{\"name\":\"redis_pubsub_patterns\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"被订阅的模式数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=pubsub_patterns&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-eb6283cb\":{\"name\":\"redis_mem_fragmentation_ratio\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存碎片率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=mem_fragmentation_ratio&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-4d04f04c\":{\"name\":\"redis_used_memory\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=used_memory&group=server&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"\"},\"chart-8d7732c7\":{\"name\":\"redis_blocked_clients\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"阻塞中的命令\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#xAxis#name\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=blocked_clients&group=server&sort=count&limit=20&format=flat_chart\"},\"chart-1a8542ab\":{\"name\":\"redis_aof_current_size\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"AOF文件大小\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/redis/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=aof_current_size&group=server&sort=count&limit=20&format=flat_chart\"}}','{\"chartGroupName\":\"Redis\",\"chart-a419a263\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"redis\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"clients\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20},\"chart-ccd1e273\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"instantaneous_ops_per_sec\"},\"chart-7a7d86f6\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"pubsub_channels\"},\"chart-802cb2b6\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"redis\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"pubsub_patterns\"},\"chart-eb6283cb\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"mem_fragmentation_ratio\"},\"chart-4d04f04c\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"used_memory\"},\"chart-8d7732c7\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"blocked_clients\"},\"chart-1a8542ab\":{\"metric\":\"redis\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"server\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"aof_current_size\"}}','Redis','platform','','',1,0,1,''),(6,'2019-01-29 19:31:56','2019-02-26 15:55:41','elasticsearch','[{\"w\":6,\"h\":10,\"x\":0,\"y\":0,\"i\":\"chart-7b0bbde8\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":6,\"y\":0,\"i\":\"chart-222d188d\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":0,\"y\":20,\"i\":\"chart-1e6ed063\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":6,\"y\":20,\"i\":\"chart-9210b9a2\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":0,\"y\":40,\"i\":\"chart-76d73d21\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":10,\"x\":6,\"y\":40,\"i\":\"chart-834e0148\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":10,\"i\":\"chart-f4f3a12c\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":50,\"i\":\"chart-74b2ed53\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":50,\"i\":\"chart-805f898b\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":59,\"i\":\"chart-e670d96e\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":10,\"x\":0,\"y\":30,\"i\":\"chart-515e2ea4\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":59,\"i\":\"chart-2af2bafa\",\"moved\":false,\"static\":false}]','{\"chart-7b0bbde8\":{\"name\":\"elasticsearch_store_size\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"索引总存储量\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=store_size_in_bytes&group=node_id&sort=count&limit=20&reduce=sum&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"max.store_size_in_bytes\\\":\\\"存储大小\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-222d188d\":{\"name\":\"elasticsearch_docs_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"文档总数量\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    if(value>1000) return Math.round(value / 1000) + \\\" K\\\";\\n    return value;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=docs_count&group=node_id&sort=count&limit=20&reduce=sum&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    let map = {\\\"diffps.docs_count\\\":\\\"文档数量\\\"};\\n    datas = datas.map(v => {\\n        if (!!map[v.name]) v.name = map[v.name];\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-1e6ed063\":{\"name\":\"elasticsearch\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Http连接数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#xAxis#name\":\"\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_http/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=current_open&group=node_name&sort=count&limit=20&format=flat_chart\"},\"chart-9210b9a2\":{\"name\":\"elasticsearch_transport\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Transport连接数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_transport/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=server_open&group=node_name&sort=count&limit=20&format=flat_chart\"},\"chart-76d73d21\":{\"name\":\"elasticsearch_gc_collectors_old_collection_count\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"老年代GC次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_jvm/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=gc_collectors_old_collection_count&group=node_name&sort=count&limit=20&format=flat_chart\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-834e0148\":{\"name\":\"elasticsearch_gc_collectors_young_collection_count\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"年轻代GC次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_jvm/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=gc_collectors_young_collection_count&group=node_name&sort=count&limit=20&format=flat_chart\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#yAxis#axisLabel#formatter\":\"\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-f4f3a12c\":{\"name\":\"elasticsearch_segment\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=segments_count&group=node_name&sort=count&limit=20&format=flat_chart\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Segment数量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    if(value>1000) return nag + Math.round(value / 1000) + \\\" K\\\";\\n    return nag + Math.round(value);\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\"},\"chart-74b2ed53\":{\"name\":\"elasticsearch_search_query_total\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Search次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=search_query_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-805f898b\":{\"name\":\"elasticsearch_indexing_index_total\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Index次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=indexing_index_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-e670d96e\":{\"name\":\"elasticsearch_merges\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Merges次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=merges_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-515e2ea4\":{\"name\":\"elasticsearch_jvm_heap\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"JVM堆内存\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_jvm/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&max=mem_heap_used_in_bytes&group=node_name&sort=count&limit=20&format=flat_chart\"},\"chart-2af2bafa\":{\"chartType\":\"line\",\"name\":\"elasticsearch_refresh_total\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Refresh次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/elasticsearch_indices/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&diffps=refresh_total&group=node_name&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"Elasticsearch\",\"chart-7b0bbde8\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[[\"extraKey1\",\"extraValue1\"]],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_id\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"store_size_in_bytes\",\"extraKey1\":\"reduce\",\"extraValue1\":\"sum\"},\"chart-222d188d\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[[\"extraKey1\",\"extraValue1\"]],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_indices\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_id\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"docs_count\",\"extraKey1\":\"reduce\",\"extraValue1\":\"sum\"},\"chart-1e6ed063\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_http\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"current_open\"},\"chart-9210b9a2\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_transport\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"server_open\"},\"chart-76d73d21\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_jvm\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"gc_collectors_old_collection_count\"},\"chart-834e0148\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_jvm\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"gc_collectors_young_collection_count\"},\"chart-f4f3a12c\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"elasticsearch_indices\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"segments_count\"},\"chart-74b2ed53\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"search_query_total\"},\"chart-805f898b\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"indexing_index_total\"},\"chart-e670d96e\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"merges_total\"},\"chart-515e2ea4\":{\"metric\":\"elasticsearch_jvm\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"mem_heap_used_in_bytes\"},\"chart-2af2bafa\":{\"metric\":\"elasticsearch_indices\",\"searchType\":\"histogram\",\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"node_name\",\"sort1\":\"count\",\"limit1\":20,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"refresh_total\"}}','Elasticsearch','platform','','',1,0,1,''),(7,'2019-03-22 09:53:19','2019-03-22 17:07:57','cassandra','[{\"w\":6,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-87569e6f\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":27,\"i\":\"chart-df7336c7\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":36,\"i\":\"chart-5bb6bdd9\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":45,\"i\":\"chart-9d5b507a\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":0,\"i\":\"chart-91b50afa\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-7551e461\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":9,\"i\":\"chart-7fb1f0d2\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-768a4779\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":18,\"i\":\"chart-e95fa570\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":27,\"i\":\"chart-c94244a1\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":36,\"i\":\"chart-e7cdff92\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":54,\"i\":\"chart-08c3e007\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":54,\"i\":\"chart-f242b484\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":0,\"y\":63,\"i\":\"chart-18598f6d\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":63,\"i\":\"chart-f555214f\",\"moved\":false,\"static\":false},{\"w\":6,\"h\":9,\"x\":6,\"y\":45,\"i\":\"chart-5cfa97f5\",\"moved\":false,\"static\":false}]','{\"chart-87569e6f\":{\"name\":\"cassandra_java_memory_committed\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Committed\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_committed&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"\"},\"chart-df7336c7\":{\"name\":\"non_heap_memory_usage_used\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemory -Used\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_used&points=60&sort=count&start=before_1h\",\"paneldata#dataConvertor\":\"\"},\"chart-5bb6bdd9\":{\"name\":\"cassandra_java_garbagecollector_old\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"GC - G1 Old Generation\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_garbagecollector/histogram?diffps=CollectionCount&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&filter_name=G1%20Old%20Generation&format=flat_chart&group=jolokia_host&limit=20&points=60&sort=count&start=before_1h\"},\"chart-9d5b507a\":{\"name\":\"cassandra_client\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"客户端连接统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_client/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&filter_name=connectedNativeClients&format=flat_chart&group=jolokia_host&limit=20&max=Value&points=60&sort=count&start=before_1h\"},\"chart-bc32a7a7\":{},\"chart-91b50afa\":{\"name\":\"cassandra_java_memory_init\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_init&points=60&sort=count&start=before_1h\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Init\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\"},\"chart-7551e461\":{\"name\":\"cassandra_java_memory_max\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Max\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_max&points=60&sort=count&start=before_1h\"},\"chart-7fb1f0d2\":{\"name\":\"cassandra_java_memory_used\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"HeapMemory - Used\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=HeapMemoryUsage_used&points=60&sort=count&start=before_1h\"},\"chart-768a4779\":{\"name\":\"non_heap_memory_usage_committed\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemoryUsage - Commited\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_committed&points=60&sort=count&start=before_1h\"},\"chart-e95fa570\":{\"name\":\"non_heap_memory_usage_init\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemory - Init\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_init&points=60&sort=count&start=before_1h\"},\"chart-c94244a1\":{\"name\":\"non_heap_memory_usage_max\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"NonHeapMemory - Max\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B\\\",\\\"KB\\\",\\\"MB\\\",\\\"GB\\\",\\\"TB\\\",\\\"PB\\\",\\\"EB\\\",\\\"ZB\\\",\\\"YB\\\",\\\"BB\\\",\\\"NB\\\",\\\"DB\\\"], unit=\\\"B\\\";\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_memory/histogram?end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&format=flat_chart&group=jolokia_host&limit=20&max=NonHeapMemoryUsage_max&points=60&sort=count&start=before_1h\"},\"chart-e7cdff92\":{\"name\":\"cassandra_java_garbagecollector_young\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"GC - G1 Young Generation\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_java_garbagecollector/histogram?diffps=CollectionCount&end=now&filter_cluster_name=terminus-dev&filter_component_name=platform&filter_name=G1%20Young%20Generation&format=flat_chart&group=jolokia_host&limit=20&points=60&sort=count&start=before_1h\",\"panelsetting#yAxis#name\":\"次/s\"},\"chart-08c3e007\":{\"name\":\"cassandra_client_request_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"常规读请求次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=Read&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-f242b484\":{\"name\":\"cassandra_client_request_write\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"常规写请求次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=Write&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-18598f6d\":{\"name\":\"cassandra_client_request_cas_read\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CAS读请求次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=CASRead&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-f555214f\":{\"name\":\"cassandra_client_request_cas_write\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CASWrite\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"次/s\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=CASWrite&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-5cfa97f5\":{\"name\":\"cassandra_client_request_range_slice\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"范围查询次数\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cassandra_clientrequest/histogram?start=before_1h&end=now&points=60&filter_component_name=platform&filter_scope=RangeSlice&diffps=Count&group=jolokia_host&sort=count&limit=20&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chart-87569e6f\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_committed\"},\"chart-df7336c7\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"points\":\"60\",\"group1\":\"jolokia_host\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"aggregator4\":\"max\",\"aggregatorType4\":\"field\",\"aggregatorField4\":\"NonHeapMemoryUsage_used\"},\"chart-5bb6bdd9\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_garbagecollector\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"name\",\"filterTagValue2\":\"G1 Old Generation\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"CollectionCount\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-9d5b507a\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_client\",\"searchType\":\"histogram\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"name\",\"filterTagValue2\":\"connectedNativeClients\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Value\"},\"chart-91b50afa\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_init\"},\"chart-7551e461\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_max\"},\"chart-7fb1f0d2\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"HeapMemoryUsage_used\"},\"chart-768a4779\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"NonHeapMemoryUsage_committed\"},\"chart-e95fa570\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"NonHeapMemoryUsage_init\"},\"chart-c94244a1\":{\"metric\":\"cassandra_java_memory\",\"searchType\":\"histogram\",\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"points\":\"60\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"group1\":\"jolokia_host\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"NonHeapMemoryUsage_max\"},\"chart-e7cdff92\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_java_garbagecollector\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"name\",\"filterTagValue2\":\"G1 Young Generation\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"CollectionCount\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-08c3e007\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"Read\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-f242b484\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"Write\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-18598f6d\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"CASRead\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-f555214f\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"CASWrite\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"},\"chart-5cfa97f5\":{\"configType\":\"form\",\"start\":\"before_1h\",\"end\":\"now\",\"metric\":\"cassandra_clientrequest\",\"filterTagKey1\":\"component_name\",\"filterTagValue1\":\"platform\",\"filterTagKey2\":\"scope\",\"filterTagValue2\":\"RangeSlice\",\"group1\":\"jolokia_host\",\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"Count\",\"searchType\":\"histogram\",\"points\":\"60\"}}','Cassandra','platform','','',1,0,1,''),(8,'2019-01-29 13:24:12','2019-03-27 12:04:11','load','[{\"w\":12,\"h\":10,\"x\":0,\"y\":0,\"i\":\"chart-dd5bce36\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":10,\"i\":\"chart-38a3fc41\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":19,\"i\":\"chart-de716f2c\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":28,\"i\":\"chart-2408fc58\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":37,\"i\":\"chart-37c4eb51\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":46,\"i\":\"chart-30f67812\",\"moved\":false,\"static\":false}]','{\"chart-dd5bce36\":{\"name\":\"load\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?align=false&align_end=true&avg=load1&avg=load5&end=now&filter_cluster_name=terminus-dev&filter_host_ip=10.168.0.101&format=flat_chart&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\"},\"chart-38a3fc41\":{\"name\":\"load_cpu\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CPU使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cpu/histogram?align=false&align_end=true&avg=usage_active&end=now&filter_cluster_name=terminus-dev&filter_cpu=cpu-total&filter_host_ip=10.168.0.101&format=flat_chart&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#yAxis#name\":\"%\"},\"chart-de716f2c\":{\"name\":\"load_mem\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mem/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-2408fc58\":{\"name\":\"load_diskio_readd\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘读\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/diskio/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&diffps=read_bytes&group=name&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-37c4eb51\":{\"name\":\"load_diskio_write\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘写\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#axisLabel#formatter\":\"function(value){\\n    var units=[\\\"B/s\\\",\\\"KB/s\\\",\\\"MB/s\\\",\\\"GB/s\\\",\\\"TB/s\\\",\\\"PB/s\\\",\\\"EB/s\\\",\\\"ZB/s\\\",\\\"YB/s\\\",\\\"BB/s\\\",\\\"NB/s\\\",\\\"DB/s\\\"], unit=\\\"B/s\\\";\\n    var nag = \\\"\\\";\\n    if(value<0) {\\n        nag = \\\"-\\\";\\n        value = -value;\\n    }\\n    for(var i=0;value>=1024;i++) {\\n        value = value/1024;\\n        unit = units[i+1];\\n    }\\n    return nag + value.toFixed(2)+\\\" \\\"+unit;\\n}\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/diskio/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&diffps=write_bytes&group=name&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-30f67812\":{\"name\":\"load_process\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"进程统计\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"个数\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/processes/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=blocked&max=sleeping&max=running&max=zombies&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"Load\",\"chart-dd5bce36\":{\"configType\":\"form\",\"fixedUrl\":\"\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-38a3fc41\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"cpu\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"filterTagKey2\":\"cpu\",\"filterTagValue2\":\"cpu-total\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"usage_active\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-de716f2c\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"mem\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-2408fc58\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"diskio\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"name\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"read_bytes\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-37c4eb51\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"diskio\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"name\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"diffps\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"write_bytes\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-30f67812\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"processes\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"blocked\",\"aggregator2\":\"max\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"sleeping\",\"aggregator3\":\"max\",\"aggregatorType3\":\"field\",\"aggregatorField3\":\"running\",\"aggregator4\":\"max\",\"aggregatorType4\":\"field\",\"aggregatorField4\":\"zombies\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-b0d09e03\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[[\"group1\",\"sort1\",\"limit1\"]],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":60,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"procstat\",\"group1\":\"process_name\",\"sort1\":\"count\",\"limit1\":100,\"aggregatorType1\":\"field\",\"aggregator1\":\"diffps\",\"aggregatorField1\":\"read_bytes\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\"},\"chart-4da6eff8\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[[\"extraKey1\",\"extraValue1\"]],\"points\":2,\"start\":\"before_1h\",\"end\":\"now\",\"configType\":\"fixed\",\"fixedUrl\":\"/api/metrics/charts/procstat/histogram?start=before_5m&end=now&points=5&filter_host_ip=10.168.0.101&diffps=write_bytes&align=false&format=flat_chart&timestamp=1548833640000&group=process_name\",\"metric\":\"procstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"write_bytes\",\"extraKey1\":\"align\",\"extraValue1\":\"false\"}}','Load','alert','','',0,0,0,''),(9,'2019-01-29 14:12:35','2019-03-27 13:05:32','diskio','[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-ebf178a2\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-897b6a03\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-d6270c93\",\"moved\":false,\"static\":false}]','{\"chart-ebf178a2\":{\"name\":\"diskio_\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"Disk IO Util\",\"panelsetting#legend#show\":true,\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=pct_util&group=device&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#legend#bottom\":\"0\",\"panelsetting#yAxis#name\":\"%\"},\"chart-897b6a03\":{\"name\":\"diskio_\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=load1&avg=load5&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-d6270c93\":{\"name\":\"diskio_\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#yAxis#axisLabel#formatter\":\"\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mem/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"DiskIO\",\"chart-ebf178a2\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"device\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"pct_util\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-897b6a03\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-d6270c93\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"mem\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"}}','DiskIO','alert','','',0,0,0,''),(10,'2019-01-29 14:25:10','2019-03-27 13:10:31','cpu','[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"chart-7bd6bbac\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":9,\"i\":\"chart-09a6297a\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":9,\"x\":0,\"y\":18,\"i\":\"chart-dbd08f92\",\"moved\":false,\"static\":false}]','{\"chart-7bd6bbac\":{\"name\":\"cpu\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cpu/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&filter_cpu=cpu-total&avg=usage_active&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CPU使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"panelsetting#yAxis#name\":\"%\"},\"chart-09a6297a\":{\"name\":\"cpu_disk\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&group=device&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-dbd08f92\":{\"name\":\"cpu_mem\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用量\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"CPU\",\"chart-7bd6bbac\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"cpu\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"filterTagKey2\":\"cpu\",\"filterTagValue2\":\"cpu-total\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"usage_active\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-09a6297a\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"device\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-dbd08f92\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-f61ce059\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"}}','CPU','alert','','',0,0,0,''),(11,'2019-01-29 14:43:09','2019-03-27 13:18:25','disk','[{\"w\":12,\"h\":8,\"x\":0,\"y\":0,\"i\":\"chart-816f5bfa\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":8,\"i\":\"chart-436a50d1\",\"moved\":false,\"static\":false}]','{\"chart-816f5bfa\":{\"name\":\"disk\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"磁盘使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/disk/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&group=device&sort=count&limit=20&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-436a50d1\":{\"name\":\"disk_load\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=load1&avg=load5&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"Disk\",\"chart-816f5bfa\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"disk\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"group1\":\"device\",\"sort1\":\"count\",\"limit1\":20,\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-436a50d1\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-e8e7f6b6\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"}}','Disk','alert','','',0,0,0,''),(12,'2019-01-29 14:59:59','2019-03-27 13:24:22','swap','[{\"w\":12,\"h\":8,\"x\":0,\"y\":8,\"i\":\"chart-47a668df\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":0,\"i\":\"chart-e66dd8ab\",\"moved\":false,\"static\":false}]','{\"chart-47a668df\":{\"name\":\"swap\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"交换分区使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/swap/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-e66dd8ab\":{\"name\":\"swap_load\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=load1&avg=load5&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"}}','{\"chartGroupName\":\"Swap\",\"chart-47a668df\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"swap\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-e66dd8ab\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-e575423d\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"}}','Swap','alert','','',0,0,0,''),(13,'2019-01-29 15:08:06','2019-03-27 13:36:58','crash','[{\"w\":12,\"h\":8,\"x\":0,\"y\":0,\"i\":\"chart-0b52f7df\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":24,\"i\":\"chart-4648fba9\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":8,\"i\":\"chart-7c485a98\",\"moved\":false,\"static\":false},{\"w\":12,\"h\":8,\"x\":0,\"y\":16,\"i\":\"chart-35650da8\",\"moved\":false,\"static\":false}]','{\"chart-0b52f7df\":{\"name\":\"crash\",\"chartType\":\"line\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"系统负载\",\"panelsetting#legend#show\":false,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"paneldata#url\":\"/api/spot/metrics/charts/system/histogram?align=false&align_end=true&avg=load1&avg=load5&end=now&filter_cluster_name=terminus-dev&filter_host_ip=10.168.0.101&format=flat_chart&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-4648fba9\":{\"name\":\"crash_swap\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"交换分区使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/swap/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&max=used_percent&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\"},\"chart-7c485a98\":{\"name\":\"crash_mem\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"内存使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#yAxis#name\":\"%\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/mem/histogram?align=false&align_end=true&end=now&filter_cluster_name=terminus-dev&filter_host_ip=10.168.0.101&format=flat_chart&max=used_percent&points=10&start=before_10m\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\\n\"},\"chart-35650da8\":{\"name\":\"crash_cpu\",\"panelsetting#title#show\":true,\"panelsetting#title#text\":\"CPU使用率\",\"panelsetting#legend#show\":true,\"panelsetting#legend#bottom\":\"0\",\"panelsetting#legend#data\":\"\",\"panelsetting#yAxis#show\":true,\"panelsetting#yAxis#type\":\"value\",\"panelsetting#xAxis#show\":true,\"panelsetting#xAxis#type\":\"category\",\"chartType\":\"line\",\"paneldata#url\":\"/api/spot/metrics/charts/cpu/histogram?start=before_10m&end=now&points=10&filter_host_ip=10.168.0.101&avg=usage_active&align=false&align_end=true&format=flat_chart\",\"paneldata#dataConvertor\":\"function(values) {\\n    if(!values.datas) return values;\\n    let {names, datas} = values;\\n    datas = datas.map(v => {\\n        let idx = v.name.indexOf(\\\".\\\");\\n        if(idx>=0)\\n            v.name = v.name.substr(idx+1);\\n        v.data = v.data.map(function(v) {return v.toFixed(2);});\\n        return { ...v };\\n    });\\n    return {names, datas};\\n}\",\"panelsetting#yAxis#name\":\"%\"}}','{\"chartGroupName\":\"宕机\",\"chart-0b52f7df\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"system\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"load1\",\"aggregator2\":\"avg\",\"aggregatorType2\":\"field\",\"aggregatorField2\":\"load5\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-f0070dbc\":{\"filterTagsKeys\":[[\"filterTagKey1\",\"filterTagValue1\"]],\"excludeTagsKeys\":[],\"aggregatorKeys\":[[\"aggregator1\",\"aggregatorType1\",\"aggregatorField1\",\"aggregatorScript1\"],[\"aggregator2\",\"aggregatorType2\",\"aggregatorField2\",\"aggregatorScript2\"]],\"tagGroupKeys\":[],\"searchType\":\"histogram\",\"extraFieldKeys\":[],\"points\":10,\"start\":\"before_10m\",\"end\":\"now\",\"configType\":\"form\",\"metric\":\"netstat\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregatorType1\":\"field\",\"aggregator1\":\"max\",\"aggregatorField1\":\"tcp_close\",\"aggregatorType2\":\"field\",\"aggregator2\":\"max\",\"aggregatorField2\":\"tcp_time_wait\"},\"chart-4648fba9\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"swap\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-7c485a98\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"mem\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"max\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"used_percent\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"},\"chart-35650da8\":{\"configType\":\"form\",\"start\":\"before_10m\",\"end\":\"now\",\"metric\":\"cpu\",\"filterTagKey1\":\"host_ip\",\"filterTagValue1\":\"10.168.0.101\",\"aggregator1\":\"avg\",\"aggregatorType1\":\"field\",\"aggregatorField1\":\"usage_active\",\"searchType\":\"histogram\",\"points\":10,\"extraKey1\":\"align\",\"extraValue1\":\"false\",\"extraKey2\":\"align_end\",\"extraValue2\":\"true\"}}','宕机','alert','','',0,0,0,'');
/*!40000 ALTER TABLE `sp_chart_profile` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_customize_alert`
--

DROP TABLE IF EXISTS `sp_customize_alert`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_customize_alert` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                      `name` varchar(64) NOT NULL COMMENT '告警名称',
                                      `alert_type` varchar(32) NOT NULL COMMENT '类型',
                                      `alert_scope` varchar(32) NOT NULL COMMENT '告警所在的组织域，包含org、project和app',
                                      `alert_scope_id` varchar(128) NOT NULL DEFAULT '' COMMENT '告警范围id',
                                      `attributes` varchar(1024) NOT NULL COMMENT '扩展属性JSON',
                                      `enable` int(1) NOT NULL DEFAULT '1' COMMENT '告警开关',
                                      `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '告警创建时间',
                                      `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '告警更新时间',
                                      PRIMARY KEY (`id`),
                                      UNIQUE KEY `uniq_scope_X_name` (`alert_scope_id`,`name`,`alert_scope`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义告警';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_customize_alert`
--

LOCK TABLES `sp_customize_alert` WRITE;
/*!40000 ALTER TABLE `sp_customize_alert` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_customize_alert` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_customize_alert_notify_template`
--

DROP TABLE IF EXISTS `sp_customize_alert_notify_template`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_customize_alert_notify_template` (
                                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                                      `name` varchar(64) NOT NULL COMMENT '名称',
                                                      `customize_alert_id` bigint(20) NOT NULL COMMENT '自定义告警ID',
                                                      `alert_type` varchar(32) NOT NULL COMMENT '类型',
                                                      `alert_index` varchar(128) NOT NULL COMMENT '索引',
                                                      `target` varchar(255) NOT NULL COMMENT '发送类型',
                                                      `trigger` varchar(255) NOT NULL COMMENT '触发类似，alert| recovery',
                                                      `title` varchar(4096) NOT NULL COMMENT '模板标题',
                                                      `template` varchar(4096) NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
                                                      `formats` varchar(4096) NOT NULL DEFAULT '{}' COMMENT '字段格式化定义',
                                                      `version` varchar(255) NOT NULL DEFAULT '1.0' COMMENT '版本',
                                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                                      `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
                                                      PRIMARY KEY (`id`),
                                                      KEY `idx_customize_alert_id` (`customize_alert_id`),
                                                      KEY `idx_alert_index` (`alert_index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义告警模板表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_customize_alert_notify_template`
--

LOCK TABLES `sp_customize_alert_notify_template` WRITE;
/*!40000 ALTER TABLE `sp_customize_alert_notify_template` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_customize_alert_notify_template` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_customize_alert_rule`
--

DROP TABLE IF EXISTS `sp_customize_alert_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_customize_alert_rule` (
                                           `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                           `name` varchar(64) NOT NULL COMMENT '名称',
                                           `customize_alert_id` bigint(20) NOT NULL COMMENT '自定义告警ID',
                                           `alert_scope` varchar(32) NOT NULL COMMENT '告警所在的组织域，包含org、project和app',
                                           `alert_scope_id` varchar(128) NOT NULL COMMENT '告警所在的组织ID',
                                           `alert_type` varchar(32) NOT NULL COMMENT '类型',
                                           `alert_index` varchar(128) NOT NULL COMMENT '索引',
                                           `template` varchar(4096) NOT NULL COMMENT '模板JSON，包含cyle、agg、operator、value、unit等信息',
                                           `attributes` varchar(1024) NOT NULL COMMENT '扩展属性JSON，包含is_recovery是否恢复后告警',
                                           `enable` tinyint(1) NOT NULL DEFAULT '1' COMMENT '逻辑删除',
                                           `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                           `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                           PRIMARY KEY (`id`),
                                           KEY `idx_customize_alert_id` (`customize_alert_id`),
                                           KEY `idx_scope_id` (`alert_scope_id`),
                                           KEY `idx_alert_index` (`alert_index`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='自定义告警规则表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_customize_alert_rule`
--

LOCK TABLES `sp_customize_alert_rule` WRITE;
/*!40000 ALTER TABLE `sp_customize_alert_rule` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_customize_alert_rule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_dashboard_block`
--

DROP TABLE IF EXISTS `sp_dashboard_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_dashboard_block` (
                                      `id` varchar(64) NOT NULL COMMENT '主键ID',
                                      `name` varchar(32) NOT NULL COMMENT '名称',
                                      `desc` varchar(255) DEFAULT NULL COMMENT '描述',
                                      `domain` varchar(255) DEFAULT NULL,
                                      `scope` varchar(255) DEFAULT NULL,
                                      `scope_id` varchar(255) DEFAULT NULL,
                                      `view_config` text NOT NULL COMMENT '数据配置',
                                      `data_config` text NOT NULL COMMENT '数据配置',
                                      `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                      `updated_at` datetime DEFAULT NULL COMMENT '修改时间',
                                      `version` varchar(32) NOT NULL,
                                      PRIMARY KEY (`id`),
                                      UNIQUE KEY `id` (`name`,`scope`,`scope_id`,`id`),
                                      UNIQUE KEY `Scope` (`name`,`scope`,`scope_id`,`id`),
                                      UNIQUE KEY `ScopeID` (`name`,`scope`,`scope_id`,`id`),
                                      UNIQUE KEY `Name` (`name`,`scope`,`scope_id`,`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户配置的自定义大盘表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_dashboard_block`
--

LOCK TABLES `sp_dashboard_block` WRITE;
/*!40000 ALTER TABLE `sp_dashboard_block` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_dashboard_block` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_dashboard_block_system`
--

DROP TABLE IF EXISTS `sp_dashboard_block_system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_dashboard_block_system` (
                                             `id` varchar(64) NOT NULL COMMENT '主键ID',
                                             `name` varchar(32) NOT NULL COMMENT '名称',
                                             `desc` varchar(255) DEFAULT NULL COMMENT '描述',
                                             `domain` varchar(255) DEFAULT NULL,
                                             `scope` varchar(255) DEFAULT NULL,
                                             `scope_id` varchar(255) DEFAULT NULL,
                                             `view_config` text NOT NULL COMMENT '图表配置',
                                             `data_config` text COMMENT '数据配置',
                                             `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                             `updated_at` datetime DEFAULT NULL COMMENT '修改时间',
                                             `version` varchar(32) NOT NULL,
                                             PRIMARY KEY (`id`),
                                             UNIQUE KEY `id` (`id`),
                                             UNIQUE KEY `Scope` (`name`,`scope`,`scope_id`),
                                             UNIQUE KEY `ScopeID` (`name`,`scope`,`scope_id`),
                                             UNIQUE KEY `Name` (`name`,`scope`,`scope_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统内置的大盘配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_dashboard_block_system`
--

LOCK TABLES `sp_dashboard_block_system` WRITE;
/*!40000 ALTER TABLE `sp_dashboard_block_system` DISABLE KEYS */;
INSERT INTO `sp_dashboard_block_system` VALUES ('apim_client','API管理-客户端视角','客户端视角','','org','terminus','[{\"w\":8,\"h\":3,\"x\":0,\"y\":0,\"i\":\"view-c99ebac8\",\"view\":{\"title\":\"\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_sum.succ_sum\":\"请求成功总和\",\"chartType\":\"card\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"succ_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"1\",\"metric\":\"agg_kong-succ_sum\"}],\"filters\":[{\"key\":\"1005\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"893\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"781\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"5\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":null}},{\"w\":8,\"h\":3,\"x\":8,\"y\":0,\"i\":\"view-c5b66c0c\",\"view\":{\"title\":\"\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_sum.err_sum\":\"请求出错总和\",\"chartType\":\"card\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"err_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"39\",\"metric\":\"agg_kong-err_sum\"}],\"filters\":[{\"key\":\"1485\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"1373\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"1261\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"1152\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":null}},{\"w\":8,\"h\":3,\"x\":16,\"y\":0,\"i\":\"view-0978244c\",\"view\":{\"title\":\"\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_avg.reql_mean\":\"请求延时平均值\",\"avg\":[\"reql_mean\"],\"chartType\":\"card\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"154\",\"metric\":\"agg_kong-reql_mean\"}],\"filters\":[{\"key\":\"530\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"418\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"307\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"164\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":null}},{\"w\":12,\"h\":9,\"x\":0,\"y\":3,\"i\":\"view-65868916\",\"view\":{\"title\":\"流量总览\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_sum.err_sum\":\"请求出错总和\",\"alias_sum.lim_sum\":\"请求被限流总和\",\"alias_sum.succ_sum\":\"请求成功总和\",\"chartType\":\"chart:line\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"succ_sum\",\"lim_sum\",\"err_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"3391\",\"metric\":\"agg_kong-succ_sum\"},{\"aggregation\":\"sum\",\"key\":\"3361\",\"metric\":\"agg_kong-lim_sum\"},{\"aggregation\":\"sum\",\"key\":\"1656\",\"metric\":\"agg_kong-err_sum\"}],\"filters\":[{\"key\":\"1915\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"1838\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"1761\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"1669\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":[{}]}},{\"w\":12,\"h\":9,\"x\":12,\"y\":3,\"i\":\"view-627169bc\",\"view\":{\"title\":\"平均时延\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_avg.reql_mean\":\"请求延时平均值\",\"alias_avg.upl_mean\":\"后端服务延时平均值\",\"avg\":[\"upl_mean\",\"reql_mean\"],\"chartType\":\"chart:line\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"2034\",\"metric\":\"agg_kong-upl_mean\"},{\"aggregation\":\"avg\",\"key\":\"2033\",\"metric\":\"agg_kong-reql_mean\"}],\"filters\":[{\"key\":\"2320\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"2243\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"2167\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"2073\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":[{}]}},{\"w\":12,\"h\":10,\"x\":0,\"y\":12,\"i\":\"view-c327ff5b\",\"view\":{\"title\":\"响应状态码分布\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_last.tags.hts\":\"HTTP 状态码\",\"alias_sum.cnt_sum\":\"总调用量总和\",\"chartType\":\"chart:pie\",\"end\":1605077182581,\"format\":\"chartv2\",\"group\":\"(tags.hts)\",\"match_tags.hts\":\"*\",\"start\":1605073582581,\"sum\":[\"cnt_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"2523\",\"metric\":\"agg_kong-cnt_sum\"}],\"filters\":[{\"key\":\"153\",\"method\":\"match\",\"tag\":\"tags.hts\",\"value\":\"*\"},{\"key\":\"2777\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"2700\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"2623\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"2533\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[\"tags.hts\"]}},\"controls\":null}},{\"w\":12,\"h\":10,\"x\":12,\"y\":12,\"i\":\"view-c49ffc2e\",\"view\":{\"title\":\"请求出错分类\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_sum.cerr_sum\":\"客户端出错(4XX)总和\",\"alias_sum.serr_sum\":\"服务端出错(5XX)总和\",\"chartType\":\"chart:line\",\"end\":1605077182581,\"format\":\"chartv2\",\"start\":1605073582581,\"sum\":[\"serr_sum\",\"cerr_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"2932\",\"metric\":\"agg_kong-serr_sum\"},{\"aggregation\":\"sum\",\"key\":\"2919\",\"metric\":\"agg_kong-cerr_sum\"}],\"filters\":[{\"key\":\"3215\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"3124\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"3048\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"2960\",\"method\":\"eq\",\"tag\":\"tags.csmr\",\"value\":\"{{client}}\"}],\"group\":[]}},\"controls\":[{}]}}]','[]','2020-10-29 20:02:25','2020-11-11 14:46:58',''),('apim_summary','API管理-流量概览','流量概览','','org','terminus','[{\"w\":8,\"h\":8,\"x\":0,\"y\":0,\"i\":\"view-5468ee74\",\"view\":{\"title\":\"调用量\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isLabel\":false,\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_last.tags.hts\":\"HTTP 状态码\",\"alias_sum.cnt_sum\":\"总调用量总和\",\"chartType\":\"chart:line\",\"end\":1605077486766,\"format\":\"chartv2\",\"group\":\"(tags.hts)\",\"match_tags.hts\":[\"*\"],\"start\":1605073886766,\"sum\":[\"cnt_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"1\",\"metric\":\"agg_kong-cnt_sum\"}],\"filters\":[{\"key\":\"307\",\"method\":\"match\",\"tag\":\"tags.hts\",\"value\":\"*\"},{\"key\":\"75\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"14\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"5\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"}],\"group\":[\"tags.hts\"]}},\"controls\":[{}]}},{\"w\":8,\"h\":8,\"x\":16,\"y\":0,\"i\":\"view-6e99af1f\",\"view\":{\"title\":\"调用延时\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false,\"noAreaColor\":true}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong/histogram\",\"query\":{\"alias_avg.reql_mean\":\"请求延时平均值\",\"alias_avg.upl_mean\":\"后端服务延时平均值\",\"avg\":[\"upl_mean\",\"reql_mean\"],\"chartType\":\"chart:line\",\"end\":1605077486766,\"format\":\"chartv2\",\"start\":1605073886766},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"237\",\"metric\":\"agg_kong-upl_mean\"},{\"aggregation\":\"avg\",\"key\":\"236\",\"metric\":\"agg_kong-reql_mean\"}],\"filters\":[{\"key\":\"322\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"},{\"key\":\"290\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"245\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"}],\"group\":[]}},\"controls\":[{}]}},{\"w\":8,\"h\":8,\"x\":8,\"y\":0,\"i\":\"view-9147223e\",\"view\":{\"title\":\"客户端占比\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/apim/metrics/agg_kong\",\"query\":{\"alias_last.tags.csmr\":\"客户端\",\"alias_sum.cnt_sum\":\"总调用量总和\",\"chartType\":\"chart:pie\",\"end\":1605077486766,\"format\":\"chartv2\",\"group\":\"(tags.csmr)\",\"match_tags.csmr\":\"*\",\"start\":1605073886766,\"sum\":[\"cnt_sum\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@agg_kong\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"207\",\"metric\":\"agg_kong-cnt_sum\"}],\"filters\":[{\"key\":\"12\",\"method\":\"match\",\"tag\":\"tags.csmr\",\"value\":\"*\"},{\"key\":\"160\",\"method\":\"eq\",\"tag\":\"tags.denv\",\"value\":\"{{workspace}}\"},{\"key\":\"128\",\"method\":\"eq\",\"tag\":\"tags.dpid\",\"value\":\"{{projectID}}\"},{\"key\":\"82\",\"method\":\"eq\",\"tag\":\"tags.pack\",\"value\":\"{{endpoint}}\"}],\"group\":[\"tags.csmr\"]}},\"controls\":null}}]','[]','2020-10-28 19:06:06','2020-11-11 14:52:58',''),('bug','缺陷统计','','','org','terminus','[{\"w\":12,\"h\":10,\"x\":0,\"y\":0,\"i\":\"view-f6623ce7\",\"view\":{\"title\":\"缺陷按状态分布\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_last.tags.issue_state\":\"issue_state\",\"alias_sum.counts\":\"counts总和\",\"chartType\":\"chart:pie\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"trans_group\":\"true\",\"group\":\"(tags.issue_state)\",\"sum\":[\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"691\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"9\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_state\"]}},\"controls\":null}},{\"w\":24,\"h\":9,\"x\":0,\"y\":10,\"i\":\"view-fd2ecfbe\",\"view\":{\"title\":\"缺陷新增 / 关闭趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"noAreaColor\":true,\"moreThanOneDayFormat\":\"M/D\"},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_add_or_repair_metrics_statistics/histogram\",\"query\":{\"chartType\":\"chart:line\",\"interval\":\"24h\",\"format\":\"chartv2\",\"start\":\"${start}\",\"end\":\"${end}\",\"sum\":[\"bug_add_counts\",\"bug_repair_counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_add_or_repair_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"263\",\"metric\":\"issue_add_or_repair_metrics_statistics-bug_add_or_repair_counts\"}],\"filters\":[],\"group\":[\"tags.bug_add_or_repair_type\"]}},\"controls\":[{}]}},{\"w\":12,\"h\":10,\"x\":12,\"y\":0,\"i\":\"view-1e86c4a6\",\"view\":{\"title\":\"缺陷按严重等级分布\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_last.tags.issue_severity\":\"issue_severity\",\"alias_sum.counts\":\"counts总和\",\"chartType\":\"chart:pie\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"trans_group\":\"true\",\"group\":\"(tags.issue_severity)\",\"sum\":[\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"459\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"24\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_severity\"]}},\"controls\":null}},{\"w\":12,\"h\":5,\"x\":12,\"y\":37,\"i\":\"view-91fd7d1f\",\"view\":{\"title\":\"缺陷平均响应时间 (天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_avg.issue_response_time\":\"issue_response_time平均值\",\"avg\":[\"issue_response_time\"],\"chartType\":\"card\",\"eq_tags.issue_state\":\"CLOSED\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\"},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"604\",\"metric\":\"issue_metrics_statistics-issue_response_time\"}],\"filters\":[{\"key\":\"346\",\"method\":\"eq\",\"tag\":\"tags.issue_state\",\"value\":\"CLOSED\"},{\"key\":\"84\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[]}},\"controls\":null}},{\"w\":12,\"h\":5,\"x\":0,\"y\":37,\"i\":\"view-d8d99372\",\"view\":{\"title\":\"缺陷平均修复工作量（人天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_avg.issue_elapsed_time\":\"issue_elapsed_time平均值\",\"avg\":[\"issue_elapsed_time\"],\"chartType\":\"card\",\"eq_tags.issue_state\":\"CLOSED\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\"},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"avg\",\"key\":\"308\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[{\"key\":\"269\",\"method\":\"eq\",\"tag\":\"tags.issue_state\",\"value\":\"CLOSED\"},{\"key\":\"191\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[]}},\"controls\":null}},{\"w\":24,\"h\":10,\"x\":0,\"y\":42,\"i\":\"view-8b1ee412\",\"view\":{\"title\":\"缺陷按优先级分布\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.counts\":\"counts总和\",\"alias_sum.not_close\":\"not_close总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"not_close\",\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"170\",\"metric\":\"issue_metrics_statistics-not_close\"},{\"aggregation\":\"sum\",\"key\":\"154\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"269\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_user_nick\"]}},\"controls\":[{\"key\":\"eq_tags.issue_priority\",\"options\":[{\"name\":\"低\",\"value\":\"LOW\"},{\"name\":\"中\",\"value\":\"NORMAL\"},{\"name\":\"高\",\"value\":\"HIGH\"},{\"name\":\"紧急\",\"value\":\"URGENT\"}],\"type\":\"select\"}]}},{\"w\":24,\"h\":9,\"x\":0,\"y\":28,\"i\":\"view-a844c5b7\",\"view\":{\"title\":\"缺陷按重新打开分布\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.is_re_open_FATAL\":\"is_re_open_FATAL总和\",\"alias_sum.is_re_open_NORMAL\":\"is_re_open_NORMAL总和\",\"alias_sum.is_re_open_SERIOUS\":\"is_re_open_SERIOUS总和\",\"alias_sum.is_re_open_SLIGHT\":\"is_re_open_SLIGHT总和\",\"alias_sum.is_re_open_SUGGEST\":\"is_re_open_SUGGEST总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"is_re_open_SUGGEST\",\"is_re_open_SLIGHT\",\"is_re_open_SERIOUS\",\"is_re_open_NORMAL\",\"is_re_open_FATAL\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"1755\",\"metric\":\"issue_metrics_statistics-is_re_open_SUGGEST\"},{\"aggregation\":\"sum\",\"key\":\"1721\",\"metric\":\"issue_metrics_statistics-is_re_open_SLIGHT\"},{\"aggregation\":\"sum\",\"key\":\"1687\",\"metric\":\"issue_metrics_statistics-is_re_open_SERIOUS\"},{\"aggregation\":\"sum\",\"key\":\"1653\",\"metric\":\"issue_metrics_statistics-is_re_open_NORMAL\"},{\"aggregation\":\"sum\",\"key\":\"1637\",\"metric\":\"issue_metrics_statistics-is_re_open_FATAL\"}],\"filters\":[{\"key\":\"1871\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_user_nick\"]}},\"controls\":null}},{\"w\":24,\"h\":9,\"x\":0,\"y\":19,\"i\":\"view-7fb8a372\",\"view\":{\"title\":\"缺陷按人员分布\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.counts\":\"counts总和\",\"alias_sum.not_close\":\"not_close总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"not_close\",\"counts\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"645\",\"metric\":\"issue_metrics_statistics-not_close\"},{\"aggregation\":\"sum\",\"key\":\"635\",\"metric\":\"issue_metrics_statistics-counts\"}],\"filters\":[{\"key\":\"667\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_user_nick\"]}},\"controls\":[{\"key\":\"eq_tags.issue_severity\",\"options\":[{\"name\":\"建议\",\"value\":\"SUGGEST\"},{\"name\":\"轻微\",\"value\":\"SLIGHT\"},{\"name\":\"严重\",\"value\":\"SERIOUS\"},{\"name\":\"致命\",\"value\":\"FATAL\"},{\"name\":\"一般\",\"value\":\"NORMAL\"}],\"type\":\"select\"}]}}]','[]','2020-09-10 13:11:24','2020-09-10 13:27:18',''),('daily','运维日报模版','运维日报模版','','report','org','[{\"w\":8,\"h\":3,\"x\":0,\"y\":4,\"i\":\"d11\",\"view\":{\"title\":\"异常机器\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":8,\"h\":3,\"x\":8,\"y\":4,\"i\":\"d12\",\"view\":{\"title\":\"异常服务\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"cardinality\":\"(tags.runtime_id,tags.service_name)\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"match_alert_type\":\"app_*\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":8,\"h\":3,\"x\":16,\"y\":4,\"i\":\"d13\",\"view\":{\"title\":\"异常Addons\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.addon_id\",\"end\":\"now\",\"filter_alert_type\":\"addon\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":7,\"i\":\"d21\",\"view\":{\"title\":\"告警类别分析\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":\"((return doc.containsKey(\'tags.alert_name\')?doc[\'tags.alert_name\'].value:doc[\'tags.alert_index\'].value))\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"group\":\"((doc.containsKey(\'tags.alert_name\')?doc[\'tags.alert_name\'].value:doc[\'tags.alert_index\'].value))\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":17,\"i\":\"d31\",\"view\":{\"title\":\"机器异常持续时间\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"limit\":10,\"points\":\"7\",\"sort\":\"sum_fields.trigger_duration\",\"start\":\"before_24h\",\"sum\":\"fields.trigger_duration\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":31,\"i\":\"d41\",\"view\":{\"title\":\"机器平均负载 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"avg\":\"load5\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"sort\":\"avg_load5\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":45,\"i\":\"d51\",\"view\":{\"title\":\"机器磁盘使用 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"max\":\"disk_used\",\"sort\":\"max_disk_used\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":59,\"i\":\"d61\",\"view\":{\"title\":\"服务OOM次数 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/service_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.container_id\",\"end\":\"now\",\"field_eq_oomkilled\":\"b:true\",\"filter_instance_type\":\"service\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"service_id\",\"last\":[\"tags.service_name\",\"tags.project_name\",\"tags.application_name\"],\"limit\":10,\"sort\":\"cardinality_tags.container_id\",\"start\":\"before_24h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":73,\"i\":\"d71\",\"view\":{\"title\":\"应用JVM告警次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"format\":\"chartv2\",\"filter_dice_org_id\":\"\",\"filter_alert_type\":\"app_resource\",\"match_alert_index\":\"*jvm*\",\"align\":false,\"group\":\"tags.application_id\",\"count\":[\"fields.count_sum\",\"fields.time_sum\",\"fields.usage_percent_avg\"],\"last\":[\"tags.application_name\",\"tags.service_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"count_fields.usage_percent_avg\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":87,\"i\":\"d81\",\"view\":{\"title\":\"应用CPU告警次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"format\":\"chartv2\",\"filter_dice_org_id\":\"\",\"filter_alert_type\":\"app_resource\",\"match_alert_index\":\"app_resource_container_cpu\",\"align\":false,\"group\":\"tags.application_id\",\"count\":\"fields.allocation_value\",\"last\":[\"tags.application_name\",\"tags.service_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"count_fields.allocation_value\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":101,\"i\":\"d91\",\"view\":{\"title\":\"应用错误次数 Top10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/error_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"format\":\"chartv2\",\"group\":\"(service_name,runtime_id)\",\"last\":[\"tags.service_name\",\"tags.application_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"sum_count\",\"start\":\"before_24h\",\"sum\":\"count\",\"filter_org_name\":\"\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":115,\"i\":\"d101\",\"view\":{\"title\":\"应用慢事务次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"api\":{\"url\":\"/api/metrics/app_http_slow_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"align\":false,\"format\":\"chartv2\",\"sort\":\"count_fields.elapsed_count\",\"group\":\"target_application_id\",\"limit\":10,\"count\":\"elapsed_count\",\"last\":[\"tags.target_application_name\",\"tags.target_service_name\",\"tags.target_project_name\"],\"filter_org_name\":\"\"},\"body\":{},\"method\":\"GET\",\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":129,\"i\":\"d111\",\"view\":{\"title\":\"应用SQL慢查询次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_db_resource\",\"query\":{\"start\":\"before_24h\",\"end\":\"now\",\"format\":\"chartv2\",\"filter_org_name\":\"\",\"align\":false,\"group\":\"tags.source_application_id\",\"count\":\"elapsed_count\",\"last\":[\"tags.source_application_name\",\"tags.source_service_name\",\"tags.source_project_name\"],\"limit\":10,\"sort\":\"count_elapsed_count\"},\"body\":{},\"header\":{}}}}]',NULL,'2020-06-13 18:19:14','2021-04-02 16:10:04',''),('weekly','运维周报模版','运维周报模版','','report','org','[{\"w\":4,\"h\":4,\"x\":0,\"y\":1,\"i\":\"d12\",\"view\":{\"title\":\"集群资源概况\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.cluster_name\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":4,\"y\":1,\"i\":\"d11\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":8,\"y\":1,\"i\":\"d13\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.n_cpus\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":12,\"y\":1,\"i\":\"d14\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.mem_total\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":16,\"y\":1,\"i\":\"d15\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.cpu_request_total\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":20,\"y\":1,\"i\":\"d16\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.mem_request_total\\u0026reduce=sum}\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":0,\"y\":5,\"i\":\"d21\",\"view\":{\"title\":\"项目资源概况\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.project_id\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":4,\"y\":5,\"i\":\"d22\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.service_id\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":8,\"y\":5,\"i\":\"d23\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.container_id\",\"end\":\"now\",\"filter_instance_type\":\"service\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":12,\"y\":5,\"i\":\"d24\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.addon_id\",\"end\":\"now\",\"filter_instance_type\":\"addon\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"match_project_id\":\"*\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":16,\"y\":5,\"i\":\"d25\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.container_id\\u0026last=fields.cpu_allocation\\u0026reduce=sum}\",\"match_project_id\":\"*\",\"start\":\"before_1m\"},\"body\":{},\"header\":{}}}},{\"w\":4,\"h\":4,\"x\":20,\"y\":5,\"i\":\"d26\",\"view\":{\"title\":\" \",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group_reduce\":\"{group=tags.container_id\\u0026last=fields.mem_allocation\\u0026reduce=sum}\",\"match_project_id\":\"*\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":10,\"i\":\"d31\",\"view\":{\"title\":\"集群机器概况\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/cluster_resource\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"tags.cluster_name\",\"last\":\"tags.cluster_name\",\"start\":\"before_5m\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":20,\"i\":\"d41\",\"view\":{\"title\":\"每日CPU分配\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.cpu_request_total\\u0026reduce=sum}\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":30,\"i\":\"d51\",\"view\":{\"title\":\"每日内存分配\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"group_reduce\":\"{group=tags.host_ip\\u0026last=fields.mem_request_total\\u0026reduce=sum}\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":40,\"i\":\"d61\",\"view\":{\"title\":\"机器每日CPU最大使用率\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"max\":\"cpu_usage_active\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":50,\"i\":\"d71\",\"view\":{\"title\":\"机器CPU使用率告警次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_index\":\"machine_cpu\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"format\":\"chartv2\",\"group\":\"tags.host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"sort\":\"count_tags.alert_id\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":64,\"i\":\"d81\",\"view\":{\"title\":\"机器每日磁盘最大使用率\",\"description\":\"不包含网盘使用率\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/cluster_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"max\":\"disk_used_percent\",\"points\":7,\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":74,\"i\":\"d91\",\"view\":{\"title\":\"机器磁盘使用率告警次数 TOP10\",\"description\":\"不包含网盘使用率告警次数\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_index\":\"machine_disk\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"format\":\"chartv2\",\"group\":\"tags.host_ip\",\"last\":\"tags.host_ip\",\"limit\":10,\"sort\":\"count_tags.alert_id\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":88,\"i\":\"d111\",\"view\":{\"title\":\"异常机器数\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"cardinality\":\"tags.host_ip\",\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":98,\"i\":\"d121\",\"view\":{\"title\":\"机器异常持续时间\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\",\"unit\":\"min\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_alert_type\":\"machine\",\"filter_dice_org_id\":\"\",\"points\":\"7\",\"start\":\"before_168h\",\"sum\":\"fields.trigger_duration\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":108,\"i\":\"d131\",\"view\":{\"title\":\"告警类别分析\",\"description\":\"\",\"chartType\":\"chart:pie\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"count\":\"tags.alert_type\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"format\":\"chartv2\",\"group\":\"alert_type\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":118,\"i\":\"d141\",\"view\":{\"title\":\"告警趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"group\":\"cluster_name\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":128,\"i\":\"d151\",\"view\":{\"title\":\"中间件告警趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_type\":\"addon\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":138,\"i\":\"d161\",\"view\":{\"title\":\"kubernetes告警量趋势\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/alert_resource/histogram\",\"query\":{\"align\":false,\"count\":\"tags.alert_id\",\"end\":\"now\",\"filter_alert_type\":\"kubernetes\",\"filter_dice_org_id\":\"\",\"filter_trigger\":\"alert\",\"match_alert_index\":\"kubernetes_*\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":148,\"i\":\"d171\",\"view\":{\"title\":\"应用JVM告警次数 TOP10\",\"description\":\"以堆内存告警次数排序\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/alert_resource\",\"query\":{\"align\":false,\"count\":[\"fields.time_sum\",\"fields.usage_percent_avg\",\"fields.count_sum\"],\"end\":\"now\",\"filter_alert_type\":\"app_resource\",\"filter_dice_org_id\":\"\",\"format\":\"chartv2\",\"group\":\"tags.application_id\",\"last\":[\"tags.project_name\",\"tags.service_name\",\"tags.application_name\"],\"limit\":10,\"match_alert_index\":\"*jvm*\",\"sort\":\"count_fields.usage_percent_avg\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":162,\"i\":\"d181\",\"view\":{\"title\":\"应用慢事务次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_http_slow_resource\",\"query\":{\"align\":false,\"count\":\"elapsed_count\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"target_application_id\",\"last\":[\"tags.target_application_name\",\"tags.target_service_name\",\"tags.target_project_name\"],\"limit\":10,\"sort\":\"count_fields.elapsed_count\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":176,\"i\":\"d191\",\"view\":{\"title\":\"应用错误次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/error_resource\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"(service_name,runtime_id)\",\"last\":[\"tags.service_name\",\"tags.application_name\",\"tags.project_name\"],\"limit\":10,\"sort\":\"sum_count\",\"start\":\"before_168h\",\"sum\":\"count\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":190,\"i\":\"d201\",\"view\":{\"title\":\"应用慢SQL次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_db_resource\",\"query\":{\"align\":false,\"count\":\"elapsed_count\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"source_application_id\",\"last\":[\"tags.source_project_name\",\"tags.source_service_name\",\"tags.source_application_name\"],\"limit\":10,\"sort\":\"count_elapsed_count\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":204,\"i\":\"d211\",\"view\":{\"title\":\"应用http请求错误次数 TOP10\",\"description\":\"\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/app_http_error_resource\",\"query\":{\"align\":false,\"count\":\"elapsed_count\",\"end\":\"now\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"target_application_id\",\"last\":[\"tags.target_application_name\",\"tags.target_project_name\",\"tags.target_service_name\"],\"limit\":10,\"sort\":\"count_elapsed_count\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":218,\"i\":\"d221\",\"view\":{\"title\":\"服务和Addon OOM次数\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/project_resource/histogram\",\"query\":{\"align\":false,\"count\":[\"tags.service_id\",\"tags.addon_id\"],\"end\":\"now\",\"field_eq_oomkilled\":\"b:true\",\"filter_org_name\":\"\",\"match_project_id\":\"*\",\"points\":\"7\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":13,\"x\":0,\"y\":228,\"i\":\"d231\",\"view\":{\"title\":\"项目OOM次数 Top10\",\"description\":\"根据服务OOM次数排序\",\"chartType\":\"table\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{},\"api\":{\"url\":\"/api/metrics/project_oom_resource\",\"query\":{\"align\":false,\"count\":[\"tags.service_id\",\"tags.addon_id\"],\"end\":\"now\",\"field_eq_oomkilled\":\"b:true\",\"filter_org_name\":\"\",\"format\":\"chartv2\",\"group\":\"tags.project_id\",\"last\":\"tags.project_name\",\"limit\":10,\"sort\":\"count_tags.service_id\",\"start\":\"before_168h\"},\"body\":{},\"header\":{}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":242,\"i\":\"d241\",\"view\":{\"title\":\"API网关流量\",\"description\":\"\",\"chartType\":\"chart:line\",\"dataSourceType\":\"static\",\"staticData\":null,\"config\":{\"optionProps\":{\"isMoreThanOneDay\":true,\"moreThanOneDayFormat\":\"M/D\"}},\"api\":{\"url\":\"/api/metrics/app_resource/histogram\",\"query\":{\"align\":false,\"end\":\"now\",\"filter_org_name\":\"\",\"filter_target_addon_id\":\"ApiGateway\",\"points\":\"7\",\"start\":\"before_168h\",\"sum\":\"elapsed_count\"},\"body\":{},\"header\":{}}}}]',NULL,'2020-06-13 18:19:06','2020-06-13 18:19:06',''),('working','工时统计','','','org','terminus','[{\"w\":12,\"h\":9,\"x\":0,\"y\":0,\"i\":\"view-98ae03fd\",\"view\":{\"title\":\"实际工作量 (人天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"chartType\":\"card\",\"format\":\"chartv2\",\"sum\":[\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"5\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[],\"group\":[]}}}},{\"w\":12,\"h\":9,\"x\":12,\"y\":0,\"i\":\"view-73d60bcb\",\"view\":{\"title\":\"预计工作量 (人天)\",\"description\":\"\",\"chartType\":\"card\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics\",\"query\":{\"alias_sum.issue_estimate_time\":\"issue_estimate_time总和\",\"chartType\":\"card\",\"format\":\"chartv2\",\"sum\":[\"issue_estimate_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"16\",\"metric\":\"issue_metrics_statistics-issue_estimate_time\"}],\"filters\":[],\"group\":[]}}}},{\"w\":24,\"h\":9,\"x\":0,\"y\":9,\"i\":\"view-cdb72329\",\"view\":{\"title\":\"成员工作量分布 (人天)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"alias_sum.issue_estimate_time\":\"issue_estimate_time总和\",\"chartType\":\"chart:bar\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"issue_estimate_time\",\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"50\",\"metric\":\"issue_metrics_statistics-issue_estimate_time\"},{\"aggregation\":\"sum\",\"key\":\"40\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[],\"group\":[\"tags.issue_user_nick\"]}}}},{\"w\":12,\"h\":9,\"x\":0,\"y\":28,\"i\":\"view-2161e559\",\"view\":{\"title\":\"缺陷 耗时TOP10 (人天)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_title\":\"issue_title\",\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"BUG\",\"format\":\"chartv2\",\"group\":\"(tags.issue_title)\",\"limit\":10,\"sort\":\"sum_issue_elapsed_time\",\"sum\":[\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"235\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[{\"key\":\"245\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"BUG\"}],\"group\":[\"tags.issue_title\"],\"limit\":10}}}},{\"w\":12,\"h\":9,\"x\":12,\"y\":28,\"i\":\"view-1e55a4eb\",\"view\":{\"title\":\"任务 耗时TOP10 (人天)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_title\":\"issue_title\",\"alias_sum.issue_elapsed_time\":\"issue_elapsed_time总和\",\"chartType\":\"chart:bar\",\"eq_tags.issue_type\":\"TASK\",\"format\":\"chartv2\",\"group\":\"(tags.issue_title)\",\"limit\":10,\"sort\":\"sum_issue_elapsed_time\",\"sum\":[\"issue_elapsed_time\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"347\",\"metric\":\"issue_metrics_statistics-issue_elapsed_time\"}],\"filters\":[{\"key\":\"357\",\"method\":\"eq\",\"tag\":\"tags.issue_type\",\"value\":\"TASK\"}],\"group\":[\"tags.issue_title\"],\"limit\":10}}}},{\"w\":24,\"h\":10,\"x\":0,\"y\":18,\"i\":\"view-970a9935\",\"view\":{\"title\":\"人员事件分布 (个)\",\"description\":\"\",\"chartType\":\"chart:bar\",\"dataSourceType\":\"api\",\"staticData\":{},\"config\":{\"optionProps\":{\"isMoreThanOneDay\":false},\"option\":{\"yAxis\":[{\"name\":\"\"}]}},\"api\":{\"url\":\"/api/project/metrics/issue_metrics_statistics/histogram\",\"query\":{\"alias_last.tags.issue_user_nick\":\"issue_user_nick\",\"alias_sum.issue_type_BUG\":\"issue_type_BUG总和\",\"alias_sum.issue_type_TASK\":\"issue_type_TASK总和\",\"chartType\":\"chart:bar\",\"format\":\"chartv2\",\"limit\":1000,\"group\":\"(tags.issue_user_nick)\",\"sum\":[\"issue_type_TASK\",\"issue_type_BUG\"]},\"body\":null,\"header\":null,\"extraData\":{\"activedMetricGroups\":[\"other\",\"other@issue_metrics_statistics\"],\"activedMetrics\":[{\"aggregation\":\"sum\",\"key\":\"659\",\"metric\":\"issue_metrics_statistics-issue_type_TASK\"},{\"aggregation\":\"sum\",\"key\":\"649\",\"metric\":\"issue_metrics_statistics-issue_type_BUG\"}],\"filters\":[],\"group\":[\"tags.issue_user_nick\"]}}}}]','[]','2020-09-10 13:11:24','2020-09-10 13:27:18','');
/*!40000 ALTER TABLE `sp_dashboard_block_system` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_diagnosis`
--

DROP TABLE IF EXISTS `sp_diagnosis`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_diagnosis` (
                                `id` varchar(191) NOT NULL COMMENT '主键ID',
                                `scope` varchar(255) NOT NULL COMMENT 'diagnosis作用域',
                                `scope_id` varchar(255) NOT NULL COMMENT 'diagnosis作用域Id',
                                `diagnosis_object` varchar(191) NOT NULL COMMENT '被diagnosis的目标id',
                                `request_token` varchar(766) NOT NULL COMMENT 'diagnosis请求token',
                                `state` varchar(191) NOT NULL COMMENT '状态',
                                `attributes` varchar(4096) NOT NULL COMMENT '附加属性，作为UI展示',
                                `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                PRIMARY KEY (`id`),
                                KEY `DIAGNOSIS_OBJECT_INDEX` (`diagnosis_object`),
                                KEY `STATE_INDEX` (`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_diagnosis`
--

LOCK TABLES `sp_diagnosis` WRITE;
/*!40000 ALTER TABLE `sp_diagnosis` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_diagnosis` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_diagnosis_actions`
--

DROP TABLE IF EXISTS `sp_diagnosis_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_diagnosis_actions` (
                                        `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                        `diagnosis_id` varchar(191) NOT NULL COMMENT 'diagnosis唯一标识',
                                        `action` varchar(255) NOT NULL COMMENT '操作',
                                        `state` varchar(255) NOT NULL COMMENT '状态',
                                        `config` varchar(4096) NOT NULL COMMENT 'config',
                                        `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                        `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                        PRIMARY KEY (`id`),
                                        KEY `DIAGNOSIS_ID_INDEX` (`diagnosis_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis的子操作表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_diagnosis_actions`
--

LOCK TABLES `sp_diagnosis_actions` WRITE;
/*!40000 ALTER TABLE `sp_diagnosis_actions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_diagnosis_actions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_diagnosis_resource`
--

DROP TABLE IF EXISTS `sp_diagnosis_resource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_diagnosis_resource` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                         `resource_id` varchar(255) NOT NULL COMMENT '资源唯一标志',
                                         `diagnosis_id` varchar(255) NOT NULL COMMENT 'diagnosis唯一标识',
                                         `resource` varchar(255) NOT NULL COMMENT '资源',
                                         `state` varchar(255) NOT NULL COMMENT '状态',
                                         `config` varchar(4096) NOT NULL COMMENT '注入到资源的配置JSON',
                                         `condition` varchar(4096) NOT NULL COMMENT '记录资源最后一次状态的JSON详细数据',
                                         `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                         `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis资源管理表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_diagnosis_resource`
--

LOCK TABLES `sp_diagnosis_resource` WRITE;
/*!40000 ALTER TABLE `sp_diagnosis_resource` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_diagnosis_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_diagnosis_state`
--

DROP TABLE IF EXISTS `sp_diagnosis_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_diagnosis_state` (
                                      `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                      `diagnosis_id` varchar(255) NOT NULL COMMENT 'diagnosis唯一标识',
                                      `state` varchar(191) NOT NULL COMMENT '状态',
                                      `reason` varchar(255) NOT NULL COMMENT '当前状态正在执行的操作',
                                      `version` varchar(255) NOT NULL COMMENT '状态版本，用于记录锁',
                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                      PRIMARY KEY (`id`),
                                      KEY `STATE_INDEX` (`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='监控diagnosis状态表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_diagnosis_state`
--

LOCK TABLES `sp_diagnosis_state` WRITE;
/*!40000 ALTER TABLE `sp_diagnosis_state` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_diagnosis_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_history`
--

DROP TABLE IF EXISTS `sp_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_history` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `metric_id` int(11) DEFAULT NULL,
                              `status_id` int(11) DEFAULT NULL,
                              `latency` bigint(64) NOT NULL,
                              `count` int(11) NOT NULL,
                              `code` int(11) unsigned zerofill NOT NULL,
                              `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                              PRIMARY KEY (`id`),
                              KEY `metricId` (`metric_id`),
                              KEY `statusId` (`status_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动监控存储历史记录项的表,已废弃';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_history`
--

LOCK TABLES `sp_history` WRITE;
/*!40000 ALTER TABLE `sp_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_log_deployment`
--

DROP TABLE IF EXISTS `sp_log_deployment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_log_deployment` (
                                     `id` int(10) NOT NULL AUTO_INCREMENT,
                                     `org_id` varchar(32) NOT NULL,
                                     `cluster_name` varchar(64) NOT NULL,
                                     `cluster_type` tinyint(4) NOT NULL,
                                     `es_url` varchar(1024) NOT NULL,
                                     `es_config` varchar(1024) NOT NULL,
                                     `kafka_servers` varchar(1024) NOT NULL,
                                     `kafka_config` varchar(1024) NOT NULL,
                                     `collector_url` varchar(255) NOT NULL DEFAULT '',
                                     `domain` varchar(255) NOT NULL,
                                     `created` datetime NOT NULL,
                                     `updated` datetime NOT NULL,
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='日志分析部署表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_log_deployment`
--

LOCK TABLES `sp_log_deployment` WRITE;
/*!40000 ALTER TABLE `sp_log_deployment` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_log_deployment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_log_instance`
--

DROP TABLE IF EXISTS `sp_log_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_log_instance` (
                                   `id` int(11) NOT NULL AUTO_INCREMENT,
                                   `log_key` varchar(64) NOT NULL,
                                   `org_id` varchar(32) NOT NULL,
                                   `org_name` varchar(64) NOT NULL,
                                   `cluster_name` varchar(64) NOT NULL,
                                   `project_id` varchar(32) NOT NULL,
                                   `project_name` varchar(255) NOT NULL,
                                   `workspace` varchar(64) NOT NULL,
                                   `application_id` varchar(32) NOT NULL,
                                   `application_name` varchar(255) NOT NULL,
                                   `runtime_id` varchar(32) NOT NULL,
                                   `runtime_name` varchar(255) NOT NULL,
                                   `config` varchar(1023) NOT NULL,
                                   `version` varchar(64) NOT NULL,
                                   `plan` varchar(255) NOT NULL,
                                   `is_delete` tinyint(1) NOT NULL,
                                   `created` datetime NOT NULL,
                                   `updated` datetime NOT NULL,
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='日志分析addon实例表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_log_instance`
--

LOCK TABLES `sp_log_instance` WRITE;
/*!40000 ALTER TABLE `sp_log_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_log_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_log_metric_config`
--

DROP TABLE IF EXISTS `sp_log_metric_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_log_metric_config` (
                                        `id` int(11) NOT NULL AUTO_INCREMENT,
                                        `org_id` int(11) NOT NULL,
                                        `org_name` varchar(128) NOT NULL DEFAULT '',
                                        `scope` varchar(32) NOT NULL,
                                        `scope_id` varchar(64) NOT NULL,
                                        `name` varchar(128) NOT NULL,
                                        `metric` varchar(128) NOT NULL,
                                        `filters` text NOT NULL,
                                        `processors` text NOT NULL,
                                        `enable` tinyint(1) NOT NULL,
                                        `create_time` datetime NOT NULL,
                                        `update_time` datetime NOT NULL,
                                        PRIMARY KEY (`id`),
                                        UNIQUE KEY `metric_unique` (`metric`) USING BTREE,
                                        UNIQUE KEY `scope_name_unique` (`scope`,`scope_id`,`name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='日志分析规则配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_log_metric_config`
--

LOCK TABLES `sp_log_metric_config` WRITE;
/*!40000 ALTER TABLE `sp_log_metric_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_log_metric_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_maintenance`
--

DROP TABLE IF EXISTS `sp_maintenance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_maintenance` (
                                  `id` int(11) NOT NULL AUTO_INCREMENT,
                                  `project_id` int(11) DEFAULT NULL,
                                  `name` varchar(255) DEFAULT NULL,
                                  `duration` int(11) NOT NULL DEFAULT '0',
                                  `start_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                                  PRIMARY KEY (`id`),
                                  KEY `project_id` (`project_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动监控存储配置项的表,已废弃';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_maintenance`
--

LOCK TABLES `sp_maintenance` WRITE;
/*!40000 ALTER TABLE `sp_maintenance` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_maintenance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_metric`
--

DROP TABLE IF EXISTS `sp_metric`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_metric` (
                             `id` int(11) NOT NULL AUTO_INCREMENT,
                             `project_id` int(11) DEFAULT NULL,
                             `service_id` int(11) DEFAULT NULL,
                             `name` varchar(255) NOT NULL DEFAULT '',
                             `url` varchar(255) DEFAULT NULL,
                             `mode` varchar(255) NOT NULL DEFAULT '',
                             `extra` varchar(1024) NOT NULL DEFAULT '',
                             `account_id` int(11) NOT NULL,
                             `status` int(11) DEFAULT '0',
                             `env` varchar(36) NOT NULL DEFAULT 'PROD',
                             `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                             `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                             `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                             PRIMARY KEY (`id`),
                             KEY `projectId` (`project_id`),
                             KEY `serviceId` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动监控存储配置项的表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_metric`
--

LOCK TABLES `sp_metric` WRITE;
/*!40000 ALTER TABLE `sp_metric` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_metric` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_metric_expression`
--

DROP TABLE IF EXISTS `sp_metric_expression`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_metric_expression` (
                                        `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                        `attributes` varchar(1024) NOT NULL DEFAULT '' COMMENT '扩展信息',
                                        `expression` varchar(4096) NOT NULL DEFAULT '' COMMENT '聚合表达式',
                                        `version` varchar(64) NOT NULL DEFAULT '2.0' COMMENT '版本',
                                        `enable` int(1) NOT NULL DEFAULT '1' COMMENT '开关',
                                        `created` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                        `updated` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=108 DEFAULT CHARSET=utf8mb4 COMMENT='系统内置metrics表达式表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_metric_expression`
--

LOCK TABLES `sp_metric_expression` WRITE;
/*!40000 ALTER TABLE `sp_metric_expression` DISABLE KEYS */;
INSERT INTO `sp_metric_expression` VALUES (1,'{}','{\"metric\":\"application_http\",\"window\":3,\"filter\":{},\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_workspace\":\"#target_workspace\",\"target_terminus_key\":\"#target_terminus_key\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_instance_id\":\"#target_instance_id\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_http_service\",\"outputs\":[\"metric\"]}','2.0',0,'2019-11-25 16:39:25','2021-04-02 16:09:51'),(2,'{}','{\"metric\":\"application_rpc\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_workspace\":\"#target_workspace\",\"target_terminus_key\":\"#target_terminus_key\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_instance_id\":\"#target_instance_id\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_rpc_service\",\"outputs\":[\"metric\"]}\n','2.0',0,'2019-11-25 16:39:25','2021-04-02 16:09:51'),(3,'{}','{\"metric\":\"application_db\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_db_service\",\"outputs\":[\"metric\"]}','2.0',0,'2019-11-25 16:39:25','2021-04-02 16:09:51'),(4,'{}','{\"metric\":\"application_cache\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_cache_service\",\"outputs\":[\"metric\"]}','2.0',0,'2019-11-25 16:39:25','2021-04-02 16:09:51'),(5,'{}','{\"metric\":\"application_mq\",\"window\":3,\"filter\":{},\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"functions\":[{\"field\":\"elapsed\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_workspace\":\"#target_workspace\",\"target_terminus_key\":\"#target_terminus_key\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_instance_id\":\"#target_instance_id\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_workspace\":\"#source_workspace\",\"source_terminus_key\":\"#source_terminus_key\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_instance_id\":\"#source_instance_id\"},\"alias\":\"application_mq_service\",\"outputs\":[\"metric\"]}','2.0',0,'2019-11-25 16:39:25','2021-04-02 16:09:51'),(6,'{}','{\"metric\":\"jvm_memory\",\"window\":3,\"filter\":{},\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"functions\":[{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"select\":{\"terminus_key\":\"#terminus_key\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"workspace\":\"#workspace\",\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\"},\"alias\":\"service_node\",\"outputs\":[\"metric\"]}','2.0',0,'2019-11-25 16:39:25','2021-04-02 16:09:51'),(7,'{}','{\"metric\":\"nodejs_memory\",\"window\":3,\"filter\":{},\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"functions\":[{\"field\":\"count\",\"aggregator\":\"sum\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"select\":{\"terminus_key\":\"#terminus_key\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"workspace\":\"#workspace\",\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"runtime_name\":\"#runtime_name\",\"service_name\":\"#service_name\"},\"alias\":\"service_node\",\"outputs\":[\"metric\"]}','2.0',0,'2019-11-25 16:39:25','2021-04-02 16:09:51'),(8,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:51','2021-04-02 16:09:52'),(9,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:51','2021-04-02 16:09:52'),(10,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:51','2021-04-02 16:09:52'),(11,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:51','2021-04-02 16:09:52'),(12,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:51','2021-04-02 16:09:52'),(13,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_id\",\"service_ip\":\"#service_ip\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:51','2021-04-02 16:09:52'),(14,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_id\",\"service_ip\":\"#service_ip\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:51','2021-04-02 16:09:52'),(15,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(16,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(17,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(18,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(19,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(20,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(21,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"value\",\"field\":\"tags\"},{\"aggregator\":\"value\",\"field\":\"fields\"},{\"aggregator\":\"value\",\"field\":\"_id\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"host_ip\":\"host_ip\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(22,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:52'),(23,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(24,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(25,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(26,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(27,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(28,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(29,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"},{\"aggregator\":\"value\",\"field\":\"_id\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(30,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:52','2021-04-02 16:09:55'),(31,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(32,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(33,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(34,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(35,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(36,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(37,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(38,'{}','{\"alias\":\"ta_device_mobile\",\"filter\":{\"operator\":\"any\",\"tag\":\"registrationTime\"},\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(tag.registrationTime).toDateString() === new Date().toDateString()) { return tag.uid } return \\\"\\\" }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(tag.registrationTime).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return \\\"\\\"}\"}],\"metric\":\"ta_device_mobile\",\"outputs\":[\"metric\"],\"select\":{\"av\":\"#av\",\"br\":\"#br\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(39,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:55'),(40,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(41,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(42,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(43,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(44,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(45,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(46,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(47,'{}','{\"alias\":\"ta_metric_mobile_metrics\",\"filter\":{\"operator\":\"any\",\"tag\":\"registrationTime\"},\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(48,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:55','2021-04-02 16:09:59'),(49,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(50,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(51,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(52,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(53,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(54,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(55,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(56,'{}','{\"alias\":\"ta_metric_mobile_metrics\",\"filter\":{\"operator\":\"any\",\"tag\":\"registrationTime\"},\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(57,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(58,'{}','{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(59,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(60,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(61,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(62,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(63,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(64,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(65,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(66,'{}','{\"alias\":\"ta_metric_mobile_metrics\",\"filter\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(67,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(68,'{}','{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(69,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(70,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(71,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(72,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(73,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(74,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(75,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(76,'{}','{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(77,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(78,'{}','{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:09:59'),(79,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(80,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(81,'{}','{\"alias\":\"application_http_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(82,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(83,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(84,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(85,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\",\"org_name\":\"#org_name\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(86,'{}','{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(87,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(88,'{}','{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:09:59','2021-04-02 16:10:01'),(89,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(90,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(91,'{}','{\"alias\":\"application_http_service\",\"filters\":[{\"operator\":\"null\",\"tag\":\"health_check\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(92,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(93,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(94,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(95,'{}','{\"filter\":{},\"functions\":[{\"aggregator\":\"merge\",\"alias\":\"tags\",\"field\":\"tags\"},{\"aggregator\":\"merge\",\"alias\":\"fields\",\"field\":\"fields\"}],\"group\":[\"_id\",\"metric_name\"],\"metric\":\"_metric_meta\",\"outputs\":[\"metric\"],\"select\":{\"_id\":\"#_id\",\"cluster_name\":\"#cluster_name\",\"custom\":\"#custom\",\"metric_name\":\"#metric_name\",\"metric_scope\":\"#metric_scope\",\"metric_scope_id\":\"#metric_scope_id\",\"org_name\":\"#org_name\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(96,'{}','{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(97,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(98,'{}','{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',0,'2021-04-02 16:10:01','2021-04-02 16:10:03'),(99,'{}','{\"alias\":\"application_cache_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_cache\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(100,'{}','{\"alias\":\"application_db_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_db\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(101,'{}','{\"alias\":\"application_http_service\",\"filters\":[{\"operator\":\"null\",\"tag\":\"health_check\"}],\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_http\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(102,'{}','{\"alias\":\"application_mq_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_mq\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(103,'{}','{\"alias\":\"application_rpc_service\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"elapsed\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_mean * field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return field.elapsed_count; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?field.elapsed_count:0; }\"}],\"group\":[\"component\",\"host\",\"target_terminus_key\",\"target_application_id\",\"target_runtime_name\",\"target_service_name\",\"target_addon_id\",\"source_terminus_key\",\"source_application_id\",\"source_runtime_name\",\"source_service_name\",\"source_addon_id\"],\"metric\":\"application_rpc\",\"outputs\":[\"metric\"],\"select\":{\"component\":\"#component\",\"host\":\"#host\",\"source_addon_id\":\"#source_addon_id\",\"source_addon_type\":\"#source_addon_type\",\"source_application_id\":\"#source_application_id\",\"source_application_name\":\"#source_application_name\",\"source_project_id\":\"#source_project_id\",\"source_project_name\":\"#source_project_name\",\"source_runtime_id\":\"#source_runtime_id\",\"source_runtime_name\":\"#source_runtime_name\",\"source_service_name\":\"#source_service_name\",\"source_terminus_key\":\"#source_terminus_key\",\"source_workspace\":\"#source_workspace\",\"target_addon_id\":\"#target_addon_id\",\"target_addon_type\":\"#target_addon_type\",\"target_application_id\":\"#target_application_id\",\"target_application_name\":\"#target_application_name\",\"target_instance_id\":\"#target_instance_id\",\"target_project_id\":\"#target_project_id\",\"target_project_name\":\"#target_project_name\",\"target_runtime_name\":\"#target_runtime_name\",\"target_service_name\":\"#target_service_name\",\"target_terminus_key\":\"#target_terminus_key\",\"target_workspace\":\"#target_workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(104,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"jvm_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(105,'{}','{\"alias\":\"ta_metric_mobile_metrics\",\"filters\":[{\"operator\":\"any\",\"tag\":\"registrationTime\"}],\"functions\":[{\"aggregator\":\"value\",\"field\":\"firstDayUserId\",\"field_script\":\"function invoke(field, tag) { if (new Date(parseInt(tag.registrationTime)).toDateString() === new Date().toDateString()) { return tag.uid } return null }\"},{\"aggregator\":\"value\",\"field\":\"secondDayUserId\",\"field_script\":\"function invoke(field, tag) {var end = new Date(new Date(new Date().toLocaleDateString()).getTime());var start = new Date(new Date(new Date(parseInt(tag.registrationTime)).toLocaleDateString()).getTime());var days = end.getTime() - start.getTime();var day1 = parseInt(days / (1000 * 60 * 60 * 24));if (day1 === 1) {return tag.uid}return null}\"}],\"group\":[\"uid\"],\"metric\":\"ta_metric_mobile_metrics\",\"outputs\":[\"metric\"],\"select\":{\"ai\":\"#ai\",\"av\":\"#av\",\"br\":\"#br\",\"ch\":\"#ch\",\"channel\":\"#channel\",\"cid\":\"#cid\",\"cpu\":\"#cpu\",\"device\":\"#device\",\"doc_path\":\"#doc_path\",\"gps\":\"#gps\",\"host\":\"#host\",\"ip\":\"#ip\",\"jb\":\"#jb\",\"mem\":\"#mem\",\"ns\":\"#ns\",\"os\":\"#os\",\"osv\":\"#osv\",\"rom\":\"#rom\",\"sd\":\"#sd\",\"sdk\":\"#sdk\",\"sr\":\"#sr\",\"tk\":\"#tk\",\"type\":\"#type\",\"uid\":\"#uid\",\"vid\":\"#vid\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(106,'{}','{\"alias\":\"service_node\",\"filter\":{},\"functions\":[{\"aggregator\":\"sum\",\"field\":\"count\",\"field_script\":\"function invoke(field, tag){ return 1; }\"}],\"group\":[\"terminus_key\",\"application_id\",\"runtime_name\",\"service_name\"],\"metric\":\"nodejs_memory\",\"outputs\":[\"metric\"],\"select\":{\"application_id\":\"#application_id\",\"application_name\":\"#application_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"runtime_id\":\"#runtime_id\",\"runtime_name\":\"#runtime_name\",\"service_id\":\"#service_id\",\"service_instance_id\":\"#service_instance_id\",\"service_ip\":\"#service_ip\",\"service_mesh\":\"#service_mesh\",\"service_name\":\"#service_name\",\"terminus_key\":\"#terminus_key\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03'),(107,'{}','{\"alias\":\"trace_summary\",\"filter\":{},\"functions\":[{\"aggregator\":\"min\",\"field\":\"start_time\"},{\"aggregator\":\"max\",\"field\":\"end_time\"},{\"aggregator\":\"distinct\",\"field\":\"labels\",\"field_script\":\"function invoke(field, tag){ if(tag.span_layer==\'http\' || tag.span_layer==\'rpc\') return tag.service_name; return tag.component; }\"},{\"aggregator\":\"sum\",\"field\":\"errors\",\"field_script\":\"function invoke(field, tag){ return tag.error==\'true\'?1:0; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications\",\"field_script\":\"function invoke(field, tag){ return tag.application_name; }\"},{\"aggregator\":\"distinct\",\"field\":\"applications_ids\",\"field_script\":\"function invoke(field, tag){ return tag.application_id; }\"},{\"aggregator\":\"distinct\",\"field\":\"services\",\"field_script\":\"function invoke(field, tag){ return tag.service_name; }\"}],\"group\":[\"trace_id\"],\"metric\":\"trace_summary\",\"outputs\":[\"metric\"],\"select\":{\"cluster_name\":\"#cluster_name\",\"org_id\":\"#org_id\",\"org_name\":\"#org_name\",\"project_id\":\"#project_id\",\"project_name\":\"#project_name\",\"terminus_key\":\"#terminus_key\",\"trace_id\":\"#trace_id\",\"workspace\":\"#workspace\"},\"window\":3}','3.0',1,'2021-04-02 16:10:03','2021-04-02 16:10:03');
/*!40000 ALTER TABLE `sp_metric_expression` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_metric_meta`
--

DROP TABLE IF EXISTS `sp_metric_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_metric_meta` (
                                  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                  `scope` varchar(64) NOT NULL,
                                  `scope_id` varchar(64) NOT NULL,
                                  `group` varchar(128) NOT NULL,
                                  `metric` varchar(128) NOT NULL,
                                  `name` varchar(128) NOT NULL,
                                  `tags` text NOT NULL,
                                  `fields` text NOT NULL,
                                  `create_time` datetime NOT NULL,
                                  `update_time` datetime NOT NULL,
                                  PRIMARY KEY (`id`),
                                  UNIQUE KEY `query_index` (`scope`,`scope_id`,`metric`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='日志分析生成的metric元数据存储';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_metric_meta`
--

LOCK TABLES `sp_metric_meta` WRITE;
/*!40000 ALTER TABLE `sp_metric_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_metric_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_metric_metas`
--

DROP TABLE IF EXISTS `sp_metric_metas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_metric_metas` (
                                   `id` int(11) NOT NULL AUTO_INCREMENT,
                                   `metric` varchar(64) NOT NULL,
                                   `meta_metric` varchar(64) NOT NULL,
                                   `name` varchar(64) NOT NULL,
                                   `type` char(16) NOT NULL,
                                   `unit` char(16) NOT NULL,
                                   `force_tags` text,
                                   `group_id` varchar(32) NOT NULL,
                                   `created_at` datetime DEFAULT NULL,
                                   `updated_at` datetime DEFAULT NULL,
                                   PRIMARY KEY (`id`),
                                   UNIQUE KEY `metric_id` (`metric`,`meta_metric`,`group_id`),
                                   KEY `idx_group_id` (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=273 DEFAULT CHARSET=utf8 COMMENT='监控图表元数据配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_metric_metas`
--

LOCK TABLES `sp_metric_metas` WRITE;
/*!40000 ALTER TABLE `sp_metric_metas` DISABLE KEYS */;
INSERT INTO `sp_metric_metas` VALUES (205,'cpu_usage_active','host_summary','CPUUtilisation','number','%',NULL,'system_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(206,'cpu_limit_total','host_summary','CPU Total','number','',NULL,'system_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(207,'load1','host_summary','load1','number','',NULL,'system_load','2020-07-27 15:11:37','2020-07-27 15:11:37'),(208,'load5','host_summary','load5','number','',NULL,'system_load','2020-07-27 15:11:37','2020-07-27 15:11:37'),(209,'load15','host_summary','load15','number','',NULL,'system_load','2020-07-27 15:11:37','2020-07-27 15:11:37'),(210,'mem_used_percent','host_summary','MemoryUtilisation','number','%',NULL,'system_mem','2020-07-27 15:11:37','2020-07-27 15:11:37'),(211,'mem_used','host_summary','mem_used','number','bytes',NULL,'system_mem','2020-07-27 15:11:37','2020-07-27 15:11:37'),(212,'mem_limit_total','host_summary','mem_limit_total','number','bytes',NULL,'system_mem','2020-07-27 15:11:37','2020-07-27 15:11:37'),(213,'used_percent','disk','DiskUtilisation','number','%',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(214,'used','disk','used','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(215,'total','disk','total','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(216,'read_rate','disk','read_rate','number','bytes/s',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(217,'write_rate','disk','write_rate','number','bytes/s',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(218,'inodes_used','disk','inodes_used','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(219,'inodes_total','disk','inodes_total','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(220,'inodes_free','disk','inodes_free','number','bytes',NULL,'system_disk','2020-07-27 15:11:37','2020-07-27 15:11:37'),(221,'recv_rate','net','recv_rate','number','bytes/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(222,'send_rate','net','send_rate','number','bytes/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(223,'drop_out','net','drop_out','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(224,'drop_in','net','drop_in','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(225,'pkg_recv_rate','net','pkg_recv_rate','number','count/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(226,'pkg_send_rate','net','pkg_send_rate','number','count/s',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(227,'packets_recv','net','packets_recv','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(228,'packets_sent','net','packets_sent','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(229,'bytes_recv','net','bytes_recv','number','bytes',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(230,'bytes_sent','net','bytes_sent','number','bytes',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(231,'err_in','net','err_in','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(232,'err_out','net','err_out','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(233,'tcp_currestab','net','tcp_currestab','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(234,'tcp_retranssegs','net','tcp_retranssegs','number','count',NULL,'system_net','2020-07-27 15:11:37','2020-07-27 15:11:37'),(235,'cpu_usage_percent','docker_container_summary','CPUUtilisation','number','%',NULL,'dice_application_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(236,'cpu_limit','docker_container_summary','cpu_limit','number','',NULL,'dice_application_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(237,'cpu_allocation','docker_container_summary','cpu_allocation','number','',NULL,'dice_application_cpu','2020-07-27 15:11:37','2020-07-27 15:11:37'),(238,'mem_usage_percent','docker_container_summary','MemoryUtilisation','number','%',NULL,'dice_application_mem','2020-07-27 15:11:38','2020-07-27 15:11:38'),(239,'mem_usage','docker_container_summary','mem_usage','number','bytes',NULL,'dice_application_mem','2020-07-27 15:11:38','2020-07-27 15:11:38'),(240,'mem_limit','docker_container_summary','mem_limit','number','bytes',NULL,'dice_application_mem','2020-07-27 15:11:38','2020-07-27 15:11:38'),(241,'blk_read_bytes','docker_container_summary','blk_read_bytes','number','bytes',NULL,'dice_application_disk','2020-07-27 15:11:38','2020-07-27 15:11:38'),(242,'blk_write_bytes','docker_container_summary','blk_write_bytes','number','bytes',NULL,'dice_application_disk','2020-07-27 15:11:38','2020-07-27 15:11:38'),(243,'rx_bytes','docker_container_summary','rx_bytes','number','bytes',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(244,'tx_bytes','docker_container_summary','tx_bytes','number','bytes',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(245,'rx_errors','docker_container_summary','rx_errors','number','count',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(246,'tx_errors','docker_container_summary','tx_errors','number','count',NULL,'dice_application_net','2020-07-27 15:11:38','2020-07-27 15:11:38'),(247,'threads_connected','mysql','threads_connected','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(248,'slow_queries','mysql','slow_queries','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(249,'queries','mysql','queries','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(250,'cpu_usage_percent','docker_container_summary','CPUUtilisation','number','%','{      \"addon_type\": \"mysql\"    }','dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(251,'mem_usage_percent','docker_container_summary','MemoryUtilisation','number','%','{      \"addon_type\": \"mysql\"    }','dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(252,'clients','redis','clients','number','count',NULL,'dice_addon_mysql','2020-07-27 15:11:38','2020-07-27 15:11:38'),(253,'cpu_usage_percent','docker_container_summary','CPUUtilisation','number','%','{      \"addon_type\": \"redis\"    }','dice_addon_redis','2020-07-27 15:11:38','2020-07-27 15:11:38'),(254,'mem_usage_percent','docker_container_summary','MemoryUtilisation','number','%','{      \"addon_type\": \"redis\"    }','dice_addon_redis','2020-07-27 15:11:38','2020-07-27 15:11:38'),(255,'cpu_total','aliyun_ecs','CPUUtilisation','number','%',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(256,'load_1m','aliyun_ecs','load_1m','number','',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(257,'load_5m','aliyun_ecs','load_5m','number','',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(258,'load_15m','aliyun_ecs','load_15m','number','',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(259,'memory_usedutilization','aliyun_ecs','MemoryUtilisation','number','%',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(260,'diskusage_used','aliyun_ecs','DiskUtilisation','number','%',NULL,'aliyun_ecs','2020-07-27 15:11:38','2020-07-27 15:11:38'),(261,'DiskUsage','aliyun_rds','DiskUsage','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(262,'ConnectionUsage','aliyun_rds','ConnectionUsage','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(263,'CpuUsage','aliyun_rds','CPUUtilisation','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(264,'MemoryUsage','aliyun_rds','MemoryUtilisation','number','%',NULL,'aliyun_rds','2020-07-27 15:11:38','2020-07-27 15:11:38'),(265,'acl_blocks_5m','aliyun_waf','acl_blocks_5m','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(266,'cc_blocks_5m','aliyun_waf','cc_blocks_5m','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(267,'qps','aliyun_waf','qps','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(268,'waf_blocks_5m','aliyun_waf','waf_blocks_5m','number','',NULL,'aliyun_waf','2020-07-27 15:11:38','2020-07-27 15:11:38'),(269,'TrafficTX','aliyun_apigateway','TrafficTX','number','bits/s',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38'),(270,'TrafficRX','aliyun_apigateway','TrafficRX','number','bits/s',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38'),(271,'SumQPS','aliyun_apigateway','SumQPS','number','count/s',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38'),(272,'Latency','aliyun_apigateway','Latency','number','ms',NULL,'aliyun_apigateway','2020-07-27 15:11:38','2020-07-27 15:11:38');
/*!40000 ALTER TABLE `sp_metric_metas` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_monitor`
--

DROP TABLE IF EXISTS `sp_monitor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_monitor` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `monitor_id` varchar(55) NOT NULL DEFAULT '',
                              `terminus_key` varchar(55) NOT NULL DEFAULT '',
                              `terminus_key_runtime` varchar(55) DEFAULT NULL,
                              `workspace` varchar(55) DEFAULT NULL,
                              `runtime_id` varchar(55) NOT NULL DEFAULT '',
                              `runtime_name` varchar(255) DEFAULT NULL,
                              `application_id` varchar(55) DEFAULT NULL,
                              `application_name` varchar(255) DEFAULT NULL,
                              `project_id` varchar(55) DEFAULT NULL,
                              `project_name` varchar(255) DEFAULT NULL,
                              `org_id` varchar(55) DEFAULT NULL,
                              `org_name` varchar(255) DEFAULT NULL,
                              `cluster_id` varchar(255) DEFAULT NULL,
                              `cluster_name` varchar(125) DEFAULT NULL,
                              `config` varchar(1023) NOT NULL DEFAULT '',
                              `callback_url` varchar(255) DEFAULT NULL,
                              `version` varchar(55) DEFAULT NULL,
                              `plan` varchar(255) DEFAULT NULL,
                              `is_delete` tinyint(1) NOT NULL DEFAULT '0',
                              `created` datetime NOT NULL,
                              `updated` datetime NOT NULL,
                              PRIMARY KEY (`id`),
                              KEY `sp_monitor_monitor_id` (`monitor_id`),
                              KEY `sp_monitor_runtime_id` (`runtime_id`),
                              KEY `sp_monitor_terminus_key` (`terminus_key`),
                              KEY `sp_monitor_application_id` (`application_id`),
                              KEY `sp_monitor_workspace` (`workspace`),
                              KEY `sp_monitor_project_id` (`project_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6265 DEFAULT CHARSET=utf8mb4 COMMENT='应用监控addon实例表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_monitor`
--

LOCK TABLES `sp_monitor` WRITE;
/*!40000 ALTER TABLE `sp_monitor` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_monitor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_monitor_config`
--

DROP TABLE IF EXISTS `sp_monitor_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_monitor_config` (
                                     `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                     `org_id` int(11) NOT NULL COMMENT '企业ID',
                                     `org_name` varchar(64) NOT NULL DEFAULT '' COMMENT '企业名',
                                     `type` varchar(64) NOT NULL COMMENT 'log、metric',
                                     `names` varchar(255) NOT NULL COMMENT '名称,支持通配符*,支持逗号分隔',
                                     `filters` varchar(4096) NOT NULL DEFAULT '' COMMENT '数组,层级高的在前面,[{"key":"project_id","value":"1"}]',
                                     `config` varchar(1024) NOT NULL DEFAULT '' COMMENT '具体配置,{"ttl":"168h"}',
                                     `create_time` datetime NOT NULL COMMENT '创建时间',
                                     `update_time` datetime NOT NULL COMMENT '更新时间',
                                     `enable` tinyint(1) NOT NULL COMMENT '是否启用',
                                     `key` varchar(32) NOT NULL DEFAULT '' COMMENT '配置唯一标示',
                                     `hash` varchar(64) NOT NULL COMMENT 'hash(org_id,type,names+filters)',
                                     PRIMARY KEY (`id`),
                                     UNIQUE KEY `unique_keys` (`hash`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='实际监控配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_monitor_config`
--

LOCK TABLES `sp_monitor_config` WRITE;
/*!40000 ALTER TABLE `sp_monitor_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_monitor_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_monitor_config_register`
--

DROP TABLE IF EXISTS `sp_monitor_config_register`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_monitor_config_register` (
                                              `id` int(11) NOT NULL AUTO_INCREMENT,
                                              `scope` varchar(32) NOT NULL COMMENT 'org',
                                              `scope_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'org_id',
                                              `namespace` varchar(255) NOT NULL COMMENT 'dev,test,staging,prod,other',
                                              `type` varchar(64) NOT NULL COMMENT 'metric、log',
                                              `names` varchar(255) NOT NULL,
                                              `filters` varchar(4096) NOT NULL DEFAULT '',
                                              `enable` tinyint(1) NOT NULL DEFAULT '1',
                                              `update_time` datetime NOT NULL,
                                              `desc` varchar(64) NOT NULL DEFAULT '',
                                              `hash` varchar(64) NOT NULL,
                                              PRIMARY KEY (`id`),
                                              UNIQUE KEY `hash_unique` (`hash`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='企业监控和日志过期时间配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_monitor_config_register`
--

LOCK TABLES `sp_monitor_config_register` WRITE;
/*!40000 ALTER TABLE `sp_monitor_config_register` DISABLE KEYS */;
INSERT INTO `sp_monitor_config_register` VALUES (5,'org','','dev','log','container','[{\"key\":\"dice_workspace\",\"value\":\"dev\"}]',1,'2020-05-14 15:56:18','','container_log_dev'),(6,'org','','test','log','container','[{\"key\":\"dice_workspace\",\"value\":\"test\"}]',1,'2020-05-14 15:56:18','','container_log_test'),(7,'org','','staging','log','container','[{\"key\":\"dice_workspace\",\"value\":\"staging\"}]',1,'2020-05-14 15:56:18','','container_log_staging'),(8,'org','','prod','log','container','[{\"key\":\"dice_workspace\",\"value\":\"prod\"}]',1,'2020-05-14 15:56:18','','container_log_prod'),(9,'org','','','metric','*','[]',1,'2020-05-19 14:33:06','','metric_common');
/*!40000 ALTER TABLE `sp_monitor_config_register` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_monitor_global_settings`
--

DROP TABLE IF EXISTS `sp_monitor_global_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_monitor_global_settings` (
                                              `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                              `org_id` int(11) NOT NULL COMMENT '企业id',
                                              `org_name` varchar(255) NOT NULL COMMENT '企业',
                                              `namespace` varchar(64) NOT NULL COMMENT '通用、开发、测试、预发、生产',
                                              `group` varchar(64) NOT NULL COMMENT '分组',
                                              `key` varchar(64) NOT NULL COMMENT '键',
                                              `type` varchar(32) NOT NULL COMMENT '值类型',
                                              `value` varchar(128) NOT NULL COMMENT '值',
                                              `unit` varchar(64) NOT NULL COMMENT '单位',
                                              PRIMARY KEY (`id`),
                                              UNIQUE KEY `unique_key` (`org_id`,`namespace`,`group`,`key`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8 COMMENT='全局单一配置，面向用户的配置';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_monitor_global_settings`
--

LOCK TABLES `sp_monitor_global_settings` WRITE;
/*!40000 ALTER TABLE `sp_monitor_global_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_monitor_global_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_project`
--

DROP TABLE IF EXISTS `sp_project`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_project` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `identity` varchar(255) NOT NULL,
                              `name` varchar(255) DEFAULT NULL,
                              `description` varchar(255) DEFAULT NULL,
                              `ats` varchar(255) NOT NULL,
                              `callback` varchar(255) DEFAULT NULL,
                              `project_id` int(11) NOT NULL DEFAULT '0',
                              `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                              `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                              PRIMARY KEY (`id`),
                              KEY `identity` (`identity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动监控存储项目映射的表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_project`
--

LOCK TABLES `sp_project` WRITE;
/*!40000 ALTER TABLE `sp_project` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_report_history`
--

DROP TABLE IF EXISTS `sp_report_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_report_history` (
                                     `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                     `scope` varchar(255) DEFAULT NULL COMMENT 'scope',
                                     `scope_id` varchar(255) DEFAULT NULL COMMENT 'scope id',
                                     `task_id` bigint(20) unsigned NOT NULL COMMENT 'scope id',
                                     `dashboard_id` varchar(255) NOT NULL COMMENT 'dashboard id',
                                     `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                     `start` bigint(20) DEFAULT NULL COMMENT '报表开始统计时间',
                                     `end` bigint(20) NOT NULL COMMENT '报表截至统计时间',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='报表记录表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_report_history`
--

LOCK TABLES `sp_report_history` WRITE;
/*!40000 ALTER TABLE `sp_report_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_report_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_report_settings`
--

DROP TABLE IF EXISTS `sp_report_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_report_settings` (
                                      `id` int(11) NOT NULL AUTO_INCREMENT,
                                      `project_id` int(11) NOT NULL,
                                      `project_name` varchar(64) NOT NULL,
                                      `workspace` varchar(16) NOT NULL,
                                      `created` datetime NOT NULL,
                                      `weekly_report_enable` tinyint(1) NOT NULL,
                                      `daily_report_enable` tinyint(1) NOT NULL,
                                      `weekly_report_config` text NOT NULL,
                                      `daily_report_config` text NOT NULL,
                                      PRIMARY KEY (`id`),
                                      UNIQUE KEY `project_workspace` (`project_id`,`workspace`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COMMENT='应用监控项目报告配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_report_settings`
--

LOCK TABLES `sp_report_settings` WRITE;
/*!40000 ALTER TABLE `sp_report_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_report_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_report_task`
--

DROP TABLE IF EXISTS `sp_report_task`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_report_task` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                  `name` varchar(32) NOT NULL COMMENT '名称',
                                  `scope` varchar(255) DEFAULT NULL COMMENT 'scope',
                                  `scope_id` varchar(255) DEFAULT NULL COMMENT 'scope id',
                                  `type` varchar(255) NOT NULL COMMENT '报表类型',
                                  `dashboard_id` varchar(255) NOT NULL COMMENT 'dashboard id',
                                  `enable` tinyint(1) DEFAULT NULL COMMENT '通知开关',
                                  `notify_target` varchar(1024) NOT NULL COMMENT '通知组',
                                  `pipeline_cron_id` bigint(20) NOT NULL COMMENT 'pipelineCron id',
                                  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                  `updated_at` datetime DEFAULT NULL COMMENT '修改时间',
                                  PRIMARY KEY (`id`),
                                  UNIQUE KEY `Name` (`name`,`scope`,`scope_id`),
                                  UNIQUE KEY `Scope` (`name`,`scope`,`scope_id`),
                                  UNIQUE KEY `ScopeID` (`name`,`scope`,`scope_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='报表任务表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_report_task`
--

LOCK TABLES `sp_report_task` WRITE;
/*!40000 ALTER TABLE `sp_report_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_report_task` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_reports`
--

DROP TABLE IF EXISTS `sp_reports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_reports` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `key` varchar(32) NOT NULL,
                              `start` datetime NOT NULL,
                              `end` datetime NOT NULL,
                              `project_id` int(11) NOT NULL,
                              `project_name` varchar(64) NOT NULL,
                              `workspace` varchar(16) NOT NULL,
                              `created` datetime NOT NULL,
                              `version` varchar(16) NOT NULL,
                              `data` text NOT NULL,
                              `type` tinyint(4) NOT NULL,
                              `terminus_key` varchar(64) NOT NULL DEFAULT '',
                              PRIMARY KEY (`id`),
                              UNIQUE KEY `key_unique` (`key`) USING BTREE,
                              KEY `project_id_workspace` (`project_id`,`workspace`,`type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COMMENT='应用监控项目报告历史表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_reports`
--

LOCK TABLES `sp_reports` WRITE;
/*!40000 ALTER TABLE `sp_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_reports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_service`
--

DROP TABLE IF EXISTS `sp_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_service` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `name` varchar(255) DEFAULT NULL,
                              `project_id` int(11) unsigned zerofill NOT NULL,
                              `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                              `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主动监控存储服务项的表,已废弃';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_service`
--

LOCK TABLES `sp_service` WRITE;
/*!40000 ALTER TABLE `sp_service` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_stage`
--

DROP TABLE IF EXISTS `sp_stage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_stage` (
                            `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                            `name` varchar(255) DEFAULT NULL COMMENT '名称',
                            `color` varchar(255) DEFAULT NULL COMMENT '颜色',
                            PRIMARY KEY (`id`),
                            UNIQUE KEY `uniqName` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='告警状态颜色枚举表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_stage`
--

LOCK TABLES `sp_stage` WRITE;
/*!40000 ALTER TABLE `sp_stage` DISABLE KEYS */;
INSERT INTO `sp_stage` VALUES (1,'Investigating','#EA5746'),(2,'Identified','#ee8600'),(3,'Monitoring','#068FD6'),(4,'Resolved','#666');
/*!40000 ALTER TABLE `sp_stage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_status`
--

DROP TABLE IF EXISTS `sp_status`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_status` (
                             `id` int(11) NOT NULL AUTO_INCREMENT,
                             `name` varchar(255) DEFAULT NULL,
                             `color` varchar(255) DEFAULT NULL,
                             `level` int(10) unsigned zerofill NOT NULL,
                             PRIMARY KEY (`id`),
                             UNIQUE KEY `uniqName` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='主动监控状态枚举表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_status`
--

LOCK TABLES `sp_status` WRITE;
/*!40000 ALTER TABLE `sp_status` DISABLE KEYS */;
INSERT INTO `sp_status` VALUES (1,'Operational','#2fcc66',0000000000),(2,'Major Outage','#e74c3c',0000000003),(3,'Partial Outage','#e67e22',0000000002),(4,'Degraded Performance','#f1c40f',0000000001);
/*!40000 ALTER TABLE `sp_status` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_trace_request_history`
--

DROP TABLE IF EXISTS `sp_trace_request_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_trace_request_history` (
                                            `request_id` varchar(128) NOT NULL,
                                            `terminus_key` varchar(55) NOT NULL DEFAULT '',
                                            `url` varchar(1024) NOT NULL,
                                            `query_string` text,
                                            `header` text,
                                            `body` text,
                                            `method` varchar(16) NOT NULL,
                                            `status` int(2) NOT NULL DEFAULT '0',
                                            `response_status` int(11) NOT NULL DEFAULT '200',
                                            `response_body` text,
                                            `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
                                            `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                                            PRIMARY KEY (`request_id`),
                                            KEY `INDEX_TERMINUS_KEY` (`terminus_key`),
                                            KEY `INDEX_STATUS` (`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='链路诊断历史表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_trace_request_history`
--

LOCK TABLES `sp_trace_request_history` WRITE;
/*!40000 ALTER TABLE `sp_trace_request_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `sp_trace_request_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sp_user`
--

DROP TABLE IF EXISTS `sp_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sp_user` (
                           `id` int(11) NOT NULL AUTO_INCREMENT,
                           `username` varchar(255) DEFAULT NULL,
                           `salt` varchar(255) DEFAULT NULL,
                           `password` varchar(255) DEFAULT NULL,
                           `created_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
                           PRIMARY KEY (`id`),
                           UNIQUE KEY `uniqName` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='主动监控存储用户的表,已废弃';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sp_user`
--

LOCK TABLES `sp_user` WRITE;
/*!40000 ALTER TABLE `sp_user` DISABLE KEYS */;
INSERT INTO `sp_user` VALUES (3,'admin','1536227528641690966','54cf26baae342201e50ddb4391b44f1f','2018-09-06 01:52:09'),(5,'purchase','1538099181623594327','f6c212584ca861b507234529c4a70fb1','2018-09-28 01:46:22');
/*!40000 ALTER TABLE `sp_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_attachment`
--

DROP TABLE IF EXISTS `tb_addon_attachment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_attachment` (
                                       `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                       `app_id` varchar(45) DEFAULT NULL COMMENT 'appID',
                                       `instance_id` varchar(64) DEFAULT NULL,
                                       `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                       `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                       `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                       `options` varchar(1024) DEFAULT NULL COMMENT '可选字段',
                                       `org_id` varchar(64) DEFAULT NULL COMMENT '组织id',
                                       `project_id` varchar(64) DEFAULT NULL COMMENT '项目id',
                                       `application_id` varchar(64) DEFAULT NULL COMMENT '应用id',
                                       `routing_instance_id` varchar(64) DEFAULT NULL COMMENT '路由表addon实例ID',
                                       `runtime_name` varchar(64) DEFAULT '' COMMENT 'runtime名称',
                                       `inside_addon` varchar(1) DEFAULT 'N' COMMENT '是否为内部依赖addon，N:否，Y:是',
                                       `tenant_instance_id` varchar(64) DEFAULT NULL COMMENT 'addon tenant ID',
                                       PRIMARY KEY (`id`),
                                       KEY `idx_app_id` (`app_id`,`is_deleted`),
                                       KEY `idx_application_id` (`application_id`,`is_deleted`),
                                       KEY `idx_instance_id` (`instance_id`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon attach信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_attachment`
--

LOCK TABLES `tb_addon_attachment` WRITE;
/*!40000 ALTER TABLE `tb_addon_attachment` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_attachment` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_audit`
--

DROP TABLE IF EXISTS `tb_addon_audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_audit` (
                                  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                                  `org_id` varchar(16) NOT NULL COMMENT '企业ID',
                                  `project_id` varchar(16) DEFAULT NULL COMMENT '项目ID',
                                  `workspace` varchar(16) NOT NULL COMMENT '环境',
                                  `operator` varchar(255) NOT NULL COMMENT '操作人',
                                  `op_name` varchar(50) NOT NULL COMMENT '操作类型',
                                  `addon_name` varchar(128) NOT NULL COMMENT 'addon名称',
                                  `ins_id` varchar(128) NOT NULL COMMENT 'addon实例ID',
                                  `ins_name` varchar(128) NOT NULL COMMENT 'addon实例名称',
                                  `params` varchar(4096) DEFAULT NULL COMMENT '修改参数',
                                  `is_deleted` varchar(1) DEFAULT 'N' COMMENT '逻辑删除',
                                  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '删除时间',
                                  PRIMARY KEY (`id`),
                                  KEY `idx_projectid_insname` (`project_id`,`ins_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='addon操作审计信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_audit`
--

LOCK TABLES `tb_addon_audit` WRITE;
/*!40000 ALTER TABLE `tb_addon_audit` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_audit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_extra`
--

DROP TABLE IF EXISTS `tb_addon_extra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_extra` (
                                  `id` varchar(64) NOT NULL DEFAULT '' COMMENT '数据库唯一Id',
                                  `addon_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'addon id',
                                  `field` varchar(64) NOT NULL DEFAULT '' COMMENT '字段名称',
                                  `value` text NOT NULL COMMENT '字段value',
                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后更新时间',
                                  `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                  `addon_name` varchar(64) DEFAULT NULL,
                                  PRIMARY KEY (`id`),
                                  KEY `idx_addon_field` (`addon_id`,`field`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon额外信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_extra`
--

LOCK TABLES `tb_addon_extra` WRITE;
/*!40000 ALTER TABLE `tb_addon_extra` DISABLE KEYS */;
INSERT INTO `tb_addon_extra` VALUES ('5f17832361a54247a3272d7b49a1ae78','','DICE_CORE_CLUSTER','terminus-test','2018-11-08 19:22:51','2018-11-08 20:25:05','N',NULL),('5f17832361a54247a3272d7b49a1ae79','955aa1e091204232b4de927d92681638','RESOURCE_URL','http://terminus-dice.oss-cn-hangzhou.aliyuncs.com/addon/sql/config_center.sql\n','2018-11-08 19:22:51','2018-11-08 20:25:05','N',NULL);
/*!40000 ALTER TABLE `tb_addon_extra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_instance`
--

DROP TABLE IF EXISTS `tb_addon_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_instance` (
                                     `id` varchar(45) NOT NULL COMMENT 'addon实例ID',
                                     `name` varchar(128) NOT NULL COMMENT 'addon实例名称',
                                     `addon_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'addon编号',
                                     `plan` varchar(128) DEFAULT NULL COMMENT 'addon规格',
                                     `version` varchar(128) DEFAULT NULL COMMENT 'addon版本',
                                     `app_id` varchar(45) DEFAULT NULL COMMENT 'appID',
                                     `project_id` varchar(45) DEFAULT NULL COMMENT '项目ID',
                                     `org_id` varchar(45) DEFAULT NULL COMMENT '组织ID',
                                     `share_scope` varchar(45) DEFAULT NULL COMMENT '共享范围',
                                     `env` varchar(45) NOT NULL COMMENT '所属部署环境',
                                     `options` varchar(1024) DEFAULT NULL COMMENT '请求参数中可选字段',
                                     `status` varchar(45) NOT NULL COMMENT 'instance状态',
                                     `config` varchar(4096) DEFAULT NULL COMMENT '需要使用的config',
                                     `az` varchar(45) DEFAULT NULL COMMENT '所属集群',
                                     `admin_create` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否后台创建',
                                     `category` varchar(32) NOT NULL COMMENT '分类名称',
                                     `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                     `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                     `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                     `is_migrate` varchar(1) DEFAULT 'N' COMMENT '是否迁移数据',
                                     `attach_count` int(11) DEFAULT '0' COMMENT '被引用数',
                                     `application_id` varchar(64) DEFAULT NULL COMMENT '应用id',
                                     `is_platform` tinyint(1) DEFAULT '0' COMMENT '是否为平台Addon实例',
                                     `is_default` int(1) DEFAULT '0' COMMENT '是否默认addon创建',
                                     `addon_name` varchar(64) DEFAULT NULL,
                                     `namespace` varchar(255) DEFAULT NULL,
                                     `schedule_name` varchar(255) DEFAULT NULL,
                                     `platform_service_type` int(1) DEFAULT NULL,
                                     `label` varchar(4096) DEFAULT NULL COMMENT '需要使用的label',
                                     `kms_key` varchar(64) DEFAULT NULL COMMENT 'kms key id',
                                     `cpu_request` double DEFAULT NULL,
                                     `cpu_limit` double DEFAULT NULL,
                                     `mem_request` int(11) DEFAULT NULL,
                                     `mem_limit` int(11) DEFAULT NULL,
                                     PRIMARY KEY (`id`),
                                     KEY `idx_appid_name` (`app_id`,`name`,`addon_id`,`az`),
                                     KEY `idx_org_status` (`org_id`,`status`,`share_scope`,`is_deleted`),
                                     KEY `idx_project_status` (`project_id`,`status`,`share_scope`,`is_deleted`),
                                     KEY `idx_project_addon` (`project_id`,`status`,`addon_id`,`is_deleted`),
                                     KEY `idx_appid` (`app_id`,`status`,`env`,`share_scope`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon实例信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_instance`
--

LOCK TABLES `tb_addon_instance` WRITE;
/*!40000 ALTER TABLE `tb_addon_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_instance_routing`
--

DROP TABLE IF EXISTS `tb_addon_instance_routing`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_instance_routing` (
                                             `id` varchar(64) NOT NULL COMMENT 'addon实例ID',
                                             `name` varchar(128) NOT NULL COMMENT 'addon实例名称',
                                             `addon_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'addon编号',
                                             `plan` varchar(128) DEFAULT NULL COMMENT 'addon规格',
                                             `version` varchar(128) DEFAULT NULL COMMENT 'addon版本',
                                             `app_id` varchar(45) DEFAULT NULL COMMENT 'appID',
                                             `application_id` varchar(64) DEFAULT NULL COMMENT '应用id',
                                             `project_id` varchar(45) DEFAULT NULL COMMENT '项目ID',
                                             `org_id` varchar(45) DEFAULT NULL COMMENT '组织ID',
                                             `share_scope` varchar(45) DEFAULT NULL COMMENT '共享范围',
                                             `env` varchar(45) NOT NULL COMMENT '所属部署环境',
                                             `options` varchar(1024) DEFAULT NULL COMMENT '请求参数中可选字段',
                                             `status` varchar(45) NOT NULL COMMENT 'instance状态',
                                             `az` varchar(45) DEFAULT NULL COMMENT '所属集群',
                                             `category` varchar(32) NOT NULL COMMENT '分类名称',
                                             `is_migrate` varchar(1) DEFAULT 'N' COMMENT '是否迁移数据',
                                             `attach_count` int(11) DEFAULT '0' COMMENT '被引用数',
                                             `is_platform` tinyint(1) DEFAULT '0' COMMENT '是否为平台Addon实例',
                                             `real_instance` varchar(64) NOT NULL COMMENT '真实insId',
                                             `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                             `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                             `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                             `addon_name` varchar(64) DEFAULT NULL,
                                             `inside_addon` varchar(1) DEFAULT NULL,
                                             `platform_service_type` int(1) DEFAULT NULL,
                                             `tag` varchar(64) DEFAULT '' COMMENT '实例标签',
                                             PRIMARY KEY (`id`),
                                             KEY `idx_appid_name` (`app_id`,`name`,`addon_id`,`az`),
                                             KEY `idx_org_status` (`org_id`,`status`,`share_scope`,`is_deleted`),
                                             KEY `idx_addon_id_and_env` (`addon_id`,`env`,`project_id`,`status`),
                                             KEY `idx_project_status` (`project_id`,`status`,`share_scope`,`is_deleted`),
                                             KEY `idx_project_addon` (`project_id`,`status`,`addon_id`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon实例信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_instance_routing`
--

LOCK TABLES `tb_addon_instance_routing` WRITE;
/*!40000 ALTER TABLE `tb_addon_instance_routing` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_instance_routing` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_instance_tenant`
--

DROP TABLE IF EXISTS `tb_addon_instance_tenant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_instance_tenant` (
                                            `id` varchar(45) NOT NULL,
                                            `name` varchar(128) NOT NULL COMMENT 'addon租户名称',
                                            `addon_instance_id` varchar(64) NOT NULL DEFAULT '' COMMENT '对应addon实例id',
                                            `addon_instance_routing_id` varchar(64) NOT NULL DEFAULT '' COMMENT '对应addonrouting id',
                                            `app_id` varchar(45) DEFAULT NULL COMMENT 'appID',
                                            `project_id` varchar(45) DEFAULT NULL COMMENT '项目ID',
                                            `org_id` varchar(45) DEFAULT NULL COMMENT 'orgID',
                                            `workspace` varchar(45) NOT NULL COMMENT '所属部署环境',
                                            `config` varchar(4096) DEFAULT NULL COMMENT '需要使用的config',
                                            `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                            `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                            `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                            `kms_key` varchar(64) DEFAULT NULL COMMENT 'kms key id',
                                            `reference` int(11) DEFAULT '0' COMMENT '被引用数',
                                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon租户';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_instance_tenant`
--

LOCK TABLES `tb_addon_instance_tenant` WRITE;
/*!40000 ALTER TABLE `tb_addon_instance_tenant` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_instance_tenant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_management`
--

DROP TABLE IF EXISTS `tb_addon_management`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_management` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
                                       `addon_id` varchar(64) NOT NULL COMMENT 'addon实例ID',
                                       `name` varchar(128) NOT NULL COMMENT 'addon实例名称',
                                       `project_id` varchar(45) DEFAULT NULL COMMENT '项目ID',
                                       `org_id` varchar(45) DEFAULT NULL COMMENT '组织ID',
                                       `addon_config` text COMMENT 'addon参数配置',
                                       `cpu` double(8,2) NOT NULL COMMENT 'cpu核数',
                                       `mem` int(11) NOT NULL COMMENT '内存大小（M）',
                                       `nodes` int(4) NOT NULL COMMENT '节点数',
                                       `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                       `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                       PRIMARY KEY (`id`),
                                       KEY `idx_addon_id` (`addon_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='云addon信息(ops)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_management`
--

LOCK TABLES `tb_addon_management` WRITE;
/*!40000 ALTER TABLE `tb_addon_management` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_management` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_micro_attach`
--

DROP TABLE IF EXISTS `tb_addon_micro_attach`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_micro_attach` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT,
                                         `addon_name` varchar(64) NOT NULL DEFAULT '' COMMENT 'addon名称，平台内唯一标识',
                                         `routing_instance_id` varchar(64) DEFAULT NULL COMMENT '路由表addon实例ID',
                                         `instance_id` varchar(64) DEFAULT NULL,
                                         `project_id` varchar(64) DEFAULT NULL COMMENT '项目id',
                                         `env` varchar(16) DEFAULT NULL COMMENT '环境',
                                         `org_id` varchar(64) DEFAULT NULL COMMENT '组织id',
                                         `count` int(11) NOT NULL DEFAULT '1' COMMENT '引用数量',
                                         `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                         `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                         `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                         PRIMARY KEY (`id`),
                                         KEY `idx_addon_name` (`addon_name`,`is_deleted`),
                                         KEY `idx_routing_instance_id` (`routing_instance_id`,`is_deleted`),
                                         KEY `idx_project_id` (`project_id`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='microservice addon attach信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_micro_attach`
--

LOCK TABLES `tb_addon_micro_attach` WRITE;
/*!40000 ALTER TABLE `tb_addon_micro_attach` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_micro_attach` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_addon_prebuild`
--

DROP TABLE IF EXISTS `tb_addon_prebuild`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_addon_prebuild` (
                                     `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '数据库自增id',
                                     `application_id` varchar(32) NOT NULL COMMENT 'app id',
                                     `git_branch` varchar(128) NOT NULL COMMENT 'git分支',
                                     `env` varchar(10) NOT NULL COMMENT '环境',
                                     `runtime_id` varchar(32) DEFAULT NULL COMMENT 'runtimeId',
                                     `instance_id` varchar(64) DEFAULT NULL COMMENT 'addon实例id',
                                     `instance_name` varchar(128) DEFAULT NULL COMMENT 'addon实例名称',
                                     `addon_name` varchar(128) DEFAULT '' COMMENT 'addon名称',
                                     `addon_class` varchar(64) DEFAULT '' COMMENT '规格信息',
                                     `options` varchar(1024) DEFAULT '' COMMENT '额外信息',
                                     `config` varchar(1024) DEFAULT NULL COMMENT '环境变量信息',
                                     `build_from` int(1) NOT NULL DEFAULT '0' COMMENT '创建来源，0:dice.yml，1:重新分析',
                                     `delete_status` int(1) NOT NULL DEFAULT '0' COMMENT '删除状态，0:未删除，1:diceyml删除，2:重新分析删除',
                                     `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                     `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                     `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                     `routing_instance_id` varchar(64) DEFAULT NULL COMMENT '路由表addon实例ID',
                                     `use_type` varchar(32) DEFAULT 'NORMAL' COMMENT 'addon使用类型，NORMAL(添加使用), DEFAULT(默认使用)',
                                     PRIMARY KEY (`id`),
                                     KEY `idx_app_branch_env` (`application_id`,`git_branch`,`env`),
                                     KEY `idx_instance_id` (`instance_id`),
                                     KEY `idx_runtime_id` (`runtime_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon创建流程记录信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_addon_prebuild`
--

LOCK TABLES `tb_addon_prebuild` WRITE;
/*!40000 ALTER TABLE `tb_addon_prebuild` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_addon_prebuild` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_api`
--

DROP TABLE IF EXISTS `tb_gateway_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_api` (
                                  `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                  `zone_id` varchar(32) DEFAULT '' COMMENT '所属的zone',
                                  `consumer_id` varchar(32) NOT NULL DEFAULT '' COMMENT '消费者id',
                                  `api_path` varchar(256) NOT NULL DEFAULT '' COMMENT 'api路径',
                                  `method` varchar(128) NOT NULL DEFAULT '' COMMENT '方法',
                                  `redirect_addr` varchar(256) NOT NULL DEFAULT '' COMMENT '转发地址',
                                  `description` varchar(256) DEFAULT NULL COMMENT '描述',
                                  `group_id` varchar(32) NOT NULL DEFAULT '' COMMENT '服务Id',
                                  `policies` varchar(1024) DEFAULT NULL COMMENT '策略配置',
                                  `upstream_api_id` varchar(32) NOT NULL DEFAULT '' COMMENT '对应的后端api',
                                  `dice_app` varchar(128) DEFAULT '' COMMENT 'dice应用名',
                                  `dice_service` varchar(128) DEFAULT '' COMMENT 'dice服务名',
                                  `register_type` varchar(16) NOT NULL DEFAULT 'auto' COMMENT '注册类型',
                                  `net_type` varchar(16) NOT NULL DEFAULT 'outer' COMMENT '网络类型',
                                  `need_auth` tinyint(1) NOT NULL DEFAULT '0' COMMENT '需要鉴权标识',
                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                  `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                  `redirect_type` varchar(32) NOT NULL DEFAULT 'url' COMMENT '转发类型',
                                  `runtime_service_id` varchar(32) NOT NULL DEFAULT '' COMMENT '关联的service的id',
                                  `swagger` blob COMMENT 'swagger文档',
                                  PRIMARY KEY (`id`),
                                  KEY `idx_service_id` (`runtime_service_id`,`is_deleted`),
                                  KEY `idx_consumer_id` (`consumer_id`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='微服务 API';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_api`
--

LOCK TABLES `tb_gateway_api` WRITE;
/*!40000 ALTER TABLE `tb_gateway_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_api_in_package`
--

DROP TABLE IF EXISTS `tb_gateway_api_in_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_api_in_package` (
                                             `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                             `dice_api_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice服务api的id',
                                             `package_id` varchar(32) NOT NULL DEFAULT '' COMMENT '产品包id',
                                             `zone_id` varchar(32) DEFAULT NULL COMMENT '所属的zone',
                                             `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                             `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                             `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='被流量入口引用的微服务 API';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_api_in_package`
--

LOCK TABLES `tb_gateway_api_in_package` WRITE;
/*!40000 ALTER TABLE `tb_gateway_api_in_package` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_api_in_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_az_info`
--

DROP TABLE IF EXISTS `tb_gateway_az_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_az_info` (
                                      `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                      `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                      `org_id` varchar(32) NOT NULL COMMENT '企业标识id',
                                      `project_id` varchar(32) NOT NULL COMMENT '项目标识id',
                                      `env` varchar(32) NOT NULL COMMENT '应用所属环境',
                                      `az` varchar(32) NOT NULL COMMENT '集群名',
                                      `type` varchar(16) NOT NULL DEFAULT '' COMMENT '集群类型',
                                      `wildcard_domain` varchar(1024) NOT NULL DEFAULT '' COMMENT '集群泛域名',
                                      `master_addr` varchar(1024) NOT NULL DEFAULT '' COMMENT '集群管控地址',
                                      `need_update` tinyint(1) DEFAULT '1' COMMENT '待更新标识',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关集群信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_az_info`
--

LOCK TABLES `tb_gateway_az_info` WRITE;
/*!40000 ALTER TABLE `tb_gateway_az_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_az_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_consumer`
--

DROP TABLE IF EXISTS `tb_gateway_consumer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_consumer` (
                                       `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                       `consumer_id` varchar(128) NOT NULL DEFAULT '' COMMENT '消费者id',
                                       `consumer_name` varchar(128) NOT NULL DEFAULT '' COMMENT '消费者名称',
                                       `config` varchar(1024) DEFAULT NULL COMMENT '配置信息，存放key等',
                                       `endpoint` varchar(256) NOT NULL DEFAULT '' COMMENT '终端',
                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                       `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                       `org_id` varchar(32) NOT NULL COMMENT '企业id',
                                       `project_id` varchar(32) NOT NULL COMMENT '项目id',
                                       `env` varchar(32) NOT NULL COMMENT '环境',
                                       `az` varchar(32) NOT NULL COMMENT '集群名',
                                       `auth_config` blob COMMENT '鉴权配置',
                                       `description` varchar(256) DEFAULT NULL COMMENT '备注',
                                       `type` varchar(16) NOT NULL DEFAULT 'project' COMMENT '调用方类型',
                                       `cloudapi_app_id` varchar(128) NOT NULL DEFAULT '' COMMENT '阿里云APP id',
                                       `client_id` varchar(32) NOT NULL DEFAULT '' COMMENT '对应的客户端id',
                                       PRIMARY KEY (`id`),
                                       UNIQUE KEY `consumer_id` (`consumer_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关调用方';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_consumer`
--

LOCK TABLES `tb_gateway_consumer` WRITE;
/*!40000 ALTER TABLE `tb_gateway_consumer` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_consumer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_consumer_api`
--

DROP TABLE IF EXISTS `tb_gateway_consumer_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_consumer_api` (
                                           `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                           `consumer_id` varchar(32) NOT NULL DEFAULT '' COMMENT '消费者id',
                                           `api_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'apiId',
                                           `policies` varchar(512) DEFAULT NULL COMMENT '策略信息',
                                           `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                           `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                           `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 的调用方授权信息(已废弃)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_consumer_api`
--

LOCK TABLES `tb_gateway_consumer_api` WRITE;
/*!40000 ALTER TABLE `tb_gateway_consumer_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_consumer_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_default_policy`
--

DROP TABLE IF EXISTS `tb_gateway_default_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_default_policy` (
                                             `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                             `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                             `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                             `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                             `name` varchar(32) NOT NULL DEFAULT '' COMMENT '名称',
                                             `level` varchar(32) NOT NULL COMMENT '策略级别',
                                             `tenant_id` varchar(128) NOT NULL DEFAULT '' COMMENT '租户id',
                                             `dice_app` varchar(128) DEFAULT '' COMMENT 'dice应用名',
                                             `config` blob COMMENT '具体配置',
                                             `package_id` varchar(32) NOT NULL DEFAULT '' COMMENT '流量入口id',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 默认策略';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_default_policy`
--

LOCK TABLES `tb_gateway_default_policy` WRITE;
/*!40000 ALTER TABLE `tb_gateway_default_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_default_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_domain`
--

DROP TABLE IF EXISTS `tb_gateway_domain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_domain` (
                                     `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                     `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                     `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                     `domain` varchar(255) NOT NULL COMMENT '域名',
                                     `cluster_name` varchar(32) NOT NULL DEFAULT '' COMMENT '所属集群',
                                     `type` varchar(32) NOT NULL COMMENT '域名类型',
                                     `runtime_service_id` varchar(32) DEFAULT NULL COMMENT '所属服务id',
                                     `package_id` varchar(32) DEFAULT NULL COMMENT '所属流量入口id',
                                     `component_name` varchar(32) DEFAULT NULL COMMENT '所属平台组件的名称',
                                     `ingress_name` varchar(128) DEFAULT NULL COMMENT '所属平台组件的ingress的名称',
                                     `project_id` varchar(32) NOT NULL DEFAULT '' COMMENT '项目标识id',
                                     `project_name` varchar(50) NOT NULL DEFAULT '' COMMENT '项目名称',
                                     `workspace` varchar(32) NOT NULL DEFAULT '' COMMENT '所属环境',
                                     PRIMARY KEY (`id`),
                                     KEY `idx_runtime_service` (`runtime_service_id`,`is_deleted`),
                                     KEY `idx_package` (`package_id`,`is_deleted`),
                                     KEY `idx_cluster_domain` (`cluster_name`,`domain`,`is_deleted`),
                                     KEY `idx_cluster` (`is_deleted`,`cluster_name`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='域名管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_domain`
--

LOCK TABLES `tb_gateway_domain` WRITE;
/*!40000 ALTER TABLE `tb_gateway_domain` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_domain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_ingress_policy`
--

DROP TABLE IF EXISTS `tb_gateway_ingress_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_ingress_policy` (
                                             `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                             `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                             `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                             `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                             `name` varchar(32) NOT NULL DEFAULT '' COMMENT '名称',
                                             `regions` varchar(128) NOT NULL DEFAULT '' COMMENT '作用域',
                                             `az` varchar(32) NOT NULL COMMENT '集群名',
                                             `zone_id` varchar(32) DEFAULT NULL COMMENT '所属的zone',
                                             `config` blob COMMENT '具体配置',
                                             `configmap_option` blob COMMENT 'ingress configmap option',
                                             `main_snippet` blob COMMENT 'ingress configmap main 配置',
                                             `http_snippet` blob COMMENT 'ingress configmap http 配置',
                                             `server_snippet` blob COMMENT 'ingress configmap server 配置',
                                             `annotations` blob COMMENT '包含的annotations',
                                             `location_snippet` blob COMMENT 'nginx location 配置',
                                             PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Ingress 策略管理';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_ingress_policy`
--

LOCK TABLES `tb_gateway_ingress_policy` WRITE;
/*!40000 ALTER TABLE `tb_gateway_ingress_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_ingress_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_kong_info`
--

DROP TABLE IF EXISTS `tb_gateway_kong_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_kong_info` (
                                        `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                        `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                        `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                        `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                        `az` varchar(32) NOT NULL COMMENT '集群名',
                                        `project_id` varchar(32) NOT NULL COMMENT '项目id',
                                        `project_name` varchar(256) NOT NULL COMMENT '项目名',
                                        `env` varchar(32) DEFAULT '' COMMENT '环境名',
                                        `kong_addr` varchar(256) NOT NULL COMMENT 'kong admin地址',
                                        `endpoint` varchar(256) NOT NULL COMMENT 'kong gateway地址',
                                        `inner_addr` varchar(1024) NOT NULL DEFAULT '' COMMENT 'kong内网地址',
                                        `service_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'kong的服务名称',
                                        `addon_instance_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'addon id',
                                        `need_update` tinyint(1) DEFAULT '1' COMMENT '待更新标识',
                                        `tenant_id` varchar(128) NOT NULL DEFAULT '' COMMENT '租户id',
                                        `tenant_group` varchar(128) NOT NULL DEFAULT '' COMMENT '租户分组',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Kong 实例信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_kong_info`
--

LOCK TABLES `tb_gateway_kong_info` WRITE;
/*!40000 ALTER TABLE `tb_gateway_kong_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_kong_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_org_client`
--

DROP TABLE IF EXISTS `tb_gateway_org_client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_org_client` (
                                         `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                         `org_id` varchar(32) NOT NULL COMMENT '企业id',
                                         `name` varchar(128) NOT NULL DEFAULT '' COMMENT '消费者名称',
                                         `client_secret` varchar(32) NOT NULL COMMENT '客户端凭证',
                                         `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                         `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                         `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='企业级 API 网关客户端';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_org_client`
--

LOCK TABLES `tb_gateway_org_client` WRITE;
/*!40000 ALTER TABLE `tb_gateway_org_client` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_org_client` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_package`
--

DROP TABLE IF EXISTS `tb_gateway_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_package` (
                                      `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                      `dice_org_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice企业标识id',
                                      `dice_project_id` varchar(32) DEFAULT '' COMMENT 'dice项目标识id',
                                      `dice_env` varchar(32) NOT NULL COMMENT 'dice环境',
                                      `dice_cluster_name` varchar(32) NOT NULL COMMENT 'dice集群名',
                                      `zone_id` varchar(32) DEFAULT NULL COMMENT '所属的zone',
                                      `scene` varchar(32) NOT NULL DEFAULT 'openapi' COMMENT '场景',
                                      `package_name` varchar(1024) NOT NULL COMMENT '产品包名称',
                                      `bind_domain` varchar(1024) DEFAULT NULL COMMENT '绑定的域名',
                                      `description` varchar(256) DEFAULT NULL COMMENT '描述',
                                      `acl_type` varchar(16) NOT NULL DEFAULT 'off' COMMENT '授权方式',
                                      `auth_type` varchar(16) NOT NULL DEFAULT '' COMMENT '鉴权方式',
                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                      `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                      `runtime_service_id` varchar(32) NOT NULL DEFAULT '' COMMENT '关联的service的id',
                                      `cloudapi_instance_id` varchar(128) NOT NULL DEFAULT '' COMMENT '阿里云API网关的实例id',
                                      `cloudapi_group_id` varchar(128) NOT NULL DEFAULT '' COMMENT '阿里云API网关的分组id',
                                      `cloudapi_domain` varchar(1024) NOT NULL DEFAULT '' COMMENT '阿里云API网关上的分组二级域名',
                                      `cloudapi_vpc_grant` varchar(128) NOT NULL DEFAULT '' COMMENT '阿里云API网关的VPC Grant',
                                      `cloudapi_need_bind` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否需要绑定阿里云API网关',
                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='流量入口';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_package`
--

LOCK TABLES `tb_gateway_package` WRITE;
/*!40000 ALTER TABLE `tb_gateway_package` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_package_api`
--

DROP TABLE IF EXISTS `tb_gateway_package_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_package_api` (
                                          `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                          `package_id` varchar(32) DEFAULT '' COMMENT '所属的产品包id',
                                          `api_path` varchar(256) NOT NULL DEFAULT '' COMMENT 'api路径',
                                          `method` varchar(128) NOT NULL DEFAULT '' COMMENT '方法',
                                          `redirect_addr` varchar(256) NOT NULL DEFAULT '' COMMENT '转发地址',
                                          `description` varchar(256) DEFAULT NULL COMMENT '描述',
                                          `dice_app` varchar(128) DEFAULT '' COMMENT 'dice应用名',
                                          `dice_service` varchar(128) DEFAULT '' COMMENT 'dice服务名',
                                          `acl_type` varchar(16) DEFAULT NULL COMMENT '独立的授权类型',
                                          `origin` varchar(16) NOT NULL DEFAULT 'custom' COMMENT '来源',
                                          `dice_api_id` varchar(32) DEFAULT NULL COMMENT '对应dice服务api的id',
                                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                          `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                          `zone_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属的zone',
                                          `redirect_type` varchar(32) NOT NULL DEFAULT 'url' COMMENT '转发类型',
                                          `runtime_service_id` varchar(32) NOT NULL DEFAULT '' COMMENT '关联的service的id',
                                          `redirect_path` varchar(256) NOT NULL DEFAULT '' COMMENT '转发路径',
                                          `cloudapi_api_id` varchar(128) NOT NULL DEFAULT '' COMMENT '阿里云API网关上的api id',
                                          PRIMARY KEY (`id`),
                                          KEY `idx_package_id` (`package_id`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='流量入口下的路由规则';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_package_api`
--

LOCK TABLES `tb_gateway_package_api` WRITE;
/*!40000 ALTER TABLE `tb_gateway_package_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_package_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_package_api_in_consumer`
--

DROP TABLE IF EXISTS `tb_gateway_package_api_in_consumer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_package_api_in_consumer` (
                                                      `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                                      `consumer_id` varchar(32) NOT NULL DEFAULT '' COMMENT '消费者id',
                                                      `package_id` varchar(32) NOT NULL DEFAULT '' COMMENT '产品包id',
                                                      `package_api_id` varchar(32) NOT NULL DEFAULT '' COMMENT '产品包 api id',
                                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                      `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                                      PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='流量入口路由的授权信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_package_api_in_consumer`
--

LOCK TABLES `tb_gateway_package_api_in_consumer` WRITE;
/*!40000 ALTER TABLE `tb_gateway_package_api_in_consumer` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_package_api_in_consumer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_package_in_consumer`
--

DROP TABLE IF EXISTS `tb_gateway_package_in_consumer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_package_in_consumer` (
                                                  `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                                  `consumer_id` varchar(32) NOT NULL DEFAULT '' COMMENT '消费者id',
                                                  `package_id` varchar(32) NOT NULL DEFAULT '' COMMENT '产品包id',
                                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                  `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='流量入口的授权信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_package_in_consumer`
--

LOCK TABLES `tb_gateway_package_in_consumer` WRITE;
/*!40000 ALTER TABLE `tb_gateway_package_in_consumer` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_package_in_consumer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_package_rule`
--

DROP TABLE IF EXISTS `tb_gateway_package_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_package_rule` (
                                           `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                           `dice_org_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice企业标识id',
                                           `dice_project_id` varchar(32) DEFAULT '' COMMENT 'dice项目标识id',
                                           `dice_env` varchar(32) NOT NULL COMMENT 'dice环境',
                                           `dice_cluster_name` varchar(32) NOT NULL COMMENT 'dice集群名',
                                           `category` varchar(32) NOT NULL DEFAULT '' COMMENT '插件类目',
                                           `enabled` tinyint(1) DEFAULT '1' COMMENT '插件开关',
                                           `plugin_id` varchar(128) NOT NULL DEFAULT '' COMMENT '插件id',
                                           `plugin_name` varchar(128) NOT NULL DEFAULT '' COMMENT '插件名称',
                                           `config` blob COMMENT '插件具体配置',
                                           `consumer_id` varchar(32) NOT NULL DEFAULT '' COMMENT '消费者id',
                                           `consumer_name` varchar(128) NOT NULL DEFAULT '' COMMENT '消费者名称',
                                           `package_id` varchar(32) NOT NULL DEFAULT '' COMMENT '产品包id',
                                           `package_name` varchar(1024) NOT NULL COMMENT '产品包名称',
                                           `api_id` varchar(32) DEFAULT NULL COMMENT '产品包api id',
                                           `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                           `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                           `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                           `package_zone_need` tinyint(1) DEFAULT '1' COMMENT '是否在package的zone内生效',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='流量入口的策略信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_package_rule`
--

LOCK TABLES `tb_gateway_package_rule` WRITE;
/*!40000 ALTER TABLE `tb_gateway_package_rule` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_package_rule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_plugin_instance`
--

DROP TABLE IF EXISTS `tb_gateway_plugin_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_plugin_instance` (
                                              `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                              `plugin_id` varchar(128) NOT NULL DEFAULT '' COMMENT '插件id',
                                              `plugin_name` varchar(128) NOT NULL DEFAULT '' COMMENT '插件名称',
                                              `policy_id` varchar(32) NOT NULL DEFAULT '' COMMENT '策略id',
                                              `consumer_id` varchar(32) DEFAULT NULL COMMENT '消费者id',
                                              `group_id` varchar(32) DEFAULT NULL COMMENT '组id',
                                              `route_id` varchar(32) DEFAULT NULL COMMENT '路由id',
                                              `service_id` varchar(32) DEFAULT NULL COMMENT '服务id',
                                              `api_id` varchar(32) DEFAULT '' COMMENT 'apiID',
                                              `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                              `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                              `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                              PRIMARY KEY (`id`),
                                              KEY `plugin_id` (`plugin_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Kong Plugin 实例信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_plugin_instance`
--

LOCK TABLES `tb_gateway_plugin_instance` WRITE;
/*!40000 ALTER TABLE `tb_gateway_plugin_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_plugin_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_policy`
--

DROP TABLE IF EXISTS `tb_gateway_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_policy` (
                                     `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                     `zone_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属的zone',
                                     `policy_name` varchar(128) DEFAULT '' COMMENT '策略名称',
                                     `display_name` varchar(128) NOT NULL DEFAULT '' COMMENT '策略展示名称',
                                     `category` varchar(128) NOT NULL DEFAULT '' COMMENT '策略类目',
                                     `description` varchar(128) NOT NULL DEFAULT '' COMMENT '描述类目',
                                     `plugin_id` varchar(128) DEFAULT '' COMMENT '插件id',
                                     `plugin_name` varchar(128) NOT NULL DEFAULT '' COMMENT '插件名称',
                                     `config` blob COMMENT 'plugin具体配置',
                                     `consumer_id` varchar(32) DEFAULT NULL COMMENT '消费者id',
                                     `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                     `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                     `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                     `enabled` tinyint(1) DEFAULT '1' COMMENT '插件开关',
                                     `api_id` varchar(32) DEFAULT '' COMMENT 'api id',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Kong Plugin 元信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_policy`
--

LOCK TABLES `tb_gateway_policy` WRITE;
/*!40000 ALTER TABLE `tb_gateway_policy` DISABLE KEYS */;
INSERT INTO `tb_gateway_policy` VALUES ('3','','key-auth','key鉴权','auth','鉴权策略','','key-auth','{\"CARRIER\":\"SERVICE\",\"key_names\":\"Access-Token,appKey,x-app-key\"}','','2018-08-30 13:33:31','2018-08-31 11:43:46','N',1,''),('4','','','调用鉴权','authentication','认证鉴权','','basic-auth','{\"CARRIER\":\"SERVICE\"}','','2018-08-30 18:02:25','2018-09-03 16:23:52','N',1,''),('5','','acl','acl','basic','acl','','acl','{\"CARRIER\":\"SERVICE\",\"hide_groups_header\":true}','','2018-12-14 18:22:18','2018-12-14 18:22:42','N',1,''),('6','','authorization code','oauth2授权码模式','auth','鉴权策略','','oauth2','{\"CARRIER\":\"SERVICE\",\"token_expiration\":3600,\"enable_authorization_code\":true,\"accept_http_if_already_terminated\":true,\"refresh_token_ttl\":86400}','','2019-05-16 15:07:00','2019-05-16 15:07:00','N',1,''),('7','','client credentials','oauth2客户端模式','auth','鉴权策略','','oauth2','{\"CARRIER\":\"SERVICE\",\"token_expiration\":3600,\"enable_client_credentials\":true,\"accept_http_if_already_terminated\":true,\"global_credentials\":true}','','2019-05-16 15:07:00','2019-05-16 15:07:00','N',1,''),('8','','sign-auth','sign鉴权','auth','鉴权策略','','sign-auth','{\"CARRIER\":\"SERVICE\",\"key_names\":\"appKey,x-app-key\",\"sign_names\":\"sign,x-sign\"}','','2018-08-30 13:33:31','2018-08-31 11:43:46','N',1,'');
/*!40000 ALTER TABLE `tb_gateway_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_publish`
--

DROP TABLE IF EXISTS `tb_gateway_publish`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_publish` (
                                      `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                      `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                      `dice_publish_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice市场租户id',
                                      `dice_publish_item_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice市场商品id',
                                      `dice_publish_item_name` varchar(128) NOT NULL DEFAULT '' COMMENT 'dice市场商品名称',
                                      `version` varchar(32) NOT NULL DEFAULT '' COMMENT '版本',
                                      `published` tinyint(1) DEFAULT '0' COMMENT '发布状态',
                                      `owner_email` varchar(1024) NOT NULL DEFAULT '' COMMENT '负责人邮箱地址',
                                      `api_register_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'api register',
                                      `package_id` varchar(32) DEFAULT '' COMMENT '生成的流量入口id',
                                      PRIMARY KEY (`id`),
                                      KEY `idx_publish` (`dice_publish_id`,`dice_publish_item_id`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 发布管理(已废弃)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_publish`
--

LOCK TABLES `tb_gateway_publish` WRITE;
/*!40000 ALTER TABLE `tb_gateway_publish` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_publish` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_register`
--

DROP TABLE IF EXISTS `tb_gateway_register`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_register` (
                                       `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                       `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                       `org_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属企业',
                                       `project_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属项目',
                                       `workspace` varchar(32) NOT NULL DEFAULT '' COMMENT '所属环境',
                                       `app_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属应用',
                                       `app_name` varchar(128) NOT NULL DEFAULT '' COMMENT '应用名称',
                                       `service_name` varchar(128) NOT NULL DEFAULT '' COMMENT '服务名称',
                                       `cluster_name` varchar(32) NOT NULL DEFAULT '' COMMENT '所属集群',
                                       `origin` varchar(16) NOT NULL DEFAULT 'action' COMMENT '注册来源',
                                       `runtime_name` varchar(128) NOT NULL DEFAULT '' COMMENT 'runtime名称/分支名称',
                                       `swagger` longblob COMMENT 'swagger文档',
                                       `md5_sum` varchar(128) NOT NULL DEFAULT '' COMMENT 'swagger摘要',
                                       `runtime_service_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'runtime service',
                                       `registered` tinyint(1) DEFAULT '0' COMMENT '注册状态',
                                       `last_error` blob COMMENT '注册失败信息',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 注册管理(已废弃)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_register`
--

LOCK TABLES `tb_gateway_register` WRITE;
/*!40000 ALTER TABLE `tb_gateway_register` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_register` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_route`
--

DROP TABLE IF EXISTS `tb_gateway_route`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_route` (
                                    `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                    `route_id` varchar(128) NOT NULL DEFAULT '' COMMENT '路由id',
                                    `protocols` varchar(128) DEFAULT NULL COMMENT '协议列表',
                                    `methods` varchar(128) DEFAULT NULL COMMENT '方法列表',
                                    `hosts` varchar(1024) DEFAULT NULL COMMENT '主机列表',
                                    `paths` varchar(1024) DEFAULT NULL COMMENT '路径列表',
                                    `service_id` varchar(128) NOT NULL DEFAULT '' COMMENT '绑定服务id',
                                    `config` varchar(1024) DEFAULT '' COMMENT '选填配置',
                                    `api_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'apiid',
                                    `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                    `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                    PRIMARY KEY (`id`),
                                    KEY `route_id` (`route_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Kong Route 配置信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_route`
--

LOCK TABLES `tb_gateway_route` WRITE;
/*!40000 ALTER TABLE `tb_gateway_route` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_route` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_runtime_service`
--

DROP TABLE IF EXISTS `tb_gateway_runtime_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_runtime_service` (
                                              `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                              `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                              `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                              `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                              `project_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属项目',
                                              `workspace` varchar(32) NOT NULL DEFAULT '' COMMENT '所属环境',
                                              `cluster_name` varchar(32) NOT NULL DEFAULT '' COMMENT '所属集群',
                                              `runtime_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属runtime',
                                              `runtime_name` varchar(128) NOT NULL DEFAULT '' COMMENT 'runtime名称',
                                              `app_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属应用',
                                              `app_name` varchar(128) NOT NULL DEFAULT '' COMMENT '应用名称',
                                              `service_name` varchar(128) NOT NULL DEFAULT '' COMMENT '服务名称',
                                              `inner_address` varchar(1024) DEFAULT NULL COMMENT '服务内部地址',
                                              `use_apigw` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否使用api网关',
                                              `is_endpoint` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否是endpoint',
                                              `release_id` varchar(128) NOT NULL DEFAULT '' COMMENT '对应的releaseId',
                                              `group_namespace` varchar(128) NOT NULL DEFAULT '' COMMENT 'serviceGroup的namespace',
                                              `group_name` varchar(128) NOT NULL DEFAULT '' COMMENT 'serviceGroup的name',
                                              `service_port` int(11) NOT NULL DEFAULT '0' COMMENT '服务监听端口',
                                              `is_security` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否需要安全加密',
                                              `backend_protocol` varchar(16) NOT NULL DEFAULT '' COMMENT '后端协议',
                                              PRIMARY KEY (`id`),
                                              KEY `idx_config_tenant` (`project_id`,`workspace`,`cluster_name`,`is_deleted`),
                                              KEY `idx_runtime_id` (`runtime_id`,`is_deleted`),
                                              KEY `idx_runtime_name` (`project_id`,`workspace`,`cluster_name`,`app_id`,`runtime_name`,`is_deleted`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Dice 部署服务实例信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_runtime_service`
--

LOCK TABLES `tb_gateway_runtime_service` WRITE;
/*!40000 ALTER TABLE `tb_gateway_runtime_service` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_runtime_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_service`
--

DROP TABLE IF EXISTS `tb_gateway_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_service` (
                                      `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                      `service_id` varchar(128) NOT NULL DEFAULT '' COMMENT '服务id',
                                      `service_name` varchar(64) DEFAULT NULL COMMENT '服务名称',
                                      `url` varchar(1024) DEFAULT NULL COMMENT '具体路径',
                                      `protocol` varchar(32) DEFAULT NULL COMMENT '协议',
                                      `host` varchar(1024) DEFAULT NULL COMMENT '主机',
                                      `port` varchar(32) DEFAULT NULL COMMENT '端口',
                                      `path` varchar(1024) DEFAULT NULL COMMENT '路径',
                                      `config` varchar(1024) DEFAULT NULL COMMENT '选填配置',
                                      `api_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'apiid',
                                      `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                      `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                      `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                      PRIMARY KEY (`id`),
                                      KEY `service_id` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Kong Service 配置信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_service`
--

LOCK TABLES `tb_gateway_service` WRITE;
/*!40000 ALTER TABLE `tb_gateway_service` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_subscribe`
--

DROP TABLE IF EXISTS `tb_gateway_subscribe`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_subscribe` (
                                        `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                        `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                        `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                        `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                        `confirmed` tinyint(1) DEFAULT '0' COMMENT '订阅状态',
                                        `subscriber_email` varchar(1024) NOT NULL DEFAULT '' COMMENT '订阅者邮箱地址',
                                        `dice_publish_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice市场租户id',
                                        `dice_publish_item_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice市场商品id',
                                        `publish_id` varchar(32) DEFAULT '' COMMENT '发布id',
                                        `consumer_id` varchar(32) NOT NULL DEFAULT '' COMMENT '消费者id',
                                        `description` varchar(256) DEFAULT NULL COMMENT '描述',
                                        PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 订阅管理(已废弃)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_subscribe`
--

LOCK TABLES `tb_gateway_subscribe` WRITE;
/*!40000 ALTER TABLE `tb_gateway_subscribe` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_subscribe` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_upstream`
--

DROP TABLE IF EXISTS `tb_gateway_upstream`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_upstream` (
                                       `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                       `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                       `zone_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属的zone',
                                       `org_id` varchar(32) NOT NULL COMMENT '企业标识id',
                                       `project_id` varchar(32) NOT NULL COMMENT '项目标识id',
                                       `upstream_name` varchar(128) NOT NULL COMMENT '后端名称',
                                       `dice_app` varchar(128) DEFAULT '' COMMENT 'dice应用名',
                                       `dice_service` varchar(128) DEFAULT '' COMMENT 'dice服务名',
                                       `env` varchar(32) NOT NULL COMMENT '应用所属环境',
                                       `az` varchar(32) NOT NULL COMMENT '集群名',
                                       `last_register_id` varchar(64) NOT NULL COMMENT '应用最近一次注册id',
                                       `valid_register_id` varchar(64) NOT NULL COMMENT '应用当前生效的注册id',
                                       `auto_bind` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'api是否自动绑定',
                                       `runtime_service_id` varchar(32) NOT NULL DEFAULT '' COMMENT '关联的service的id',
                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关注册 SDK 的服务元信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_upstream`
--

LOCK TABLES `tb_gateway_upstream` WRITE;
/*!40000 ALTER TABLE `tb_gateway_upstream` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_upstream` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_upstream_api`
--

DROP TABLE IF EXISTS `tb_gateway_upstream_api`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_upstream_api` (
                                           `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                           `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                           `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                           `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                           `upstream_id` varchar(32) NOT NULL COMMENT '应用标识id',
                                           `register_id` varchar(64) NOT NULL COMMENT '应用注册id',
                                           `api_name` varchar(256) NOT NULL COMMENT '标识api的名称，应用下唯一',
                                           `path` varchar(256) NOT NULL COMMENT '注册的api路径',
                                           `gateway_path` varchar(256) NOT NULL COMMENT 'gateway的api路径',
                                           `method` varchar(256) NOT NULL COMMENT '注册的api方法',
                                           `address` varchar(256) NOT NULL COMMENT '注册的转发地址',
                                           `doc` blob COMMENT 'api描述',
                                           `api_id` varchar(32) DEFAULT '' COMMENT 'api标识id',
                                           `is_inner` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否是内部api',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关注册 SDK 的服务 API 信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_upstream_api`
--

LOCK TABLES `tb_gateway_upstream_api` WRITE;
/*!40000 ALTER TABLE `tb_gateway_upstream_api` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_upstream_api` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_upstream_lb`
--

DROP TABLE IF EXISTS `tb_gateway_upstream_lb`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_upstream_lb` (
                                          `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                          `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                          `zone_id` varchar(32) NOT NULL DEFAULT '' COMMENT '所属的zone',
                                          `org_id` varchar(32) NOT NULL COMMENT '企业标识id',
                                          `project_id` varchar(32) NOT NULL COMMENT '项目标识id',
                                          `lb_name` varchar(128) NOT NULL COMMENT '负载均衡名称',
                                          `env` varchar(32) NOT NULL COMMENT '应用所属环境',
                                          `az` varchar(32) NOT NULL COMMENT '集群名',
                                          `kong_upstream_id` varchar(128) DEFAULT '' COMMENT 'kong的upstream_id',
                                          `config` blob COMMENT '负载均衡配置',
                                          `healthcheck_path` varchar(128) NOT NULL DEFAULT '' COMMENT 'HTTP健康检查路径',
                                          `last_deployment_id` int(11) NOT NULL COMMENT '最近一次target上线请求的部署id',
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关注册 SDK 的服务负载均衡信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_upstream_lb`
--

LOCK TABLES `tb_gateway_upstream_lb` WRITE;
/*!40000 ALTER TABLE `tb_gateway_upstream_lb` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_upstream_lb` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_upstream_lb_target`
--

DROP TABLE IF EXISTS `tb_gateway_upstream_lb_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_upstream_lb_target` (
                                                 `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                                 `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                 `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                 `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                                 `lb_id` varchar(32) NOT NULL DEFAULT '' COMMENT '关联的lb id',
                                                 `target` varchar(64) NOT NULL COMMENT '目的地址',
                                                 `weight` int(11) NOT NULL DEFAULT '100' COMMENT '轮询权重',
                                                 `healthy` tinyint(1) DEFAULT '1' COMMENT '是否健康',
                                                 `kong_target_id` varchar(128) NOT NULL DEFAULT '' COMMENT 'kong的target_id',
                                                 `deployment_id` int(11) NOT NULL COMMENT '上线时的deployment_id',
                                                 PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关注册 SDK 的服务节点信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_upstream_lb_target`
--

LOCK TABLES `tb_gateway_upstream_lb_target` WRITE;
/*!40000 ALTER TABLE `tb_gateway_upstream_lb_target` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_upstream_lb_target` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_upstream_register_record`
--

DROP TABLE IF EXISTS `tb_gateway_upstream_register_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_upstream_register_record` (
                                                       `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                                       `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                       `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                       `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                                       `upstream_id` varchar(32) NOT NULL COMMENT '应用标识id',
                                                       `register_id` varchar(64) NOT NULL COMMENT '应用注册id',
                                                       `upstream_apis` blob COMMENT 'api注册列表',
                                                       PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关注册 SDK 的注册记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_upstream_register_record`
--

LOCK TABLES `tb_gateway_upstream_register_record` WRITE;
/*!40000 ALTER TABLE `tb_gateway_upstream_register_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_upstream_register_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_zone`
--

DROP TABLE IF EXISTS `tb_gateway_zone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_zone` (
                                   `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一id',
                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                   `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                   `name` varchar(1024) NOT NULL DEFAULT '' COMMENT '名称',
                                   `type` varchar(16) NOT NULL DEFAULT '' COMMENT '类型',
                                   `kong_policies` blob COMMENT '包含的kong策略id',
                                   `ingress_policies` blob COMMENT '包含的ingress策略id',
                                   `bind_domain` varchar(1024) DEFAULT NULL COMMENT '绑定的域名',
                                   `tenant_id` varchar(128) NOT NULL DEFAULT '' COMMENT '租户id',
                                   `dice_org_id` varchar(32) NOT NULL DEFAULT '' COMMENT 'dice企业标识id',
                                   `dice_project_id` varchar(32) DEFAULT '' COMMENT 'dice项目标识id',
                                   `dice_env` varchar(32) NOT NULL COMMENT 'dice应用所属环境',
                                   `dice_cluster_name` varchar(32) NOT NULL COMMENT 'dice集群名',
                                   `dice_app` varchar(128) DEFAULT '' COMMENT 'dice应用名',
                                   `dice_service` varchar(128) DEFAULT '' COMMENT 'dice服务名',
                                   `package_api_id` varchar(32) NOT NULL DEFAULT '' COMMENT '流量入口中指定api的id',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='API 网关控制路由和策略的作用对象';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_zone`
--

LOCK TABLES `tb_gateway_zone` WRITE;
/*!40000 ALTER TABLE `tb_gateway_zone` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_zone` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_gateway_zone_in_package`
--

DROP TABLE IF EXISTS `tb_gateway_zone_in_package`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_gateway_zone_in_package` (
                                              `id` varchar(32) NOT NULL DEFAULT '' COMMENT '唯一主键',
                                              `package_id` varchar(32) DEFAULT '' COMMENT '所属的产品包id',
                                              `package_zone_id` varchar(32) DEFAULT '' COMMENT '产品包的zone id',
                                              `zone_id` varchar(32) DEFAULT '' COMMENT '依赖的zone id',
                                              `route_prefix` varchar(128) NOT NULL COMMENT '路由前缀',
                                              `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                              `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                              `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                              PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='流量入口下的路由作用对象(已废弃)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_gateway_zone_in_package`
--

LOCK TABLES `tb_gateway_zone_in_package` WRITE;
/*!40000 ALTER TABLE `tb_gateway_zone_in_package` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_gateway_zone_in_package` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_middle_instance_extra`
--

DROP TABLE IF EXISTS `tb_middle_instance_extra`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_middle_instance_extra` (
                                            `id` varchar(64) NOT NULL DEFAULT '' COMMENT '数据库唯一id',
                                            `instance_id` varchar(64) NOT NULL DEFAULT '' COMMENT '实例id',
                                            `field` varchar(32) NOT NULL DEFAULT '' COMMENT '域',
                                            `value` varchar(1024) DEFAULT NULL,
                                            `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                            `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                            `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon实例额外信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_middle_instance_extra`
--

LOCK TABLES `tb_middle_instance_extra` WRITE;
/*!40000 ALTER TABLE `tb_middle_instance_extra` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_middle_instance_extra` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_middle_instance_relation`
--

DROP TABLE IF EXISTS `tb_middle_instance_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_middle_instance_relation` (
                                               `id` varchar(64) NOT NULL DEFAULT '' COMMENT '数据库唯一id',
                                               `outside_instance_id` varchar(64) NOT NULL COMMENT '外部实例id',
                                               `inside_instance_id` varchar(64) NOT NULL COMMENT '内部实例id',
                                               `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                               `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                               `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon实例依赖关系';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_middle_instance_relation`
--

LOCK TABLES `tb_middle_instance_relation` WRITE;
/*!40000 ALTER TABLE `tb_middle_instance_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_middle_instance_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_middle_node`
--

DROP TABLE IF EXISTS `tb_middle_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_middle_node` (
                                  `id` varchar(64) NOT NULL DEFAULT '' COMMENT '数据库唯一id',
                                  `instance_id` varchar(64) NOT NULL DEFAULT '' COMMENT '实例id',
                                  `namespace` varchar(128) NOT NULL COMMENT '容器逻辑隔离空间',
                                  `node_name` varchar(128) NOT NULL COMMENT '节点名称',
                                  `cpu` double(8,2) NOT NULL COMMENT 'cpu核数',
                                  `mem` int(11) NOT NULL COMMENT '内存大小（M）',
                                  `disk_size` int(11) DEFAULT NULL COMMENT '磁盘大小（M）',
                                  `disk_type` varchar(32) DEFAULT '' COMMENT '磁盘类型',
                                  `count` int(11) DEFAULT '1' COMMENT '节点数',
                                  `vip` varchar(256) DEFAULT '' COMMENT '节点vip地址',
                                  `ports` varchar(256) DEFAULT '' COMMENT '节点服务端口',
                                  `create_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '创建时间',
                                  `update_time` datetime NOT NULL DEFAULT '1970-01-01 00:00:00' COMMENT '修改时间',
                                  `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                  `proxy` varchar(256) DEFAULT '' COMMENT '节点proxy地址',
                                  `proxy_ports` varchar(256) DEFAULT '' COMMENT '节点proxy端口',
                                  `node_role` varchar(32) DEFAULT NULL COMMENT 'node节点角色',
                                  PRIMARY KEY (`id`),
                                  KEY `idx_instance_id` (`instance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='addon 节点信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_middle_node`
--

LOCK TABLES `tb_middle_node` WRITE;
/*!40000 ALTER TABLE `tb_middle_node` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_middle_node` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_tmc`
--

DROP TABLE IF EXISTS `tb_tmc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_tmc` (
                          `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                          `name` varchar(32) NOT NULL COMMENT '显示名称',
                          `engine` varchar(32) NOT NULL COMMENT '内核名称',
                          `service_type` varchar(32) NOT NULL COMMENT '分类，微服务、通用能力，addon',
                          `deploy_mode` varchar(32) NOT NULL COMMENT '发布模式',
                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                          `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                          PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='微服务组件元信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_tmc`
--

LOCK TABLES `tb_tmc` WRITE;
/*!40000 ALTER TABLE `tb_tmc` DISABLE KEYS */;
INSERT INTO `tb_tmc` VALUES (1,'微服务治理','micro-service','MICRO_SERVICE','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(2,'配置中心','config-center','MICRO_SERVICE','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(3,'应用监控','monitor','MICRO_SERVICE','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(4,'注册中心','registercenter','MICRO_SERVICE','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(5,'API网关','api-gateway','MICRO_SERVICE','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(6,'Nacos','nacos','ADDON','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(7,'MySQL','mysql','ADDON','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(8,'ZooKeeper','zookeeper','ADDON','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(9,'ETCD','etcd','ADDON','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(10,'ZKProxy','zkproxy','ADDON','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(11,'PostgreSQL','postgresql','ADDON','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:56','N'),(12,'权限中心','acl','GENERAL_ABILITY','PAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(13,'日志分析','log-analytics','ADDON','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:52','N'),(14,'Trantor','trantor','GENERAL_ABILITY','PAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(15,'通知中心','notice-center','GENERAL_ABILITY','SAAS','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(16,'服务治理','service-mesh','MICRO_SERVICE','SAAS','2021-04-02 16:09:50','2021-04-02 16:09:50','N'),(17,'监控Zookeeper','monitor-zk','ADDON','SAAS','2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(18,'监控Kafka','monitor-kafka','ADDON','SAAS','2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(19,'监控Collector','monitor-collector','ADDON','SAAS','2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(20,'日志导出','log-exporter','ADDON','PAAS','2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(21,'日志elasticsearch','log-es','ADDON','SAAS','2021-04-02 16:09:52','2021-04-02 16:09:52','N');
/*!40000 ALTER TABLE `tb_tmc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_tmc_ini`
--

DROP TABLE IF EXISTS `tb_tmc_ini`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_tmc_ini` (
                              `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                              `ini_name` varchar(128) NOT NULL COMMENT '配置信息名称',
                              `ini_desc` varchar(256) NOT NULL COMMENT '配置信息介绍',
                              `ini_value` varchar(4096) NOT NULL COMMENT '配置信息参数值',
                              `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                              `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                              `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                              PRIMARY KEY (`id`),
                              KEY `idx_ini_name` (`ini_name`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='微服务控制平台的配置信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_tmc_ini`
--

LOCK TABLES `tb_tmc_ini` WRITE;
/*!40000 ALTER TABLE `tb_tmc_ini` DISABLE KEYS */;
INSERT INTO `tb_tmc_ini` VALUES (1,'MS_MENU','微服务治理菜单列表','[{\"key\":\"ServiceGovernance\",\"cnName\":\"微服务治理\",\"enName\":\"MicroService\",\"children\":[{\"key\":\"Overview\",\"cnName\":\"服务总览\",\"enName\":\"Overview\",\"exists\":true,\"mustExists\":true}],\"exists\":true,\"mustExists\":true},{\"key\":\"AppMonitor\",\"cnName\":\"应用监控\",\"enName\":\"AppMonitor\",\"children\":[{\"key\":\"MonitorIntro\",\"href\":\"/manual/microservice/use-apm-monitor-app.html\",\"cnName\":\"使用引导\",\"enName\":\"MonitorIntro\",\"exists\":true},{\"key\":\"BrowserInsight\",\"cnName\":\"浏览性能\",\"enName\":\"BrowserInsight\",\"exists\":false},{\"key\":\"AppInsight\",\"cnName\":\"APP性能\",\"enName\":\"AppInsight\",\"exists\":false},{\"key\":\"ErrorInsight\",\"cnName\":\"错误分析\",\"enName\":\"ErrorInsight\",\"exists\":false},{\"key\":\"Transaction\",\"cnName\":\"链路追踪\",\"enName\":\"Transaction\",\"exists\":false},{\"key\":\"StatusPage\",\"cnName\":\"主动监控\",\"enName\":\"StatusPage\",\"exists\":false},{\"key\":\"Alarm\",\"cnName\":\"告警通知\",\"enName\":\"Alarm\",\"exists\":false},{\"key\":\"CustomAlarm\",\"cnName\":\"自定义告警\",\"enName\":\"CustomAlarm\",\"exists\":false},{\"key\":\"AlarmRecord\",\"cnName\":\"告警记录\",\"enName\":\"AlarmRecord\",\"exists\":false},{\"key\":\"CustomDashboard\",\"cnName\":\"运维大盘\",\"enName\":\"O & M dashboard\",\"exists\":false},{\"key\":\"Reports\",\"cnName\":\"项目报告\",\"enName\":\"Reports\",\"exists\":false}],\"exists\":true,\"mustExists\":true},{\"key\":\"LogAnalyze\",\"cnName\":\"日志分析\",\"enName\":\"LogAnalyze\",\"exists\":true,\"children\":[{\"cnName\":\"日志查询\",\"enName\":\"LogQuery\",\"key\":\"LogQuery\",\"exists\":false},{\"cnName\":\"分析规则\",\"enName\":\"AnalyzeRule\",\"key\":\"AnalyzeRule\",\"exists\":false}]},{\"key\":\"APIGateway\",\"cnName\":\"API网关\",\"enName\":\"APIGateway\",\"children\":[{\"key\":\"GatewayIntro\",\"cnName\":\"使用引导\",\"enName\":\"GatewayIntro\",\"href\":\"/manual/microservice/api-gateway.html\",\"exists\":true},{\"key\":\"Endpoints\",\"cnName\":\"流量入口管理\",\"enName\":\"Endpoints\",\"exists\":false,\"onlyK8S\":true},{\"key\":\"APIs\",\"cnName\":\"微服务API管理\",\"enName\":\"APIs\",\"exists\":false},{\"key\":\"ConsumerACL\",\"cnName\":\"调用方管理\",\"enName\":\"ConsumerACL\",\"exists\":false,\"onlyK8S\":true},{\"key\":\"OldPolicies\",\"cnName\":\"API策略\",\"enName\":\"Policies\",\"exists\":false,\"onlyNotK8S\":true},{\"key\":\"OldConsumerACL\",\"cnName\":\"调用者授权\",\"enName\":\"ConsumerACL\",\"exists\":false,\"onlyNotK8S\":true}],\"exists\":true,\"mustExists\":true},{\"key\":\"RegisterCenter\",\"cnName\":\"注册中心\",\"enName\":\"RegisterCenter\",\"children\":[{\"key\":\"RegisterIntro\",\"cnName\":\"使用引导\",\"enName\":\"RegisterIntro\",\"href\":\"/manual/microservice/dubbo.html\",\"exists\":true},{\"key\":\"Services\",\"cnName\":\"服务注册列表\",\"enName\":\"Services\",\"exists\":false}],\"exists\":true,\"mustExists\":true},{\"key\":\"ConfigCenter\",\"cnName\":\"配置中心\",\"enName\":\"ConfigCenter\",\"children\":[{\"key\":\"ConfigIntro\",\"cnName\":\"使用引导\",\"href\":\"/manual/deploy/config-center.html\",\"enName\":\"ConfigIntro\",\"exists\":true},{\"key\":\"Configs\",\"cnName\":\"配置管理\",\"enName\":\"Configs\",\"exists\":false}],\"exists\":true,\"mustExists\":true},{\"key\":\"ComponentInfo\",\"cnName\":\"组件信息\",\"enName\":\"ComponentInfo\",\"children\":[],\"exists\":true,\"mustExists\":true}]','2021-04-02 16:09:18','2021-04-02 16:10:07','N'),(2,'MK_config-center','','ConfigCenter','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(3,'MK_JUMP_config-center','','Configs','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(4,'MK_monitor','','AppMonitor','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(5,'MK_JUMP_monitor','','Overview','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(6,'MK_registercenter','','RegisterCenter','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(7,'MK_JUMP_registercenter','','Services','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(8,'MK_api-gateway','','APIGateway','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(9,'MK_JUMP_api-gateway','','APIs','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(10,'MK_JUMP_micro-service','','Overview','2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(11,'MK_log-analytics','','LogAnalyze','2020-11-14 22:44:55','2020-11-14 22:44:55','N');
/*!40000 ALTER TABLE `tb_tmc_ini` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_tmc_instance`
--

DROP TABLE IF EXISTS `tb_tmc_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_tmc_instance` (
                                   `id` varchar(64) NOT NULL COMMENT '实例唯一id',
                                   `engine` varchar(128) NOT NULL COMMENT '对应内核名称',
                                   `version` varchar(32) NOT NULL COMMENT '版本',
                                   `release_id` varchar(32) DEFAULT '' COMMENT 'dicehub releaseId',
                                   `status` varchar(16) NOT NULL COMMENT '实例当前运行状态',
                                   `az` varchar(128) NOT NULL DEFAULT 'MARATHONFORTERMINUS' COMMENT '部署集群',
                                   `config` varchar(4096) DEFAULT NULL COMMENT '实例配置信息',
                                   `options` varchar(4096) DEFAULT NULL COMMENT '选填参数',
                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                   `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                   `is_custom` varchar(1) NOT NULL DEFAULT 'N' COMMENT '是否为第三方',
                                   PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='微服务组件部署实例信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_tmc_instance`
--

LOCK TABLES `tb_tmc_instance` WRITE;
/*!40000 ALTER TABLE `tb_tmc_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_tmc_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_tmc_instance_tenant`
--

DROP TABLE IF EXISTS `tb_tmc_instance_tenant`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_tmc_instance_tenant` (
                                          `id` varchar(64) NOT NULL COMMENT '租户唯一id',
                                          `instance_id` varchar(64) NOT NULL COMMENT '实例id',
                                          `config` varchar(4096) DEFAULT NULL COMMENT '租户配置信息',
                                          `options` varchar(4096) DEFAULT NULL COMMENT '选填参数',
                                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                          `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                          `tenant_group` varchar(64) DEFAULT NULL COMMENT '租户组',
                                          `engine` varchar(128) DEFAULT NULL COMMENT '内核',
                                          `az` varchar(128) DEFAULT NULL COMMENT '集群',
                                          PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='微服务组件租户信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_tmc_instance_tenant`
--

LOCK TABLES `tb_tmc_instance_tenant` WRITE;
/*!40000 ALTER TABLE `tb_tmc_instance_tenant` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_tmc_instance_tenant` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_tmc_request_relation`
--

DROP TABLE IF EXISTS `tb_tmc_request_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_tmc_request_relation` (
                                           `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                                           `parent_request_id` varchar(64) NOT NULL COMMENT '父级请求id',
                                           `child_request_id` varchar(64) NOT NULL COMMENT '子级请求id',
                                           `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                           `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                           `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                           PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='微服务组件部署过程依赖关系';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_tmc_request_relation`
--

LOCK TABLES `tb_tmc_request_relation` WRITE;
/*!40000 ALTER TABLE `tb_tmc_request_relation` DISABLE KEYS */;
/*!40000 ALTER TABLE `tb_tmc_request_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tb_tmc_version`
--

DROP TABLE IF EXISTS `tb_tmc_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tb_tmc_version` (
                                  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '自增id',
                                  `engine` varchar(32) NOT NULL COMMENT '内核名称',
                                  `version` varchar(32) NOT NULL COMMENT '版本',
                                  `release_id` varchar(32) DEFAULT NULL COMMENT 'dicehub releaseId',
                                  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                  `is_deleted` varchar(1) NOT NULL DEFAULT 'N' COMMENT '逻辑删除',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8 COMMENT='微服务组件版本元信息';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tb_tmc_version`
--

LOCK TABLES `tb_tmc_version` WRITE;
/*!40000 ALTER TABLE `tb_tmc_version` DISABLE KEYS */;
INSERT INTO `tb_tmc_version` VALUES (1,'micro-service','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(2,'config-center','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(3,'monitor','3.6',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(4,'registercenter','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(5,'api-gateway','3.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:10:11','N'),(6,'nacos','1.1.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(7,'mysql','5.7.23',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(8,'zookeeper','3.4.10',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(9,'etcd','3.3.12',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(10,'zkproxy','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(11,'postgresql','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(12,'log-analytics','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(13,'acl','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(14,'acl','1.0.1',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(15,'trantor','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(16,'notice-center','1.0.0',NULL,'2021-04-02 16:09:18','2021-04-02 16:09:18','N'),(17,'service-mesh','1.0.0',NULL,'2021-04-02 16:09:50','2021-04-02 16:09:50','N'),(18,'registercenter','2.0.0',NULL,'2021-04-02 16:09:50','2021-04-02 16:09:50','N'),(19,'monitor-zk','3.4.10',NULL,'2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(20,'monitor-kafka','2.0.0',NULL,'2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(21,'monitor-collector','1.0.0',NULL,'2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(22,'log-exporter','1.0.0',NULL,'2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(23,'log-es','1.0.0',NULL,'2021-04-02 16:09:52','2021-04-02 16:09:52','N'),(24,'log-analytics','2.0.0',NULL,'2021-04-02 16:09:52','2021-04-02 16:09:52','N');
/*!40000 ALTER TABLE `tb_tmc_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uc_client_details`
--

DROP TABLE IF EXISTS `uc_client_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_client_details` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                     `user_id` bigint(20) DEFAULT NULL COMMENT '创建的用户id',
                                     `client_id` varchar(255) DEFAULT NULL COMMENT 'clientID',
                                     `client_name` varchar(255) DEFAULT NULL COMMENT 'client名称',
                                     `client_secret` varchar(255) DEFAULT NULL COMMENT 'client密钥',
                                     `access_token_validity` varchar(255) DEFAULT NULL COMMENT 'access token 校验',
                                     `access_token_validity_seconds` int(11) DEFAULT NULL COMMENT 'access token 过期时长',
                                     `additional_information` varchar(255) DEFAULT NULL COMMENT '额外信息',
                                     `authorities` varchar(255) DEFAULT NULL COMMENT '权限',
                                     `authorized_grant_types` varchar(255) DEFAULT NULL COMMENT '授权方式',
                                     `auto_approve_scopes` varchar(255) DEFAULT NULL COMMENT '自动核准作用域',
                                     `refresh_token_validity` varchar(255) DEFAULT NULL COMMENT 'refresh token 校验',
                                     `refresh_token_validity_seconds` int(11) DEFAULT NULL COMMENT 'refresh token 过期时长',
                                     `registered_redirect_uris` varchar(2048) DEFAULT NULL COMMENT '注册的重定向地址',
                                     `resource_ids` varchar(255) DEFAULT NULL COMMENT '资源信息的id',
                                     `scope` varchar(255) DEFAULT NULL COMMENT '可使用资源域',
                                     `enabled` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否启用',
                                     `deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除delete flag (0:not,1:yes)',
                                     `created_at` datetime NOT NULL COMMENT '创建时间',
                                     `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                     `app_level` tinyint(4) DEFAULT NULL COMMENT '应用等级',
                                     `sensitived` tinyint(1) DEFAULT NULL COMMENT '敏感&非敏感',
                                     `alter_notify_url` varchar(1024) DEFAULT NULL COMMENT '数据变更通知URL',
                                     PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户客户端详情表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_client_details`
--

LOCK TABLES `uc_client_details` WRITE;
/*!40000 ALTER TABLE `uc_client_details` DISABLE KEYS */;
INSERT INTO `uc_client_details` VALUES (1,NULL,'dice','dice','083b@a5c8b29673e931adef4f',NULL,1296000,'{}','ROLE_CLIENT,ROLE_TRUSTED_CLIENT,ROLE_ADMIN_CLIENT','password,client_credentials,authorization_code,refresh_token,implicit,client_implicit','public_profile',NULL,1296000,NULL,NULL,'public_profile',1,0,'2019-09-09 20:19:29','2019-09-09 20:19:29',NULL,NULL,NULL),(2,NULL,'pipeline','pipeline','b9a3@98cb0dd261ad80e8a13d',NULL,315360000,'{}','ROLE_CLIENT','client_credentials','public_profile',NULL,315360000,NULL,NULL,'public_profile',1,0,'2019-09-09 20:19:29','2019-09-09 20:19:29',NULL,NULL,NULL),(3,NULL,'gittar','gittar','d994@1770308419cfed73cd87',NULL,1296000,'{}','ROLE_CLIENT,ROLE_TRUSTED_CLIENT','client_credentials,password,authorization_code,refresh_token','public_profile',NULL,433200,NULL,NULL,'public_profile',1,0,'2019-09-09 20:19:29','2019-09-09 20:19:29',NULL,NULL,NULL),(4,NULL,'soldier','soldier','6435@e1d8a7b16a218bfec833',NULL,433200,'{}','ROLE_CLIENT','client_credentials','public_profile',NULL,433200,NULL,NULL,'public_profile',1,0,'2019-09-09 20:19:29','2019-09-09 20:19:29',NULL,NULL,NULL);
/*!40000 ALTER TABLE `uc_client_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uc_distribute_message`
--

DROP TABLE IF EXISTS `uc_distribute_message`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_distribute_message` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '记录id',
                                         `err_message` varchar(1024) DEFAULT NULL COMMENT '错误信息',
                                         `extra` varchar(2048) DEFAULT NULL COMMENT '扩展字段',
                                         `send_num` int(11) DEFAULT NULL COMMENT '发送次数',
                                         `status` int(11) DEFAULT NULL COMMENT '发送状态',
                                         `tag` varchar(50) DEFAULT NULL COMMENT '消息标签',
                                         `message_id` varchar(50) DEFAULT NULL COMMENT '消息id',
                                         `body` varchar(4096) DEFAULT NULL COMMENT '消息内容',
                                         `message_type` varchar(50) DEFAULT NULL COMMENT '消息类型，用于消息的反序列化',
                                         `created_at` datetime(6) NOT NULL COMMENT '创建时间',
                                         `updated_at` datetime(6) NOT NULL COMMENT '修改时间',
                                         `identify` varchar(32) DEFAULT NULL COMMENT '消息标识',
                                         PRIMARY KEY (`id`),
                                         KEY `idx_dist_retry_and_type` (`tag`,`status`,`send_num`) COMMENT 'tag and sendNum字段索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分发消息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_distribute_message`
--

LOCK TABLES `uc_distribute_message` WRITE;
/*!40000 ALTER TABLE `uc_distribute_message` DISABLE KEYS */;
/*!40000 ALTER TABLE `uc_distribute_message` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uc_setting_properties`
--

DROP TABLE IF EXISTS `uc_setting_properties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_setting_properties` (
                                         `id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `setting_key` varchar(128) NOT NULL DEFAULT '' COMMENT '生效setting key，用于指定 properties 关联到哪个setting上面',
                                         `properties` varchar(2048) DEFAULT NULL COMMENT '具体属性值',
                                         `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                         `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                         PRIMARY KEY (`id`),
                                         UNIQUE KEY `UN_INDEX_SETTING_KEY` (`setting_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='设置属性表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_setting_properties`
--

LOCK TABLES `uc_setting_properties` WRITE;
/*!40000 ALTER TABLE `uc_setting_properties` DISABLE KEYS */;
/*!40000 ALTER TABLE `uc_setting_properties` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uc_user`
--

DROP TABLE IF EXISTS `uc_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_user` (
                           `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
                           `pk` bigint(20) NOT NULL COMMENT '用户标识',
                           `tenant_id` int(20) NOT NULL COMMENT '租户ID',
                           `username` varchar(32) NOT NULL COMMENT '用户名',
                           `nickname` varchar(120) DEFAULT NULL COMMENT '昵称',
                           `avatar` varchar(255) DEFAULT NULL COMMENT '头像',
                           `mobile` varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '手机号',
                           `mobile_prefix` varchar(64) DEFAULT NULL COMMENT '手机号前缀',
                           `email` varchar(128) DEFAULT NULL COMMENT '邮箱',
                           `password` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT '密码',
                           `pwd_expire_at` date DEFAULT NULL COMMENT '密码过期时间',
                           `enabled` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否启用',
                           `locked` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否冻结',
                           `deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除delete flag (0:not,1:yes)',
                           `channel` varchar(255) DEFAULT NULL COMMENT '注册渠道',
                           `channel_type` varchar(64) DEFAULT NULL COMMENT '渠道类型',
                           `source` varchar(255) DEFAULT NULL COMMENT '用户来源',
                           `source_type` varchar(64) DEFAULT NULL COMMENT '来源类型',
                           `tag` varchar(255) DEFAULT NULL COMMENT '标签',
                           `version` int(11) DEFAULT NULL COMMENT '版本',
                           `extra` varchar(2048) DEFAULT NULL COMMENT '扩展字段',
                           `updated_by` varchar(128) DEFAULT NULL COMMENT '更新人，操作日志',
                           `last_login_at` datetime DEFAULT NULL COMMENT '最后登录时间',
                           `created_at` datetime NOT NULL COMMENT '创建时间',
                           `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                           `record_create_msg` tinyint(1) DEFAULT '0' COMMENT '是否记录创建用户消息',
                           `record_update_msg` tinyint(1) DEFAULT '1' COMMENT '是否记录更新用户消息',
                           PRIMARY KEY (`id`) USING BTREE,
                           UNIQUE KEY `uni_username` (`username`,`tenant_id`),
                           UNIQUE KEY `uni_pk` (`pk`,`tenant_id`),
                           UNIQUE KEY `uni_mobile` (`mobile`,`tenant_id`),
                           UNIQUE KEY `uni_email` (`email`,`tenant_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1000001 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_user`
--

LOCK TABLES `uc_user` WRITE;
/*!40000 ALTER TABLE `uc_user` DISABLE KEYS */;
INSERT INTO `uc_user` VALUES (1,1,1,'admin','admin',NULL,NULL,'86','admin@dice.terminus.io','d7f6@3676e5c1116a755e4c91','2120-01-01',1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2019-08-22 15:15:15',NULL,0,1),(2,2,1,'dice','dice',NULL,NULL,'86','dice@dice.terminus.io','ffba@eea808d1152732e87422','2120-01-01',1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2019-08-22 15:15:15',NULL,0,1),(3,3,1,'gittar','gittar',NULL,'18000000000','86','gittar','c844@455d84fe523093be3b25','2021-07-02',1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2019-08-22 15:15:15',NULL,0,1),(1100,1100,1,'tmc','TMC',NULL,NULL,'86','tmc@dice.terminus.io','no pass','2021-07-02',1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2019-08-22 15:15:15',NULL,0,1),(1101,1101,1,'eventbox','eventbox',NULL,NULL,'86','eventbox@dice.terminus.io','no pass',NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2019-12-31 11:00:00',NULL,0,1),(1102,1102,1,'cdp','cdp',NULL,NULL,'86','cdp@dice.terminus.io','no pass',NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2019-12-31 11:00:00',NULL,0,1),(1103,1103,1,'pipeline','pipeline',NULL,NULL,'86','pipeline@dice.terminus.io','no pass',NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2020-01-09 11:00:00',NULL,0,1),(1108,1108,1,'fdp','fdp',NULL,NULL,'86','fdp@dice.terminus.io','ffba@eea808d1152732e87422',NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2019-08-22 15:15:15',NULL,0,1),(1110,1110,1,'system','system',NULL,NULL,'86','system@dice.terminus.io','no pass',NULL,1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2020-03-18 11:00:00',NULL,0,1),(2020,2020,1,'support','Support',NULL,NULL,'86',NULL,'4144@3c4243e771a5d6b75d77','2120-01-01',1,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2021-04-02 16:09:50','2021-04-02 16:09:50','2021-04-02 16:09:50',0,1);
/*!40000 ALTER TABLE `uc_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uc_user_detail`
--

DROP TABLE IF EXISTS `uc_user_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_user_detail` (
                                  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
                                  `info` varchar(2048) DEFAULT NULL COMMENT '用户JSON信息',
                                  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户信息表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_user_detail`
--

LOCK TABLES `uc_user_detail` WRITE;
/*!40000 ALTER TABLE `uc_user_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `uc_user_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uc_user_event_log`
--

DROP TABLE IF EXISTS `uc_user_event_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_user_event_log` (
                                     `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '事件日志id',
                                     `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
                                     `event_type` varchar(32) DEFAULT NULL COMMENT '事件类型',
                                     `event` varchar(512) DEFAULT NULL COMMENT '事件',
                                     `event_time` datetime DEFAULT NULL COMMENT '事件产生时间',
                                     `mac_address` varchar(128) DEFAULT NULL COMMENT 'mac地址',
                                     `ip` varchar(64) DEFAULT NULL COMMENT '请求ip',
                                     `extra` varchar(2048) DEFAULT NULL COMMENT '扩展',
                                     `created_at` datetime DEFAULT NULL COMMENT '创建时间',
                                     `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                     `tenant_id` int(20) NOT NULL DEFAULT '1' COMMENT '租户ID',
                                     `operator_id` int(20) DEFAULT NULL COMMENT '操作者ID',
                                     PRIMARY KEY (`id`),
                                     KEY `idx_user_id_event_type` (`user_id`,`event_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=16713 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户事件日志表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_user_event_log`
--

LOCK TABLES `uc_user_event_log` WRITE;
/*!40000 ALTER TABLE `uc_user_event_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `uc_user_event_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `uc_user_third_account`
--

DROP TABLE IF EXISTS `uc_user_third_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `uc_user_third_account` (
                                         `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
                                         `user_id` bigint(20) NOT NULL COMMENT '用户ID',
                                         `account_id` varchar(255) NOT NULL COMMENT '三方账户ID',
                                         `account_name` varchar(255) DEFAULT NULL COMMENT '第三方账户名',
                                         `account_type` varchar(255) NOT NULL COMMENT '第三方账户类型：QQ、WECHAT、WECHAT-MP、WEIBO',
                                         `app_id` varchar(255) NOT NULL COMMENT '授权APPID',
                                         `open_id` varchar(64) DEFAULT NULL COMMENT 'OPEN ID',
                                         `extra` varchar(2048) DEFAULT NULL COMMENT '扩展JSON字段',
                                         `deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '逻辑删除',
                                         `created_at` datetime NOT NULL COMMENT '创建时间',
                                         `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='第三方账户';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `uc_user_third_account`
--

LOCK TABLES `uc_user_third_account` WRITE;
/*!40000 ALTER TABLE `uc_user_third_account` DISABLE KEYS */;
/*!40000 ALTER TABLE `uc_user_third_account` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-04-02 16:10:40
